if not WeakAuras.IsLibsOK() then return end
local AddonName, Private = ...

local WeakAuras = WeakAuras;
local L = WeakAuras.L;

local encounter_list = ""
local zoneId_list = ""
function Private.InitializeEncounterAndZoneLists()
  if encounter_list ~= "" then
    return
  end
  EJ_SelectTier(EJ_GetCurrentTier())

  for _, inRaid in ipairs({false, true}) do
    local instance_index = 1
    local instance_id = EJ_GetInstanceByIndex(instance_index, inRaid)
    local title = inRaid and L["Raids"] or L["Dungeons"]
    zoneId_list = ("%s|cffffd200%s|r\n"):format(zoneId_list, title)

    while instance_id do
      EJ_SelectInstance(instance_id)
      local instance_name, _, _, _, _, _, dungeonAreaMapID = EJ_GetInstanceInfo(instance_id)
      local ej_index = 1
      local boss, _, _, _, _, _, encounter_id = EJ_GetEncounterInfoByIndex(ej_index, instance_id)

      -- zone ids
      if dungeonAreaMapID and dungeonAreaMapID ~= 0 then
        local mapGroupId = C_Map.GetMapGroupID(dungeonAreaMapID)
        if mapGroupId then -- If there's a group id, only list that one
          zoneId_list = ("%s%s: g%d\n"):format(zoneId_list, instance_name, mapGroupId)
        else
          zoneId_list = ("%s%s: %d\n"):format(zoneId_list, instance_name, dungeonAreaMapID)
        end
      end

      -- Encounter ids
      if inRaid then
        while boss do
          if encounter_id then
            if instance_name then
              encounter_list = ("%s|cffffd200%s|r\n"):format(encounter_list, instance_name)
              instance_name = nil -- Only add it once per section
            end
            encounter_list = ("%s%s: %d\n"):format(encounter_list, boss, encounter_id)
          end
          ej_index = ej_index + 1
          boss, _, _, _, _, _, encounter_id = EJ_GetEncounterInfoByIndex(ej_index, instance_id)
        end
        encounter_list = encounter_list .. "\n"
      end
      instance_index = instance_index + 1
      instance_id = EJ_GetInstanceByIndex(instance_index, inRaid)
    end
    zoneId_list = zoneId_list .. "\n"
  end

  encounter_list = encounter_list:sub(1, -3) .. "\n\n" .. L["Supports multiple entries, separated by commas\n"]
end

function Private.get_encounters_list()
  return encounter_list
end

function Private.get_zoneId_list()
  return zoneId_list
end

if WeakAuras.IsDragonflight() then
  Private.talentInfo = {
		[62] = {
			{
				80290, -- [1]
				157980, -- [2]
				{
					12300, -- [1]
					5100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					80292, -- [1]
				}, -- [4]
			}, -- [1]
			{
				80291, -- [1]
				236457, -- [2]
				{
					12899, -- [1]
					4500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					80290, -- [1]
					80292, -- [2]
				}, -- [4]
			}, -- [2]
			{
				80292, -- [1]
				384060, -- [2]
				{
					12899, -- [1]
					5700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					80194, -- [1]
				}, -- [4]
			}, -- [3]
			{
				80293, -- [1]
				321420, -- [2]
				{
					13499, -- [1]
					4500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					80192, -- [1]
					80292, -- [2]
				}, -- [4]
			}, -- [4]
			{
				80294, -- [1]
				236628, -- [2]
				{
					13499, -- [1]
					3900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					80293, -- [1]
				}, -- [4]
			}, -- [5]
			{
				80295, -- [1]
				383676, -- [2]
				{
					12899, -- [1]
					3300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					80296, -- [1]
					80294, -- [2]
				}, -- [4]
			}, -- [6]
			{
				80296, -- [1]
				383782, -- [2]
				{
					12899, -- [1]
					3900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					80291, -- [1]
					80293, -- [2]
				}, -- [4]
			}, -- [7]
			{
				80297, -- [1]
				321752, -- [2]
				{
					12299, -- [1]
					3300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					80296, -- [1]
					80300, -- [2]
				}, -- [4]
			}, -- [8]
			{
				80298, -- [1]
				79684, -- [2]
				{
					12299, -- [1]
					2700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					80299, -- [1]
					80295, -- [2]
					80297, -- [3]
				}, -- [4]
			}, -- [9]
			{
				80299, -- [1]
				365350, -- [2]
				{
					11700, -- [1]
					3300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					80300, -- [1]
					80200, -- [2]
					80190, -- [3]
				}, -- [4]
			}, -- [10]
			{
				80300, -- [1]
				321526, -- [2]
				{
					12299, -- [1]
					3900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					80199, -- [1]
					80301, -- [2]
				}, -- [4]
			}, -- [11]
			{
				80301, -- [1]
				321745, -- [2]
				{
					12299, -- [1]
					4500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					80302, -- [1]
					80290, -- [2]
				}, -- [4]
			}, -- [12]
			{
				80302, -- [1]
				321507, -- [2]
				{
					11700, -- [1]
					5100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					80191, -- [1]
					80303, -- [2]
				}, -- [4]
			}, -- [13]
			{
				80303, -- [1]
				384581, -- [2]
				{
					12299, -- [1]
					5700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					80304, -- [1]
				}, -- [4]
			}, -- [14]
			{
				80304, -- [1]
				376103, -- [2]
				{
					11700, -- [1]
					6300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					80305, -- [1]
				}, -- [4]
			}, -- [15]
			{
				80305, -- [1]
				384683, -- [2]
				{
					11700, -- [1]
					6900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [16]
			{
				80306, -- [1]
				44425, -- [2]
				{
					11699, -- [1]
					1500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					80307, -- [1]
				}, -- [4]
			}, -- [17]
			{
				80307, -- [1]
				5143, -- [2]
				{
					11700, -- [1]
					2100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					80298, -- [1]
					80308, -- [2]
				}, -- [4]
			}, -- [18]
			{
				80308, -- [1]
				153626, -- [2]
				{
					11099, -- [1]
					2700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					80299, -- [1]
					80309, -- [2]
					80205, -- [3]
				}, -- [4]
			}, -- [19]
			{
				80309, -- [1]
				383661, -- [2]
				{
					11100, -- [1]
					3300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					80310, -- [1]
					80200, -- [2]
				}, -- [4]
			}, -- [20]
			{
				80310, -- [1]
				384651, -- [2]
				{
					10499, -- [1]
					3900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					80203, -- [1]
					80208, -- [2]
				}, -- [4]
			}, -- [21]
			{
				80140, -- [1]
				30449, -- [2]
				{
					2694, -- [1]
					2700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					80183, -- [1]
				}, -- [4]
			}, -- [22]
			{
				80141, -- [1]
				382440, -- [2]
				{
					2095, -- [1]
					6900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [23]
			{
				80142, -- [1]
				205036, -- [2]
				{
					2095, -- [1]
					6298, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					80143, -- [1]
					80141, -- [2]
				}, -- [4]
			}, -- [24]
			{
				80143, -- [1]
				386763, -- [2]
				{
					2700, -- [1]
					6900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [25]
			{
				80144, -- [1]
				113724, -- [2]
				{
					2700, -- [1]
					4500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					80166, -- [1]
					80168, -- [2]
				}, -- [4]
			}, -- [26]
			{
				80145, -- [1]
				389627, -- [2]
				{
					5090, -- [1]
					5094, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					80156, -- [1]
				}, -- [4]
			}, -- [27]
			{
				80146, -- [1]
				153561, -- [2]
				{
					5700, -- [1]
					6899, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [28]
			{
				80147, -- [1]
				31661, -- [2]
				{
					5700, -- [1]
					6299, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					80146, -- [1]
					80148, -- [2]
				}, -- [4]
			}, -- [29]
			{
				80148, -- [1]
				389713, -- [2]
				{
					5092, -- [1]
					6899, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [30]
			{
				80149, -- [1]
				382800, -- [2]
				{
					4490, -- [1]
					6297, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					80148, -- [1]
				}, -- [4]
			}, -- [31]
			{
				80151, -- [1]
				383243, -- [2]
				{
					3895, -- [1]
					6900, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [32]
			{
				80150, -- [1]
				386539, -- [2]
				{
					3895, -- [1]
					6900, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [33]
			{
				80152, -- [1]
				110959, -- [2]
				{
					3895, -- [1]
					6298, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					80151, -- [1]
				}, -- [4]
			}, -- [34]
			{
				80153, -- [1]
				382268, -- [2]
				{
					3895, -- [1]
					5699, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					80189, -- [1]
					80149, -- [2]
					80152, -- [3]
				}, -- [4]
			}, -- [35]
			{
				80154, -- [1]
				31589, -- [2]
				{
					4500, -- [1]
					3900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					80160, -- [1]
					80163, -- [2]
					80167, -- [3]
				}, -- [4]
			}, -- [36]
			{
				80155, -- [1]
				382490, -- [2]
				{
					4499, -- [1]
					5098, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					80153, -- [1]
					80156, -- [2]
				}, -- [4]
			}, -- [37]
			{
				80156, -- [1]
				382826, -- [2]
				{
					5092, -- [1]
					5697, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					80149, -- [1]
					80147, -- [2]
				}, -- [4]
			}, -- [38]
			{
				80157, -- [1]
				386828, -- [2]
				{
					5700, -- [1]
					5099, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					80156, -- [1]
				}, -- [4]
			}, -- [39]
			{
				80158, -- [1]
				382270, -- [2]
				{
					5699, -- [1]
					3902, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					80160, -- [1]
					80157, -- [2]
				}, -- [4]
			}, -- [40]
			{
				80159, -- [1]
				342249, -- [2]
				{
					5089, -- [1]
					3902, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					80160, -- [1]
				}, -- [4]
			}, -- [41]
			{
				80160, -- [1]
				157981, -- [2]
				{
					5099, -- [1]
					4501, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					80145, -- [1]
					80157, -- [2]
					80155, -- [3]
				}, -- [4]
			}, -- [42]
			{
				80161, -- [1]
				382297, -- [2]
				{
					3300, -- [1]
					3900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					80186, -- [1]
					80144, -- [2]
					80163, -- [3]
				}, -- [4]
			}, -- [43]
			{
				80163, -- [1]
				212653, -- [2]
				{
					3895, -- [1]
					4500, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					80187, -- [1]
					80155, -- [2]
				}, -- [4]
			}, -- [44]
			{
				80162, -- [1]
				108839, -- [2]
				{
					3895, -- [1]
					4500, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					80187, -- [1]
					80155, -- [2]
				}, -- [4]
			}, -- [45]
			{
				80164, -- [1]
				383121, -- [2]
				{
					3898, -- [1]
					3902, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					80163, -- [1]
				}, -- [4]
			}, -- [46]
			{
				80165, -- [1]
				382292, -- [2]
				{
					2094, -- [1]
					3902, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					80166, -- [1]
					80144, -- [2]
				}, -- [4]
			}, -- [47]
			{
				80166, -- [1]
				343183, -- [2]
				{
					2091, -- [1]
					5095, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					80188, -- [1]
				}, -- [4]
			}, -- [48]
			{
				80167, -- [1]
				391102, -- [2]
				{
					4500, -- [1]
					4500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					80155, -- [1]
				}, -- [4]
			}, -- [49]
			{
				80168, -- [1]
				382481, -- [2]
				{
					2700, -- [1]
					5100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					80188, -- [1]
				}, -- [4]
			}, -- [50]
			{
				80169, -- [1]
				382289, -- [2]
				{
					3292, -- [1]
					2700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					80172, -- [1]
					80183, -- [2]
				}, -- [4]
			}, -- [51]
			{
				80170, -- [1]
				382293, -- [2]
				{
					4496, -- [1]
					2700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					80174, -- [1]
					80172, -- [2]
				}, -- [4]
			}, -- [52]
			{
				80172, -- [1]
				1463, -- [2]
				{
					3899, -- [1]
					3300, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					80164, -- [1]
					80154, -- [2]
					80161, -- [3]
				}, -- [4]
			}, -- [53]
			{
				80171, -- [1]
				116011, -- [2]
				{
					3899, -- [1]
					3300, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					80164, -- [1]
					80154, -- [2]
					80161, -- [3]
				}, -- [4]
			}, -- [54]
			{
				80173, -- [1]
				383092, -- [2]
				{
					5699, -- [1]
					2701, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					80174, -- [1]
				}, -- [4]
			}, -- [55]
			{
				80174, -- [1]
				342245, -- [2]
				{
					5094, -- [1]
					3298, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					80158, -- [1]
					80154, -- [2]
					80159, -- [3]
				}, -- [4]
			}, -- [56]
			{
				80175, -- [1]
				475, -- [2]
				{
					5094, -- [1]
					2700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					80174, -- [1]
				}, -- [4]
			}, -- [57]
			{
				80177, -- [1]
				66, -- [2]
				{
					5094, -- [1]
					2100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					80173, -- [1]
					80170, -- [2]
					80175, -- [3]
				}, -- [4]
			}, -- [58]
			{
				80179, -- [1]
				390218, -- [2]
				{
					3900, -- [1]
					2100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					80172, -- [1]
				}, -- [4]
			}, -- [59]
			{
				80180, -- [1]
				235450, -- [2]
				{
					3900, -- [1]
					1500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					80181, -- [1]
					80179, -- [2]
					80177, -- [3]
				}, -- [4]
			}, -- [60]
			{
				80181, -- [1]
				45438, -- [2]
				{
					2703, -- [1]
					2101, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					80140, -- [1]
					80169, -- [2]
					80182, -- [3]
				}, -- [4]
			}, -- [61]
			{
				80182, -- [1]
				382424, -- [2]
				{
					2092, -- [1]
					2700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					80183, -- [1]
				}, -- [4]
			}, -- [62]
			{
				80183, -- [1]
				55342, -- [2]
				{
					2699, -- [1]
					3297, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					80161, -- [1]
					80185, -- [2]
					80165, -- [3]
				}, -- [4]
			}, -- [63]
			{
				80185, -- [1]
				382569, -- [2]
				{
					2703, -- [1]
					3902, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					80144, -- [1]
				}, -- [4]
			}, -- [64]
			{
				80184, -- [1]
				382820, -- [2]
				{
					2703, -- [1]
					3902, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					80144, -- [1]
				}, -- [4]
			}, -- [65]
			{
				80186, -- [1]
				157997, -- [2]
				{
					3300, -- [1]
					4500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					80187, -- [1]
					80168, -- [2]
				}, -- [4]
			}, -- [66]
			{
				80187, -- [1]
				382493, -- [2]
				{
					3295, -- [1]
					5097, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					80188, -- [1]
					80153, -- [2]
				}, -- [4]
			}, -- [67]
			{
				80188, -- [1]
				235224, -- [2]
				{
					2700, -- [1]
					5697, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					80189, -- [1]
					80142, -- [2]
				}, -- [4]
			}, -- [68]
			{
				80189, -- [1]
				387807, -- [2]
				{
					3290, -- [1]
					6298, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					80143, -- [1]
				}, -- [4]
			}, -- [69]
			{
				80190, -- [1]
				321739, -- [2]
				{
					11700, -- [1]
					3900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [70]
			{
				80191, -- [1]
				342231, -- [2]
				{
					11099, -- [1]
					5700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					80304, -- [1]
				}, -- [4]
			}, -- [71]
			{
				80192, -- [1]
				759, -- [2]
				{
					13499, -- [1]
					5700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					80193, -- [1]
				}, -- [4]
			}, -- [72]
			{
				80193, -- [1]
				384276, -- [2]
				{
					13499, -- [1]
					6300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [73]
			{
				80194, -- [1]
				384374, -- [2]
				{
					12899, -- [1]
					6300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					80195, -- [1]
				}, -- [4]
			}, -- [74]
			{
				80195, -- [1]
				384452, -- [2]
				{
					12899, -- [1]
					6900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [75]
			{
				80196, -- [1]
				384858, -- [2]
				{
					10500, -- [1]
					6900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [76]
			{
				80197, -- [1]
				384612, -- [2]
				{
					10500, -- [1]
					6300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					80196, -- [1]
				}, -- [4]
			}, -- [77]
			{
				80199, -- [1]
				114923, -- [2]
				{
					11700, -- [1]
					4500, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					80302, -- [1]
				}, -- [4]
			}, -- [78]
			{
				80198, -- [1]
				281482, -- [2]
				{
					11700, -- [1]
					4500, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					80302, -- [1]
				}, -- [4]
			}, -- [79]
			{
				80200, -- [1]
				231564, -- [2]
				{
					11099, -- [1]
					3900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					80199, -- [1]
					80201, -- [2]
				}, -- [4]
			}, -- [80]
			{
				80201, -- [1]
				205028, -- [2]
				{
					11099, -- [1]
					4500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					80202, -- [1]
					80302, -- [2]
				}, -- [4]
			}, -- [81]
			{
				80202, -- [1]
				235711, -- [2]
				{
					11100, -- [1]
					5100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					80204, -- [1]
				}, -- [4]
			}, -- [82]
			{
				80203, -- [1]
				384861, -- [2]
				{
					10499, -- [1]
					4500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					80202, -- [1]
					80204, -- [2]
				}, -- [4]
			}, -- [83]
			{
				80204, -- [1]
				321387, -- [2]
				{
					10500, -- [1]
					5700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					80197, -- [1]
				}, -- [4]
			}, -- [84]
			{
				80205, -- [1]
				383980, -- [2]
				{
					10499, -- [1]
					3300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					80310, -- [1]
					80207, -- [2]
				}, -- [4]
			}, -- [85]
			{
				80207, -- [1]
				205022, -- [2]
				{
					9899, -- [1]
					3900, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					80208, -- [1]
				}, -- [4]
			}, -- [86]
			{
				80206, -- [1]
				264354, -- [2]
				{
					9899, -- [1]
					3900, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					80208, -- [1]
				}, -- [4]
			}, -- [87]
			{
				80208, -- [1]
				205025, -- [2]
				{
					9900, -- [1]
					4500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					80209, -- [1]
					80204, -- [2]
				}, -- [4]
			}, -- [88]
			{
				80209, -- [1]
				12051, -- [2]
				{
					9900, -- [1]
					5700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					80210, -- [1]
				}, -- [4]
			}, -- [89]
			{
				80210, -- [1]
				384187, -- [2]
				{
					9900, -- [1]
					6300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [90]
		},
		[1467] = {
			{
				87664, -- [1]
				375797, -- [2]
				{
					11700, -- [1]
					3899, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					87650, -- [1]
					87661, -- [2]
					87663, -- [3]
				}, -- [4]
			}, -- [1]
			{
				87665, -- [1]
				375087, -- [2]
				{
					11700, -- [1]
					3300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					87664, -- [1]
				}, -- [4]
			}, -- [2]
			{
				87667, -- [1]
				371016, -- [2]
				{
					11700, -- [1]
					2700, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					87665, -- [1]
				}, -- [4]
			}, -- [3]
			{
				87666, -- [1]
				386405, -- [2]
				{
					11700, -- [1]
					2700, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					87665, -- [1]
				}, -- [4]
			}, -- [4]
			{
				87668, -- [1]
				375721, -- [2]
				{
					12300, -- [1]
					2100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					87667, -- [1]
					87647, -- [2]
				}, -- [4]
			}, -- [5]
			{
				87669, -- [1]
				357211, -- [2]
				{
					11700, -- [1]
					1500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					87668, -- [1]
					87670, -- [2]
				}, -- [4]
			}, -- [6]
			{
				87670, -- [1]
				376872, -- [2]
				{
					11100, -- [1]
					2100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					87667, -- [1]
					87671, -- [2]
				}, -- [4]
			}, -- [7]
			{
				87671, -- [1]
				370962, -- [2]
				{
					10500, -- [1]
					2700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					87672, -- [1]
					87590, -- [2]
				}, -- [4]
			}, -- [8]
			{
				87672, -- [1]
				369089, -- [2]
				{
					9900, -- [1]
					3300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					87674, -- [1]
				}, -- [4]
			}, -- [9]
			{
				87674, -- [1]
				365937, -- [2]
				{
					10500, -- [1]
					3899, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					87661, -- [1]
					87659, -- [2]
				}, -- [4]
			}, -- [10]
			{
				87673, -- [1]
				370837, -- [2]
				{
					10500, -- [1]
					3899, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					87661, -- [1]
					87659, -- [2]
				}, -- [4]
			}, -- [11]
			{
				87675, -- [1]
				371032, -- [2]
				{
					2700, -- [1]
					6900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [12]
			{
				87676, -- [1]
				374968, -- [2]
				{
					3900, -- [1]
					6900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [13]
			{
				87677, -- [1]
				387787, -- [2]
				{
					3900, -- [1]
					5700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					87686, -- [1]
				}, -- [4]
			}, -- [14]
			{
				87678, -- [1]
				375561, -- [2]
				{
					5100, -- [1]
					5700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					87682, -- [1]
				}, -- [4]
			}, -- [15]
			{
				87679, -- [1]
				374348, -- [2]
				{
					5700, -- [1]
					5700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					87681, -- [1]
				}, -- [4]
			}, -- [16]
			{
				87681, -- [1]
				375574, -- [2]
				{
					5700, -- [1]
					6300, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					87682, -- [1]
				}, -- [4]
			}, -- [17]
			{
				87680, -- [1]
				375577, -- [2]
				{
					5700, -- [1]
					6300, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					87682, -- [1]
				}, -- [4]
			}, -- [18]
			{
				87682, -- [1]
				374227, -- [2]
				{
					5100, -- [1]
					6900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [19]
			{
				87683, -- [1]
				370888, -- [2]
				{
					4500, -- [1]
					6300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					87682, -- [1]
				}, -- [4]
			}, -- [20]
			{
				87684, -- [1]
				387341, -- [2]
				{
					4500, -- [1]
					5100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					87685, -- [1]
				}, -- [4]
			}, -- [21]
			{
				87685, -- [1]
				370665, -- [2]
				{
					4500, -- [1]
					5700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					87686, -- [1]
					87683, -- [2]
				}, -- [4]
			}, -- [22]
			{
				87686, -- [1]
				365933, -- [2]
				{
					3900, -- [1]
					6300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					87676, -- [1]
				}, -- [4]
			}, -- [23]
			{
				87687, -- [1]
				374346, -- [2]
				{
					3300, -- [1]
					6300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [24]
			{
				87688, -- [1]
				369909, -- [2]
				{
					2700, -- [1]
					5700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					87689, -- [1]
				}, -- [4]
			}, -- [25]
			{
				87689, -- [1]
				369939, -- [2]
				{
					2700, -- [1]
					6300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					87675, -- [1]
				}, -- [4]
			}, -- [26]
			{
				87690, -- [1]
				368432, -- [2]
				{
					2100, -- [1]
					5700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					87689, -- [1]
				}, -- [4]
			}, -- [27]
			{
				87691, -- [1]
				375507, -- [2]
				{
					2100, -- [1]
					3900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [28]
			{
				87692, -- [1]
				351338, -- [2]
				{
					2700, -- [1]
					3300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					87691, -- [1]
					87693, -- [2]
				}, -- [4]
			}, -- [29]
			{
				87694, -- [1]
				375510, -- [2]
				{
					2700, -- [1]
					5100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					87695, -- [1]
					87690, -- [2]
					87688, -- [3]
				}, -- [4]
			}, -- [30]
			{
				87695, -- [1]
				372048, -- [2]
				{
					3300, -- [1]
					5700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					87686, -- [1]
					87689, -- [2]
					87687, -- [3]
				}, -- [4]
			}, -- [31]
			{
				87696, -- [1]
				369459, -- [2]
				{
					3900, -- [1]
					5100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					87677, -- [1]
					87695, -- [2]
					87685, -- [3]
				}, -- [4]
			}, -- [32]
			{
				87697, -- [1]
				375544, -- [2]
				{
					3900, -- [1]
					4500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					87696, -- [1]
				}, -- [4]
			}, -- [33]
			{
				87698, -- [1]
				369990, -- [2]
				{
					5699, -- [1]
					4500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [34]
			{
				87699, -- [1]
				376930, -- [2]
				{
					5100, -- [1]
					3900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					87588, -- [1]
					87698, -- [2]
				}, -- [4]
			}, -- [35]
			{
				87700, -- [1]
				374251, -- [2]
				{
					5100, -- [1]
					3300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					87699, -- [1]
					87587, -- [2]
				}, -- [4]
			}, -- [36]
			{
				87701, -- [1]
				375406, -- [2]
				{
					3900, -- [1]
					2700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [37]
			{
				87702, -- [1]
				363916, -- [2]
				{
					3900, -- [1]
					1500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					87703, -- [1]
				}, -- [4]
			}, -- [38]
			{
				87703, -- [1]
				370897, -- [2]
				{
					3900, -- [1]
					2100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					87710, -- [1]
					87704, -- [2]
					87701, -- [3]
				}, -- [4]
			}, -- [39]
			{
				87704, -- [1]
				375554, -- [2]
				{
					4500, -- [1]
					2700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					87586, -- [1]
					87705, -- [2]
					87700, -- [3]
				}, -- [4]
			}, -- [40]
			{
				87705, -- [1]
				375556, -- [2]
				{
					4500, -- [1]
					3300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					87706, -- [1]
				}, -- [4]
			}, -- [41]
			{
				87706, -- [1]
				375517, -- [2]
				{
					4500, -- [1]
					4500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					87684, -- [1]
					87707, -- [2]
				}, -- [4]
			}, -- [42]
			{
				87707, -- [1]
				387761, -- [2]
				{
					5100, -- [1]
					5100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					87685, -- [1]
					87678, -- [2]
					87679, -- [3]
				}, -- [4]
			}, -- [43]
			{
				87708, -- [1]
				358385, -- [2]
				{
					2700, -- [1]
					1500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					87709, -- [1]
				}, -- [4]
			}, -- [44]
			{
				87709, -- [1]
				369913, -- [2]
				{
					2700, -- [1]
					2100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					87692, -- [1]
					87584, -- [2]
					87710, -- [3]
				}, -- [4]
			}, -- [45]
			{
				87710, -- [1]
				375520, -- [2]
				{
					3300, -- [1]
					2700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					87586, -- [1]
					87711, -- [2]
					87692, -- [3]
				}, -- [4]
			}, -- [46]
			{
				87711, -- [1]
				371806, -- [2]
				{
					3300, -- [1]
					3300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					87712, -- [1]
				}, -- [4]
			}, -- [47]
			{
				87712, -- [1]
				376166, -- [2]
				{
					3300, -- [1]
					4500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					87589, -- [1]
					87694, -- [2]
				}, -- [4]
			}, -- [48]
			{
				87713, -- [1]
				370553, -- [2]
				{
					3900, -- [1]
					3900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					87712, -- [1]
					87697, -- [2]
					87706, -- [3]
				}, -- [4]
			}, -- [49]
			{
				87714, -- [1]
				372469, -- [2]
				{
					5700, -- [1]
					2700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [50]
			{
				87715, -- [1]
				360995, -- [2]
				{
					5100, -- [1]
					2100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					87704, -- [1]
					87714, -- [2]
					87700, -- [3]
				}, -- [4]
			}, -- [51]
			{
				87716, -- [1]
				365585, -- [2]
				{
					5100, -- [1]
					1500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					87715, -- [1]
				}, -- [4]
			}, -- [52]
			{
				87693, -- [1]
				376164, -- [2]
				{
					2700, -- [1]
					3900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					87694, -- [1]
				}, -- [4]
			}, -- [53]
			{
				87584, -- [1]
				375528, -- [2]
				{
					2100, -- [1]
					2700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [54]
			{
				87586, -- [1]
				368838, -- [2]
				{
					3900, -- [1]
					3300, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [55]
			{
				87585, -- [1]
				375443, -- [2]
				{
					3900, -- [1]
					3300, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [56]
			{
				87587, -- [1]
				360806, -- [2]
				{
					5700, -- [1]
					3900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [57]
			{
				87588, -- [1]
				370886, -- [2]
				{
					5100, -- [1]
					4500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					87707, -- [1]
				}, -- [4]
			}, -- [58]
			{
				87589, -- [1]
				375542, -- [2]
				{
					3300, -- [1]
					5100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					87695, -- [1]
				}, -- [4]
			}, -- [59]
			{
				87590, -- [1]
				369908, -- [2]
				{
					11100, -- [1]
					3300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					87674, -- [1]
				}, -- [4]
			}, -- [60]
			{
				87591, -- [1]
				375796, -- [2]
				{
					11700, -- [1]
					6900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [61]
			{
				87637, -- [1]
				369846, -- [2]
				{
					9900, -- [1]
					6900, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [62]
			{
				87636, -- [1]
				370819, -- [2]
				{
					9900, -- [1]
					6900, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [63]
			{
				87638, -- [1]
				370867, -- [2]
				{
					13500, -- [1]
					6900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [64]
			{
				87640, -- [1]
				369375, -- [2]
				{
					13500, -- [1]
					4500, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					87651, -- [1]
					87641, -- [2]
				}, -- [4]
			}, -- [65]
			{
				87639, -- [1]
				375777, -- [2]
				{
					13500, -- [1]
					4500, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					87651, -- [1]
					87641, -- [2]
				}, -- [4]
			}, -- [66]
			{
				87641, -- [1]
				370452, -- [2]
				{
					13500, -- [1]
					5100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					87643, -- [1]
				}, -- [4]
			}, -- [67]
			{
				87643, -- [1]
				386336, -- [2]
				{
					13500, -- [1]
					5700, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					87644, -- [1]
				}, -- [4]
			}, -- [68]
			{
				87642, -- [1]
				386342, -- [2]
				{
					13500, -- [1]
					5700, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					87644, -- [1]
				}, -- [4]
			}, -- [69]
			{
				87644, -- [1]
				370839, -- [2]
				{
					12900, -- [1]
					6300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					87638, -- [1]
				}, -- [4]
			}, -- [70]
			{
				87645, -- [1]
				375757, -- [2]
				{
					12900, -- [1]
					4500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [71]
			{
				87646, -- [1]
				375618, -- [2]
				{
					13500, -- [1]
					3300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					87649, -- [1]
				}, -- [4]
			}, -- [72]
			{
				87647, -- [1]
				359073, -- [2]
				{
					12900, -- [1]
					2700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					87646, -- [1]
					87648, -- [2]
				}, -- [4]
			}, -- [73]
			{
				87648, -- [1]
				371034, -- [2]
				{
					12300, -- [1]
					3300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					87649, -- [1]
				}, -- [4]
			}, -- [74]
			{
				87649, -- [1]
				375722, -- [2]
				{
					12900, -- [1]
					3899, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					87640, -- [1]
					87645, -- [2]
					87650, -- [3]
				}, -- [4]
			}, -- [75]
			{
				87650, -- [1]
				371038, -- [2]
				{
					12300, -- [1]
					4500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					87651, -- [1]
					87662, -- [2]
				}, -- [4]
			}, -- [76]
			{
				87651, -- [1]
				370455, -- [2]
				{
					12900, -- [1]
					5100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					87652, -- [1]
				}, -- [4]
			}, -- [77]
			{
				87652, -- [1]
				370845, -- [2]
				{
					12300, -- [1]
					5700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					87653, -- [1]
					87644, -- [2]
				}, -- [4]
			}, -- [78]
			{
				87653, -- [1]
				370821, -- [2]
				{
					12300, -- [1]
					6300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					87591, -- [1]
				}, -- [4]
			}, -- [79]
			{
				87654, -- [1]
				386348, -- [2]
				{
					11700, -- [1]
					5700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					87653, -- [1]
					87655, -- [2]
				}, -- [4]
			}, -- [80]
			{
				87655, -- [1]
				370781, -- [2]
				{
					11100, -- [1]
					6300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					87591, -- [1]
				}, -- [4]
			}, -- [81]
			{
				87656, -- [1]
				375783, -- [2]
				{
					11100, -- [1]
					5700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					87655, -- [1]
					87657, -- [2]
				}, -- [4]
			}, -- [82]
			{
				87657, -- [1]
				375801, -- [2]
				{
					10500, -- [1]
					6300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					87637, -- [1]
				}, -- [4]
			}, -- [83]
			{
				87658, -- [1]
				370783, -- [2]
				{
					9900, -- [1]
					5700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					87657, -- [1]
				}, -- [4]
			}, -- [84]
			{
				87659, -- [1]
				368847, -- [2]
				{
					9900, -- [1]
					4500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					87658, -- [1]
					87660, -- [2]
				}, -- [4]
			}, -- [85]
			{
				87660, -- [1]
				386283, -- [2]
				{
					10500, -- [1]
					5100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					87656, -- [1]
				}, -- [4]
			}, -- [86]
			{
				87661, -- [1]
				375725, -- [2]
				{
					11100, -- [1]
					4500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					87660, -- [1]
					87662, -- [2]
				}, -- [4]
			}, -- [87]
			{
				87662, -- [1]
				376888, -- [2]
				{
					11700, -- [1]
					5100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					87656, -- [1]
					87654, -- [2]
					87652, -- [3]
				}, -- [4]
			}, -- [88]
			{
				87663, -- [1]
				386272, -- [2]
				{
					11700, -- [1]
					4500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					87662, -- [1]
				}, -- [4]
			}, -- [89]
		},
		[63] = {
			{
				80252, -- [1]
				383860, -- [2]
				{
					13500, -- [1]
					6900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [1]
			{
				80253, -- [1]
				383810, -- [2]
				{
					13500, -- [1]
					6300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					80252, -- [1]
				}, -- [4]
			}, -- [2]
			{
				80254, -- [1]
				205023, -- [2]
				{
					13498, -- [1]
					5100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					80262, -- [1]
					80264, -- [2]
				}, -- [4]
			}, -- [3]
			{
				80255, -- [1]
				383665, -- [2]
				{
					13498, -- [1]
					4500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					80254, -- [1]
				}, -- [4]
			}, -- [4]
			{
				80256, -- [1]
				205029, -- [2]
				{
					12297, -- [1]
					3897, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					80260, -- [1]
					80275, -- [2]
				}, -- [4]
			}, -- [5]
			{
				80257, -- [1]
				343230, -- [2]
				{
					12900, -- [1]
					3300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					80259, -- [1]
					80256, -- [2]
				}, -- [4]
			}, -- [6]
			{
				80258, -- [1]
				2120, -- [2]
				{
					12900, -- [1]
					2700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					80257, -- [1]
				}, -- [4]
			}, -- [7]
			{
				80259, -- [1]
				205037, -- [2]
				{
					13498, -- [1]
					3900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					80255, -- [1]
					80260, -- [2]
				}, -- [4]
			}, -- [8]
			{
				80260, -- [1]
				44457, -- [2]
				{
					12899, -- [1]
					4500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					80261, -- [1]
					80254, -- [2]
				}, -- [4]
			}, -- [9]
			{
				80261, -- [1]
				383391, -- [2]
				{
					12297, -- [1]
					5100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					80264, -- [1]
				}, -- [4]
			}, -- [10]
			{
				80262, -- [1]
				384174, -- [2]
				{
					14100, -- [1]
					5700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					80253, -- [1]
				}, -- [4]
			}, -- [11]
			{
				80264, -- [1]
				205020, -- [2]
				{
					12900, -- [1]
					5700, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					80253, -- [1]
				}, -- [4]
			}, -- [12]
			{
				80263, -- [1]
				384033, -- [2]
				{
					12900, -- [1]
					5700, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					80253, -- [1]
				}, -- [4]
			}, -- [13]
			{
				80265, -- [1]
				155148, -- [2]
				{
					11700, -- [1]
					5700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [14]
			{
				80266, -- [1]
				383476, -- [2]
				{
					9300, -- [1]
					5700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					80272, -- [1]
				}, -- [4]
			}, -- [15]
			{
				80267, -- [1]
				203275, -- [2]
				{
					11100, -- [1]
					5700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					80271, -- [1]
				}, -- [4]
			}, -- [16]
			{
				80269, -- [1]
				383967, -- [2]
				{
					11696, -- [1]
					5100, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					80265, -- [1]
					80270, -- [2]
					80267, -- [3]
				}, -- [4]
			}, -- [17]
			{
				80268, -- [1]
				383659, -- [2]
				{
					11696, -- [1]
					5100, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					80265, -- [1]
					80270, -- [2]
					80267, -- [3]
				}, -- [4]
			}, -- [18]
			{
				80270, -- [1]
				383489, -- [2]
				{
					12300, -- [1]
					5700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					80271, -- [1]
				}, -- [4]
			}, -- [19]
			{
				80271, -- [1]
				383634, -- [2]
				{
					11696, -- [1]
					6900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [20]
			{
				80272, -- [1]
				383669, -- [2]
				{
					9900, -- [1]
					6300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					80273, -- [1]
				}, -- [4]
			}, -- [21]
			{
				80273, -- [1]
				383886, -- [2]
				{
					9900, -- [1]
					6900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [22]
			{
				80274, -- [1]
				86949, -- [2]
				{
					11700, -- [1]
					3900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					80275, -- [1]
				}, -- [4]
			}, -- [23]
			{
				80275, -- [1]
				190319, -- [2]
				{
					11696, -- [1]
					4500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					80269, -- [1]
					80276, -- [2]
					80261, -- [3]
				}, -- [4]
			}, -- [24]
			{
				80276, -- [1]
				383499, -- [2]
				{
					11100, -- [1]
					5100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					80277, -- [1]
				}, -- [4]
			}, -- [25]
			{
				80277, -- [1]
				269650, -- [2]
				{
					10499, -- [1]
					5700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					80272, -- [1]
				}, -- [4]
			}, -- [26]
			{
				80278, -- [1]
				343222, -- [2]
				{
					9897, -- [1]
					5100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					80277, -- [1]
					80266, -- [2]
				}, -- [4]
			}, -- [27]
			{
				80279, -- [1]
				383604, -- [2]
				{
					9900, -- [1]
					3900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					80289, -- [1]
					80278, -- [2]
				}, -- [4]
			}, -- [28]
			{
				80280, -- [1]
				269644, -- [2]
				{
					10499, -- [1]
					3300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					80279, -- [1]
					80287, -- [2]
				}, -- [4]
			}, -- [29]
			{
				80281, -- [1]
				2948, -- [2]
				{
					10497, -- [1]
					2697, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					80280, -- [1]
				}, -- [4]
			}, -- [30]
			{
				80282, -- [1]
				108853, -- [2]
				{
					11099, -- [1]
					2100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					80281, -- [1]
					80285, -- [2]
				}, -- [4]
			}, -- [31]
			{
				80283, -- [1]
				11366, -- [2]
				{
					11700, -- [1]
					1500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					80284, -- [1]
					80282, -- [2]
				}, -- [4]
			}, -- [32]
			{
				80284, -- [1]
				387044, -- [2]
				{
					12297, -- [1]
					2100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					80285, -- [1]
					80258, -- [2]
				}, -- [4]
			}, -- [33]
			{
				80285, -- [1]
				257541, -- [2]
				{
					11696, -- [1]
					2697, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					80286, -- [1]
					80139, -- [2]
					80274, -- [3]
				}, -- [4]
			}, -- [34]
			{
				80286, -- [1]
				157642, -- [2]
				{
					12300, -- [1]
					3300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					80274, -- [1]
					80256, -- [2]
				}, -- [4]
			}, -- [35]
			{
				80287, -- [1]
				117216, -- [2]
				{
					11099, -- [1]
					3900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					80289, -- [1]
					80275, -- [2]
				}, -- [4]
			}, -- [36]
			{
				80289, -- [1]
				342344, -- [2]
				{
					10499, -- [1]
					4500, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					80278, -- [1]
					80276, -- [2]
				}, -- [4]
			}, -- [37]
			{
				80288, -- [1]
				235870, -- [2]
				{
					10499, -- [1]
					4500, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					80278, -- [1]
					80276, -- [2]
				}, -- [4]
			}, -- [38]
			{
				80178, -- [1]
				235313, -- [2]
				{
					3900, -- [1]
					1500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					80181, -- [1]
					80177, -- [2]
					80179, -- [3]
				}, -- [4]
			}, -- [39]
			{
				80139, -- [1]
				205026, -- [2]
				{
					11100, -- [1]
					3300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					80274, -- [1]
					80287, -- [2]
				}, -- [4]
			}, -- [40]
			{
				80140, -- [1]
				30449, -- [2]
				{
					2694, -- [1]
					2700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					80183, -- [1]
				}, -- [4]
			}, -- [41]
			{
				80141, -- [1]
				382440, -- [2]
				{
					2095, -- [1]
					6900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [42]
			{
				80142, -- [1]
				205036, -- [2]
				{
					2095, -- [1]
					6298, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					80143, -- [1]
					80141, -- [2]
				}, -- [4]
			}, -- [43]
			{
				80143, -- [1]
				386763, -- [2]
				{
					2700, -- [1]
					6900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [44]
			{
				80144, -- [1]
				113724, -- [2]
				{
					2700, -- [1]
					4500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					80166, -- [1]
					80168, -- [2]
				}, -- [4]
			}, -- [45]
			{
				80145, -- [1]
				389627, -- [2]
				{
					5090, -- [1]
					5094, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					80156, -- [1]
				}, -- [4]
			}, -- [46]
			{
				80146, -- [1]
				153561, -- [2]
				{
					5700, -- [1]
					6899, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [47]
			{
				80147, -- [1]
				31661, -- [2]
				{
					5700, -- [1]
					6299, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					80146, -- [1]
					80148, -- [2]
				}, -- [4]
			}, -- [48]
			{
				80148, -- [1]
				389713, -- [2]
				{
					5092, -- [1]
					6899, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [49]
			{
				80149, -- [1]
				382800, -- [2]
				{
					4490, -- [1]
					6297, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					80148, -- [1]
				}, -- [4]
			}, -- [50]
			{
				80151, -- [1]
				383243, -- [2]
				{
					3895, -- [1]
					6900, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [51]
			{
				80150, -- [1]
				386539, -- [2]
				{
					3895, -- [1]
					6900, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [52]
			{
				80152, -- [1]
				110959, -- [2]
				{
					3895, -- [1]
					6298, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					80151, -- [1]
				}, -- [4]
			}, -- [53]
			{
				80153, -- [1]
				382268, -- [2]
				{
					3895, -- [1]
					5699, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					80189, -- [1]
					80149, -- [2]
					80152, -- [3]
				}, -- [4]
			}, -- [54]
			{
				80154, -- [1]
				31589, -- [2]
				{
					4500, -- [1]
					3900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					80160, -- [1]
					80163, -- [2]
					80167, -- [3]
				}, -- [4]
			}, -- [55]
			{
				80155, -- [1]
				382490, -- [2]
				{
					4499, -- [1]
					5098, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					80153, -- [1]
					80156, -- [2]
				}, -- [4]
			}, -- [56]
			{
				80156, -- [1]
				382826, -- [2]
				{
					5092, -- [1]
					5697, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					80149, -- [1]
					80147, -- [2]
				}, -- [4]
			}, -- [57]
			{
				80157, -- [1]
				386828, -- [2]
				{
					5700, -- [1]
					5099, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					80156, -- [1]
				}, -- [4]
			}, -- [58]
			{
				80158, -- [1]
				382270, -- [2]
				{
					5699, -- [1]
					3902, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					80160, -- [1]
					80157, -- [2]
				}, -- [4]
			}, -- [59]
			{
				80159, -- [1]
				342249, -- [2]
				{
					5089, -- [1]
					3902, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					80160, -- [1]
				}, -- [4]
			}, -- [60]
			{
				80160, -- [1]
				157981, -- [2]
				{
					5099, -- [1]
					4501, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					80145, -- [1]
					80157, -- [2]
					80155, -- [3]
				}, -- [4]
			}, -- [61]
			{
				80161, -- [1]
				382297, -- [2]
				{
					3300, -- [1]
					3900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					80186, -- [1]
					80144, -- [2]
					80163, -- [3]
				}, -- [4]
			}, -- [62]
			{
				80163, -- [1]
				212653, -- [2]
				{
					3895, -- [1]
					4500, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					80187, -- [1]
					80155, -- [2]
				}, -- [4]
			}, -- [63]
			{
				80162, -- [1]
				108839, -- [2]
				{
					3895, -- [1]
					4500, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					80187, -- [1]
					80155, -- [2]
				}, -- [4]
			}, -- [64]
			{
				80164, -- [1]
				383121, -- [2]
				{
					3898, -- [1]
					3902, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					80163, -- [1]
				}, -- [4]
			}, -- [65]
			{
				80165, -- [1]
				382292, -- [2]
				{
					2094, -- [1]
					3902, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					80166, -- [1]
					80144, -- [2]
				}, -- [4]
			}, -- [66]
			{
				80166, -- [1]
				343183, -- [2]
				{
					2091, -- [1]
					5095, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					80188, -- [1]
				}, -- [4]
			}, -- [67]
			{
				80167, -- [1]
				391102, -- [2]
				{
					4500, -- [1]
					4500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					80155, -- [1]
				}, -- [4]
			}, -- [68]
			{
				80168, -- [1]
				382481, -- [2]
				{
					2700, -- [1]
					5100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					80188, -- [1]
				}, -- [4]
			}, -- [69]
			{
				80169, -- [1]
				382289, -- [2]
				{
					3292, -- [1]
					2700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					80172, -- [1]
					80183, -- [2]
				}, -- [4]
			}, -- [70]
			{
				80170, -- [1]
				382293, -- [2]
				{
					4496, -- [1]
					2700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					80174, -- [1]
					80172, -- [2]
				}, -- [4]
			}, -- [71]
			{
				80172, -- [1]
				1463, -- [2]
				{
					3899, -- [1]
					3300, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					80164, -- [1]
					80154, -- [2]
					80161, -- [3]
				}, -- [4]
			}, -- [72]
			{
				80171, -- [1]
				116011, -- [2]
				{
					3899, -- [1]
					3300, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					80164, -- [1]
					80154, -- [2]
					80161, -- [3]
				}, -- [4]
			}, -- [73]
			{
				80173, -- [1]
				383092, -- [2]
				{
					5699, -- [1]
					2701, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					80174, -- [1]
				}, -- [4]
			}, -- [74]
			{
				80174, -- [1]
				342245, -- [2]
				{
					5094, -- [1]
					3298, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					80158, -- [1]
					80154, -- [2]
					80159, -- [3]
				}, -- [4]
			}, -- [75]
			{
				80175, -- [1]
				475, -- [2]
				{
					5094, -- [1]
					2700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					80174, -- [1]
				}, -- [4]
			}, -- [76]
			{
				80177, -- [1]
				66, -- [2]
				{
					5094, -- [1]
					2100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					80173, -- [1]
					80170, -- [2]
					80175, -- [3]
				}, -- [4]
			}, -- [77]
			{
				80179, -- [1]
				390218, -- [2]
				{
					3900, -- [1]
					2100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					80172, -- [1]
				}, -- [4]
			}, -- [78]
			{
				80181, -- [1]
				45438, -- [2]
				{
					2703, -- [1]
					2101, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					80140, -- [1]
					80169, -- [2]
					80182, -- [3]
				}, -- [4]
			}, -- [79]
			{
				80182, -- [1]
				382424, -- [2]
				{
					2092, -- [1]
					2700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					80183, -- [1]
				}, -- [4]
			}, -- [80]
			{
				80183, -- [1]
				55342, -- [2]
				{
					2699, -- [1]
					3297, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					80161, -- [1]
					80185, -- [2]
					80165, -- [3]
				}, -- [4]
			}, -- [81]
			{
				80185, -- [1]
				382569, -- [2]
				{
					2703, -- [1]
					3902, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					80144, -- [1]
				}, -- [4]
			}, -- [82]
			{
				80184, -- [1]
				382820, -- [2]
				{
					2703, -- [1]
					3902, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					80144, -- [1]
				}, -- [4]
			}, -- [83]
			{
				80186, -- [1]
				157997, -- [2]
				{
					3300, -- [1]
					4500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					80187, -- [1]
					80168, -- [2]
				}, -- [4]
			}, -- [84]
			{
				80187, -- [1]
				382493, -- [2]
				{
					3295, -- [1]
					5097, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					80188, -- [1]
					80153, -- [2]
				}, -- [4]
			}, -- [85]
			{
				80188, -- [1]
				235224, -- [2]
				{
					2700, -- [1]
					5697, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					80189, -- [1]
					80142, -- [2]
				}, -- [4]
			}, -- [86]
			{
				80189, -- [1]
				387807, -- [2]
				{
					3290, -- [1]
					6298, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					80143, -- [1]
				}, -- [4]
			}, -- [87]
		},
		[250] = {
			{
				96258, -- [1]
				194844, -- [2]
				{
					10800, -- [1]
					6600, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [1]
			{
				96259, -- [1]
				377640, -- [2]
				{
					10800, -- [1]
					6000, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					96258, -- [1]
				}, -- [4]
			}, -- [2]
			{
				96260, -- [1]
				377637, -- [2]
				{
					12000, -- [1]
					4200, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					96261, -- [1]
				}, -- [4]
			}, -- [3]
			{
				96261, -- [1]
				377668, -- [2]
				{
					12000, -- [1]
					4800, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					96267, -- [1]
				}, -- [4]
			}, -- [4]
			{
				96262, -- [1]
				377655, -- [2]
				{
					11400, -- [1]
					6000, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					96264, -- [1]
				}, -- [4]
			}, -- [5]
			{
				96263, -- [1]
				205723, -- [2]
				{
					13200, -- [1]
					6000, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					96168, -- [1]
				}, -- [4]
			}, -- [6]
			{
				96264, -- [1]
				114556, -- [2]
				{
					11400, -- [1]
					6600, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [7]
			{
				96265, -- [1]
				206970, -- [2]
				{
					12000, -- [1]
					6000, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					96264, -- [1]
					96256, -- [2]
				}, -- [4]
			}, -- [8]
			{
				96266, -- [1]
				221536, -- [2]
				{
					10800, -- [1]
					3600, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					96170, -- [1]
					96301, -- [2]
				}, -- [4]
			}, -- [9]
			{
				96267, -- [1]
				108199, -- [2]
				{
					12000, -- [1]
					5400, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					96307, -- [1]
					96265, -- [2]
					96262, -- [3]
				}, -- [4]
			}, -- [10]
			{
				96268, -- [1]
				273946, -- [2]
				{
					12600, -- [1]
					3600, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					96276, -- [1]
				}, -- [4]
			}, -- [11]
			{
				96269, -- [1]
				49028, -- [2]
				{
					12000, -- [1]
					3600, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					96260, -- [1]
				}, -- [4]
			}, -- [12]
			{
				96271, -- [1]
				206940, -- [2]
				{
					10800, -- [1]
					5400, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					96259, -- [1]
					96262, -- [2]
				}, -- [4]
			}, -- [13]
			{
				96270, -- [1]
				219809, -- [2]
				{
					10800, -- [1]
					5400, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					96259, -- [1]
					96262, -- [2]
				}, -- [4]
			}, -- [14]
			{
				96272, -- [1]
				317133, -- [2]
				{
					11400, -- [1]
					3000, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					96269, -- [1]
					96302, -- [2]
				}, -- [4]
			}, -- [15]
			{
				96273, -- [1]
				194662, -- [2]
				{
					13200, -- [1]
					4200, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					96166, -- [1]
					96171, -- [2]
					96309, -- [3]
				}, -- [4]
			}, -- [16]
			{
				96274, -- [1]
				221699, -- [2]
				{
					10800, -- [1]
					4800, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					96271, -- [1]
				}, -- [4]
			}, -- [17]
			{
				96276, -- [1]
				206931, -- [2]
				{
					12600, -- [1]
					4200, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					96171, -- [1]
				}, -- [4]
			}, -- [18]
			{
				96275, -- [1]
				274156, -- [2]
				{
					12600, -- [1]
					4200, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					96171, -- [1]
				}, -- [4]
			}, -- [19]
			{
				96277, -- [1]
				219786, -- [2]
				{
					10800, -- [1]
					3000, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					96302, -- [1]
					96266, -- [2]
					96278, -- [3]
				}, -- [4]
			}, -- [20]
			{
				96278, -- [1]
				194679, -- [2]
				{
					10200, -- [1]
					3600, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					96301, -- [1]
				}, -- [4]
			}, -- [21]
			{
				96279, -- [1]
				195292, -- [2]
				{
					13200, -- [1]
					3000, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					96255, -- [1]
					96280, -- [2]
					96268, -- [3]
				}, -- [4]
			}, -- [22]
			{
				96280, -- [1]
				317610, -- [2]
				{
					13800, -- [1]
					3600, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					96273, -- [1]
				}, -- [4]
			}, -- [23]
			{
				96300, -- [1]
				374737, -- [2]
				{
					11400, -- [1]
					4800, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					96267, -- [1]
					96271, -- [2]
				}, -- [4]
			}, -- [24]
			{
				96301, -- [1]
				377629, -- [2]
				{
					10800, -- [1]
					4200, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					96300, -- [1]
					96274, -- [2]
					96167, -- [3]
				}, -- [4]
			}, -- [25]
			{
				96302, -- [1]
				206974, -- [2]
				{
					11400, -- [1]
					3600, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					96170, -- [1]
				}, -- [4]
			}, -- [26]
			{
				96303, -- [1]
				195182, -- [2]
				{
					11400, -- [1]
					1800, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					96308, -- [1]
				}, -- [4]
			}, -- [27]
			{
				96304, -- [1]
				206930, -- [2]
				{
					12000, -- [1]
					1200, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					96303, -- [1]
					96305, -- [2]
				}, -- [4]
			}, -- [28]
			{
				96305, -- [1]
				50842, -- [2]
				{
					12600, -- [1]
					1800, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					96306, -- [1]
				}, -- [4]
			}, -- [29]
			{
				96306, -- [1]
				81136, -- [2]
				{
					12600, -- [1]
					2400, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					96257, -- [1]
					96279, -- [2]
				}, -- [4]
			}, -- [30]
			{
				96307, -- [1]
				391395, -- [2]
				{
					12600, -- [1]
					6000, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					96256, -- [1]
				}, -- [4]
			}, -- [31]
			{
				96308, -- [1]
				55233, -- [2]
				{
					11400, -- [1]
					2400, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					96272, -- [1]
					96277, -- [2]
				}, -- [4]
			}, -- [32]
			{
				96309, -- [1]
				195679, -- [2]
				{
					13200, -- [1]
					4800, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					96169, -- [1]
				}, -- [4]
			}, -- [33]
			{
				96166, -- [1]
				391477, -- [2]
				{
					13800, -- [1]
					4800, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					96169, -- [1]
				}, -- [4]
			}, -- [34]
			{
				96167, -- [1]
				391386, -- [2]
				{
					10200, -- [1]
					4800, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					96271, -- [1]
				}, -- [4]
			}, -- [35]
			{
				96168, -- [1]
				391517, -- [2]
				{
					13200, -- [1]
					6600, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [36]
			{
				96169, -- [1]
				391458, -- [2]
				{
					13200, -- [1]
					5400, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					96307, -- [1]
					96263, -- [2]
				}, -- [4]
			}, -- [37]
			{
				96170, -- [1]
				374715, -- [2]
				{
					11400, -- [1]
					4200, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					96300, -- [1]
				}, -- [4]
			}, -- [38]
			{
				96171, -- [1]
				273953, -- [2]
				{
					12600, -- [1]
					4800, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					96267, -- [1]
					96169, -- [2]
				}, -- [4]
			}, -- [39]
			{
				96172, -- [1]
				207167, -- [2]
				{
					1800, -- [1]
					2400, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					96213, -- [1]
				}, -- [4]
			}, -- [40]
			{
				96173, -- [1]
				378848, -- [2]
				{
					2400, -- [1]
					2400, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					96213, -- [1]
				}, -- [4]
			}, -- [41]
			{
				96174, -- [1]
				205727, -- [2]
				{
					4200, -- [1]
					2400, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					96197, -- [1]
				}, -- [4]
			}, -- [42]
			{
				96175, -- [1]
				373926, -- [2]
				{
					2400, -- [1]
					3600, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					96215, -- [1]
				}, -- [4]
			}, -- [43]
			{
				96176, -- [1]
				374383, -- [2]
				{
					4200, -- [1]
					4200, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					96207, -- [1]
				}, -- [4]
			}, -- [44]
			{
				96177, -- [1]
				383269, -- [2]
				{
					4200, -- [1]
					6600, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [45]
			{
				96178, -- [1]
				47568, -- [2]
				{
					3000, -- [1]
					6600, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [46]
			{
				96179, -- [1]
				194878, -- [2]
				{
					3000, -- [1]
					6000, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					96178, -- [1]
				}, -- [4]
			}, -- [47]
			{
				96180, -- [1]
				391571, -- [2]
				{
					3000, -- [1]
					4200, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					96216, -- [1]
				}, -- [4]
			}, -- [48]
			{
				96181, -- [1]
				343294, -- [2]
				{
					5400, -- [1]
					6600, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [49]
			{
				96182, -- [1]
				206967, -- [2]
				{
					4800, -- [1]
					5400, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					96183, -- [1]
					96209, -- [2]
				}, -- [4]
			}, -- [50]
			{
				96183, -- [1]
				374261, -- [2]
				{
					5400, -- [1]
					6000, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					96181, -- [1]
				}, -- [4]
			}, -- [51]
			{
				96184, -- [1]
				356367, -- [2]
				{
					6000, -- [1]
					5400, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					96183, -- [1]
				}, -- [4]
			}, -- [52]
			{
				96186, -- [1]
				276079, -- [2]
				{
					5400, -- [1]
					4200, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					96187, -- [1]
				}, -- [4]
			}, -- [53]
			{
				96185, -- [1]
				273952, -- [2]
				{
					5400, -- [1]
					4200, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					96187, -- [1]
				}, -- [4]
			}, -- [54]
			{
				96187, -- [1]
				374265, -- [2]
				{
					5400, -- [1]
					4800, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					96184, -- [1]
					96182, -- [2]
				}, -- [4]
			}, -- [55]
			{
				96188, -- [1]
				111673, -- [2]
				{
					6000, -- [1]
					2400, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					96190, -- [1]
				}, -- [4]
			}, -- [56]
			{
				96189, -- [1]
				392566, -- [2]
				{
					6600, -- [1]
					2400, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					96190, -- [1]
				}, -- [4]
			}, -- [57]
			{
				96190, -- [1]
				374504, -- [2]
				{
					6000, -- [1]
					3000, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					96191, -- [1]
					96205, -- [2]
				}, -- [4]
			}, -- [58]
			{
				96191, -- [1]
				389679, -- [2]
				{
					6000, -- [1]
					3600, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					96192, -- [1]
				}, -- [4]
			}, -- [59]
			{
				96192, -- [1]
				389682, -- [2]
				{
					6000, -- [1]
					4200, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					96187, -- [1]
				}, -- [4]
			}, -- [60]
			{
				96193, -- [1]
				221562, -- [2]
				{
					3600, -- [1]
					4200, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					96207, -- [1]
				}, -- [4]
			}, -- [61]
			{
				96194, -- [1]
				51052, -- [2]
				{
					4200, -- [1]
					3600, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					96193, -- [1]
					96176, -- [2]
					96206, -- [3]
				}, -- [4]
			}, -- [62]
			{
				96195, -- [1]
				374030, -- [2]
				{
					3600, -- [1]
					3000, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					96194, -- [1]
					96214, -- [2]
				}, -- [4]
			}, -- [63]
			{
				96196, -- [1]
				374277, -- [2]
				{
					3600, -- [1]
					2400, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					96197, -- [1]
					96195, -- [2]
				}, -- [4]
			}, -- [64]
			{
				96197, -- [1]
				48263, -- [2]
				{
					4200, -- [1]
					3000, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					96194, -- [1]
				}, -- [4]
			}, -- [65]
			{
				96198, -- [1]
				391546, -- [2]
				{
					4800, -- [1]
					2400, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					96197, -- [1]
					96204, -- [2]
				}, -- [4]
			}, -- [66]
			{
				96199, -- [1]
				48707, -- [2]
				{
					4200, -- [1]
					1800, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					96196, -- [1]
					96174, -- [2]
					96198, -- [3]
				}, -- [4]
			}, -- [67]
			{
				96200, -- [1]
				49998, -- [2]
				{
					4200, -- [1]
					1200, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					96199, -- [1]
				}, -- [4]
			}, -- [68]
			{
				96201, -- [1]
				46585, -- [2]
				{
					6000, -- [1]
					1200, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					96202, -- [1]
				}, -- [4]
			}, -- [69]
			{
				96202, -- [1]
				316916, -- [2]
				{
					6000, -- [1]
					1800, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					96203, -- [1]
					96189, -- [2]
					96188, -- [3]
				}, -- [4]
			}, -- [70]
			{
				96203, -- [1]
				327574, -- [2]
				{
					5400, -- [1]
					2400, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					96204, -- [1]
					96190, -- [2]
				}, -- [4]
			}, -- [71]
			{
				96204, -- [1]
				374049, -- [2]
				{
					4800, -- [1]
					3000, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					96194, -- [1]
					96205, -- [2]
				}, -- [4]
			}, -- [72]
			{
				96205, -- [1]
				374111, -- [2]
				{
					5400, -- [1]
					3600, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					96186, -- [1]
					96206, -- [2]
					96192, -- [3]
				}, -- [4]
			}, -- [73]
			{
				96206, -- [1]
				48743, -- [2]
				{
					4800, -- [1]
					4200, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					96207, -- [1]
				}, -- [4]
			}, -- [74]
			{
				96207, -- [1]
				212552, -- [2]
				{
					4200, -- [1]
					4800, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					96182, -- [1]
					96208, -- [2]
				}, -- [4]
			}, -- [75]
			{
				96208, -- [1]
				374598, -- [2]
				{
					3600, -- [1]
					5400, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					96179, -- [1]
					96209, -- [2]
				}, -- [4]
			}, -- [76]
			{
				96209, -- [1]
				374574, -- [2]
				{
					4200, -- [1]
					6000, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					96177, -- [1]
				}, -- [4]
			}, -- [77]
			{
				96210, -- [1]
				45524, -- [2]
				{
					2400, -- [1]
					1200, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					96211, -- [1]
				}, -- [4]
			}, -- [78]
			{
				96211, -- [1]
				47528, -- [2]
				{
					2400, -- [1]
					1800, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					96212, -- [1]
					96172, -- [2]
					96173, -- [3]
				}, -- [4]
			}, -- [79]
			{
				96212, -- [1]
				207200, -- [2]
				{
					3000, -- [1]
					2400, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					96213, -- [1]
					96195, -- [2]
				}, -- [4]
			}, -- [80]
			{
				96213, -- [1]
				48792, -- [2]
				{
					2400, -- [1]
					3000, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					96214, -- [1]
					96175, -- [2]
				}, -- [4]
			}, -- [81]
			{
				96214, -- [1]
				373923, -- [2]
				{
					3000, -- [1]
					3600, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					96193, -- [1]
					96215, -- [2]
					96180, -- [3]
				}, -- [4]
			}, -- [82]
			{
				96215, -- [1]
				373930, -- [2]
				{
					2400, -- [1]
					4200, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					96216, -- [1]
				}, -- [4]
			}, -- [83]
			{
				96216, -- [1]
				207104, -- [2]
				{
					3000, -- [1]
					4800, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					96208, -- [1]
					96217, -- [2]
				}, -- [4]
			}, -- [84]
			{
				96217, -- [1]
				391566, -- [2]
				{
					2400, -- [1]
					5400, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					96179, -- [1]
				}, -- [4]
			}, -- [85]
			{
				96255, -- [1]
				374747, -- [2]
				{
					13200, -- [1]
					3600, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					96276, -- [1]
					96273, -- [2]
				}, -- [4]
			}, -- [86]
			{
				96257, -- [1]
				374717, -- [2]
				{
					12600, -- [1]
					3000, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					96268, -- [1]
					96269, -- [2]
				}, -- [4]
			}, -- [87]
			{
				96256, -- [1]
				391398, -- [2]
				{
					12600, -- [1]
					6600, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [88]
		},
		[251] = {
			{
				96161, -- [1]
				392950, -- [2]
				{
					13200, -- [1]
					5400, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					96238, -- [1]
				}, -- [4]
			}, -- [1]
			{
				96162, -- [1]
				207126, -- [2]
				{
					12000, -- [1]
					4800, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					96235, -- [1]
					96231, -- [2]
				}, -- [4]
			}, -- [2]
			{
				96163, -- [1]
				281208, -- [2]
				{
					10200, -- [1]
					4200, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					96252, -- [1]
				}, -- [4]
			}, -- [3]
			{
				96164, -- [1]
				377056, -- [2]
				{
					13800, -- [1]
					4200, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					96239, -- [1]
				}, -- [4]
			}, -- [4]
			{
				96165, -- [1]
				253593, -- [2]
				{
					10800, -- [1]
					4800, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					96231, -- [1]
					96253, -- [2]
				}, -- [4]
			}, -- [5]
			{
				96172, -- [1]
				207167, -- [2]
				{
					1800, -- [1]
					2400, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					96213, -- [1]
				}, -- [4]
			}, -- [6]
			{
				96173, -- [1]
				378848, -- [2]
				{
					2400, -- [1]
					2400, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					96213, -- [1]
				}, -- [4]
			}, -- [7]
			{
				96174, -- [1]
				205727, -- [2]
				{
					4200, -- [1]
					2400, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					96197, -- [1]
				}, -- [4]
			}, -- [8]
			{
				96175, -- [1]
				373926, -- [2]
				{
					2400, -- [1]
					3600, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					96215, -- [1]
				}, -- [4]
			}, -- [9]
			{
				96176, -- [1]
				374383, -- [2]
				{
					4200, -- [1]
					4200, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					96207, -- [1]
				}, -- [4]
			}, -- [10]
			{
				96177, -- [1]
				383269, -- [2]
				{
					4200, -- [1]
					6600, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [11]
			{
				96178, -- [1]
				47568, -- [2]
				{
					3000, -- [1]
					6600, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [12]
			{
				96179, -- [1]
				194878, -- [2]
				{
					3000, -- [1]
					6000, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					96178, -- [1]
				}, -- [4]
			}, -- [13]
			{
				96180, -- [1]
				391571, -- [2]
				{
					3000, -- [1]
					4200, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					96216, -- [1]
				}, -- [4]
			}, -- [14]
			{
				96181, -- [1]
				343294, -- [2]
				{
					5400, -- [1]
					6600, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [15]
			{
				96182, -- [1]
				206967, -- [2]
				{
					4800, -- [1]
					5400, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					96183, -- [1]
					96209, -- [2]
				}, -- [4]
			}, -- [16]
			{
				96183, -- [1]
				374261, -- [2]
				{
					5400, -- [1]
					6000, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					96181, -- [1]
				}, -- [4]
			}, -- [17]
			{
				96184, -- [1]
				356367, -- [2]
				{
					6000, -- [1]
					5400, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					96183, -- [1]
				}, -- [4]
			}, -- [18]
			{
				96186, -- [1]
				276079, -- [2]
				{
					5400, -- [1]
					4200, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					96187, -- [1]
				}, -- [4]
			}, -- [19]
			{
				96185, -- [1]
				273952, -- [2]
				{
					5400, -- [1]
					4200, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					96187, -- [1]
				}, -- [4]
			}, -- [20]
			{
				96187, -- [1]
				374265, -- [2]
				{
					5400, -- [1]
					4800, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					96184, -- [1]
					96182, -- [2]
				}, -- [4]
			}, -- [21]
			{
				96188, -- [1]
				111673, -- [2]
				{
					6000, -- [1]
					2400, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					96190, -- [1]
				}, -- [4]
			}, -- [22]
			{
				96189, -- [1]
				392566, -- [2]
				{
					6600, -- [1]
					2400, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					96190, -- [1]
				}, -- [4]
			}, -- [23]
			{
				96190, -- [1]
				374504, -- [2]
				{
					6000, -- [1]
					3000, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					96191, -- [1]
					96205, -- [2]
				}, -- [4]
			}, -- [24]
			{
				96191, -- [1]
				389679, -- [2]
				{
					6000, -- [1]
					3600, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					96192, -- [1]
				}, -- [4]
			}, -- [25]
			{
				96192, -- [1]
				389682, -- [2]
				{
					6000, -- [1]
					4200, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					96187, -- [1]
				}, -- [4]
			}, -- [26]
			{
				96193, -- [1]
				221562, -- [2]
				{
					3600, -- [1]
					4200, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					96207, -- [1]
				}, -- [4]
			}, -- [27]
			{
				96194, -- [1]
				51052, -- [2]
				{
					4200, -- [1]
					3600, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					96193, -- [1]
					96176, -- [2]
					96206, -- [3]
				}, -- [4]
			}, -- [28]
			{
				96195, -- [1]
				374030, -- [2]
				{
					3600, -- [1]
					3000, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					96194, -- [1]
					96214, -- [2]
				}, -- [4]
			}, -- [29]
			{
				96196, -- [1]
				374277, -- [2]
				{
					3600, -- [1]
					2400, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					96197, -- [1]
					96195, -- [2]
				}, -- [4]
			}, -- [30]
			{
				96197, -- [1]
				48263, -- [2]
				{
					4200, -- [1]
					3000, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					96194, -- [1]
				}, -- [4]
			}, -- [31]
			{
				96198, -- [1]
				391546, -- [2]
				{
					4800, -- [1]
					2400, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					96197, -- [1]
					96204, -- [2]
				}, -- [4]
			}, -- [32]
			{
				96199, -- [1]
				48707, -- [2]
				{
					4200, -- [1]
					1800, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					96196, -- [1]
					96174, -- [2]
					96198, -- [3]
				}, -- [4]
			}, -- [33]
			{
				96200, -- [1]
				49998, -- [2]
				{
					4200, -- [1]
					1200, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					96199, -- [1]
				}, -- [4]
			}, -- [34]
			{
				96201, -- [1]
				46585, -- [2]
				{
					6000, -- [1]
					1200, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					96202, -- [1]
				}, -- [4]
			}, -- [35]
			{
				96202, -- [1]
				316916, -- [2]
				{
					6000, -- [1]
					1800, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					96203, -- [1]
					96189, -- [2]
					96188, -- [3]
				}, -- [4]
			}, -- [36]
			{
				96203, -- [1]
				327574, -- [2]
				{
					5400, -- [1]
					2400, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					96204, -- [1]
					96190, -- [2]
				}, -- [4]
			}, -- [37]
			{
				96204, -- [1]
				374049, -- [2]
				{
					4800, -- [1]
					3000, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					96194, -- [1]
					96205, -- [2]
				}, -- [4]
			}, -- [38]
			{
				96205, -- [1]
				374111, -- [2]
				{
					5400, -- [1]
					3600, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					96186, -- [1]
					96206, -- [2]
					96192, -- [3]
				}, -- [4]
			}, -- [39]
			{
				96206, -- [1]
				48743, -- [2]
				{
					4800, -- [1]
					4200, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					96207, -- [1]
				}, -- [4]
			}, -- [40]
			{
				96207, -- [1]
				212552, -- [2]
				{
					4200, -- [1]
					4800, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					96182, -- [1]
					96208, -- [2]
				}, -- [4]
			}, -- [41]
			{
				96208, -- [1]
				374598, -- [2]
				{
					3600, -- [1]
					5400, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					96179, -- [1]
					96209, -- [2]
				}, -- [4]
			}, -- [42]
			{
				96209, -- [1]
				374574, -- [2]
				{
					4200, -- [1]
					6000, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					96177, -- [1]
				}, -- [4]
			}, -- [43]
			{
				96210, -- [1]
				45524, -- [2]
				{
					2400, -- [1]
					1200, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					96211, -- [1]
				}, -- [4]
			}, -- [44]
			{
				96211, -- [1]
				47528, -- [2]
				{
					2400, -- [1]
					1800, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					96212, -- [1]
					96172, -- [2]
					96173, -- [3]
				}, -- [4]
			}, -- [45]
			{
				96212, -- [1]
				207200, -- [2]
				{
					3000, -- [1]
					2400, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					96213, -- [1]
					96195, -- [2]
				}, -- [4]
			}, -- [46]
			{
				96213, -- [1]
				48792, -- [2]
				{
					2400, -- [1]
					3000, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					96214, -- [1]
					96175, -- [2]
				}, -- [4]
			}, -- [47]
			{
				96214, -- [1]
				373923, -- [2]
				{
					3000, -- [1]
					3600, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					96193, -- [1]
					96215, -- [2]
					96180, -- [3]
				}, -- [4]
			}, -- [48]
			{
				96215, -- [1]
				373930, -- [2]
				{
					2400, -- [1]
					4200, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					96216, -- [1]
				}, -- [4]
			}, -- [49]
			{
				96216, -- [1]
				207104, -- [2]
				{
					3000, -- [1]
					4800, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					96208, -- [1]
					96217, -- [2]
				}, -- [4]
			}, -- [50]
			{
				96217, -- [1]
				391566, -- [2]
				{
					2400, -- [1]
					5400, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					96179, -- [1]
				}, -- [4]
			}, -- [51]
			{
				96218, -- [1]
				317214, -- [2]
				{
					10800, -- [1]
					4200, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					96252, -- [1]
					96165, -- [2]
				}, -- [4]
			}, -- [52]
			{
				96219, -- [1]
				81333, -- [2]
				{
					10200, -- [1]
					5400, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [53]
			{
				96220, -- [1]
				281238, -- [2]
				{
					10800, -- [1]
					6600, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [54]
			{
				96221, -- [1]
				194913, -- [2]
				{
					11100, -- [1]
					3600, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [55]
			{
				96222, -- [1]
				152279, -- [2]
				{
					13200, -- [1]
					6600, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [56]
			{
				96223, -- [1]
				377047, -- [2]
				{
					12000, -- [1]
					6600, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [57]
			{
				96224, -- [1]
				279302, -- [2]
				{
					12000, -- [1]
					6000, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					96223, -- [1]
				}, -- [4]
			}, -- [58]
			{
				96225, -- [1]
				207230, -- [2]
				{
					12900, -- [1]
					3600, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [59]
			{
				96227, -- [1]
				377351, -- [2]
				{
					14400, -- [1]
					4800, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [60]
			{
				96226, -- [1]
				377376, -- [2]
				{
					14400, -- [1]
					4800, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [61]
			{
				96228, -- [1]
				305392, -- [2]
				{
					14400, -- [1]
					4200, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					96239, -- [1]
					96227, -- [2]
				}, -- [4]
			}, -- [62]
			{
				96229, -- [1]
				47568, -- [2]
				{
					13200, -- [1]
					4800, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					96161, -- [1]
					96235, -- [2]
				}, -- [4]
			}, -- [63]
			{
				96230, -- [1]
				377190, -- [2]
				{
					11400, -- [1]
					4200, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					96165, -- [1]
					96162, -- [2]
				}, -- [4]
			}, -- [64]
			{
				96231, -- [1]
				207057, -- [2]
				{
					11400, -- [1]
					5400, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					96224, -- [1]
				}, -- [4]
			}, -- [65]
			{
				96232, -- [1]
				376251, -- [2]
				{
					12600, -- [1]
					3000, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					96234, -- [1]
					96225, -- [2]
				}, -- [4]
			}, -- [66]
			{
				96233, -- [1]
				316803, -- [2]
				{
					11400, -- [1]
					3000, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					96234, -- [1]
					96221, -- [2]
				}, -- [4]
			}, -- [67]
			{
				96234, -- [1]
				51271, -- [2]
				{
					12000, -- [1]
					3600, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					96230, -- [1]
					96236, -- [2]
				}, -- [4]
			}, -- [68]
			{
				96235, -- [1]
				207142, -- [2]
				{
					12600, -- [1]
					5400, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					96224, -- [1]
				}, -- [4]
			}, -- [69]
			{
				96236, -- [1]
				377226, -- [2]
				{
					12600, -- [1]
					4200, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					96162, -- [1]
					96229, -- [2]
				}, -- [4]
			}, -- [70]
			{
				96237, -- [1]
				376938, -- [2]
				{
					13800, -- [1]
					5400, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [71]
			{
				96238, -- [1]
				377092, -- [2]
				{
					13200, -- [1]
					6000, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					96222, -- [1]
				}, -- [4]
			}, -- [72]
			{
				96239, -- [1]
				194912, -- [2]
				{
					13800, -- [1]
					4800, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					96161, -- [1]
					96237, -- [2]
				}, -- [4]
			}, -- [73]
			{
				96240, -- [1]
				57330, -- [2]
				{
					13200, -- [1]
					4200, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					96229, -- [1]
					96239, -- [2]
				}, -- [4]
			}, -- [74]
			{
				96241, -- [1]
				316838, -- [2]
				{
					13800, -- [1]
					3600, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					96228, -- [1]
					96240, -- [2]
					96164, -- [3]
				}, -- [4]
			}, -- [75]
			{
				96242, -- [1]
				196770, -- [2]
				{
					13200, -- [1]
					3000, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					96241, -- [1]
					96225, -- [2]
				}, -- [4]
			}, -- [76]
			{
				96243, -- [1]
				59057, -- [2]
				{
					12600, -- [1]
					2400, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					96242, -- [1]
					96232, -- [2]
				}, -- [4]
			}, -- [77]
			{
				96244, -- [1]
				49184, -- [2]
				{
					12600, -- [1]
					1800, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					96243, -- [1]
				}, -- [4]
			}, -- [78]
			{
				96245, -- [1]
				49143, -- [2]
				{
					12000, -- [1]
					1200, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					96244, -- [1]
					96246, -- [2]
				}, -- [4]
			}, -- [79]
			{
				96246, -- [1]
				49020, -- [2]
				{
					11400, -- [1]
					1800, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					96247, -- [1]
				}, -- [4]
			}, -- [80]
			{
				96247, -- [1]
				51128, -- [2]
				{
					11400, -- [1]
					2400, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					96248, -- [1]
					96233, -- [2]
				}, -- [4]
			}, -- [81]
			{
				96248, -- [1]
				376905, -- [2]
				{
					10800, -- [1]
					3000, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					96249, -- [1]
					96221, -- [2]
				}, -- [4]
			}, -- [82]
			{
				96249, -- [1]
				317198, -- [2]
				{
					10200, -- [1]
					3600, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					96163, -- [1]
					96218, -- [2]
					96251, -- [3]
				}, -- [4]
			}, -- [83]
			{
				96251, -- [1]
				377073, -- [2]
				{
					9600, -- [1]
					4200, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					96252, -- [1]
				}, -- [4]
			}, -- [84]
			{
				96250, -- [1]
				377076, -- [2]
				{
					9600, -- [1]
					4200, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					96252, -- [1]
				}, -- [4]
			}, -- [85]
			{
				96252, -- [1]
				207061, -- [2]
				{
					10200, -- [1]
					4800, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					96253, -- [1]
					96219, -- [2]
				}, -- [4]
			}, -- [86]
			{
				96253, -- [1]
				377098, -- [2]
				{
					10799, -- [1]
					5400, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					96254, -- [1]
				}, -- [4]
			}, -- [87]
			{
				96254, -- [1]
				377083, -- [2]
				{
					10800, -- [1]
					6000, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					96220, -- [1]
				}, -- [4]
			}, -- [88]
		},
		[64] = {
			{
				80239, -- [1]
				235219, -- [2]
				{
					11699, -- [1]
					3300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					80233, -- [1]
					80238, -- [2]
				}, -- [4]
			}, -- [1]
			{
				80240, -- [1]
				190356, -- [2]
				{
					11699, -- [1]
					2100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					80239, -- [1]
				}, -- [4]
			}, -- [2]
			{
				80241, -- [1]
				30455, -- [2]
				{
					11700, -- [1]
					1500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					80227, -- [1]
					80242, -- [2]
					80240, -- [3]
				}, -- [4]
			}, -- [3]
			{
				80242, -- [1]
				84714, -- [2]
				{
					11099, -- [1]
					2100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					80243, -- [1]
				}, -- [4]
			}, -- [4]
			{
				80243, -- [1]
				44614, -- [2]
				{
					11097, -- [1]
					2697, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					102429, -- [1]
					80244, -- [2]
				}, -- [4]
			}, -- [5]
			{
				80244, -- [1]
				190447, -- [2]
				{
					10500, -- [1]
					3300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					80247, -- [1]
				}, -- [4]
			}, -- [6]
			{
				80246, -- [1]
				205030, -- [2]
				{
					10500, -- [1]
					4500, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					80222, -- [1]
				}, -- [4]
			}, -- [7]
			{
				80245, -- [1]
				257537, -- [2]
				{
					10500, -- [1]
					4500, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					80222, -- [1]
				}, -- [4]
			}, -- [8]
			{
				80247, -- [1]
				378198, -- [2]
				{
					10500, -- [1]
					3900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					80246, -- [1]
					80248, -- [2]
				}, -- [4]
			}, -- [9]
			{
				80248, -- [1]
				378947, -- [2]
				{
					9900, -- [1]
					4500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					80249, -- [1]
				}, -- [4]
			}, -- [10]
			{
				80249, -- [1]
				153595, -- [2]
				{
					9900, -- [1]
					5700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					80250, -- [1]
				}, -- [4]
			}, -- [11]
			{
				80250, -- [1]
				378448, -- [2]
				{
					10500, -- [1]
					6299, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					80251, -- [1]
				}, -- [4]
			}, -- [12]
			{
				80251, -- [1]
				382110, -- [2]
				{
					10499, -- [1]
					6899, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [13]
			{
				102429, -- [1]
				385167, -- [2]
				{
					11100, -- [1]
					3300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					80247, -- [1]
				}, -- [4]
			}, -- [14]
			{
				102428, -- [1]
				378756, -- [2]
				{
					12300, -- [1]
					3300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					80230, -- [1]
				}, -- [4]
			}, -- [15]
			{
				80140, -- [1]
				30449, -- [2]
				{
					2694, -- [1]
					2700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					80183, -- [1]
				}, -- [4]
			}, -- [16]
			{
				80141, -- [1]
				382440, -- [2]
				{
					2095, -- [1]
					6900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [17]
			{
				80142, -- [1]
				205036, -- [2]
				{
					2095, -- [1]
					6298, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					80143, -- [1]
					80141, -- [2]
				}, -- [4]
			}, -- [18]
			{
				80143, -- [1]
				386763, -- [2]
				{
					2700, -- [1]
					6900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [19]
			{
				80144, -- [1]
				113724, -- [2]
				{
					2700, -- [1]
					4500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					80166, -- [1]
					80168, -- [2]
				}, -- [4]
			}, -- [20]
			{
				80145, -- [1]
				389627, -- [2]
				{
					5090, -- [1]
					5094, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					80156, -- [1]
				}, -- [4]
			}, -- [21]
			{
				80146, -- [1]
				153561, -- [2]
				{
					5700, -- [1]
					6899, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [22]
			{
				80147, -- [1]
				31661, -- [2]
				{
					5700, -- [1]
					6299, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					80146, -- [1]
					80148, -- [2]
				}, -- [4]
			}, -- [23]
			{
				80148, -- [1]
				389713, -- [2]
				{
					5092, -- [1]
					6899, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [24]
			{
				80149, -- [1]
				382800, -- [2]
				{
					4490, -- [1]
					6297, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					80148, -- [1]
				}, -- [4]
			}, -- [25]
			{
				80151, -- [1]
				383243, -- [2]
				{
					3895, -- [1]
					6900, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [26]
			{
				80150, -- [1]
				386539, -- [2]
				{
					3895, -- [1]
					6900, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [27]
			{
				80152, -- [1]
				110959, -- [2]
				{
					3895, -- [1]
					6298, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					80151, -- [1]
				}, -- [4]
			}, -- [28]
			{
				80153, -- [1]
				382268, -- [2]
				{
					3895, -- [1]
					5699, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					80189, -- [1]
					80149, -- [2]
					80152, -- [3]
				}, -- [4]
			}, -- [29]
			{
				80154, -- [1]
				31589, -- [2]
				{
					4500, -- [1]
					3900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					80160, -- [1]
					80163, -- [2]
					80167, -- [3]
				}, -- [4]
			}, -- [30]
			{
				80155, -- [1]
				382490, -- [2]
				{
					4499, -- [1]
					5098, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					80153, -- [1]
					80156, -- [2]
				}, -- [4]
			}, -- [31]
			{
				80156, -- [1]
				382826, -- [2]
				{
					5092, -- [1]
					5697, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					80149, -- [1]
					80147, -- [2]
				}, -- [4]
			}, -- [32]
			{
				80157, -- [1]
				386828, -- [2]
				{
					5700, -- [1]
					5099, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					80156, -- [1]
				}, -- [4]
			}, -- [33]
			{
				80158, -- [1]
				382270, -- [2]
				{
					5699, -- [1]
					3902, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					80160, -- [1]
					80157, -- [2]
				}, -- [4]
			}, -- [34]
			{
				80159, -- [1]
				342249, -- [2]
				{
					5089, -- [1]
					3902, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					80160, -- [1]
				}, -- [4]
			}, -- [35]
			{
				80160, -- [1]
				157981, -- [2]
				{
					5099, -- [1]
					4501, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					80145, -- [1]
					80157, -- [2]
					80155, -- [3]
				}, -- [4]
			}, -- [36]
			{
				80161, -- [1]
				382297, -- [2]
				{
					3300, -- [1]
					3900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					80186, -- [1]
					80144, -- [2]
					80163, -- [3]
				}, -- [4]
			}, -- [37]
			{
				80163, -- [1]
				212653, -- [2]
				{
					3895, -- [1]
					4500, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					80187, -- [1]
					80155, -- [2]
				}, -- [4]
			}, -- [38]
			{
				80162, -- [1]
				108839, -- [2]
				{
					3895, -- [1]
					4500, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					80187, -- [1]
					80155, -- [2]
				}, -- [4]
			}, -- [39]
			{
				80164, -- [1]
				383121, -- [2]
				{
					3898, -- [1]
					3902, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					80163, -- [1]
				}, -- [4]
			}, -- [40]
			{
				80165, -- [1]
				382292, -- [2]
				{
					2094, -- [1]
					3902, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					80166, -- [1]
					80144, -- [2]
				}, -- [4]
			}, -- [41]
			{
				80166, -- [1]
				343183, -- [2]
				{
					2091, -- [1]
					5095, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					80188, -- [1]
				}, -- [4]
			}, -- [42]
			{
				80167, -- [1]
				391102, -- [2]
				{
					4500, -- [1]
					4500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					80155, -- [1]
				}, -- [4]
			}, -- [43]
			{
				80168, -- [1]
				382481, -- [2]
				{
					2700, -- [1]
					5100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					80188, -- [1]
				}, -- [4]
			}, -- [44]
			{
				80169, -- [1]
				382289, -- [2]
				{
					3292, -- [1]
					2700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					80172, -- [1]
					80183, -- [2]
				}, -- [4]
			}, -- [45]
			{
				80170, -- [1]
				382293, -- [2]
				{
					4496, -- [1]
					2700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					80174, -- [1]
					80172, -- [2]
				}, -- [4]
			}, -- [46]
			{
				80172, -- [1]
				1463, -- [2]
				{
					3899, -- [1]
					3300, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					80164, -- [1]
					80154, -- [2]
					80161, -- [3]
				}, -- [4]
			}, -- [47]
			{
				80171, -- [1]
				116011, -- [2]
				{
					3899, -- [1]
					3300, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					80164, -- [1]
					80154, -- [2]
					80161, -- [3]
				}, -- [4]
			}, -- [48]
			{
				80173, -- [1]
				383092, -- [2]
				{
					5699, -- [1]
					2701, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					80174, -- [1]
				}, -- [4]
			}, -- [49]
			{
				80174, -- [1]
				342245, -- [2]
				{
					5094, -- [1]
					3298, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					80158, -- [1]
					80154, -- [2]
					80159, -- [3]
				}, -- [4]
			}, -- [50]
			{
				80175, -- [1]
				475, -- [2]
				{
					5094, -- [1]
					2700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					80174, -- [1]
				}, -- [4]
			}, -- [51]
			{
				80176, -- [1]
				11426, -- [2]
				{
					3900, -- [1]
					1500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					80177, -- [1]
					80179, -- [2]
					80181, -- [3]
				}, -- [4]
			}, -- [52]
			{
				80177, -- [1]
				66, -- [2]
				{
					5094, -- [1]
					2100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					80173, -- [1]
					80170, -- [2]
					80175, -- [3]
				}, -- [4]
			}, -- [53]
			{
				80179, -- [1]
				390218, -- [2]
				{
					3900, -- [1]
					2100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					80172, -- [1]
				}, -- [4]
			}, -- [54]
			{
				80181, -- [1]
				45438, -- [2]
				{
					2703, -- [1]
					2101, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					80140, -- [1]
					80169, -- [2]
					80182, -- [3]
				}, -- [4]
			}, -- [55]
			{
				80182, -- [1]
				382424, -- [2]
				{
					2092, -- [1]
					2700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					80183, -- [1]
				}, -- [4]
			}, -- [56]
			{
				80183, -- [1]
				55342, -- [2]
				{
					2699, -- [1]
					3297, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					80161, -- [1]
					80185, -- [2]
					80165, -- [3]
				}, -- [4]
			}, -- [57]
			{
				80185, -- [1]
				382569, -- [2]
				{
					2703, -- [1]
					3902, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					80144, -- [1]
				}, -- [4]
			}, -- [58]
			{
				80184, -- [1]
				382820, -- [2]
				{
					2703, -- [1]
					3902, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					80144, -- [1]
				}, -- [4]
			}, -- [59]
			{
				80186, -- [1]
				157997, -- [2]
				{
					3300, -- [1]
					4500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					80187, -- [1]
					80168, -- [2]
				}, -- [4]
			}, -- [60]
			{
				80187, -- [1]
				382493, -- [2]
				{
					3295, -- [1]
					5097, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					80188, -- [1]
					80153, -- [2]
				}, -- [4]
			}, -- [61]
			{
				80188, -- [1]
				235224, -- [2]
				{
					2700, -- [1]
					5697, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					80189, -- [1]
					80142, -- [2]
				}, -- [4]
			}, -- [62]
			{
				80189, -- [1]
				387807, -- [2]
				{
					3290, -- [1]
					6298, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					80143, -- [1]
				}, -- [4]
			}, -- [63]
			{
				80212, -- [1]
				270233, -- [2]
				{
					11100, -- [1]
					5700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					80250, -- [1]
				}, -- [4]
			}, -- [64]
			{
				80214, -- [1]
				382103, -- [2]
				{
					11100, -- [1]
					6899, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [65]
			{
				80215, -- [1]
				378901, -- [2]
				{
					11100, -- [1]
					6299, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					80214, -- [1]
				}, -- [4]
			}, -- [66]
			{
				80216, -- [1]
				382144, -- [2]
				{
					11700, -- [1]
					6300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [67]
			{
				80217, -- [1]
				378433, -- [2]
				{
					11700, -- [1]
					5699, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					80216, -- [1]
					80215, -- [2]
					80218, -- [3]
				}, -- [4]
			}, -- [68]
			{
				80218, -- [1]
				278309, -- [2]
				{
					12299, -- [1]
					6300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					80219, -- [1]
				}, -- [4]
			}, -- [69]
			{
				80219, -- [1]
				155149, -- [2]
				{
					12299, -- [1]
					6899, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [70]
			{
				80220, -- [1]
				199786, -- [2]
				{
					12899, -- [1]
					6899, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [71]
			{
				80221, -- [1]
				381244, -- [2]
				{
					12900, -- [1]
					6300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					80220, -- [1]
				}, -- [4]
			}, -- [72]
			{
				80222, -- [1]
				378749, -- [2]
				{
					10500, -- [1]
					5100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					80249, -- [1]
					80212, -- [2]
				}, -- [4]
			}, -- [73]
			{
				80223, -- [1]
				380154, -- [2]
				{
					13499, -- [1]
					4500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					80224, -- [1]
				}, -- [4]
			}, -- [74]
			{
				80224, -- [1]
				56377, -- [2]
				{
					13499, -- [1]
					5700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					80221, -- [1]
				}, -- [4]
			}, -- [75]
			{
				80225, -- [1]
				379049, -- [2]
				{
					12899, -- [1]
					5097, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					80226, -- [1]
					80224, -- [2]
				}, -- [4]
			}, -- [76]
			{
				80226, -- [1]
				205021, -- [2]
				{
					12299, -- [1]
					5700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					80221, -- [1]
				}, -- [4]
			}, -- [77]
			{
				80227, -- [1]
				112965, -- [2]
				{
					12299, -- [1]
					2100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					80228, -- [1]
				}, -- [4]
			}, -- [78]
			{
				80228, -- [1]
				12982, -- [2]
				{
					12299, -- [1]
					2697, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					80229, -- [1]
					102428, -- [2]
				}, -- [4]
			}, -- [79]
			{
				80229, -- [1]
				378919, -- [2]
				{
					12899, -- [1]
					3300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					80230, -- [1]
				}, -- [4]
			}, -- [80]
			{
				80230, -- [1]
				205027, -- [2]
				{
					12900, -- [1]
					3900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					80231, -- [1]
					80223, -- [2]
				}, -- [4]
			}, -- [81]
			{
				80231, -- [1]
				379993, -- [2]
				{
					12899, -- [1]
					4500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					80225, -- [1]
				}, -- [4]
			}, -- [82]
			{
				80233, -- [1]
				236662, -- [2]
				{
					12299, -- [1]
					3900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					80231, -- [1]
					80234, -- [2]
				}, -- [4]
			}, -- [83]
			{
				80234, -- [1]
				381706, -- [2]
				{
					12299, -- [1]
					4500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					80235, -- [1]
				}, -- [4]
			}, -- [84]
			{
				80235, -- [1]
				12472, -- [2]
				{
					11700, -- [1]
					5097, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					80226, -- [1]
					80217, -- [2]
					80212, -- [3]
				}, -- [4]
			}, -- [85]
			{
				80236, -- [1]
				378406, -- [2]
				{
					11099, -- [1]
					4500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					80235, -- [1]
				}, -- [4]
			}, -- [86]
			{
				80238, -- [1]
				205024, -- [2]
				{
					11099, -- [1]
					3900, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					80246, -- [1]
					80236, -- [2]
				}, -- [4]
			}, -- [87]
			{
				80237, -- [1]
				31687, -- [2]
				{
					11099, -- [1]
					3900, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					80246, -- [1]
					80236, -- [2]
				}, -- [4]
			}, -- [88]
		},
		[1468] = {
			{
				87675, -- [1]
				371032, -- [2]
				{
					2700, -- [1]
					6900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [1]
			{
				87676, -- [1]
				374968, -- [2]
				{
					3900, -- [1]
					6900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [2]
			{
				87677, -- [1]
				387787, -- [2]
				{
					3900, -- [1]
					5700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					87686, -- [1]
				}, -- [4]
			}, -- [3]
			{
				87678, -- [1]
				375561, -- [2]
				{
					5100, -- [1]
					5700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					87682, -- [1]
				}, -- [4]
			}, -- [4]
			{
				87679, -- [1]
				374348, -- [2]
				{
					5700, -- [1]
					5700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					87681, -- [1]
				}, -- [4]
			}, -- [5]
			{
				87681, -- [1]
				375574, -- [2]
				{
					5700, -- [1]
					6300, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					87682, -- [1]
				}, -- [4]
			}, -- [6]
			{
				87680, -- [1]
				375577, -- [2]
				{
					5700, -- [1]
					6300, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					87682, -- [1]
				}, -- [4]
			}, -- [7]
			{
				87682, -- [1]
				374227, -- [2]
				{
					5100, -- [1]
					6900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [8]
			{
				87683, -- [1]
				370888, -- [2]
				{
					4500, -- [1]
					6300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					87682, -- [1]
				}, -- [4]
			}, -- [9]
			{
				87684, -- [1]
				387341, -- [2]
				{
					4500, -- [1]
					5100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					87685, -- [1]
				}, -- [4]
			}, -- [10]
			{
				87685, -- [1]
				370665, -- [2]
				{
					4500, -- [1]
					5700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					87686, -- [1]
					87683, -- [2]
				}, -- [4]
			}, -- [11]
			{
				87686, -- [1]
				365933, -- [2]
				{
					3900, -- [1]
					6300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					87676, -- [1]
				}, -- [4]
			}, -- [12]
			{
				87687, -- [1]
				374346, -- [2]
				{
					3300, -- [1]
					6300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [13]
			{
				87688, -- [1]
				369909, -- [2]
				{
					2700, -- [1]
					5700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					87689, -- [1]
				}, -- [4]
			}, -- [14]
			{
				87689, -- [1]
				369939, -- [2]
				{
					2700, -- [1]
					6300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					87675, -- [1]
				}, -- [4]
			}, -- [15]
			{
				87690, -- [1]
				368432, -- [2]
				{
					2100, -- [1]
					5700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					87689, -- [1]
				}, -- [4]
			}, -- [16]
			{
				87691, -- [1]
				375507, -- [2]
				{
					2100, -- [1]
					3900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [17]
			{
				87692, -- [1]
				351338, -- [2]
				{
					2700, -- [1]
					3300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					87691, -- [1]
					87693, -- [2]
				}, -- [4]
			}, -- [18]
			{
				87694, -- [1]
				375510, -- [2]
				{
					2700, -- [1]
					5100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					87695, -- [1]
					87690, -- [2]
					87688, -- [3]
				}, -- [4]
			}, -- [19]
			{
				87695, -- [1]
				372048, -- [2]
				{
					3300, -- [1]
					5700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					87686, -- [1]
					87689, -- [2]
					87687, -- [3]
				}, -- [4]
			}, -- [20]
			{
				87696, -- [1]
				369459, -- [2]
				{
					3900, -- [1]
					5100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					87677, -- [1]
					87695, -- [2]
					87685, -- [3]
				}, -- [4]
			}, -- [21]
			{
				87697, -- [1]
				375544, -- [2]
				{
					3900, -- [1]
					4500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					87696, -- [1]
				}, -- [4]
			}, -- [22]
			{
				87698, -- [1]
				369990, -- [2]
				{
					5699, -- [1]
					4500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [23]
			{
				87699, -- [1]
				376930, -- [2]
				{
					5100, -- [1]
					3900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					87588, -- [1]
					87698, -- [2]
				}, -- [4]
			}, -- [24]
			{
				87700, -- [1]
				374251, -- [2]
				{
					5100, -- [1]
					3300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					87699, -- [1]
					87587, -- [2]
				}, -- [4]
			}, -- [25]
			{
				87701, -- [1]
				375406, -- [2]
				{
					3900, -- [1]
					2700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [26]
			{
				87702, -- [1]
				363916, -- [2]
				{
					3900, -- [1]
					1500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					87703, -- [1]
				}, -- [4]
			}, -- [27]
			{
				87703, -- [1]
				370897, -- [2]
				{
					3900, -- [1]
					2100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					87710, -- [1]
					87704, -- [2]
					87701, -- [3]
				}, -- [4]
			}, -- [28]
			{
				87704, -- [1]
				375554, -- [2]
				{
					4500, -- [1]
					2700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					87586, -- [1]
					87705, -- [2]
					87700, -- [3]
				}, -- [4]
			}, -- [29]
			{
				87705, -- [1]
				375556, -- [2]
				{
					4500, -- [1]
					3300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					87706, -- [1]
				}, -- [4]
			}, -- [30]
			{
				87706, -- [1]
				375517, -- [2]
				{
					4500, -- [1]
					4500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					87684, -- [1]
					87707, -- [2]
				}, -- [4]
			}, -- [31]
			{
				87707, -- [1]
				387761, -- [2]
				{
					5100, -- [1]
					5100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					87685, -- [1]
					87678, -- [2]
					87679, -- [3]
				}, -- [4]
			}, -- [32]
			{
				87708, -- [1]
				358385, -- [2]
				{
					2700, -- [1]
					1500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					87709, -- [1]
				}, -- [4]
			}, -- [33]
			{
				87709, -- [1]
				369913, -- [2]
				{
					2700, -- [1]
					2100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					87692, -- [1]
					87584, -- [2]
					87710, -- [3]
				}, -- [4]
			}, -- [34]
			{
				87710, -- [1]
				375520, -- [2]
				{
					3300, -- [1]
					2700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					87586, -- [1]
					87711, -- [2]
					87692, -- [3]
				}, -- [4]
			}, -- [35]
			{
				87711, -- [1]
				371806, -- [2]
				{
					3300, -- [1]
					3300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					87712, -- [1]
				}, -- [4]
			}, -- [36]
			{
				87712, -- [1]
				376166, -- [2]
				{
					3300, -- [1]
					4500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					87589, -- [1]
					87694, -- [2]
				}, -- [4]
			}, -- [37]
			{
				87713, -- [1]
				370553, -- [2]
				{
					3900, -- [1]
					3900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					87712, -- [1]
					87697, -- [2]
					87706, -- [3]
				}, -- [4]
			}, -- [38]
			{
				87714, -- [1]
				372469, -- [2]
				{
					5700, -- [1]
					2700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [39]
			{
				87715, -- [1]
				360995, -- [2]
				{
					5100, -- [1]
					2100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					87704, -- [1]
					87714, -- [2]
					87700, -- [3]
				}, -- [4]
			}, -- [40]
			{
				87716, -- [1]
				365585, -- [2]
				{
					5100, -- [1]
					1500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					87715, -- [1]
				}, -- [4]
			}, -- [41]
			{
				87693, -- [1]
				376164, -- [2]
				{
					2700, -- [1]
					3900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					87694, -- [1]
				}, -- [4]
			}, -- [42]
			{
				87584, -- [1]
				375528, -- [2]
				{
					2100, -- [1]
					2700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [43]
			{
				87586, -- [1]
				368838, -- [2]
				{
					3900, -- [1]
					3300, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [44]
			{
				87585, -- [1]
				375443, -- [2]
				{
					3900, -- [1]
					3300, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [45]
			{
				87587, -- [1]
				360806, -- [2]
				{
					5700, -- [1]
					3900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [46]
			{
				87588, -- [1]
				370886, -- [2]
				{
					5100, -- [1]
					4500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					87707, -- [1]
				}, -- [4]
			}, -- [47]
			{
				87589, -- [1]
				375542, -- [2]
				{
					3300, -- [1]
					5100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					87695, -- [1]
				}, -- [4]
			}, -- [48]
			{
				87593, -- [1]
				377082, -- [2]
				{
					9900, -- [1]
					4500, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					87634, -- [1]
				}, -- [4]
			}, -- [49]
			{
				87592, -- [1]
				377086, -- [2]
				{
					9900, -- [1]
					4500, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					87634, -- [1]
				}, -- [4]
			}, -- [50]
			{
				87594, -- [1]
				370960, -- [2]
				{
					9900, -- [1]
					3900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					87595, -- [1]
					87593, -- [2]
				}, -- [4]
			}, -- [51]
			{
				87595, -- [1]
				377100, -- [2]
				{
					10500, -- [1]
					4500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [52]
			{
				87596, -- [1]
				375783, -- [2]
				{
					11700, -- [1]
					5700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					87621, -- [1]
				}, -- [4]
			}, -- [53]
			{
				87597, -- [1]
				359816, -- [2]
				{
					10500, -- [1]
					6900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [54]
			{
				87598, -- [1]
				369908, -- [2]
				{
					10500, -- [1]
					5700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					87599, -- [1]
				}, -- [4]
			}, -- [55]
			{
				87599, -- [1]
				371257, -- [2]
				{
					10500, -- [1]
					6300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					87597, -- [1]
				}, -- [4]
			}, -- [56]
			{
				87600, -- [1]
				381921, -- [2]
				{
					11100, -- [1]
					5700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					87599, -- [1]
					87621, -- [2]
				}, -- [4]
			}, -- [57]
			{
				87602, -- [1]
				376207, -- [2]
				{
					12900, -- [1]
					3900, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [58]
			{
				87601, -- [1]
				376204, -- [2]
				{
					12900, -- [1]
					3900, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [59]
			{
				87603, -- [1]
				370537, -- [2]
				{
					12900, -- [1]
					6900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [60]
			{
				87604, -- [1]
				368412, -- [2]
				{
					13499, -- [1]
					5700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					87605, -- [1]
				}, -- [4]
			}, -- [61]
			{
				87605, -- [1]
				376240, -- [2]
				{
					12900, -- [1]
					6300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					87603, -- [1]
				}, -- [4]
			}, -- [62]
			{
				87606, -- [1]
				372233, -- [2]
				{
					12900, -- [1]
					5700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					87605, -- [1]
				}, -- [4]
			}, -- [63]
			{
				87607, -- [1]
				371270, -- [2]
				{
					12900, -- [1]
					5100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					87604, -- [1]
					87606, -- [2]
					87620, -- [3]
				}, -- [4]
			}, -- [64]
			{
				87609, -- [1]
				376236, -- [2]
				{
					13500, -- [1]
					4500, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					87607, -- [1]
				}, -- [4]
			}, -- [65]
			{
				87608, -- [1]
				376237, -- [2]
				{
					13500, -- [1]
					4500, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					87607, -- [1]
				}, -- [4]
			}, -- [66]
			{
				87610, -- [1]
				385696, -- [2]
				{
					12900, -- [1]
					4500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [67]
			{
				87611, -- [1]
				373861, -- [2]
				{
					13500, -- [1]
					3900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					87610, -- [1]
					87609, -- [2]
				}, -- [4]
			}, -- [68]
			{
				87612, -- [1]
				363534, -- [2]
				{
					12900, -- [1]
					2700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					87613, -- [1]
				}, -- [4]
			}, -- [69]
			{
				87613, -- [1]
				357170, -- [2]
				{
					12900, -- [1]
					3300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					87614, -- [1]
					87611, -- [2]
					87602, -- [3]
				}, -- [4]
			}, -- [70]
			{
				87614, -- [1]
				378196, -- [2]
				{
					12300, -- [1]
					3900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					87610, -- [1]
					87615, -- [2]
				}, -- [4]
			}, -- [71]
			{
				87615, -- [1]
				372527, -- [2]
				{
					12299, -- [1]
					4500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					87607, -- [1]
					87618, -- [2]
				}, -- [4]
			}, -- [72]
			{
				87616, -- [1]
				371426, -- [2]
				{
					11700, -- [1]
					3900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					87617, -- [1]
				}, -- [4]
			}, -- [73]
			{
				87617, -- [1]
				376179, -- [2]
				{
					11700, -- [1]
					4500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					87618, -- [1]
				}, -- [4]
			}, -- [74]
			{
				87618, -- [1]
				373834, -- [2]
				{
					11700, -- [1]
					5100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					87596, -- [1]
					87600, -- [2]
					87620, -- [3]
				}, -- [4]
			}, -- [75]
			{
				87620, -- [1]
				376210, -- [2]
				{
					12300, -- [1]
					5700, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					87605, -- [1]
					87621, -- [2]
				}, -- [4]
			}, -- [76]
			{
				87619, -- [1]
				381922, -- [2]
				{
					12300, -- [1]
					5700, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					87605, -- [1]
					87621, -- [2]
				}, -- [4]
			}, -- [77]
			{
				87621, -- [1]
				376239, -- [2]
				{
					11700, -- [1]
					6300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					87622, -- [1]
				}, -- [4]
			}, -- [78]
			{
				87622, -- [1]
				371832, -- [2]
				{
					11700, -- [1]
					6900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [79]
			{
				87624, -- [1]
				376138, -- [2]
				{
					10500, -- [1]
					3900, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [80]
			{
				87623, -- [1]
				376150, -- [2]
				{
					10500, -- [1]
					3900, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [81]
			{
				87625, -- [1]
				367226, -- [2]
				{
					10500, -- [1]
					3300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					87624, -- [1]
					87594, -- [2]
					87632, -- [3]
				}, -- [4]
			}, -- [82]
			{
				87626, -- [1]
				362874, -- [2]
				{
					10500, -- [1]
					2700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					87625, -- [1]
				}, -- [4]
			}, -- [83]
			{
				87627, -- [1]
				355936, -- [2]
				{
					11100, -- [1]
					2100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					87626, -- [1]
					87630, -- [2]
				}, -- [4]
			}, -- [84]
			{
				87628, -- [1]
				364343, -- [2]
				{
					11700, -- [1]
					1500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					87627, -- [1]
					87629, -- [2]
				}, -- [4]
			}, -- [85]
			{
				87629, -- [1]
				366155, -- [2]
				{
					12300, -- [1]
					2100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					87630, -- [1]
					87612, -- [2]
				}, -- [4]
			}, -- [86]
			{
				87630, -- [1]
				369297, -- [2]
				{
					11700, -- [1]
					2700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					87631, -- [1]
				}, -- [4]
			}, -- [87]
			{
				87631, -- [1]
				375722, -- [2]
				{
					11700, -- [1]
					3300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					87614, -- [1]
					87616, -- [2]
					87632, -- [3]
				}, -- [4]
			}, -- [88]
			{
				87632, -- [1]
				359793, -- [2]
				{
					11100, -- [1]
					3900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					87633, -- [1]
					87595, -- [2]
				}, -- [4]
			}, -- [89]
			{
				87633, -- [1]
				370062, -- [2]
				{
					11100, -- [1]
					4500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					87618, -- [1]
					87634, -- [2]
				}, -- [4]
			}, -- [90]
			{
				87634, -- [1]
				373270, -- [2]
				{
					10500, -- [1]
					5100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					87635, -- [1]
					87600, -- [2]
					87598, -- [3]
				}, -- [4]
			}, -- [91]
			{
				87635, -- [1]
				377099, -- [2]
				{
					9900, -- [1]
					5700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					87599, -- [1]
				}, -- [4]
			}, -- [92]
		},
		[253] = {
			{
				100638, -- [1]
				270581, -- [2]
				{
					5400, -- [1]
					2700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					100523, -- [1]
					100646, -- [2]
				}, -- [4]
			}, -- [1]
			{
				100637, -- [1]
				34477, -- [2]
				{
					4200, -- [1]
					3300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					100636, -- [1]
					100636, -- [2]
				}, -- [4]
			}, -- [2]
			{
				100636, -- [1]
				343247, -- [2]
				{
					4200, -- [1]
					3899, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					100651, -- [1]
				}, -- [4]
			}, -- [3]
			{
				100635, -- [1]
				378004, -- [2]
				{
					4200, -- [1]
					5700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					100514, -- [1]
					100513, -- [2]
					100629, -- [3]
				}, -- [4]
			}, -- [4]
			{
				100634, -- [1]
				109215, -- [2]
				{
					4800, -- [1]
					2100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					100624, -- [1]
					100638, -- [2]
				}, -- [4]
			}, -- [5]
			{
				100633, -- [1]
				321468, -- [2]
				{
					3600, -- [1]
					5100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					100639, -- [1]
					100635, -- [2]
				}, -- [4]
			}, -- [6]
			{
				100632, -- [1]
				343244, -- [2]
				{
					2998, -- [1]
					4498, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					100639, -- [1]
				}, -- [4]
			}, -- [7]
			{
				100631, -- [1]
				378002, -- [2]
				{
					4800, -- [1]
					5100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					100625, -- [1]
					100635, -- [2]
				}, -- [4]
			}, -- [8]
			{
				100630, -- [1]
				2643, -- [2]
				{
					12000, -- [1]
					2100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					100670, -- [1]
				}, -- [4]
			}, -- [9]
			{
				100629, -- [1]
				201430, -- [2]
				{
					4200, -- [1]
					6900, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [10]
			{
				100628, -- [1]
				375891, -- [2]
				{
					4200, -- [1]
					6900, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [11]
			{
				100626, -- [1]
				212431, -- [2]
				{
					4800, -- [1]
					6900, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [12]
			{
				100526, -- [1]
				120360, -- [2]
				{
					4800, -- [1]
					6900, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [13]
			{
				100672, -- [1]
				321014, -- [2]
				{
					11400, -- [1]
					2100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					100658, -- [1]
				}, -- [4]
			}, -- [14]
			{
				100673, -- [1]
				120679, -- [2]
				{
					10800, -- [1]
					4500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					100665, -- [1]
					100656, -- [2]
				}, -- [4]
			}, -- [15]
			{
				100674, -- [1]
				199528, -- [2]
				{
					12600, -- [1]
					5700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					100682, -- [1]
					100515, -- [2]
				}, -- [4]
			}, -- [16]
			{
				100676, -- [1]
				199532, -- [2]
				{
					12000, -- [1]
					6900, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [17]
			{
				100675, -- [1]
				392053, -- [2]
				{
					12000, -- [1]
					6900, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [18]
			{
				100677, -- [1]
				389654, -- [2]
				{
					13800, -- [1]
					5700, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					100682, -- [1]
				}, -- [4]
			}, -- [19]
			{
				100516, -- [1]
				389660, -- [2]
				{
					13800, -- [1]
					5700, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					100682, -- [1]
				}, -- [4]
			}, -- [20]
			{
				100678, -- [1]
				378244, -- [2]
				{
					13800, -- [1]
					3900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					100666, -- [1]
				}, -- [4]
			}, -- [21]
			{
				100679, -- [1]
				257944, -- [2]
				{
					11400, -- [1]
					3910, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					100656, -- [1]
					100673, -- [2]
					100669, -- [3]
				}, -- [4]
			}, -- [22]
			{
				100680, -- [1]
				193532, -- [2]
				{
					12000, -- [1]
					5700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					100652, -- [1]
					100676, -- [2]
					100515, -- [3]
				}, -- [4]
			}, -- [23]
			{
				100681, -- [1]
				185789, -- [2]
				{
					12600, -- [1]
					5100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					100674, -- [1]
				}, -- [4]
			}, -- [24]
			{
				100682, -- [1]
				359844, -- [2]
				{
					13200, -- [1]
					6300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					100660, -- [1]
				}, -- [4]
			}, -- [25]
			{
				100683, -- [1]
				217200, -- [2]
				{
					12600, -- [1]
					2100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					100662, -- [1]
					100671, -- [2]
				}, -- [4]
			}, -- [26]
			{
				100625, -- [1]
				260309, -- [2]
				{
					5400, -- [1]
					5700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					100514, -- [1]
					100615, -- [2]
				}, -- [4]
			}, -- [27]
			{
				100692, -- [1]
				393344, -- [2]
				{
					3600, -- [1]
					3899, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					100651, -- [1]
					100621, -- [2]
				}, -- [4]
			}, -- [28]
			{
				100614, -- [1]
				273887, -- [2]
				{
					2400, -- [1]
					6900, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [29]
			{
				100613, -- [1]
				269737, -- [2]
				{
					2400, -- [1]
					6900, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [30]
			{
				100615, -- [1]
				271788, -- [2]
				{
					6000, -- [1]
					6300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					100623, -- [1]
				}, -- [4]
			}, -- [31]
			{
				100616, -- [1]
				5116, -- [2]
				{
					4200, -- [1]
					1500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					100644, -- [1]
					100634, -- [2]
				}, -- [4]
			}, -- [32]
			{
				100617, -- [1]
				19801, -- [2]
				{
					3000, -- [1]
					3899, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					100621, -- [1]
					100632, -- [2]
					100640, -- [3]
				}, -- [4]
			}, -- [33]
			{
				100618, -- [1]
				162488, -- [2]
				{
					3600, -- [1]
					6900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [34]
			{
				100619, -- [1]
				385539, -- [2]
				{
					4800, -- [1]
					4500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					100631, -- [1]
				}, -- [4]
			}, -- [35]
			{
				100621, -- [1]
				19577, -- [2]
				{
					3600, -- [1]
					4499, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					100633, -- [1]
				}, -- [4]
			}, -- [36]
			{
				100620, -- [1]
				236776, -- [2]
				{
					3600, -- [1]
					4499, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					100633, -- [1]
				}, -- [4]
			}, -- [37]
			{
				100623, -- [1]
				378014, -- [2]
				{
					6000, -- [1]
					6900, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [38]
			{
				100622, -- [1]
				260241, -- [2]
				{
					6000, -- [1]
					6900, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [39]
			{
				100624, -- [1]
				147362, -- [2]
				{
					4200, -- [1]
					2700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					100523, -- [1]
					100641, -- [2]
					100637, -- [3]
				}, -- [4]
			}, -- [40]
			{
				100643, -- [1]
				343248, -- [2]
				{
					5400, -- [1]
					2100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					100638, -- [1]
				}, -- [4]
			}, -- [41]
			{
				100644, -- [1]
				199921, -- [2]
				{
					3600, -- [1]
					2099, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					100649, -- [1]
					100624, -- [2]
				}, -- [4]
			}, -- [42]
			{
				100645, -- [1]
				378010, -- [2]
				{
					2400, -- [1]
					6300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					100614, -- [1]
				}, -- [4]
			}, -- [43]
			{
				100646, -- [1]
				266921, -- [2]
				{
					5400, -- [1]
					3899, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					100520, -- [1]
					100647, -- [2]
				}, -- [4]
			}, -- [44]
			{
				100647, -- [1]
				199483, -- [2]
				{
					5400, -- [1]
					4500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					100631, -- [1]
					100625, -- [2]
				}, -- [4]
			}, -- [45]
			{
				100648, -- [1]
				34026, -- [2]
				{
					3000, -- [1]
					1499, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					100649, -- [1]
					100644, -- [2]
				}, -- [4]
			}, -- [46]
			{
				100649, -- [1]
				343242, -- [2]
				{
					3000, -- [1]
					2700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					100641, -- [1]
					100617, -- [2]
				}, -- [4]
			}, -- [47]
			{
				100651, -- [1]
				213691, -- [2]
				{
					4200, -- [1]
					4499, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					100536, -- [1]
					100633, -- [2]
					100631, -- [3]
				}, -- [4]
			}, -- [48]
			{
				100650, -- [1]
				109248, -- [2]
				{
					4200, -- [1]
					4499, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					100536, -- [1]
					100633, -- [2]
					100631, -- [3]
				}, -- [4]
			}, -- [49]
			{
				100652, -- [1]
				392060, -- [2]
				{
					11400, -- [1]
					6300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [50]
			{
				100653, -- [1]
				378740, -- [2]
				{
					12600, -- [1]
					3310, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					100657, -- [1]
				}, -- [4]
			}, -- [51]
			{
				100654, -- [1]
				378745, -- [2]
				{
					10800, -- [1]
					6900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [52]
			{
				100655, -- [1]
				378750, -- [2]
				{
					10200, -- [1]
					3899, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					100673, -- [1]
					100665, -- [2]
				}, -- [4]
			}, -- [53]
			{
				100656, -- [1]
				199530, -- [2]
				{
					11400, -- [1]
					5100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					100667, -- [1]
					100652, -- [2]
				}, -- [4]
			}, -- [54]
			{
				100657, -- [1]
				131894, -- [2]
				{
					13200, -- [1]
					3899, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					100666, -- [1]
				}, -- [4]
			}, -- [55]
			{
				100525, -- [1]
				321530, -- [2]
				{
					13200, -- [1]
					3899, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					100666, -- [1]
				}, -- [4]
			}, -- [56]
			{
				100658, -- [1]
				191384, -- [2]
				{
					11400, -- [1]
					2700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					100679, -- [1]
					100661, -- [2]
				}, -- [4]
			}, -- [57]
			{
				100659, -- [1]
				378205, -- [2]
				{
					13800, -- [1]
					3300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					100657, -- [1]
					100678, -- [2]
				}, -- [4]
			}, -- [58]
			{
				100660, -- [1]
				378442, -- [2]
				{
					13200, -- [1]
					6900, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [59]
			{
				100612, -- [1]
				378739, -- [2]
				{
					13200, -- [1]
					6900, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [60]
			{
				100661, -- [1]
				267116, -- [2]
				{
					10790, -- [1]
					3310, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					100679, -- [1]
					100655, -- [2]
				}, -- [4]
			}, -- [61]
			{
				100662, -- [1]
				378209, -- [2]
				{
					13200, -- [1]
					2710, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					100659, -- [1]
					100653, -- [2]
				}, -- [4]
			}, -- [62]
			{
				100663, -- [1]
				193455, -- [2]
				{
					12000, -- [1]
					1500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					100672, -- [1]
					100630, -- [2]
					100683, -- [3]
				}, -- [4]
			}, -- [63]
			{
				100664, -- [1]
				193530, -- [2]
				{
					13795, -- [1]
					5096, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					100677, -- [1]
				}, -- [4]
			}, -- [64]
			{
				100665, -- [1]
				378210, -- [2]
				{
					10200, -- [1]
					5100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					100667, -- [1]
				}, -- [4]
			}, -- [65]
			{
				100666, -- [1]
				393933, -- [2]
				{
					13199, -- [1]
					4500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					100664, -- [1]
					100681, -- [2]
				}, -- [4]
			}, -- [66]
			{
				100667, -- [1]
				378743, -- [2]
				{
					10800, -- [1]
					5700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					100652, -- [1]
					100527, -- [2]
				}, -- [4]
			}, -- [67]
			{
				100668, -- [1]
				378207, -- [2]
				{
					12600, -- [1]
					3910, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					100669, -- [1]
					100666, -- [2]
				}, -- [4]
			}, -- [68]
			{
				100669, -- [1]
				19574, -- [2]
				{
					12000, -- [1]
					4500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					100656, -- [1]
					100524, -- [2]
					100681, -- [3]
				}, -- [4]
			}, -- [69]
			{
				100670, -- [1]
				115939, -- [2]
				{
					12000, -- [1]
					3310, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					100669, -- [1]
					100668, -- [2]
					100679, -- [3]
				}, -- [4]
			}, -- [70]
			{
				100671, -- [1]
				56315, -- [2]
				{
					12600, -- [1]
					2710, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					100653, -- [1]
				}, -- [4]
			}, -- [71]
			{
				100513, -- [1]
				389882, -- [2]
				{
					3600, -- [1]
					6300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					100618, -- [1]
				}, -- [4]
			}, -- [72]
			{
				100514, -- [1]
				390231, -- [2]
				{
					4800, -- [1]
					6300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					100626, -- [1]
				}, -- [4]
			}, -- [73]
			{
				100515, -- [1]
				386870, -- [2]
				{
					12600, -- [1]
					6300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [74]
			{
				100519, -- [1]
				388056, -- [2]
				{
					6000, -- [1]
					5100, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					100625, -- [1]
				}, -- [4]
			}, -- [75]
			{
				100518, -- [1]
				388057, -- [2]
				{
					6000, -- [1]
					5100, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					100625, -- [1]
				}, -- [4]
			}, -- [76]
			{
				100520, -- [1]
				388045, -- [2]
				{
					6000, -- [1]
					4500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					100519, -- [1]
				}, -- [4]
			}, -- [77]
			{
				100522, -- [1]
				388039, -- [2]
				{
					4800, -- [1]
					3899, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					100647, -- [1]
					100651, -- [2]
					100619, -- [3]
				}, -- [4]
			}, -- [78]
			{
				100521, -- [1]
				388042, -- [2]
				{
					4800, -- [1]
					3899, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					100647, -- [1]
					100651, -- [2]
					100619, -- [3]
				}, -- [4]
			}, -- [79]
			{
				100523, -- [1]
				264735, -- [2]
				{
					4800, -- [1]
					3300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					100646, -- [1]
					100522, -- [2]
					100636, -- [3]
				}, -- [4]
			}, -- [80]
			{
				100527, -- [1]
				385810, -- [2]
				{
					10800, -- [1]
					6300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					100654, -- [1]
				}, -- [4]
			}, -- [81]
			{
				100639, -- [1]
				378007, -- [2]
				{
					3000, -- [1]
					5700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					100645, -- [1]
					100513, -- [2]
				}, -- [4]
			}, -- [82]
			{
				100640, -- [1]
				1513, -- [2]
				{
					2400, -- [1]
					4500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [83]
			{
				100641, -- [1]
				187698, -- [2]
				{
					3600, -- [1]
					3298, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					100692, -- [1]
					100636, -- [2]
					100617, -- [3]
				}, -- [4]
			}, -- [84]
			{
				100524, -- [1]
				231548, -- [2]
				{
					12000, -- [1]
					5100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					100680, -- [1]
				}, -- [4]
			}, -- [85]
			{
				100536, -- [1]
				384799, -- [2]
				{
					4200, -- [1]
					5100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					100635, -- [1]
				}, -- [4]
			}, -- [86]
			{
				100539, -- [1]
				53351, -- [2]
				{
					5400, -- [1]
					1499, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					100643, -- [1]
					100634, -- [2]
				}, -- [4]
			}, -- [87]
		},
		[254] = {
			{
				100638, -- [1]
				270581, -- [2]
				{
					5400, -- [1]
					2700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					100523, -- [1]
					100646, -- [2]
				}, -- [4]
			}, -- [1]
			{
				100637, -- [1]
				34477, -- [2]
				{
					4200, -- [1]
					3300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					100636, -- [1]
					100636, -- [2]
				}, -- [4]
			}, -- [2]
			{
				100636, -- [1]
				343247, -- [2]
				{
					4200, -- [1]
					3899, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					100651, -- [1]
				}, -- [4]
			}, -- [3]
			{
				100635, -- [1]
				378004, -- [2]
				{
					4200, -- [1]
					5700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					100514, -- [1]
					100513, -- [2]
					100629, -- [3]
				}, -- [4]
			}, -- [4]
			{
				100634, -- [1]
				109215, -- [2]
				{
					4800, -- [1]
					2100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					100638, -- [1]
					100540, -- [2]
				}, -- [4]
			}, -- [5]
			{
				100633, -- [1]
				321468, -- [2]
				{
					3600, -- [1]
					5100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					100639, -- [1]
					100635, -- [2]
				}, -- [4]
			}, -- [6]
			{
				100632, -- [1]
				343244, -- [2]
				{
					2998, -- [1]
					4498, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					100639, -- [1]
				}, -- [4]
			}, -- [7]
			{
				100631, -- [1]
				378002, -- [2]
				{
					4800, -- [1]
					5100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					100625, -- [1]
					100635, -- [2]
				}, -- [4]
			}, -- [8]
			{
				100629, -- [1]
				201430, -- [2]
				{
					4200, -- [1]
					6900, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [9]
			{
				100628, -- [1]
				375891, -- [2]
				{
					4200, -- [1]
					6900, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [10]
			{
				100627, -- [1]
				342049, -- [2]
				{
					13200, -- [1]
					2700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					100584, -- [1]
					100601, -- [2]
				}, -- [4]
			}, -- [11]
			{
				100626, -- [1]
				212431, -- [2]
				{
					4800, -- [1]
					6900, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [12]
			{
				100526, -- [1]
				120360, -- [2]
				{
					4800, -- [1]
					6900, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [13]
			{
				100625, -- [1]
				260309, -- [2]
				{
					5400, -- [1]
					5700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					100514, -- [1]
					100615, -- [2]
				}, -- [4]
			}, -- [14]
			{
				100692, -- [1]
				393344, -- [2]
				{
					3600, -- [1]
					3899, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					100651, -- [1]
					100621, -- [2]
				}, -- [4]
			}, -- [15]
			{
				100611, -- [1]
				378910, -- [2]
				{
					10800, -- [1]
					5700, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					100534, -- [1]
					100592, -- [2]
					100517, -- [3]
				}, -- [4]
			}, -- [16]
			{
				100610, -- [1]
				378913, -- [2]
				{
					10800, -- [1]
					5700, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					100534, -- [1]
					100592, -- [2]
					100517, -- [3]
				}, -- [4]
			}, -- [17]
			{
				100614, -- [1]
				273887, -- [2]
				{
					2400, -- [1]
					6900, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [18]
			{
				100613, -- [1]
				269737, -- [2]
				{
					2400, -- [1]
					6900, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [19]
			{
				100615, -- [1]
				271788, -- [2]
				{
					6000, -- [1]
					6300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					100623, -- [1]
				}, -- [4]
			}, -- [20]
			{
				100616, -- [1]
				5116, -- [2]
				{
					4200, -- [1]
					1500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					100644, -- [1]
					100634, -- [2]
				}, -- [4]
			}, -- [21]
			{
				100617, -- [1]
				19801, -- [2]
				{
					3000, -- [1]
					3899, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					100621, -- [1]
					100632, -- [2]
					100640, -- [3]
				}, -- [4]
			}, -- [22]
			{
				100618, -- [1]
				162488, -- [2]
				{
					3600, -- [1]
					6900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [23]
			{
				100619, -- [1]
				385539, -- [2]
				{
					4800, -- [1]
					4500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					100631, -- [1]
				}, -- [4]
			}, -- [24]
			{
				100621, -- [1]
				19577, -- [2]
				{
					3600, -- [1]
					4499, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					100633, -- [1]
				}, -- [4]
			}, -- [25]
			{
				100620, -- [1]
				236776, -- [2]
				{
					3600, -- [1]
					4499, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					100633, -- [1]
				}, -- [4]
			}, -- [26]
			{
				100623, -- [1]
				378014, -- [2]
				{
					6000, -- [1]
					6900, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [27]
			{
				100622, -- [1]
				260241, -- [2]
				{
					6000, -- [1]
					6900, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [28]
			{
				100643, -- [1]
				343248, -- [2]
				{
					5400, -- [1]
					2100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					100638, -- [1]
				}, -- [4]
			}, -- [29]
			{
				100644, -- [1]
				199921, -- [2]
				{
					3600, -- [1]
					2099, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					100649, -- [1]
					100540, -- [2]
				}, -- [4]
			}, -- [30]
			{
				100645, -- [1]
				378010, -- [2]
				{
					2400, -- [1]
					6300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					100614, -- [1]
				}, -- [4]
			}, -- [31]
			{
				100646, -- [1]
				266921, -- [2]
				{
					5400, -- [1]
					3899, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					100520, -- [1]
					100647, -- [2]
				}, -- [4]
			}, -- [32]
			{
				100647, -- [1]
				199483, -- [2]
				{
					5400, -- [1]
					4500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					100631, -- [1]
					100625, -- [2]
				}, -- [4]
			}, -- [33]
			{
				100649, -- [1]
				343242, -- [2]
				{
					3000, -- [1]
					2700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					100641, -- [1]
					100617, -- [2]
				}, -- [4]
			}, -- [34]
			{
				100651, -- [1]
				213691, -- [2]
				{
					4200, -- [1]
					4499, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					100536, -- [1]
					100633, -- [2]
					100631, -- [3]
				}, -- [4]
			}, -- [35]
			{
				100650, -- [1]
				109248, -- [2]
				{
					4200, -- [1]
					4499, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					100536, -- [1]
					100633, -- [2]
					100631, -- [3]
				}, -- [4]
			}, -- [36]
			{
				100512, -- [1]
				389866, -- [2]
				{
					12600, -- [1]
					6900, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [37]
			{
				100511, -- [1]
				389865, -- [2]
				{
					12600, -- [1]
					6900, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [38]
			{
				100513, -- [1]
				389882, -- [2]
				{
					3600, -- [1]
					6300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					100618, -- [1]
				}, -- [4]
			}, -- [39]
			{
				100514, -- [1]
				390231, -- [2]
				{
					4800, -- [1]
					6300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					100626, -- [1]
				}, -- [4]
			}, -- [40]
			{
				100517, -- [1]
				389019, -- [2]
				{
					10200, -- [1]
					6300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					100534, -- [1]
				}, -- [4]
			}, -- [41]
			{
				100519, -- [1]
				388056, -- [2]
				{
					6000, -- [1]
					5100, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					100625, -- [1]
				}, -- [4]
			}, -- [42]
			{
				100518, -- [1]
				388057, -- [2]
				{
					6000, -- [1]
					5100, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					100625, -- [1]
				}, -- [4]
			}, -- [43]
			{
				100520, -- [1]
				388045, -- [2]
				{
					6000, -- [1]
					4500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					100519, -- [1]
				}, -- [4]
			}, -- [44]
			{
				100522, -- [1]
				388039, -- [2]
				{
					4800, -- [1]
					3899, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					100647, -- [1]
					100651, -- [2]
					100619, -- [3]
				}, -- [4]
			}, -- [45]
			{
				100521, -- [1]
				388042, -- [2]
				{
					4800, -- [1]
					3899, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					100647, -- [1]
					100651, -- [2]
					100619, -- [3]
				}, -- [4]
			}, -- [46]
			{
				100523, -- [1]
				264735, -- [2]
				{
					4800, -- [1]
					3300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					100646, -- [1]
					100522, -- [2]
					100636, -- [3]
				}, -- [4]
			}, -- [47]
			{
				100639, -- [1]
				378007, -- [2]
				{
					3000, -- [1]
					5700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					100645, -- [1]
					100513, -- [2]
				}, -- [4]
			}, -- [48]
			{
				100640, -- [1]
				1513, -- [2]
				{
					2400, -- [1]
					4500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [49]
			{
				100641, -- [1]
				187698, -- [2]
				{
					3600, -- [1]
					3298, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					100692, -- [1]
					100636, -- [2]
					100617, -- [3]
				}, -- [4]
			}, -- [50]
			{
				100541, -- [1]
				34026, -- [2]
				{
					3000, -- [1]
					1500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					100649, -- [1]
					100644, -- [2]
				}, -- [4]
			}, -- [51]
			{
				100544, -- [1]
				257620, -- [2]
				{
					10800, -- [1]
					4500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					100595, -- [1]
					100594, -- [2]
					100580, -- [3]
				}, -- [4]
			}, -- [52]
			{
				100534, -- [1]
				384791, -- [2]
				{
					10800, -- [1]
					6900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [53]
			{
				100535, -- [1]
				384790, -- [2]
				{
					11400, -- [1]
					4500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					100596, -- [1]
					100595, -- [2]
				}, -- [4]
			}, -- [54]
			{
				100536, -- [1]
				384799, -- [2]
				{
					4200, -- [1]
					5100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					100635, -- [1]
				}, -- [4]
			}, -- [55]
			{
				100538, -- [1]
				53351, -- [2]
				{
					5400, -- [1]
					1499, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					100643, -- [1]
					100634, -- [2]
				}, -- [4]
			}, -- [56]
			{
				100540, -- [1]
				147362, -- [2]
				{
					4200, -- [1]
					2700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					100641, -- [1]
					100637, -- [2]
					100523, -- [3]
				}, -- [4]
			}, -- [57]
			{
				100609, -- [1]
				260404, -- [2]
				{
					12000, -- [1]
					6890, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [58]
			{
				100608, -- [1]
				386878, -- [2]
				{
					12000, -- [1]
					6890, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [59]
			{
				100607, -- [1]
				389449, -- [2]
				{
					12000, -- [1]
					6300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					100609, -- [1]
				}, -- [4]
			}, -- [60]
			{
				100606, -- [1]
				378765, -- [2]
				{
					11400, -- [1]
					3300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					100588, -- [1]
					100591, -- [2]
				}, -- [4]
			}, -- [61]
			{
				100605, -- [1]
				190852, -- [2]
				{
					13800, -- [1]
					6300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					100599, -- [1]
				}, -- [4]
			}, -- [62]
			{
				100604, -- [1]
				321018, -- [2]
				{
					12000, -- [1]
					2100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					100576, -- [1]
				}, -- [4]
			}, -- [63]
			{
				100603, -- [1]
				260393, -- [2]
				{
					10200, -- [1]
					3899, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					100544, -- [1]
				}, -- [4]
			}, -- [64]
			{
				100602, -- [1]
				391559, -- [2]
				{
					10200, -- [1]
					3899, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					100544, -- [1]
				}, -- [4]
			}, -- [65]
			{
				100601, -- [1]
				378767, -- [2]
				{
					13200, -- [1]
					3899, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					100597, -- [1]
					100577, -- [2]
					100579, -- [3]
				}, -- [4]
			}, -- [66]
			{
				100600, -- [1]
				321293, -- [2]
				{
					11390, -- [1]
					2100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					100606, -- [1]
					100585, -- [2]
					100576, -- [3]
				}, -- [4]
			}, -- [67]
			{
				100599, -- [1]
				378905, -- [2]
				{
					13800, -- [1]
					6900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [68]
			{
				100598, -- [1]
				260367, -- [2]
				{
					10800, -- [1]
					3300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					100588, -- [1]
					100603, -- [2]
				}, -- [4]
			}, -- [69]
			{
				100597, -- [1]
				321460, -- [2]
				{
					13200, -- [1]
					4500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					100586, -- [1]
				}, -- [4]
			}, -- [70]
			{
				100596, -- [1]
				193533, -- [2]
				{
					12000, -- [1]
					5100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					100589, -- [1]
					100587, -- [2]
				}, -- [4]
			}, -- [71]
			{
				100595, -- [1]
				260243, -- [2]
				{
					11400, -- [1]
					5100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					100611, -- [1]
					100587, -- [2]
					100592, -- [3]
				}, -- [4]
			}, -- [72]
			{
				100594, -- [1]
				378880, -- [2]
				{
					10800, -- [1]
					5100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					100611, -- [1]
				}, -- [4]
			}, -- [73]
			{
				100593, -- [1]
				378766, -- [2]
				{
					12000, -- [1]
					3300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					100591, -- [1]
				}, -- [4]
			}, -- [74]
			{
				100592, -- [1]
				378907, -- [2]
				{
					11400, -- [1]
					6300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					100534, -- [1]
				}, -- [4]
			}, -- [75]
			{
				100591, -- [1]
				321287, -- [2]
				{
					12000, -- [1]
					3900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					100596, -- [1]
					100579, -- [2]
				}, -- [4]
			}, -- [76]
			{
				100590, -- [1]
				392060, -- [2]
				{
					12600, -- [1]
					6300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					100512, -- [1]
				}, -- [4]
			}, -- [77]
			{
				100589, -- [1]
				194595, -- [2]
				{
					12600, -- [1]
					5700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					100590, -- [1]
				}, -- [4]
			}, -- [78]
			{
				100588, -- [1]
				378769, -- [2]
				{
					11400, -- [1]
					3899, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					100535, -- [1]
					100544, -- [2]
				}, -- [4]
			}, -- [79]
			{
				100587, -- [1]
				288613, -- [2]
				{
					12000, -- [1]
					5700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					100590, -- [1]
					100607, -- [2]
				}, -- [4]
			}, -- [80]
			{
				100586, -- [1]
				378888, -- [2]
				{
					13200, -- [1]
					5100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					100581, -- [1]
					100589, -- [2]
				}, -- [4]
			}, -- [81]
			{
				100585, -- [1]
				257044, -- [2]
				{
					10800, -- [1]
					2700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					100606, -- [1]
					100598, -- [2]
				}, -- [4]
			}, -- [82]
			{
				100584, -- [1]
				260228, -- [2]
				{
					12600, -- [1]
					3300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					100601, -- [1]
					100591, -- [2]
				}, -- [4]
			}, -- [83]
			{
				100583, -- [1]
				378771, -- [2]
				{
					13800, -- [1]
					5101, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [84]
			{
				100582, -- [1]
				260240, -- [2]
				{
					12600, -- [1]
					2100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					100584, -- [1]
					100627, -- [2]
					100576, -- [3]
				}, -- [4]
			}, -- [85]
			{
				100581, -- [1]
				204089, -- [2]
				{
					13200, -- [1]
					5700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					100590, -- [1]
					100605, -- [2]
				}, -- [4]
			}, -- [86]
			{
				100580, -- [1]
				257621, -- [2]
				{
					10200, -- [1]
					5100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					100517, -- [1]
					100611, -- [2]
				}, -- [4]
			}, -- [87]
			{
				100579, -- [1]
				260402, -- [2]
				{
					12600, -- [1]
					4500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					100586, -- [1]
					100589, -- [2]
					100596, -- [3]
				}, -- [4]
			}, -- [88]
			{
				100578, -- [1]
				19434, -- [2]
				{
					11990, -- [1]
					1490, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					100582, -- [1]
					100600, -- [2]
					100604, -- [3]
				}, -- [4]
			}, -- [89]
			{
				100577, -- [1]
				186387, -- [2]
				{
					13800, -- [1]
					4500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					100583, -- [1]
				}, -- [4]
			}, -- [90]
			{
				100576, -- [1]
				155228, -- [2]
				{
					12000, -- [1]
					2700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					100606, -- [1]
					100593, -- [2]
					100584, -- [3]
				}, -- [4]
			}, -- [91]
		},
		[255] = {
			{
				100528, -- [1]
				385739, -- [2]
				{
					11999, -- [1]
					6300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					100569, -- [1]
				}, -- [4]
			}, -- [1]
			{
				100638, -- [1]
				270581, -- [2]
				{
					5400, -- [1]
					2700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					100523, -- [1]
					100646, -- [2]
				}, -- [4]
			}, -- [2]
			{
				100637, -- [1]
				34477, -- [2]
				{
					4200, -- [1]
					3300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					100636, -- [1]
					100636, -- [2]
				}, -- [4]
			}, -- [3]
			{
				100636, -- [1]
				343247, -- [2]
				{
					4200, -- [1]
					3899, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					100651, -- [1]
				}, -- [4]
			}, -- [4]
			{
				100635, -- [1]
				378004, -- [2]
				{
					4200, -- [1]
					5700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					100514, -- [1]
					100513, -- [2]
					100629, -- [3]
				}, -- [4]
			}, -- [5]
			{
				100634, -- [1]
				109215, -- [2]
				{
					4800, -- [1]
					2100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					100543, -- [1]
					100638, -- [2]
				}, -- [4]
			}, -- [6]
			{
				100633, -- [1]
				321468, -- [2]
				{
					3600, -- [1]
					5100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					100639, -- [1]
					100635, -- [2]
				}, -- [4]
			}, -- [7]
			{
				100632, -- [1]
				343244, -- [2]
				{
					2998, -- [1]
					4498, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					100639, -- [1]
				}, -- [4]
			}, -- [8]
			{
				100631, -- [1]
				378002, -- [2]
				{
					4800, -- [1]
					5100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					100625, -- [1]
					100635, -- [2]
				}, -- [4]
			}, -- [9]
			{
				100629, -- [1]
				201430, -- [2]
				{
					4200, -- [1]
					6900, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [10]
			{
				100628, -- [1]
				375891, -- [2]
				{
					4200, -- [1]
					6900, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [11]
			{
				100626, -- [1]
				212431, -- [2]
				{
					4800, -- [1]
					6900, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [12]
			{
				100526, -- [1]
				120360, -- [2]
				{
					4800, -- [1]
					6900, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [13]
			{
				100625, -- [1]
				260309, -- [2]
				{
					5400, -- [1]
					5700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					100514, -- [1]
					100615, -- [2]
				}, -- [4]
			}, -- [14]
			{
				100692, -- [1]
				393344, -- [2]
				{
					3600, -- [1]
					3899, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					100651, -- [1]
					100621, -- [2]
				}, -- [4]
			}, -- [15]
			{
				100614, -- [1]
				273887, -- [2]
				{
					2400, -- [1]
					6900, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [16]
			{
				100613, -- [1]
				269737, -- [2]
				{
					2400, -- [1]
					6900, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [17]
			{
				100615, -- [1]
				271788, -- [2]
				{
					6000, -- [1]
					6300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					100623, -- [1]
				}, -- [4]
			}, -- [18]
			{
				100616, -- [1]
				5116, -- [2]
				{
					4200, -- [1]
					1500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					100644, -- [1]
					100634, -- [2]
				}, -- [4]
			}, -- [19]
			{
				100617, -- [1]
				19801, -- [2]
				{
					3000, -- [1]
					3899, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					100621, -- [1]
					100632, -- [2]
					100640, -- [3]
				}, -- [4]
			}, -- [20]
			{
				100618, -- [1]
				162488, -- [2]
				{
					3600, -- [1]
					6900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [21]
			{
				100619, -- [1]
				385539, -- [2]
				{
					4800, -- [1]
					4500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					100631, -- [1]
				}, -- [4]
			}, -- [22]
			{
				100621, -- [1]
				19577, -- [2]
				{
					3600, -- [1]
					4499, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					100633, -- [1]
				}, -- [4]
			}, -- [23]
			{
				100620, -- [1]
				236776, -- [2]
				{
					3600, -- [1]
					4499, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					100633, -- [1]
				}, -- [4]
			}, -- [24]
			{
				100623, -- [1]
				378014, -- [2]
				{
					6000, -- [1]
					6900, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [25]
			{
				100622, -- [1]
				260241, -- [2]
				{
					6000, -- [1]
					6900, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [26]
			{
				100643, -- [1]
				343248, -- [2]
				{
					5400, -- [1]
					2100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					100638, -- [1]
				}, -- [4]
			}, -- [27]
			{
				100644, -- [1]
				199921, -- [2]
				{
					3600, -- [1]
					2099, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					100649, -- [1]
					100543, -- [2]
				}, -- [4]
			}, -- [28]
			{
				100645, -- [1]
				378010, -- [2]
				{
					2400, -- [1]
					6300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					100614, -- [1]
				}, -- [4]
			}, -- [29]
			{
				100646, -- [1]
				266921, -- [2]
				{
					5400, -- [1]
					3899, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					100520, -- [1]
					100647, -- [2]
				}, -- [4]
			}, -- [30]
			{
				100647, -- [1]
				199483, -- [2]
				{
					5400, -- [1]
					4500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					100631, -- [1]
					100625, -- [2]
				}, -- [4]
			}, -- [31]
			{
				100649, -- [1]
				343242, -- [2]
				{
					3000, -- [1]
					2700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					100641, -- [1]
					100617, -- [2]
				}, -- [4]
			}, -- [32]
			{
				100651, -- [1]
				213691, -- [2]
				{
					4200, -- [1]
					4499, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					100536, -- [1]
					100633, -- [2]
					100631, -- [3]
				}, -- [4]
			}, -- [33]
			{
				100650, -- [1]
				109248, -- [2]
				{
					4200, -- [1]
					4499, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					100536, -- [1]
					100633, -- [2]
					100631, -- [3]
				}, -- [4]
			}, -- [34]
			{
				100513, -- [1]
				389882, -- [2]
				{
					3600, -- [1]
					6300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					100618, -- [1]
				}, -- [4]
			}, -- [35]
			{
				100514, -- [1]
				390231, -- [2]
				{
					4800, -- [1]
					6300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					100626, -- [1]
				}, -- [4]
			}, -- [36]
			{
				100519, -- [1]
				388056, -- [2]
				{
					6000, -- [1]
					5100, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					100625, -- [1]
				}, -- [4]
			}, -- [37]
			{
				100518, -- [1]
				388057, -- [2]
				{
					6000, -- [1]
					5100, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					100625, -- [1]
				}, -- [4]
			}, -- [38]
			{
				100520, -- [1]
				388045, -- [2]
				{
					6000, -- [1]
					4500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					100519, -- [1]
				}, -- [4]
			}, -- [39]
			{
				100522, -- [1]
				388039, -- [2]
				{
					4800, -- [1]
					3899, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					100647, -- [1]
					100651, -- [2]
					100619, -- [3]
				}, -- [4]
			}, -- [40]
			{
				100521, -- [1]
				388042, -- [2]
				{
					4800, -- [1]
					3899, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					100647, -- [1]
					100651, -- [2]
					100619, -- [3]
				}, -- [4]
			}, -- [41]
			{
				100523, -- [1]
				264735, -- [2]
				{
					4800, -- [1]
					3300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					100646, -- [1]
					100522, -- [2]
					100636, -- [3]
				}, -- [4]
			}, -- [42]
			{
				100639, -- [1]
				378007, -- [2]
				{
					3000, -- [1]
					5700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					100645, -- [1]
					100513, -- [2]
				}, -- [4]
			}, -- [43]
			{
				100640, -- [1]
				1513, -- [2]
				{
					2400, -- [1]
					4500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [44]
			{
				100641, -- [1]
				187698, -- [2]
				{
					3600, -- [1]
					3298, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					100692, -- [1]
					100636, -- [2]
					100617, -- [3]
				}, -- [4]
			}, -- [45]
			{
				100542, -- [1]
				259489, -- [2]
				{
					3000, -- [1]
					1500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					100649, -- [1]
					100644, -- [2]
				}, -- [4]
			}, -- [46]
			{
				100545, -- [1]
				269751, -- [2]
				{
					12600, -- [1]
					4500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					100556, -- [1]
					100561, -- [2]
				}, -- [4]
			}, -- [47]
			{
				100546, -- [1]
				190925, -- [2]
				{
					13200, -- [1]
					2700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					100567, -- [1]
					100566, -- [2]
					100562, -- [3]
				}, -- [4]
			}, -- [48]
			{
				100530, -- [1]
				268501, -- [2]
				{
					10200, -- [1]
					5100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					100575, -- [1]
					100573, -- [2]
				}, -- [4]
			}, -- [49]
			{
				100531, -- [1]
				385709, -- [2]
				{
					10199, -- [1]
					4500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					100530, -- [1]
				}, -- [4]
			}, -- [50]
			{
				100532, -- [1]
				385737, -- [2]
				{
					13800, -- [1]
					5100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					100559, -- [1]
				}, -- [4]
			}, -- [51]
			{
				100533, -- [1]
				385718, -- [2]
				{
					10800, -- [1]
					6900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [52]
			{
				100536, -- [1]
				384799, -- [2]
				{
					4200, -- [1]
					5100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					100635, -- [1]
				}, -- [4]
			}, -- [53]
			{
				100537, -- [1]
				320976, -- [2]
				{
					5400, -- [1]
					1499, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					100643, -- [1]
					100634, -- [2]
				}, -- [4]
			}, -- [54]
			{
				100543, -- [1]
				187707, -- [2]
				{
					4200, -- [1]
					2700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					100637, -- [1]
					100523, -- [2]
					100641, -- [3]
				}, -- [4]
			}, -- [55]
			{
				100575, -- [1]
				271014, -- [2]
				{
					10200, -- [1]
					5700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					100557, -- [1]
				}, -- [4]
			}, -- [56]
			{
				100574, -- [1]
				378962, -- [2]
				{
					13199, -- [1]
					6900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [57]
			{
				100573, -- [1]
				378940, -- [2]
				{
					10800, -- [1]
					5700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					100557, -- [1]
					100529, -- [2]
				}, -- [4]
			}, -- [58]
			{
				100572, -- [1]
				264332, -- [2]
				{
					10790, -- [1]
					3890, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					100531, -- [1]
					100555, -- [2]
				}, -- [4]
			}, -- [59]
			{
				100571, -- [1]
				360966, -- [2]
				{
					13199, -- [1]
					6300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					100574, -- [1]
				}, -- [4]
			}, -- [60]
			{
				100570, -- [1]
				360952, -- [2]
				{
					12000, -- [1]
					5700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					100528, -- [1]
					100563, -- [2]
					100529, -- [3]
				}, -- [4]
			}, -- [61]
			{
				100569, -- [1]
				260331, -- [2]
				{
					12000, -- [1]
					6900, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [62]
			{
				100510, -- [1]
				389880, -- [2]
				{
					12000, -- [1]
					6900, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [63]
			{
				100568, -- [1]
				259495, -- [2]
				{
					11399, -- [1]
					2099, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					100549, -- [1]
					100565, -- [2]
					100564, -- [3]
				}, -- [4]
			}, -- [64]
			{
				100567, -- [1]
				265895, -- [2]
				{
					13799, -- [1]
					3300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [65]
			{
				100566, -- [1]
				259387, -- [2]
				{
					13200, -- [1]
					3900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					100558, -- [1]
					100545, -- [2]
				}, -- [4]
			}, -- [66]
			{
				100565, -- [1]
				263186, -- [2]
				{
					12000, -- [1]
					2700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					100553, -- [1]
					100562, -- [2]
				}, -- [4]
			}, -- [67]
			{
				100564, -- [1]
				260248, -- [2]
				{
					11400, -- [1]
					3300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					100553, -- [1]
					100572, -- [2]
					100550, -- [3]
				}, -- [4]
			}, -- [68]
			{
				100563, -- [1]
				378937, -- [2]
				{
					12600, -- [1]
					6300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [69]
			{
				100562, -- [1]
				186289, -- [2]
				{
					12600, -- [1]
					3300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					100553, -- [1]
					100566, -- [2]
				}, -- [4]
			}, -- [70]
			{
				100561, -- [1]
				378950, -- [2]
				{
					12600, -- [1]
					5090, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					100570, -- [1]
					100559, -- [2]
				}, -- [4]
			}, -- [71]
			{
				100560, -- [1]
				378961, -- [2]
				{
					10200, -- [1]
					3300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					100531, -- [1]
					100572, -- [2]
				}, -- [4]
			}, -- [72]
			{
				100559, -- [1]
				378955, -- [2]
				{
					13200, -- [1]
					5700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					100571, -- [1]
					100563, -- [2]
				}, -- [4]
			}, -- [73]
			{
				100558, -- [1]
				378953, -- [2]
				{
					13800, -- [1]
					4500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					100532, -- [1]
				}, -- [4]
			}, -- [74]
			{
				100557, -- [1]
				203415, -- [2]
				{
					10800, -- [1]
					6300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					100533, -- [1]
				}, -- [4]
			}, -- [75]
			{
				100556, -- [1]
				378951, -- [2]
				{
					13200, -- [1]
					5100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					100559, -- [1]
				}, -- [4]
			}, -- [76]
			{
				100555, -- [1]
				321290, -- [2]
				{
					10800, -- [1]
					4500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					100530, -- [1]
					100547, -- [2]
				}, -- [4]
			}, -- [77]
			{
				100554, -- [1]
				260285, -- [2]
				{
					12600, -- [1]
					2099, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					100546, -- [1]
					100565, -- [2]
				}, -- [4]
			}, -- [78]
			{
				100553, -- [1]
				187708, -- [2]
				{
					12000, -- [1]
					3900, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					100548, -- [1]
					100545, -- [2]
				}, -- [4]
			}, -- [79]
			{
				100552, -- [1]
				212436, -- [2]
				{
					12000, -- [1]
					3900, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					100548, -- [1]
					100545, -- [2]
				}, -- [4]
			}, -- [80]
			{
				100551, -- [1]
				186270, -- [2]
				{
					12000, -- [1]
					1500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					100554, -- [1]
					100568, -- [2]
					100565, -- [3]
				}, -- [4]
			}, -- [81]
			{
				100550, -- [1]
				378934, -- [2]
				{
					11400, -- [1]
					3899, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					100555, -- [1]
				}, -- [4]
			}, -- [82]
			{
				100549, -- [1]
				378916, -- [2]
				{
					10800, -- [1]
					2700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					100564, -- [1]
					100572, -- [2]
					100560, -- [3]
				}, -- [4]
			}, -- [83]
			{
				100548, -- [1]
				294029, -- [2]
				{
					12000, -- [1]
					4500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					100561, -- [1]
					100547, -- [2]
				}, -- [4]
			}, -- [84]
			{
				100547, -- [1]
				378948, -- [2]
				{
					11400, -- [1]
					5090, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					100570, -- [1]
					100573, -- [2]
				}, -- [4]
			}, -- [85]
			{
				100529, -- [1]
				385695, -- [2]
				{
					11400, -- [1]
					6300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [86]
		},
		[256] = {
			{
				103871, -- [1]
				372354, -- [2]
				{
					2100, -- [1]
					2700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103872, -- [1]
				}, -- [4]
			}, -- [1]
			{
				103870, -- [1]
				33076, -- [2]
				{
					2700, -- [1]
					2100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103872, -- [1]
					103851, -- [2]
					103871, -- [3]
				}, -- [4]
			}, -- [2]
			{
				103869, -- [1]
				139, -- [2]
				{
					3300, -- [1]
					1500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103870, -- [1]
					103866, -- [2]
				}, -- [4]
			}, -- [3]
			{
				103868, -- [1]
				73325, -- [2]
				{
					3900, -- [1]
					3300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103844, -- [1]
					103849, -- [2]
					103852, -- [3]
				}, -- [4]
			}, -- [4]
			{
				103867, -- [1]
				528, -- [2]
				{
					4500, -- [1]
					1500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103845, -- [1]
					103866, -- [2]
					103855, -- [3]
				}, -- [4]
			}, -- [5]
			{
				103866, -- [1]
				393870, -- [2]
				{
					3900, -- [1]
					2100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103858, -- [1]
					103851, -- [2]
					103853, -- [3]
				}, -- [4]
			}, -- [6]
			{
				103865, -- [1]
				34433, -- [2]
				{
					5700, -- [1]
					1500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103845, -- [1]
					103864, -- [2]
				}, -- [4]
			}, -- [7]
			{
				103864, -- [1]
				32379, -- [2]
				{
					6300, -- [1]
					2100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103863, -- [1]
					103834, -- [2]
				}, -- [4]
			}, -- [8]
			{
				103863, -- [1]
				321291, -- [2]
				{
					6900, -- [1]
					2700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103838, -- [1]
					103862, -- [2]
				}, -- [4]
			}, -- [9]
			{
				103862, -- [1]
				605, -- [2]
				{
					6300, -- [1]
					3300, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					103839, -- [1]
					103841, -- [2]
				}, -- [4]
			}, -- [10]
			{
				103678, -- [1]
				205364, -- [2]
				{
					6300, -- [1]
					3300, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					103839, -- [1]
					103841, -- [2]
				}, -- [4]
			}, -- [11]
			{
				103861, -- [1]
				377422, -- [2]
				{
					5700, -- [1]
					5100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103837, -- [1]
					103835, -- [2]
				}, -- [4]
			}, -- [12]
			{
				103860, -- [1]
				390919, -- [2]
				{
					5100, -- [1]
					3300, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					103844, -- [1]
					103841, -- [2]
				}, -- [4]
			}, -- [13]
			{
				103859, -- [1]
				108920, -- [2]
				{
					5100, -- [1]
					3300, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					103844, -- [1]
					103841, -- [2]
				}, -- [4]
			}, -- [14]
			{
				103858, -- [1]
				193063, -- [2]
				{
					3900, -- [1]
					2700, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					103868, -- [1]
				}, -- [4]
			}, -- [15]
			{
				103857, -- [1]
				390615, -- [2]
				{
					3900, -- [1]
					2700, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					103868, -- [1]
				}, -- [4]
			}, -- [16]
			{
				103856, -- [1]
				64129, -- [2]
				{
					3900, -- [1]
					4500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103847, -- [1]
					103833, -- [2]
				}, -- [4]
			}, -- [17]
			{
				103855, -- [1]
				390632, -- [2]
				{
					4500, -- [1]
					2100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103853, -- [1]
				}, -- [4]
			}, -- [18]
			{
				103853, -- [1]
				121536, -- [2]
				{
					4500, -- [1]
					2700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103843, -- [1]
					103860, -- [2]
					103868, -- [3]
				}, -- [4]
			}, -- [19]
			{
				103852, -- [1]
				390620, -- [2]
				{
					3900, -- [1]
					3900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103856, -- [1]
				}, -- [4]
			}, -- [20]
			{
				103851, -- [1]
				132157, -- [2]
				{
					3300, -- [1]
					2700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103868, -- [1]
					103850, -- [2]
					103872, -- [3]
				}, -- [4]
			}, -- [21]
			{
				103850, -- [1]
				390622, -- [2]
				{
					3300, -- [1]
					3300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103849, -- [1]
				}, -- [4]
			}, -- [22]
			{
				103849, -- [1]
				32375, -- [2]
				{
					3300, -- [1]
					3900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103848, -- [1]
					103856, -- [2]
					103846, -- [3]
				}, -- [4]
			}, -- [23]
			{
				103848, -- [1]
				341167, -- [2]
				{
					3300, -- [1]
					4500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103847, -- [1]
				}, -- [4]
			}, -- [24]
			{
				103847, -- [1]
				373456, -- [2]
				{
					3300, -- [1]
					5100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103831, -- [1]
					103825, -- [2]
				}, -- [4]
			}, -- [25]
			{
				103846, -- [1]
				390676, -- [2]
				{
					2700, -- [1]
					4500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103847, -- [1]
				}, -- [4]
			}, -- [26]
			{
				103845, -- [1]
				196704, -- [2]
				{
					5100, -- [1]
					2100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103834, -- [1]
					103853, -- [2]
				}, -- [4]
			}, -- [27]
			{
				103844, -- [1]
				10060, -- [2]
				{
					4500, -- [1]
					3900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103832, -- [1]
					103842, -- [2]
					103856, -- [3]
				}, -- [4]
			}, -- [28]
			{
				103843, -- [1]
				9484, -- [2]
				{
					4500, -- [1]
					3300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103844, -- [1]
				}, -- [4]
			}, -- [29]
			{
				103842, -- [1]
				280749, -- [2]
				{
					5100, -- [1]
					4500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103861, -- [1]
					103833, -- [2]
				}, -- [4]
			}, -- [30]
			{
				103841, -- [1]
				15286, -- [2]
				{
					5700, -- [1]
					3900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103840, -- [1]
					103842, -- [2]
					103839, -- [3]
				}, -- [4]
			}, -- [31]
			{
				103840, -- [1]
				199855, -- [2]
				{
					5700, -- [1]
					4500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103861, -- [1]
				}, -- [4]
			}, -- [32]
			{
				103839, -- [1]
				390668, -- [2]
				{
					6300, -- [1]
					4500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103861, -- [1]
				}, -- [4]
			}, -- [33]
			{
				103838, -- [1]
				373223, -- [2]
				{
					6900, -- [1]
					3900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103839, -- [1]
				}, -- [4]
			}, -- [34]
			{
				103837, -- [1]
				375901, -- [2]
				{
					6300, -- [1]
					5700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103836, -- [1]
					103818, -- [2]
				}, -- [4]
			}, -- [35]
			{
				103836, -- [1]
				390670, -- [2]
				{
					5700, -- [1]
					6300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103820, -- [1]
				}, -- [4]
			}, -- [36]
			{
				103835, -- [1]
				373446, -- [2]
				{
					5100, -- [1]
					5700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103829, -- [1]
					103836, -- [2]
				}, -- [4]
			}, -- [37]
			{
				103833, -- [1]
				390972, -- [2]
				{
					4500, -- [1]
					5100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103831, -- [1]
					103835, -- [2]
				}, -- [4]
			}, -- [38]
			{
				103832, -- [1]
				373466, -- [2]
				{
					4500, -- [1]
					4500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103833, -- [1]
				}, -- [4]
			}, -- [39]
			{
				103831, -- [1]
				110744, -- [2]
				{
					3900, -- [1]
					5700, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					103826, -- [1]
					103829, -- [2]
				}, -- [4]
			}, -- [40]
			{
				103830, -- [1]
				120517, -- [2]
				{
					3900, -- [1]
					5700, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					103826, -- [1]
					103829, -- [2]
				}, -- [4]
			}, -- [41]
			{
				103829, -- [1]
				373457, -- [2]
				{
					4499, -- [1]
					6300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103821, -- [1]
					103820, -- [2]
				}, -- [4]
			}, -- [42]
			{
				103826, -- [1]
				373450, -- [2]
				{
					3300, -- [1]
					6300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103821, -- [1]
				}, -- [4]
			}, -- [43]
			{
				103825, -- [1]
				238100, -- [2]
				{
					2700, -- [1]
					5700, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					103823, -- [1]
					103826, -- [2]
				}, -- [4]
			}, -- [44]
			{
				103824, -- [1]
				368275, -- [2]
				{
					2700, -- [1]
					5700, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					103823, -- [1]
					103826, -- [2]
				}, -- [4]
			}, -- [45]
			{
				103823, -- [1]
				109186, -- [2]
				{
					2700, -- [1]
					6300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103822, -- [1]
				}, -- [4]
			}, -- [46]
			{
				103822, -- [1]
				373481, -- [2]
				{
					2700, -- [1]
					6900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [47]
			{
				103821, -- [1]
				108945, -- [2]
				{
					3900, -- [1]
					6900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [48]
			{
				103820, -- [1]
				108968, -- [2]
				{
					5100, -- [1]
					6900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [49]
			{
				103819, -- [1]
				391112, -- [2]
				{
					6300, -- [1]
					6900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [50]
			{
				103818, -- [1]
				390996, -- [2]
				{
					6300, -- [1]
					6300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103819, -- [1]
				}, -- [4]
			}, -- [51]
			{
				103872, -- [1]
				390667, -- [2]
				{
					2700, -- [1]
					3300, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					103849, -- [1]
					103846, -- [2]
					103873, -- [3]
				}, -- [4]
			}, -- [52]
			{
				103677, -- [1]
				390767, -- [2]
				{
					2700, -- [1]
					3300, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					103849, -- [1]
					103846, -- [2]
					103873, -- [3]
				}, -- [4]
			}, -- [53]
			{
				103873, -- [1]
				377438, -- [2]
				{
					2100, -- [1]
					3900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103846, -- [1]
				}, -- [4]
			}, -- [54]
			{
				103726, -- [1]
				390686, -- [2]
				{
					12899, -- [1]
					3300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103706, -- [1]
					103727, -- [2]
				}, -- [4]
			}, -- [55]
			{
				103732, -- [1]
				47515, -- [2]
				{
					10500, -- [1]
					6300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103689, -- [1]
				}, -- [4]
			}, -- [56]
			{
				103731, -- [1]
				390693, -- [2]
				{
					10500, -- [1]
					5700, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					103732, -- [1]
					103693, -- [2]
				}, -- [4]
			}, -- [57]
			{
				103730, -- [1]
				391079, -- [2]
				{
					10500, -- [1]
					5700, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					103732, -- [1]
					103693, -- [2]
				}, -- [4]
			}, -- [58]
			{
				103729, -- [1]
				390691, -- [2]
				{
					11099, -- [1]
					5100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103700, -- [1]
					103731, -- [2]
				}, -- [4]
			}, -- [59]
			{
				103728, -- [1]
				197419, -- [2]
				{
					11700, -- [1]
					4500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103702, -- [1]
					103729, -- [2]
				}, -- [4]
			}, -- [60]
			{
				103727, -- [1]
				47536, -- [2]
				{
					12300, -- [1]
					3900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103701, -- [1]
					103703, -- [2]
					103728, -- [3]
				}, -- [4]
			}, -- [61]
			{
				103725, -- [1]
				372972, -- [2]
				{
					12900, -- [1]
					2700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103687, -- [1]
					103726, -- [2]
				}, -- [4]
			}, -- [62]
			{
				103724, -- [1]
				198068, -- [2]
				{
					12900, -- [1]
					2100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103704, -- [1]
					103725, -- [2]
				}, -- [4]
			}, -- [63]
			{
				103723, -- [1]
				81749, -- [2]
				{
					12300, -- [1]
					1500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103713, -- [1]
					103722, -- [2]
					103724, -- [3]
				}, -- [4]
			}, -- [64]
			{
				103722, -- [1]
				194509, -- [2]
				{
					11700, -- [1]
					2100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103721, -- [1]
				}, -- [4]
			}, -- [65]
			{
				103721, -- [1]
				322115, -- [2]
				{
					11100, -- [1]
					2700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103720, -- [1]
					103717, -- [2]
				}, -- [4]
			}, -- [66]
			{
				103720, -- [1]
				390684, -- [2]
				{
					10500, -- [1]
					3300, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					103718, -- [1]
				}, -- [4]
			}, -- [67]
			{
				103719, -- [1]
				390685, -- [2]
				{
					10500, -- [1]
					3300, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					103718, -- [1]
				}, -- [4]
			}, -- [68]
			{
				103718, -- [1]
				204197, -- [2]
				{
					11100, -- [1]
					3900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103690, -- [1]
					103728, -- [2]
				}, -- [4]
			}, -- [69]
			{
				103717, -- [1]
				197045, -- [2]
				{
					11700, -- [1]
					3300, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					103718, -- [1]
					103727, -- [2]
				}, -- [4]
			}, -- [70]
			{
				103716, -- [1]
				129250, -- [2]
				{
					11700, -- [1]
					3300, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					103718, -- [1]
					103727, -- [2]
				}, -- [4]
			}, -- [71]
			{
				103715, -- [1]
				372991, -- [2]
				{
					12300, -- [1]
					2700, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					103687, -- [1]
					103717, -- [2]
				}, -- [4]
			}, -- [72]
			{
				103714, -- [1]
				373035, -- [2]
				{
					12300, -- [1]
					2700, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					103687, -- [1]
					103717, -- [2]
				}, -- [4]
			}, -- [73]
			{
				103713, -- [1]
				33206, -- [2]
				{
					12300, -- [1]
					2100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103715, -- [1]
				}, -- [4]
			}, -- [74]
			{
				103712, -- [1]
				373427, -- [2]
				{
					13500, -- [1]
					6900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [75]
			{
				103711, -- [1]
				390832, -- [2]
				{
					14100, -- [1]
					6300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103712, -- [1]
				}, -- [4]
			}, -- [76]
			{
				103710, -- [1]
				123040, -- [2]
				{
					14100, -- [1]
					5700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103711, -- [1]
					103695, -- [2]
				}, -- [4]
			}, -- [77]
			{
				103709, -- [1]
				373054, -- [2]
				{
					13499, -- [1]
					5100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103710, -- [1]
					103696, -- [2]
				}, -- [4]
			}, -- [78]
			{
				103708, -- [1]
				372985, -- [2]
				{
					14100, -- [1]
					4500, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					103709, -- [1]
				}, -- [4]
			}, -- [79]
			{
				103707, -- [1]
				373065, -- [2]
				{
					14100, -- [1]
					4500, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					103709, -- [1]
				}, -- [4]
			}, -- [80]
			{
				103706, -- [1]
				314867, -- [2]
				{
					13500, -- [1]
					3900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103703, -- [1]
					103708, -- [2]
				}, -- [4]
			}, -- [81]
			{
				103705, -- [1]
				372969, -- [2]
				{
					14100, -- [1]
					3300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103706, -- [1]
				}, -- [4]
			}, -- [82]
			{
				103704, -- [1]
				214621, -- [2]
				{
					13500, -- [1]
					2700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103726, -- [1]
					103706, -- [2]
					103705, -- [3]
				}, -- [4]
			}, -- [83]
			{
				103703, -- [1]
				390689, -- [2]
				{
					12899, -- [1]
					4500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103702, -- [1]
					103709, -- [2]
				}, -- [4]
			}, -- [84]
			{
				103702, -- [1]
				193134, -- [2]
				{
					12300, -- [1]
					5100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103696, -- [1]
					103700, -- [2]
				}, -- [4]
			}, -- [85]
			{
				103701, -- [1]
				373042, -- [2]
				{
					12300, -- [1]
					4500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103702, -- [1]
				}, -- [4]
			}, -- [86]
			{
				103700, -- [1]
				373178, -- [2]
				{
					11700, -- [1]
					5700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103693, -- [1]
					103697, -- [2]
					103699, -- [3]
				}, -- [4]
			}, -- [87]
			{
				103699, -- [1]
				390765, -- [2]
				{
					11700, -- [1]
					6300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103698, -- [1]
				}, -- [4]
			}, -- [88]
			{
				103698, -- [1]
				390781, -- [2]
				{
					11700, -- [1]
					6900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [89]
			{
				103697, -- [1]
				373180, -- [2]
				{
					12300, -- [1]
					6300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103694, -- [1]
				}, -- [4]
			}, -- [90]
			{
				103696, -- [1]
				390705, -- [2]
				{
					12900, -- [1]
					5700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103697, -- [1]
					103695, -- [2]
				}, -- [4]
			}, -- [91]
			{
				103695, -- [1]
				390770, -- [2]
				{
					13500, -- [1]
					6300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103712, -- [1]
				}, -- [4]
			}, -- [92]
			{
				103694, -- [1]
				390786, -- [2]
				{
					12900, -- [1]
					6900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [93]
			{
				103693, -- [1]
				280391, -- [2]
				{
					11100, -- [1]
					6300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103692, -- [1]
				}, -- [4]
			}, -- [94]
			{
				103692, -- [1]
				238063, -- [2]
				{
					11100, -- [1]
					6900, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [95]
			{
				103691, -- [1]
				246287, -- [2]
				{
					11100, -- [1]
					6900, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [96]
			{
				103690, -- [1]
				373003, -- [2]
				{
					10500, -- [1]
					4500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103729, -- [1]
				}, -- [4]
			}, -- [97]
			{
				103689, -- [1]
				373049, -- [2]
				{
					10500, -- [1]
					6900, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [98]
			{
				103688, -- [1]
				238135, -- [2]
				{
					10500, -- [1]
					6900, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [99]
			{
				103687, -- [1]
				62618, -- [2]
				{
					12300, -- [1]
					3300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103727, -- [1]
				}, -- [4]
			}, -- [100]
			{
				103834, -- [1]
				108942, -- [2]
				{
					5700, -- [1]
					2700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103860, -- [1]
					103862, -- [2]
				}, -- [4]
			}, -- [101]
		},
		[257] = {
			{
				103775, -- [1]
				2050, -- [2]
				{
					12300, -- [1]
					1500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103766, -- [1]
					103776, -- [2]
					103774, -- [3]
				}, -- [4]
			}, -- [1]
			{
				103871, -- [1]
				372354, -- [2]
				{
					2100, -- [1]
					2700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103872, -- [1]
				}, -- [4]
			}, -- [2]
			{
				103870, -- [1]
				33076, -- [2]
				{
					2700, -- [1]
					2100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103872, -- [1]
					103851, -- [2]
					103871, -- [3]
				}, -- [4]
			}, -- [3]
			{
				103869, -- [1]
				139, -- [2]
				{
					3300, -- [1]
					1500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103870, -- [1]
					103866, -- [2]
				}, -- [4]
			}, -- [4]
			{
				103868, -- [1]
				73325, -- [2]
				{
					3900, -- [1]
					3300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103844, -- [1]
					103849, -- [2]
					103852, -- [3]
				}, -- [4]
			}, -- [5]
			{
				103867, -- [1]
				528, -- [2]
				{
					4500, -- [1]
					1500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103845, -- [1]
					103866, -- [2]
					103855, -- [3]
				}, -- [4]
			}, -- [6]
			{
				103866, -- [1]
				393870, -- [2]
				{
					3900, -- [1]
					2100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103858, -- [1]
					103851, -- [2]
					103853, -- [3]
				}, -- [4]
			}, -- [7]
			{
				103865, -- [1]
				34433, -- [2]
				{
					5700, -- [1]
					1500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103845, -- [1]
					103864, -- [2]
				}, -- [4]
			}, -- [8]
			{
				103864, -- [1]
				32379, -- [2]
				{
					6300, -- [1]
					2100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103863, -- [1]
					103834, -- [2]
				}, -- [4]
			}, -- [9]
			{
				103863, -- [1]
				321291, -- [2]
				{
					6900, -- [1]
					2700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103838, -- [1]
					103862, -- [2]
				}, -- [4]
			}, -- [10]
			{
				103862, -- [1]
				605, -- [2]
				{
					6300, -- [1]
					3300, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					103839, -- [1]
					103841, -- [2]
				}, -- [4]
			}, -- [11]
			{
				103678, -- [1]
				205364, -- [2]
				{
					6300, -- [1]
					3300, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					103839, -- [1]
					103841, -- [2]
				}, -- [4]
			}, -- [12]
			{
				103861, -- [1]
				377422, -- [2]
				{
					5700, -- [1]
					5100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103837, -- [1]
					103835, -- [2]
				}, -- [4]
			}, -- [13]
			{
				103860, -- [1]
				390919, -- [2]
				{
					5100, -- [1]
					3300, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					103844, -- [1]
					103841, -- [2]
				}, -- [4]
			}, -- [14]
			{
				103859, -- [1]
				108920, -- [2]
				{
					5100, -- [1]
					3300, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					103844, -- [1]
					103841, -- [2]
				}, -- [4]
			}, -- [15]
			{
				103858, -- [1]
				193063, -- [2]
				{
					3900, -- [1]
					2700, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					103868, -- [1]
				}, -- [4]
			}, -- [16]
			{
				103857, -- [1]
				390615, -- [2]
				{
					3900, -- [1]
					2700, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					103868, -- [1]
				}, -- [4]
			}, -- [17]
			{
				103856, -- [1]
				64129, -- [2]
				{
					3900, -- [1]
					4500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103847, -- [1]
					103833, -- [2]
				}, -- [4]
			}, -- [18]
			{
				103855, -- [1]
				390632, -- [2]
				{
					4500, -- [1]
					2100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103853, -- [1]
				}, -- [4]
			}, -- [19]
			{
				103853, -- [1]
				121536, -- [2]
				{
					4500, -- [1]
					2700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103843, -- [1]
					103860, -- [2]
					103868, -- [3]
				}, -- [4]
			}, -- [20]
			{
				103852, -- [1]
				390620, -- [2]
				{
					3900, -- [1]
					3900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103856, -- [1]
				}, -- [4]
			}, -- [21]
			{
				103851, -- [1]
				132157, -- [2]
				{
					3300, -- [1]
					2700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103868, -- [1]
					103850, -- [2]
					103872, -- [3]
				}, -- [4]
			}, -- [22]
			{
				103850, -- [1]
				390622, -- [2]
				{
					3300, -- [1]
					3300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103849, -- [1]
				}, -- [4]
			}, -- [23]
			{
				103849, -- [1]
				32375, -- [2]
				{
					3300, -- [1]
					3900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103848, -- [1]
					103856, -- [2]
					103846, -- [3]
				}, -- [4]
			}, -- [24]
			{
				103848, -- [1]
				341167, -- [2]
				{
					3300, -- [1]
					4500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103847, -- [1]
				}, -- [4]
			}, -- [25]
			{
				103847, -- [1]
				373456, -- [2]
				{
					3300, -- [1]
					5100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103831, -- [1]
					103825, -- [2]
				}, -- [4]
			}, -- [26]
			{
				103846, -- [1]
				390676, -- [2]
				{
					2700, -- [1]
					4500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103847, -- [1]
				}, -- [4]
			}, -- [27]
			{
				103845, -- [1]
				196704, -- [2]
				{
					5100, -- [1]
					2100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103834, -- [1]
					103853, -- [2]
				}, -- [4]
			}, -- [28]
			{
				103844, -- [1]
				10060, -- [2]
				{
					4500, -- [1]
					3900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103832, -- [1]
					103842, -- [2]
					103856, -- [3]
				}, -- [4]
			}, -- [29]
			{
				103843, -- [1]
				9484, -- [2]
				{
					4500, -- [1]
					3300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103844, -- [1]
				}, -- [4]
			}, -- [30]
			{
				103842, -- [1]
				280749, -- [2]
				{
					5100, -- [1]
					4500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103861, -- [1]
					103833, -- [2]
				}, -- [4]
			}, -- [31]
			{
				103841, -- [1]
				15286, -- [2]
				{
					5700, -- [1]
					3900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103840, -- [1]
					103842, -- [2]
					103839, -- [3]
				}, -- [4]
			}, -- [32]
			{
				103840, -- [1]
				199855, -- [2]
				{
					5700, -- [1]
					4500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103861, -- [1]
				}, -- [4]
			}, -- [33]
			{
				103839, -- [1]
				390668, -- [2]
				{
					6300, -- [1]
					4500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103861, -- [1]
				}, -- [4]
			}, -- [34]
			{
				103838, -- [1]
				373223, -- [2]
				{
					6900, -- [1]
					3900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103839, -- [1]
				}, -- [4]
			}, -- [35]
			{
				103837, -- [1]
				375901, -- [2]
				{
					6300, -- [1]
					5700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103836, -- [1]
					103818, -- [2]
				}, -- [4]
			}, -- [36]
			{
				103836, -- [1]
				390670, -- [2]
				{
					5700, -- [1]
					6300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103820, -- [1]
				}, -- [4]
			}, -- [37]
			{
				103835, -- [1]
				373446, -- [2]
				{
					5100, -- [1]
					5700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103829, -- [1]
					103836, -- [2]
				}, -- [4]
			}, -- [38]
			{
				103833, -- [1]
				390972, -- [2]
				{
					4500, -- [1]
					5100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103831, -- [1]
					103835, -- [2]
				}, -- [4]
			}, -- [39]
			{
				103832, -- [1]
				373466, -- [2]
				{
					4500, -- [1]
					4500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103833, -- [1]
				}, -- [4]
			}, -- [40]
			{
				103831, -- [1]
				110744, -- [2]
				{
					3900, -- [1]
					5700, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					103826, -- [1]
					103829, -- [2]
				}, -- [4]
			}, -- [41]
			{
				103830, -- [1]
				120517, -- [2]
				{
					3900, -- [1]
					5700, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					103826, -- [1]
					103829, -- [2]
				}, -- [4]
			}, -- [42]
			{
				103829, -- [1]
				373457, -- [2]
				{
					4499, -- [1]
					6300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103821, -- [1]
					103820, -- [2]
				}, -- [4]
			}, -- [43]
			{
				103826, -- [1]
				373450, -- [2]
				{
					3300, -- [1]
					6300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103821, -- [1]
				}, -- [4]
			}, -- [44]
			{
				103825, -- [1]
				238100, -- [2]
				{
					2700, -- [1]
					5700, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					103823, -- [1]
					103826, -- [2]
				}, -- [4]
			}, -- [45]
			{
				103824, -- [1]
				368275, -- [2]
				{
					2700, -- [1]
					5700, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					103823, -- [1]
					103826, -- [2]
				}, -- [4]
			}, -- [46]
			{
				103823, -- [1]
				109186, -- [2]
				{
					2700, -- [1]
					6300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103822, -- [1]
				}, -- [4]
			}, -- [47]
			{
				103822, -- [1]
				373481, -- [2]
				{
					2700, -- [1]
					6900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [48]
			{
				103821, -- [1]
				108945, -- [2]
				{
					3900, -- [1]
					6900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [49]
			{
				103820, -- [1]
				108968, -- [2]
				{
					5100, -- [1]
					6900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [50]
			{
				103819, -- [1]
				391112, -- [2]
				{
					6300, -- [1]
					6900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [51]
			{
				103818, -- [1]
				390996, -- [2]
				{
					6300, -- [1]
					6300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103819, -- [1]
				}, -- [4]
			}, -- [52]
			{
				103780, -- [1]
				391233, -- [2]
				{
					14100, -- [1]
					4500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103750, -- [1]
				}, -- [4]
			}, -- [53]
			{
				103779, -- [1]
				193157, -- [2]
				{
					13500, -- [1]
					3900, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					103751, -- [1]
					103780, -- [2]
				}, -- [4]
			}, -- [54]
			{
				103778, -- [1]
				391154, -- [2]
				{
					13500, -- [1]
					3900, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					103751, -- [1]
					103780, -- [2]
				}, -- [4]
			}, -- [55]
			{
				103777, -- [1]
				372307, -- [2]
				{
					13500, -- [1]
					2700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103739, -- [1]
					103754, -- [2]
				}, -- [4]
			}, -- [56]
			{
				103776, -- [1]
				88625, -- [2]
				{
					12900, -- [1]
					2100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103777, -- [1]
					103753, -- [2]
				}, -- [4]
			}, -- [57]
			{
				103872, -- [1]
				390667, -- [2]
				{
					2700, -- [1]
					3300, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					103849, -- [1]
					103846, -- [2]
					103873, -- [3]
				}, -- [4]
			}, -- [58]
			{
				103677, -- [1]
				390767, -- [2]
				{
					2700, -- [1]
					3300, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					103849, -- [1]
					103846, -- [2]
					103873, -- [3]
				}, -- [4]
			}, -- [59]
			{
				103873, -- [1]
				377438, -- [2]
				{
					2100, -- [1]
					3900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103846, -- [1]
				}, -- [4]
			}, -- [60]
			{
				103770, -- [1]
				200128, -- [2]
				{
					11700, -- [1]
					3900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103756, -- [1]
				}, -- [4]
			}, -- [61]
			{
				103769, -- [1]
				391208, -- [2]
				{
					11100, -- [1]
					3300, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					103770, -- [1]
					103757, -- [2]
				}, -- [4]
			}, -- [62]
			{
				103768, -- [1]
				196489, -- [2]
				{
					11100, -- [1]
					3300, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					103770, -- [1]
					103757, -- [2]
				}, -- [4]
			}, -- [63]
			{
				103767, -- [1]
				34861, -- [2]
				{
					11100, -- [1]
					2700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103758, -- [1]
					103769, -- [2]
					103765, -- [3]
				}, -- [4]
			}, -- [64]
			{
				103766, -- [1]
				596, -- [2]
				{
					11700, -- [1]
					2100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103767, -- [1]
					103765, -- [2]
				}, -- [4]
			}, -- [65]
			{
				103765, -- [1]
				238136, -- [2]
				{
					11700, -- [1]
					3300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103755, -- [1]
					103770, -- [2]
				}, -- [4]
			}, -- [66]
			{
				103764, -- [1]
				196985, -- [2]
				{
					11700, -- [1]
					6300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103736, -- [1]
				}, -- [4]
			}, -- [67]
			{
				103763, -- [1]
				390980, -- [2]
				{
					10500, -- [1]
					5700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103741, -- [1]
					103735, -- [2]
				}, -- [4]
			}, -- [68]
			{
				103762, -- [1]
				390954, -- [2]
				{
					11100, -- [1]
					5100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103743, -- [1]
					103763, -- [2]
				}, -- [4]
			}, -- [69]
			{
				103761, -- [1]
				390947, -- [2]
				{
					10500, -- [1]
					4500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103762, -- [1]
				}, -- [4]
			}, -- [70]
			{
				103760, -- [1]
				321377, -- [2]
				{
					10500, -- [1]
					3900, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					103761, -- [1]
				}, -- [4]
			}, -- [71]
			{
				103759, -- [1]
				390881, -- [2]
				{
					10500, -- [1]
					3900, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					103761, -- [1]
				}, -- [4]
			}, -- [72]
			{
				103758, -- [1]
				204883, -- [2]
				{
					10500, -- [1]
					3300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103757, -- [1]
					103760, -- [2]
				}, -- [4]
			}, -- [73]
			{
				103757, -- [1]
				391209, -- [2]
				{
					11100, -- [1]
					3900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103762, -- [1]
					103756, -- [2]
				}, -- [4]
			}, -- [74]
			{
				103756, -- [1]
				391161, -- [2]
				{
					11700, -- [1]
					4500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103748, -- [1]
					103762, -- [2]
				}, -- [4]
			}, -- [75]
			{
				103755, -- [1]
				64843, -- [2]
				{
					12300, -- [1]
					3900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103751, -- [1]
					103756, -- [2]
					103747, -- [3]
				}, -- [4]
			}, -- [76]
			{
				103754, -- [1]
				341997, -- [2]
				{
					12900, -- [1]
					3300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103779, -- [1]
					103752, -- [2]
					103755, -- [3]
				}, -- [4]
			}, -- [77]
			{
				103753, -- [1]
				200199, -- [2]
				{
					12900, -- [1]
					2700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103754, -- [1]
				}, -- [4]
			}, -- [78]
			{
				103752, -- [1]
				193155, -- [2]
				{
					12900, -- [1]
					3900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103751, -- [1]
				}, -- [4]
			}, -- [79]
			{
				103751, -- [1]
				64901, -- [2]
				{
					12900, -- [1]
					4500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103750, -- [1]
					103748, -- [2]
				}, -- [4]
			}, -- [80]
			{
				103750, -- [1]
				390977, -- [2]
				{
					13500, -- [1]
					5100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103746, -- [1]
					103749, -- [2]
				}, -- [4]
			}, -- [81]
			{
				103749, -- [1]
				391186, -- [2]
				{
					14100, -- [1]
					5700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103738, -- [1]
					103740, -- [2]
				}, -- [4]
			}, -- [82]
			{
				103748, -- [1]
				390967, -- [2]
				{
					12300, -- [1]
					5099, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103746, -- [1]
					103743, -- [2]
				}, -- [4]
			}, -- [83]
			{
				103747, -- [1]
				372370, -- [2]
				{
					12300, -- [1]
					4500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103748, -- [1]
				}, -- [4]
			}, -- [84]
			{
				103746, -- [1]
				391339, -- [2]
				{
					12900, -- [1]
					5700, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					103738, -- [1]
					103744, -- [2]
				}, -- [4]
			}, -- [85]
			{
				103745, -- [1]
				391368, -- [2]
				{
					12900, -- [1]
					5700, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					103738, -- [1]
					103744, -- [2]
				}, -- [4]
			}, -- [86]
			{
				103744, -- [1]
				390994, -- [2]
				{
					12300, -- [1]
					6300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103736, -- [1]
				}, -- [4]
			}, -- [87]
			{
				103743, -- [1]
				200183, -- [2]
				{
					11700, -- [1]
					5700, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					103764, -- [1]
					103744, -- [2]
					103741, -- [3]
				}, -- [4]
			}, -- [88]
			{
				103742, -- [1]
				265202, -- [2]
				{
					11700, -- [1]
					5700, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					103764, -- [1]
					103744, -- [2]
					103741, -- [3]
				}, -- [4]
			}, -- [89]
			{
				103741, -- [1]
				391381, -- [2]
				{
					11100, -- [1]
					6300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103734, -- [1]
				}, -- [4]
			}, -- [90]
			{
				103740, -- [1]
				391387, -- [2]
				{
					14100, -- [1]
					6300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103737, -- [1]
				}, -- [4]
			}, -- [91]
			{
				103739, -- [1]
				372616, -- [2]
				{
					14100, -- [1]
					3300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103779, -- [1]
				}, -- [4]
			}, -- [92]
			{
				103738, -- [1]
				372611, -- [2]
				{
					13500, -- [1]
					6300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103737, -- [1]
				}, -- [4]
			}, -- [93]
			{
				103737, -- [1]
				235587, -- [2]
				{
					13500, -- [1]
					6900, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [94]
			{
				103676, -- [1]
				391124, -- [2]
				{
					13500, -- [1]
					6900, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [95]
			{
				103735, -- [1]
				372309, -- [2]
				{
					10500, -- [1]
					6300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103734, -- [1]
				}, -- [4]
			}, -- [96]
			{
				103734, -- [1]
				390992, -- [2]
				{
					11100, -- [1]
					6900, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [97]
			{
				103733, -- [1]
				372835, -- [2]
				{
					11100, -- [1]
					6900, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [98]
			{
				103834, -- [1]
				108942, -- [2]
				{
					5700, -- [1]
					2700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103860, -- [1]
					103862, -- [2]
				}, -- [4]
			}, -- [99]
			{
				103736, -- [1]
				392988, -- [2]
				{
					12300, -- [1]
					6900, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [100]
			{
				103675, -- [1]
				372760, -- [2]
				{
					12300, -- [1]
					6900, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [101]
			{
				103771, -- [1]
				196707, -- [2]
				{
					12300, -- [1]
					3300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103755, -- [1]
				}, -- [4]
			}, -- [102]
			{
				103774, -- [1]
				47788, -- [2]
				{
					12300, -- [1]
					2100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103773, -- [1]
				}, -- [4]
			}, -- [103]
			{
				103773, -- [1]
				200209, -- [2]
				{
					12300, -- [1]
					2700, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					103771, -- [1]
					103765, -- [2]
					103754, -- [3]
				}, -- [4]
			}, -- [104]
			{
				103772, -- [1]
				196437, -- [2]
				{
					12300, -- [1]
					2700, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					103771, -- [1]
					103765, -- [2]
					103754, -- [3]
				}, -- [4]
			}, -- [105]
		},
		[258] = {
			{
				103871, -- [1]
				372354, -- [2]
				{
					2100, -- [1]
					2700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103872, -- [1]
				}, -- [4]
			}, -- [1]
			{
				103870, -- [1]
				33076, -- [2]
				{
					2700, -- [1]
					2100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103872, -- [1]
					103851, -- [2]
					103871, -- [3]
				}, -- [4]
			}, -- [2]
			{
				103869, -- [1]
				139, -- [2]
				{
					3300, -- [1]
					1500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103870, -- [1]
					103866, -- [2]
				}, -- [4]
			}, -- [3]
			{
				103868, -- [1]
				73325, -- [2]
				{
					3900, -- [1]
					3300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103844, -- [1]
					103849, -- [2]
					103852, -- [3]
				}, -- [4]
			}, -- [4]
			{
				103867, -- [1]
				528, -- [2]
				{
					4500, -- [1]
					1500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103845, -- [1]
					103866, -- [2]
					103854, -- [3]
				}, -- [4]
			}, -- [5]
			{
				103866, -- [1]
				393870, -- [2]
				{
					3900, -- [1]
					2100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103858, -- [1]
					103851, -- [2]
					103853, -- [3]
				}, -- [4]
			}, -- [6]
			{
				103865, -- [1]
				34433, -- [2]
				{
					5700, -- [1]
					1500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103845, -- [1]
					103864, -- [2]
				}, -- [4]
			}, -- [7]
			{
				103864, -- [1]
				32379, -- [2]
				{
					6300, -- [1]
					2100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103863, -- [1]
					103834, -- [2]
				}, -- [4]
			}, -- [8]
			{
				103863, -- [1]
				321291, -- [2]
				{
					6900, -- [1]
					2700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103838, -- [1]
					103862, -- [2]
				}, -- [4]
			}, -- [9]
			{
				103862, -- [1]
				605, -- [2]
				{
					6300, -- [1]
					3300, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					103839, -- [1]
					103841, -- [2]
				}, -- [4]
			}, -- [10]
			{
				103678, -- [1]
				205364, -- [2]
				{
					6300, -- [1]
					3300, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					103839, -- [1]
					103841, -- [2]
				}, -- [4]
			}, -- [11]
			{
				103861, -- [1]
				377422, -- [2]
				{
					5700, -- [1]
					5100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103837, -- [1]
					103835, -- [2]
				}, -- [4]
			}, -- [12]
			{
				103860, -- [1]
				390919, -- [2]
				{
					5100, -- [1]
					3300, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					103844, -- [1]
					103841, -- [2]
				}, -- [4]
			}, -- [13]
			{
				103859, -- [1]
				108920, -- [2]
				{
					5100, -- [1]
					3300, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					103844, -- [1]
					103841, -- [2]
				}, -- [4]
			}, -- [14]
			{
				103858, -- [1]
				193063, -- [2]
				{
					3900, -- [1]
					2700, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					103868, -- [1]
				}, -- [4]
			}, -- [15]
			{
				103857, -- [1]
				390615, -- [2]
				{
					3900, -- [1]
					2700, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					103868, -- [1]
				}, -- [4]
			}, -- [16]
			{
				103856, -- [1]
				64129, -- [2]
				{
					3900, -- [1]
					4500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103847, -- [1]
					103833, -- [2]
				}, -- [4]
			}, -- [17]
			{
				103854, -- [1]
				213634, -- [2]
				{
					4500, -- [1]
					2100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [18]
			{
				103853, -- [1]
				121536, -- [2]
				{
					4500, -- [1]
					2700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103843, -- [1]
					103860, -- [2]
					103868, -- [3]
				}, -- [4]
			}, -- [19]
			{
				103852, -- [1]
				390620, -- [2]
				{
					3900, -- [1]
					3900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103856, -- [1]
				}, -- [4]
			}, -- [20]
			{
				103851, -- [1]
				132157, -- [2]
				{
					3300, -- [1]
					2700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103868, -- [1]
					103850, -- [2]
					103872, -- [3]
				}, -- [4]
			}, -- [21]
			{
				103850, -- [1]
				390622, -- [2]
				{
					3300, -- [1]
					3300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103849, -- [1]
				}, -- [4]
			}, -- [22]
			{
				103849, -- [1]
				32375, -- [2]
				{
					3300, -- [1]
					3900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103848, -- [1]
					103856, -- [2]
					103846, -- [3]
				}, -- [4]
			}, -- [23]
			{
				103848, -- [1]
				341167, -- [2]
				{
					3300, -- [1]
					4500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103847, -- [1]
				}, -- [4]
			}, -- [24]
			{
				103847, -- [1]
				373456, -- [2]
				{
					3300, -- [1]
					5100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103828, -- [1]
					103825, -- [2]
				}, -- [4]
			}, -- [25]
			{
				103846, -- [1]
				390676, -- [2]
				{
					2700, -- [1]
					4500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103847, -- [1]
				}, -- [4]
			}, -- [26]
			{
				103845, -- [1]
				196704, -- [2]
				{
					5100, -- [1]
					2100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103834, -- [1]
					103853, -- [2]
				}, -- [4]
			}, -- [27]
			{
				103844, -- [1]
				10060, -- [2]
				{
					4500, -- [1]
					3900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103832, -- [1]
					103842, -- [2]
					103856, -- [3]
				}, -- [4]
			}, -- [28]
			{
				103843, -- [1]
				9484, -- [2]
				{
					4500, -- [1]
					3300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103844, -- [1]
				}, -- [4]
			}, -- [29]
			{
				103842, -- [1]
				280749, -- [2]
				{
					5100, -- [1]
					4500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103861, -- [1]
					103833, -- [2]
				}, -- [4]
			}, -- [30]
			{
				103841, -- [1]
				15286, -- [2]
				{
					5700, -- [1]
					3900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103840, -- [1]
					103842, -- [2]
					103839, -- [3]
				}, -- [4]
			}, -- [31]
			{
				103840, -- [1]
				199855, -- [2]
				{
					5700, -- [1]
					4500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103861, -- [1]
				}, -- [4]
			}, -- [32]
			{
				103839, -- [1]
				390668, -- [2]
				{
					6300, -- [1]
					4500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103861, -- [1]
				}, -- [4]
			}, -- [33]
			{
				103838, -- [1]
				373223, -- [2]
				{
					6900, -- [1]
					3900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103839, -- [1]
				}, -- [4]
			}, -- [34]
			{
				103837, -- [1]
				375901, -- [2]
				{
					6300, -- [1]
					5700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103836, -- [1]
					103818, -- [2]
				}, -- [4]
			}, -- [35]
			{
				103836, -- [1]
				390670, -- [2]
				{
					5700, -- [1]
					6300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103820, -- [1]
				}, -- [4]
			}, -- [36]
			{
				103835, -- [1]
				373446, -- [2]
				{
					5100, -- [1]
					5700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103829, -- [1]
					103836, -- [2]
				}, -- [4]
			}, -- [37]
			{
				103833, -- [1]
				390972, -- [2]
				{
					4500, -- [1]
					5100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103835, -- [1]
					103828, -- [2]
				}, -- [4]
			}, -- [38]
			{
				103832, -- [1]
				373466, -- [2]
				{
					4500, -- [1]
					4500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103833, -- [1]
				}, -- [4]
			}, -- [39]
			{
				103829, -- [1]
				373457, -- [2]
				{
					4499, -- [1]
					6300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103821, -- [1]
					103820, -- [2]
				}, -- [4]
			}, -- [40]
			{
				103828, -- [1]
				122121, -- [2]
				{
					3900, -- [1]
					5700, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					103826, -- [1]
					103829, -- [2]
				}, -- [4]
			}, -- [41]
			{
				103827, -- [1]
				120644, -- [2]
				{
					3900, -- [1]
					5700, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					103826, -- [1]
					103829, -- [2]
				}, -- [4]
			}, -- [42]
			{
				103826, -- [1]
				373450, -- [2]
				{
					3300, -- [1]
					6300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103821, -- [1]
				}, -- [4]
			}, -- [43]
			{
				103825, -- [1]
				238100, -- [2]
				{
					2700, -- [1]
					5700, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					103823, -- [1]
					103826, -- [2]
				}, -- [4]
			}, -- [44]
			{
				103824, -- [1]
				368275, -- [2]
				{
					2700, -- [1]
					5700, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					103823, -- [1]
					103826, -- [2]
				}, -- [4]
			}, -- [45]
			{
				103823, -- [1]
				109186, -- [2]
				{
					2700, -- [1]
					6300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103822, -- [1]
				}, -- [4]
			}, -- [46]
			{
				103822, -- [1]
				373481, -- [2]
				{
					2700, -- [1]
					6900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [47]
			{
				103821, -- [1]
				108945, -- [2]
				{
					3900, -- [1]
					6900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [48]
			{
				103820, -- [1]
				108968, -- [2]
				{
					5100, -- [1]
					6900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [49]
			{
				103819, -- [1]
				391112, -- [2]
				{
					6300, -- [1]
					6900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [50]
			{
				103818, -- [1]
				390996, -- [2]
				{
					6300, -- [1]
					6300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103819, -- [1]
				}, -- [4]
			}, -- [51]
			{
				103816, -- [1]
				391288, -- [2]
				{
					12300, -- [1]
					6300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103817, -- [1]
				}, -- [4]
			}, -- [52]
			{
				103814, -- [1]
				199484, -- [2]
				{
					12900, -- [1]
					3300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103805, -- [1]
				}, -- [4]
			}, -- [53]
			{
				103813, -- [1]
				162448, -- [2]
				{
					14100, -- [1]
					3900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103682, -- [1]
				}, -- [4]
			}, -- [54]
			{
				103812, -- [1]
				73510, -- [2]
				{
					13500, -- [1]
					3300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103813, -- [1]
					103805, -- [2]
				}, -- [4]
			}, -- [55]
			{
				103811, -- [1]
				155271, -- [2]
				{
					12900, -- [1]
					2700, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					103814, -- [1]
					103680, -- [2]
					103812, -- [3]
				}, -- [4]
			}, -- [56]
			{
				103810, -- [1]
				391284, -- [2]
				{
					12900, -- [1]
					2700, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					103814, -- [1]
					103680, -- [2]
					103812, -- [3]
				}, -- [4]
			}, -- [57]
			{
				103809, -- [1]
				341491, -- [2]
				{
					12900, -- [1]
					2100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103811, -- [1]
				}, -- [4]
			}, -- [58]
			{
				103808, -- [1]
				335467, -- [2]
				{
					12300, -- [1]
					1500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103806, -- [1]
					103809, -- [2]
					103792, -- [3]
				}, -- [4]
			}, -- [59]
			{
				103807, -- [1]
				48045, -- [2]
				{
					11700, -- [1]
					3300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103804, -- [1]
				}, -- [4]
			}, -- [60]
			{
				103806, -- [1]
				47585, -- [2]
				{
					12300, -- [1]
					2100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103801, -- [1]
					103791, -- [2]
				}, -- [4]
			}, -- [61]
			{
				103805, -- [1]
				375888, -- [2]
				{
					12900, -- [1]
					3900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103803, -- [1]
				}, -- [4]
			}, -- [62]
			{
				103804, -- [1]
				375994, -- [2]
				{
					11700, -- [1]
					3900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103799, -- [1]
				}, -- [4]
			}, -- [63]
			{
				103802, -- [1]
				391095, -- [2]
				{
					12300, -- [1]
					5100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103685, -- [1]
					103815, -- [2]
				}, -- [4]
			}, -- [64]
			{
				103801, -- [1]
				288733, -- [2]
				{
					12300, -- [1]
					2700, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					103680, -- [1]
				}, -- [4]
			}, -- [65]
			{
				103800, -- [1]
				377065, -- [2]
				{
					12300, -- [1]
					2700, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					103680, -- [1]
				}, -- [4]
			}, -- [66]
			{
				103799, -- [1]
				341273, -- [2]
				{
					11700, -- [1]
					4500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103802, -- [1]
					103784, -- [2]
				}, -- [4]
			}, -- [67]
			{
				103680, -- [1]
				391109, -- [2]
				{
					12300, -- [1]
					3300, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					103804, -- [1]
					103798, -- [2]
					103805, -- [3]
				}, -- [4]
			}, -- [68]
			{
				103674, -- [1]
				228260, -- [2]
				{
					12300, -- [1]
					3300, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					103804, -- [1]
					103798, -- [2]
					103805, -- [3]
				}, -- [4]
			}, -- [69]
			{
				103798, -- [1]
				341240, -- [2]
				{
					12300, -- [1]
					3900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103799, -- [1]
					103803, -- [2]
				}, -- [4]
			}, -- [70]
			{
				103797, -- [1]
				373221, -- [2]
				{
					14099, -- [1]
					6300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103781, -- [1]
				}, -- [4]
			}, -- [71]
			{
				103796, -- [1]
				341374, -- [2]
				{
					14100, -- [1]
					5700, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					103797, -- [1]
					103683, -- [2]
				}, -- [4]
			}, -- [72]
			{
				103679, -- [1]
				263165, -- [2]
				{
					14100, -- [1]
					5700, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					103797, -- [1]
					103683, -- [2]
				}, -- [4]
			}, -- [73]
			{
				103795, -- [1]
				391242, -- [2]
				{
					11100, -- [1]
					3300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103785, -- [1]
					103804, -- [2]
				}, -- [4]
			}, -- [74]
			{
				103794, -- [1]
				64044, -- [2]
				{
					11100, -- [1]
					2700, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					103795, -- [1]
				}, -- [4]
			}, -- [75]
			{
				103793, -- [1]
				263716, -- [2]
				{
					11100, -- [1]
					2700, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					103795, -- [1]
				}, -- [4]
			}, -- [76]
			{
				103792, -- [1]
				15487, -- [2]
				{
					11700, -- [1]
					2100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103791, -- [1]
					103794, -- [2]
				}, -- [4]
			}, -- [77]
			{
				103791, -- [1]
				238558, -- [2]
				{
					11700, -- [1]
					2700, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					103807, -- [1]
					103680, -- [2]
					103795, -- [3]
				}, -- [4]
			}, -- [78]
			{
				103790, -- [1]
				263346, -- [2]
				{
					11700, -- [1]
					2700, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					103807, -- [1]
					103680, -- [2]
					103795, -- [3]
				}, -- [4]
			}, -- [79]
			{
				103789, -- [1]
				375767, -- [2]
				{
					11100, -- [1]
					6300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103782, -- [1]
				}, -- [4]
			}, -- [80]
			{
				103788, -- [1]
				200174, -- [2]
				{
					10500, -- [1]
					5700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103789, -- [1]
					103783, -- [2]
				}, -- [4]
			}, -- [81]
			{
				103786, -- [1]
				391296, -- [2]
				{
					10500, -- [1]
					4500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103784, -- [1]
				}, -- [4]
			}, -- [82]
			{
				103785, -- [1]
				377387, -- [2]
				{
					10500, -- [1]
					3900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103786, -- [1]
				}, -- [4]
			}, -- [83]
			{
				103784, -- [1]
				391228, -- [2]
				{
					11100, -- [1]
					5100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103788, -- [1]
					103815, -- [2]
				}, -- [4]
			}, -- [84]
			{
				103783, -- [1]
				373427, -- [2]
				{
					10499, -- [1]
					6300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103787, -- [1]
				}, -- [4]
			}, -- [85]
			{
				103782, -- [1]
				377349, -- [2]
				{
					11699, -- [1]
					6900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [86]
			{
				103872, -- [1]
				390667, -- [2]
				{
					2700, -- [1]
					3300, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					103849, -- [1]
					103846, -- [2]
					103873, -- [3]
				}, -- [4]
			}, -- [87]
			{
				103677, -- [1]
				390767, -- [2]
				{
					2700, -- [1]
					3300, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					103849, -- [1]
					103846, -- [2]
					103873, -- [3]
				}, -- [4]
			}, -- [88]
			{
				103873, -- [1]
				377438, -- [2]
				{
					2100, -- [1]
					3900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103846, -- [1]
				}, -- [4]
			}, -- [89]
			{
				103781, -- [1]
				373280, -- [2]
				{
					14100, -- [1]
					6900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [90]
			{
				103686, -- [1]
				391137, -- [2]
				{
					13500, -- [1]
					5100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103685, -- [1]
					103796, -- [2]
				}, -- [4]
			}, -- [91]
			{
				103685, -- [1]
				391235, -- [2]
				{
					12900, -- [1]
					5700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103816, -- [1]
					103684, -- [2]
					103683, -- [3]
				}, -- [4]
			}, -- [92]
			{
				103684, -- [1]
				373202, -- [2]
				{
					12900, -- [1]
					6300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103817, -- [1]
				}, -- [4]
			}, -- [93]
			{
				103683, -- [1]
				373212, -- [2]
				{
					13500, -- [1]
					6300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103781, -- [1]
				}, -- [4]
			}, -- [94]
			{
				103682, -- [1]
				391090, -- [2]
				{
					14100, -- [1]
					4500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103686, -- [1]
				}, -- [4]
			}, -- [95]
			{
				103815, -- [1]
				392507, -- [2]
				{
					11700, -- [1]
					5700, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					103789, -- [1]
					103816, -- [2]
				}, -- [4]
			}, -- [96]
			{
				103681, -- [1]
				391399, -- [2]
				{
					11700, -- [1]
					5700, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					103789, -- [1]
					103816, -- [2]
				}, -- [4]
			}, -- [97]
			{
				103803, -- [1]
				205385, -- [2]
				{
					12900, -- [1]
					4500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103686, -- [1]
					103802, -- [2]
				}, -- [4]
			}, -- [98]
			{
				103834, -- [1]
				108942, -- [2]
				{
					5700, -- [1]
					2700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103860, -- [1]
					103862, -- [2]
				}, -- [4]
			}, -- [99]
			{
				103817, -- [1]
				373273, -- [2]
				{
					12900, -- [1]
					6900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [100]
			{
				103787, -- [1]
				373310, -- [2]
				{
					10500, -- [1]
					6900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [101]
		},
		[259] = {
			{
				104684, -- [1]
				392384, -- [2]
				{
					11700, -- [1]
					3310, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104797, -- [1]
				}, -- [4]
			}, -- [1]
			{
				104858, -- [1]
				382238, -- [2]
				{
					3300, -- [1]
					5700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104859, -- [1]
				}, -- [4]
			}, -- [2]
			{
				104857, -- [1]
				14983, -- [2]
				{
					2700, -- [1]
					5100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104858, -- [1]
					104856, -- [2]
				}, -- [4]
			}, -- [3]
			{
				104856, -- [1]
				280716, -- [2]
				{
					2700, -- [1]
					5700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104855, -- [1]
				}, -- [4]
			}, -- [4]
			{
				104855, -- [1]
				14190, -- [2]
				{
					2700, -- [1]
					6300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104854, -- [1]
				}, -- [4]
			}, -- [5]
			{
				104854, -- [1]
				381623, -- [2]
				{
					3300, -- [1]
					6900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [6]
			{
				104853, -- [1]
				36554, -- [2]
				{
					5100, -- [1]
					3300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104852, -- [1]
				}, -- [4]
			}, -- [7]
			{
				104852, -- [1]
				379005, -- [2]
				{
					5100, -- [1]
					3900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104851, -- [1]
					104837, -- [2]
				}, -- [4]
			}, -- [8]
			{
				104851, -- [1]
				381621, -- [2]
				{
					4500, -- [1]
					4500, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [9]
			{
				104850, -- [1]
				14062, -- [2]
				{
					4500, -- [1]
					4500, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [10]
			{
				104849, -- [1]
				79008, -- [2]
				{
					3900, -- [1]
					3900, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					104851, -- [1]
					104847, -- [2]
					104833, -- [3]
				}, -- [4]
			}, -- [11]
			{
				104848, -- [1]
				31230, -- [2]
				{
					3900, -- [1]
					3900, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					104851, -- [1]
					104847, -- [2]
					104833, -- [3]
				}, -- [4]
			}, -- [12]
			{
				104847, -- [1]
				381619, -- [2]
				{
					3900, -- [1]
					4500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104846, -- [1]
				}, -- [4]
			}, -- [13]
			{
				104846, -- [1]
				196924, -- [2]
				{
					3900, -- [1]
					5100, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					104834, -- [1]
					104858, -- [2]
					104844, -- [3]
				}, -- [4]
			}, -- [14]
			{
				104845, -- [1]
				381620, -- [2]
				{
					3900, -- [1]
					5100, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					104834, -- [1]
					104858, -- [2]
					104844, -- [3]
				}, -- [4]
			}, -- [15]
			{
				104844, -- [1]
				193539, -- [2]
				{
					4500, -- [1]
					5700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104843, -- [1]
				}, -- [4]
			}, -- [16]
			{
				104843, -- [1]
				193531, -- [2]
				{
					4500, -- [1]
					6300, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [17]
			{
				104842, -- [1]
				137619, -- [2]
				{
					4500, -- [1]
					6300, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [18]
			{
				104841, -- [1]
				393970, -- [2]
				{
					5100, -- [1]
					5700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104840, -- [1]
				}, -- [4]
			}, -- [19]
			{
				104840, -- [1]
				91023, -- [2]
				{
					5100, -- [1]
					6300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104839, -- [1]
				}, -- [4]
			}, -- [20]
			{
				104839, -- [1]
				185313, -- [2]
				{
					4500, -- [1]
					6900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [21]
			{
				104838, -- [1]
				381620, -- [2]
				{
					5100, -- [1]
					5100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104844, -- [1]
					104841, -- [2]
				}, -- [4]
			}, -- [22]
			{
				104837, -- [1]
				14062, -- [2]
				{
					5100, -- [1]
					4500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104838, -- [1]
					104838, -- [2]
				}, -- [4]
			}, -- [23]
			{
				104836, -- [1]
				381622, -- [2]
				{
					3900, -- [1]
					6900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [24]
			{
				104835, -- [1]
				385616, -- [2]
				{
					3900, -- [1]
					6300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104836, -- [1]
				}, -- [4]
			}, -- [25]
			{
				104834, -- [1]
				378996, -- [2]
				{
					3900, -- [1]
					5700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104835, -- [1]
				}, -- [4]
			}, -- [26]
			{
				104833, -- [1]
				381543, -- [2]
				{
					3300, -- [1]
					4500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [27]
			{
				104832, -- [1]
				231719, -- [2]
				{
					2700, -- [1]
					3900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104833, -- [1]
					104831, -- [2]
				}, -- [4]
			}, -- [28]
			{
				104831, -- [1]
				381542, -- [2]
				{
					2700, -- [1]
					4500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104857, -- [1]
					104857, -- [2]
				}, -- [4]
			}, -- [29]
			{
				104830, -- [1]
				378813, -- [2]
				{
					2700, -- [1]
					3300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104832, -- [1]
				}, -- [4]
			}, -- [30]
			{
				104829, -- [1]
				5761, -- [2]
				{
					2700, -- [1]
					2700, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					104830, -- [1]
				}, -- [4]
			}, -- [31]
			{
				104828, -- [1]
				381637, -- [2]
				{
					2700, -- [1]
					2700, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					104830, -- [1]
				}, -- [4]
			}, -- [32]
			{
				104827, -- [1]
				5277, -- [2]
				{
					2700, -- [1]
					2100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104829, -- [1]
					104826, -- [2]
					104813, -- [3]
				}, -- [4]
			}, -- [33]
			{
				104826, -- [1]
				378427, -- [2]
				{
					3300, -- [1]
					2700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104825, -- [1]
					104830, -- [2]
					104814, -- [3]
				}, -- [4]
			}, -- [34]
			{
				104825, -- [1]
				231691, -- [2]
				{
					3900, -- [1]
					3300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104849, -- [1]
				}, -- [4]
			}, -- [35]
			{
				104824, -- [1]
				1776, -- [2]
				{
					3900, -- [1]
					2700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104825, -- [1]
				}, -- [4]
			}, -- [36]
			{
				104823, -- [1]
				1966, -- [2]
				{
					3900, -- [1]
					2100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104824, -- [1]
					104822, -- [2]
					104826, -- [3]
				}, -- [4]
			}, -- [37]
			{
				104822, -- [1]
				378803, -- [2]
				{
					4500, -- [1]
					2700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104853, -- [1]
					104825, -- [2]
					104821, -- [3]
				}, -- [4]
			}, -- [38]
			{
				104821, -- [1]
				131511, -- [2]
				{
					4500, -- [1]
					3300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [39]
			{
				104820, -- [1]
				31224, -- [2]
				{
					5100, -- [1]
					2100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104822, -- [1]
					104819, -- [2]
					104818, -- [3]
				}, -- [4]
			}, -- [40]
			{
				104819, -- [1]
				57934, -- [2]
				{
					5100, -- [1]
					2700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104853, -- [1]
				}, -- [4]
			}, -- [41]
			{
				104818, -- [1]
				378807, -- [2]
				{
					5700, -- [1]
					2700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104817, -- [1]
					104853, -- [2]
				}, -- [4]
			}, -- [42]
			{
				104817, -- [1]
				108208, -- [2]
				{
					6300, -- [1]
					3300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [43]
			{
				104816, -- [1]
				6770, -- [2]
				{
					5700, -- [1]
					1500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104820, -- [1]
				}, -- [4]
			}, -- [44]
			{
				104815, -- [1]
				2094, -- [2]
				{
					3900, -- [1]
					1500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104823, -- [1]
				}, -- [4]
			}, -- [45]
			{
				104814, -- [1]
				193546, -- [2]
				{
					3300, -- [1]
					3300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [46]
			{
				104813, -- [1]
				378436, -- [2]
				{
					2100, -- [1]
					2700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104830, -- [1]
					104812, -- [2]
				}, -- [4]
			}, -- [47]
			{
				104812, -- [1]
				319066, -- [2]
				{
					1500, -- [1]
					3300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [48]
			{
				104811, -- [1]
				5938, -- [2]
				{
					2100, -- [1]
					1500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104827, -- [1]
				}, -- [4]
			}, -- [49]
			{
				104808, -- [1]
				385408, -- [2]
				{
					12900, -- [1]
					5700, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					104806, -- [1]
				}, -- [4]
			}, -- [50]
			{
				104807, -- [1]
				385424, -- [2]
				{
					12900, -- [1]
					5700, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					104806, -- [1]
				}, -- [4]
			}, -- [51]
			{
				104806, -- [1]
				381799, -- [2]
				{
					12300, -- [1]
					6300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104805, -- [1]
				}, -- [4]
			}, -- [52]
			{
				104805, -- [1]
				381802, -- [2]
				{
					12300, -- [1]
					6900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [53]
			{
				104804, -- [1]
				381634, -- [2]
				{
					11100, -- [1]
					4500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104803, -- [1]
					104794, -- [2]
				}, -- [4]
			}, -- [54]
			{
				104803, -- [1]
				381652, -- [2]
				{
					10500, -- [1]
					5100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104802, -- [1]
				}, -- [4]
			}, -- [55]
			{
				104802, -- [1]
				328085, -- [2]
				{
					10500, -- [1]
					5700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104801, -- [1]
				}, -- [4]
			}, -- [56]
			{
				104801, -- [1]
				381798, -- [2]
				{
					11100, -- [1]
					6300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104800, -- [1]
				}, -- [4]
			}, -- [57]
			{
				104800, -- [1]
				385627, -- [2]
				{
					11100, -- [1]
					6900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [58]
			{
				104799, -- [1]
				381624, -- [2]
				{
					11700, -- [1]
					2700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104684, -- [1]
					104696, -- [2]
					104798, -- [3]
				}, -- [4]
			}, -- [59]
			{
				104798, -- [1]
				5938, -- [2]
				{
					11100, -- [1]
					3300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104797, -- [1]
					104700, -- [2]
					104702, -- [3]
				}, -- [4]
			}, -- [60]
			{
				104797, -- [1]
				360194, -- [2]
				{
					11700, -- [1]
					3900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104804, -- [1]
					104796, -- [2]
					104686, -- [3]
					104685, -- [4]
				}, -- [4]
			}, -- [61]
			{
				104796, -- [1]
				381640, -- [2]
				{
					12300, -- [1]
					4500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104683, -- [1]
					104795, -- [2]
				}, -- [4]
			}, -- [62]
			{
				104795, -- [1]
				381673, -- [2]
				{
					12900, -- [1]
					5100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104808, -- [1]
				}, -- [4]
			}, -- [63]
			{
				104794, -- [1]
				381800, -- [2]
				{
					11100, -- [1]
					5700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104801, -- [1]
				}, -- [4]
			}, -- [64]
			{
				104685, -- [1]
				381664, -- [2]
				{
					11410, -- [1]
					5100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104687, -- [1]
				}, -- [4]
			}, -- [65]
			{
				104686, -- [1]
				381669, -- [2]
				{
					12000, -- [1]
					5100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104687, -- [1]
				}, -- [4]
			}, -- [66]
			{
				104687, -- [1]
				255544, -- [2]
				{
					11700, -- [1]
					5700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104688, -- [1]
				}, -- [4]
			}, -- [67]
			{
				104688, -- [1]
				381797, -- [2]
				{
					11700, -- [1]
					6300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104689, -- [1]
				}, -- [4]
			}, -- [68]
			{
				104689, -- [1]
				381801, -- [2]
				{
					11700, -- [1]
					6910, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [69]
			{
				104690, -- [1]
				79134, -- [2]
				{
					11700, -- [1]
					2100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104799, -- [1]
				}, -- [4]
			}, -- [70]
			{
				104691, -- [1]
				381626, -- [2]
				{
					12300, -- [1]
					2700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104696, -- [1]
				}, -- [4]
			}, -- [71]
			{
				104692, -- [1]
				381630, -- [2]
				{
					13500, -- [1]
					3300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104695, -- [1]
				}, -- [4]
			}, -- [72]
			{
				104693, -- [1]
				255989, -- [2]
				{
					12300, -- [1]
					3900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104694, -- [1]
					104796, -- [2]
				}, -- [4]
			}, -- [73]
			{
				104859, -- [1]
				382245, -- [2]
				{
					3300, -- [1]
					6300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [74]
			{
				104683, -- [1]
				385478, -- [2]
				{
					12300, -- [1]
					5700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104806, -- [1]
				}, -- [4]
			}, -- [75]
			{
				104694, -- [1]
				196861, -- [2]
				{
					12900, -- [1]
					4500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [76]
			{
				104696, -- [1]
				381632, -- [2]
				{
					12300, -- [1]
					3300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104797, -- [1]
					104695, -- [2]
					104693, -- [3]
				}, -- [4]
			}, -- [77]
			{
				104697, -- [1]
				381627, -- [2]
				{
					12900, -- [1]
					2700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104696, -- [1]
					104692, -- [2]
				}, -- [4]
			}, -- [78]
			{
				104698, -- [1]
				36554, -- [2]
				{
					12300, -- [1]
					2100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104697, -- [1]
					104691, -- [2]
				}, -- [4]
			}, -- [79]
			{
				104699, -- [1]
				2823, -- [2]
				{
					11700, -- [1]
					1500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104705, -- [1]
					104698, -- [2]
					104690, -- [3]
				}, -- [4]
			}, -- [80]
			{
				104700, -- [1]
				152152, -- [2]
				{
					11100, -- [1]
					3900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104804, -- [1]
					104701, -- [2]
				}, -- [4]
			}, -- [81]
			{
				104701, -- [1]
				381631, -- [2]
				{
					10510, -- [1]
					4500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [82]
			{
				104702, -- [1]
				121411, -- [2]
				{
					10510, -- [1]
					3900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104701, -- [1]
				}, -- [4]
			}, -- [83]
			{
				104703, -- [1]
				381629, -- [2]
				{
					9900, -- [1]
					3300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104702, -- [1]
				}, -- [4]
			}, -- [84]
			{
				104704, -- [1]
				51667, -- [2]
				{
					10510, -- [1]
					2700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104703, -- [1]
					104798, -- [2]
				}, -- [4]
			}, -- [85]
			{
				104705, -- [1]
				319032, -- [2]
				{
					11100, -- [1]
					2100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104706, -- [1]
					104704, -- [2]
				}, -- [4]
			}, -- [86]
			{
				104706, -- [1]
				193640, -- [2]
				{
					11100, -- [1]
					2700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104798, -- [1]
				}, -- [4]
			}, -- [87]
			{
				104695, -- [1]
				200806, -- [2]
				{
					12910, -- [1]
					3900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104694, -- [1]
				}, -- [4]
			}, -- [88]
		},
		[260] = {
			{
				104858, -- [1]
				382238, -- [2]
				{
					3300, -- [1]
					5700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104859, -- [1]
				}, -- [4]
			}, -- [1]
			{
				104857, -- [1]
				14983, -- [2]
				{
					2700, -- [1]
					5100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104858, -- [1]
					104856, -- [2]
				}, -- [4]
			}, -- [2]
			{
				104856, -- [1]
				280716, -- [2]
				{
					2700, -- [1]
					5700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104855, -- [1]
				}, -- [4]
			}, -- [3]
			{
				104855, -- [1]
				14190, -- [2]
				{
					2700, -- [1]
					6300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104854, -- [1]
				}, -- [4]
			}, -- [4]
			{
				104854, -- [1]
				381623, -- [2]
				{
					3300, -- [1]
					6900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [5]
			{
				104853, -- [1]
				36554, -- [2]
				{
					5100, -- [1]
					3300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104852, -- [1]
				}, -- [4]
			}, -- [6]
			{
				104852, -- [1]
				379005, -- [2]
				{
					5100, -- [1]
					3900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104851, -- [1]
					104837, -- [2]
				}, -- [4]
			}, -- [7]
			{
				104851, -- [1]
				381621, -- [2]
				{
					4500, -- [1]
					4500, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [8]
			{
				104850, -- [1]
				14062, -- [2]
				{
					4500, -- [1]
					4500, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [9]
			{
				104849, -- [1]
				79008, -- [2]
				{
					3900, -- [1]
					3900, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					104851, -- [1]
					104847, -- [2]
					104833, -- [3]
				}, -- [4]
			}, -- [10]
			{
				104848, -- [1]
				31230, -- [2]
				{
					3900, -- [1]
					3900, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					104851, -- [1]
					104847, -- [2]
					104833, -- [3]
				}, -- [4]
			}, -- [11]
			{
				104847, -- [1]
				381619, -- [2]
				{
					3900, -- [1]
					4500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104846, -- [1]
				}, -- [4]
			}, -- [12]
			{
				104846, -- [1]
				196924, -- [2]
				{
					3900, -- [1]
					5100, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					104834, -- [1]
					104858, -- [2]
					104844, -- [3]
				}, -- [4]
			}, -- [13]
			{
				104845, -- [1]
				381620, -- [2]
				{
					3900, -- [1]
					5100, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					104834, -- [1]
					104858, -- [2]
					104844, -- [3]
				}, -- [4]
			}, -- [14]
			{
				104844, -- [1]
				193539, -- [2]
				{
					4500, -- [1]
					5700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104843, -- [1]
				}, -- [4]
			}, -- [15]
			{
				104843, -- [1]
				193531, -- [2]
				{
					4500, -- [1]
					6300, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [16]
			{
				104842, -- [1]
				137619, -- [2]
				{
					4500, -- [1]
					6300, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [17]
			{
				104841, -- [1]
				393970, -- [2]
				{
					5100, -- [1]
					5700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104840, -- [1]
				}, -- [4]
			}, -- [18]
			{
				104840, -- [1]
				91023, -- [2]
				{
					5100, -- [1]
					6300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104839, -- [1]
				}, -- [4]
			}, -- [19]
			{
				104839, -- [1]
				185313, -- [2]
				{
					4500, -- [1]
					6900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [20]
			{
				104838, -- [1]
				381620, -- [2]
				{
					5100, -- [1]
					5100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104844, -- [1]
					104841, -- [2]
				}, -- [4]
			}, -- [21]
			{
				104837, -- [1]
				14062, -- [2]
				{
					5100, -- [1]
					4500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104838, -- [1]
					104838, -- [2]
				}, -- [4]
			}, -- [22]
			{
				104836, -- [1]
				381622, -- [2]
				{
					3900, -- [1]
					6900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [23]
			{
				104835, -- [1]
				385616, -- [2]
				{
					3900, -- [1]
					6300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104836, -- [1]
				}, -- [4]
			}, -- [24]
			{
				104834, -- [1]
				378996, -- [2]
				{
					3900, -- [1]
					5700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104835, -- [1]
				}, -- [4]
			}, -- [25]
			{
				104833, -- [1]
				381543, -- [2]
				{
					3300, -- [1]
					4500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [26]
			{
				104832, -- [1]
				231719, -- [2]
				{
					2700, -- [1]
					3900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104833, -- [1]
					104831, -- [2]
				}, -- [4]
			}, -- [27]
			{
				104831, -- [1]
				381542, -- [2]
				{
					2700, -- [1]
					4500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104857, -- [1]
					104857, -- [2]
				}, -- [4]
			}, -- [28]
			{
				104830, -- [1]
				378813, -- [2]
				{
					2700, -- [1]
					3300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104832, -- [1]
				}, -- [4]
			}, -- [29]
			{
				104829, -- [1]
				5761, -- [2]
				{
					2700, -- [1]
					2700, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					104830, -- [1]
				}, -- [4]
			}, -- [30]
			{
				104828, -- [1]
				381637, -- [2]
				{
					2700, -- [1]
					2700, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					104830, -- [1]
				}, -- [4]
			}, -- [31]
			{
				104827, -- [1]
				5277, -- [2]
				{
					2700, -- [1]
					2100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104829, -- [1]
					104826, -- [2]
					104813, -- [3]
				}, -- [4]
			}, -- [32]
			{
				104826, -- [1]
				378427, -- [2]
				{
					3300, -- [1]
					2700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104825, -- [1]
					104830, -- [2]
					104814, -- [3]
				}, -- [4]
			}, -- [33]
			{
				104825, -- [1]
				231691, -- [2]
				{
					3900, -- [1]
					3300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104849, -- [1]
				}, -- [4]
			}, -- [34]
			{
				104824, -- [1]
				1776, -- [2]
				{
					3900, -- [1]
					2700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104825, -- [1]
				}, -- [4]
			}, -- [35]
			{
				104823, -- [1]
				1966, -- [2]
				{
					3900, -- [1]
					2100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104824, -- [1]
					104822, -- [2]
					104826, -- [3]
				}, -- [4]
			}, -- [36]
			{
				104822, -- [1]
				378803, -- [2]
				{
					4500, -- [1]
					2700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104853, -- [1]
					104825, -- [2]
					104821, -- [3]
				}, -- [4]
			}, -- [37]
			{
				104821, -- [1]
				131511, -- [2]
				{
					4500, -- [1]
					3300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [38]
			{
				104820, -- [1]
				31224, -- [2]
				{
					5100, -- [1]
					2100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104822, -- [1]
					104819, -- [2]
					104818, -- [3]
				}, -- [4]
			}, -- [39]
			{
				104819, -- [1]
				57934, -- [2]
				{
					5100, -- [1]
					2700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104853, -- [1]
				}, -- [4]
			}, -- [40]
			{
				104818, -- [1]
				378807, -- [2]
				{
					5700, -- [1]
					2700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104817, -- [1]
					104853, -- [2]
				}, -- [4]
			}, -- [41]
			{
				104817, -- [1]
				108208, -- [2]
				{
					6300, -- [1]
					3300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [42]
			{
				104816, -- [1]
				6770, -- [2]
				{
					5700, -- [1]
					1500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104820, -- [1]
				}, -- [4]
			}, -- [43]
			{
				104815, -- [1]
				2094, -- [2]
				{
					3900, -- [1]
					1500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104823, -- [1]
				}, -- [4]
			}, -- [44]
			{
				104814, -- [1]
				193546, -- [2]
				{
					3300, -- [1]
					3300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [45]
			{
				104813, -- [1]
				378436, -- [2]
				{
					2100, -- [1]
					2700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104830, -- [1]
					104812, -- [2]
				}, -- [4]
			}, -- [46]
			{
				104812, -- [1]
				319066, -- [2]
				{
					1500, -- [1]
					3300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [47]
			{
				104811, -- [1]
				5938, -- [2]
				{
					2100, -- [1]
					1500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104827, -- [1]
				}, -- [4]
			}, -- [48]
			{
				104810, -- [1]
				381990, -- [2]
				{
					11700, -- [1]
					6300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104809, -- [1]
				}, -- [4]
			}, -- [49]
			{
				104809, -- [1]
				381989, -- [2]
				{
					11700, -- [1]
					6900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [50]
			{
				104793, -- [1]
				385408, -- [2]
				{
					10500, -- [1]
					5700, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					104791, -- [1]
				}, -- [4]
			}, -- [51]
			{
				104792, -- [1]
				196937, -- [2]
				{
					10500, -- [1]
					5700, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					104791, -- [1]
				}, -- [4]
			}, -- [52]
			{
				104791, -- [1]
				382742, -- [2]
				{
					10500, -- [1]
					6300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104790, -- [1]
				}, -- [4]
			}, -- [53]
			{
				104790, -- [1]
				383281, -- [2]
				{
					11100, -- [1]
					6900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [54]
			{
				104789, -- [1]
				271877, -- [2]
				{
					11100, -- [1]
					5700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104791, -- [1]
				}, -- [4]
			}, -- [55]
			{
				104788, -- [1]
				381894, -- [2]
				{
					10500, -- [1]
					5100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104789, -- [1]
					104793, -- [2]
				}, -- [4]
			}, -- [56]
			{
				104787, -- [1]
				193531, -- [2]
				{
					10500, -- [1]
					3900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104788, -- [1]
					104784, -- [2]
				}, -- [4]
			}, -- [57]
			{
				104786, -- [1]
				14161, -- [2]
				{
					10500, -- [1]
					3300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104785, -- [1]
					104787, -- [2]
				}, -- [4]
			}, -- [58]
			{
				104785, -- [1]
				381885, -- [2]
				{
					9900, -- [1]
					3900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104784, -- [1]
				}, -- [4]
			}, -- [59]
			{
				104784, -- [1]
				381845, -- [2]
				{
					9900, -- [1]
					4500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104788, -- [1]
				}, -- [4]
			}, -- [60]
			{
				104783, -- [1]
				381877, -- [2]
				{
					11099, -- [1]
					2700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104786, -- [1]
					104751, -- [2]
				}, -- [4]
			}, -- [61]
			{
				104782, -- [1]
				195457, -- [2]
				{
					10500, -- [1]
					2100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104781, -- [1]
					104783, -- [2]
				}, -- [4]
			}, -- [62]
			{
				104781, -- [1]
				256188, -- [2]
				{
					9900, -- [1]
					2700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104786, -- [1]
					104780, -- [2]
				}, -- [4]
			}, -- [63]
			{
				104859, -- [1]
				382245, -- [2]
				{
					3300, -- [1]
					6300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [64]
			{
				104780, -- [1]
				256165, -- [2]
				{
					9300, -- [1]
					3300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104785, -- [1]
				}, -- [4]
			}, -- [65]
			{
				104751, -- [1]
				381988, -- [2]
				{
					11100, -- [1]
					3300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104787, -- [1]
				}, -- [4]
			}, -- [66]
			{
				104752, -- [1]
				79096, -- [2]
				{
					11700, -- [1]
					3300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104754, -- [1]
				}, -- [4]
			}, -- [67]
			{
				104753, -- [1]
				354897, -- [2]
				{
					11700, -- [1]
					4500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104757, -- [1]
				}, -- [4]
			}, -- [68]
			{
				104754, -- [1]
				315508, -- [2]
				{
					11700, -- [1]
					3900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104755, -- [1]
					104753, -- [2]
					104758, -- [3]
				}, -- [4]
			}, -- [69]
			{
				104755, -- [1]
				256170, -- [2]
				{
					11100, -- [1]
					4500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104788, -- [1]
					104757, -- [2]
				}, -- [4]
			}, -- [70]
			{
				104756, -- [1]
				382794, -- [2]
				{
					11700, -- [1]
					5700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104810, -- [1]
				}, -- [4]
			}, -- [71]
			{
				104757, -- [1]
				381982, -- [2]
				{
					11700, -- [1]
					5100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104756, -- [1]
				}, -- [4]
			}, -- [72]
			{
				104758, -- [1]
				381839, -- [2]
				{
					12300, -- [1]
					4500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104773, -- [1]
					104757, -- [2]
				}, -- [4]
			}, -- [73]
			{
				104759, -- [1]
				381822, -- [2]
				{
					12300, -- [1]
					2100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [74]
			{
				104760, -- [1]
				13877, -- [2]
				{
					12290, -- [1]
					1490, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104762, -- [1]
					104777, -- [2]
					104759, -- [3]
				}, -- [4]
			}, -- [75]
			{
				104761, -- [1]
				344363, -- [2]
				{
					12300, -- [1]
					2700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104765, -- [1]
					104775, -- [2]
				}, -- [4]
			}, -- [76]
			{
				104762, -- [1]
				315341, -- [2]
				{
					12900, -- [1]
					2100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104764, -- [1]
					104761, -- [2]
				}, -- [4]
			}, -- [77]
			{
				104763, -- [1]
				108216, -- [2]
				{
					14100, -- [1]
					3300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104766, -- [1]
				}, -- [4]
			}, -- [78]
			{
				104764, -- [1]
				196922, -- [2]
				{
					13500, -- [1]
					2700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104763, -- [1]
					104765, -- [2]
				}, -- [4]
			}, -- [79]
			{
				104765, -- [1]
				381828, -- [2]
				{
					12900, -- [1]
					3300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104766, -- [1]
					104774, -- [2]
				}, -- [4]
			}, -- [80]
			{
				104766, -- [1]
				381878, -- [2]
				{
					13490, -- [1]
					3900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104767, -- [1]
				}, -- [4]
			}, -- [81]
			{
				104767, -- [1]
				272026, -- [2]
				{
					13500, -- [1]
					4500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104773, -- [1]
				}, -- [4]
			}, -- [82]
			{
				104768, -- [1]
				381985, -- [2]
				{
					12900, -- [1]
					5700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104770, -- [1]
				}, -- [4]
			}, -- [83]
			{
				104769, -- [1]
				386823, -- [2]
				{
					12300, -- [1]
					6900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [84]
			{
				104770, -- [1]
				381846, -- [2]
				{
					12900, -- [1]
					6300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104769, -- [1]
				}, -- [4]
			}, -- [85]
			{
				104772, -- [1]
				51690, -- [2]
				{
					12300, -- [1]
					5700, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					104770, -- [1]
				}, -- [4]
			}, -- [86]
			{
				104771, -- [1]
				343142, -- [2]
				{
					12300, -- [1]
					5700, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					104770, -- [1]
				}, -- [4]
			}, -- [87]
			{
				104773, -- [1]
				382746, -- [2]
				{
					12900, -- [1]
					5100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104772, -- [1]
					104768, -- [2]
				}, -- [4]
			}, -- [88]
			{
				104774, -- [1]
				196938, -- [2]
				{
					12900, -- [1]
					3900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104773, -- [1]
					104767, -- [2]
				}, -- [4]
			}, -- [89]
			{
				104775, -- [1]
				35551, -- [2]
				{
					12300, -- [1]
					3300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104774, -- [1]
				}, -- [4]
			}, -- [90]
			{
				104776, -- [1]
				13750, -- [2]
				{
					11700, -- [1]
					2700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104775, -- [1]
					104752, -- [2]
					104751, -- [3]
				}, -- [4]
			}, -- [91]
			{
				104777, -- [1]
				61329, -- [2]
				{
					11700, -- [1]
					2100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104776, -- [1]
				}, -- [4]
			}, -- [92]
			{
				104778, -- [1]
				200733, -- [2]
				{
					11100, -- [1]
					2100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [93]
			{
				104779, -- [1]
				279876, -- [2]
				{
					11100, -- [1]
					1500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104778, -- [1]
					104782, -- [2]
					104777, -- [3]
				}, -- [4]
			}, -- [94]
		},
		[261] = {
			{
				104858, -- [1]
				382238, -- [2]
				{
					3300, -- [1]
					5700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104859, -- [1]
				}, -- [4]
			}, -- [1]
			{
				104857, -- [1]
				14983, -- [2]
				{
					2700, -- [1]
					5100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104858, -- [1]
					104856, -- [2]
				}, -- [4]
			}, -- [2]
			{
				104856, -- [1]
				280716, -- [2]
				{
					2700, -- [1]
					5700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104855, -- [1]
				}, -- [4]
			}, -- [3]
			{
				104855, -- [1]
				14190, -- [2]
				{
					2700, -- [1]
					6300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104854, -- [1]
				}, -- [4]
			}, -- [4]
			{
				104854, -- [1]
				381623, -- [2]
				{
					3300, -- [1]
					6900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [5]
			{
				104853, -- [1]
				36554, -- [2]
				{
					5100, -- [1]
					3300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104852, -- [1]
				}, -- [4]
			}, -- [6]
			{
				104852, -- [1]
				379005, -- [2]
				{
					5100, -- [1]
					3900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104851, -- [1]
					104837, -- [2]
				}, -- [4]
			}, -- [7]
			{
				104851, -- [1]
				381621, -- [2]
				{
					4500, -- [1]
					4500, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [8]
			{
				104850, -- [1]
				14062, -- [2]
				{
					4500, -- [1]
					4500, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [9]
			{
				104849, -- [1]
				79008, -- [2]
				{
					3900, -- [1]
					3900, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					104851, -- [1]
					104847, -- [2]
					104833, -- [3]
				}, -- [4]
			}, -- [10]
			{
				104848, -- [1]
				31230, -- [2]
				{
					3900, -- [1]
					3900, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					104851, -- [1]
					104847, -- [2]
					104833, -- [3]
				}, -- [4]
			}, -- [11]
			{
				104847, -- [1]
				381619, -- [2]
				{
					3900, -- [1]
					4500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104846, -- [1]
				}, -- [4]
			}, -- [12]
			{
				104846, -- [1]
				196924, -- [2]
				{
					3900, -- [1]
					5100, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					104834, -- [1]
					104858, -- [2]
					104844, -- [3]
				}, -- [4]
			}, -- [13]
			{
				104845, -- [1]
				381620, -- [2]
				{
					3900, -- [1]
					5100, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					104834, -- [1]
					104858, -- [2]
					104844, -- [3]
				}, -- [4]
			}, -- [14]
			{
				104844, -- [1]
				193539, -- [2]
				{
					4500, -- [1]
					5700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104843, -- [1]
				}, -- [4]
			}, -- [15]
			{
				104843, -- [1]
				193531, -- [2]
				{
					4500, -- [1]
					6300, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [16]
			{
				104842, -- [1]
				137619, -- [2]
				{
					4500, -- [1]
					6300, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [17]
			{
				104841, -- [1]
				393970, -- [2]
				{
					5100, -- [1]
					5700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104840, -- [1]
				}, -- [4]
			}, -- [18]
			{
				104840, -- [1]
				91023, -- [2]
				{
					5100, -- [1]
					6300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104839, -- [1]
				}, -- [4]
			}, -- [19]
			{
				104839, -- [1]
				185313, -- [2]
				{
					4500, -- [1]
					6900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [20]
			{
				104838, -- [1]
				381620, -- [2]
				{
					5100, -- [1]
					5100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104844, -- [1]
					104841, -- [2]
				}, -- [4]
			}, -- [21]
			{
				104837, -- [1]
				14062, -- [2]
				{
					5100, -- [1]
					4500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104838, -- [1]
					104838, -- [2]
				}, -- [4]
			}, -- [22]
			{
				104836, -- [1]
				381622, -- [2]
				{
					3900, -- [1]
					6900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [23]
			{
				104835, -- [1]
				385616, -- [2]
				{
					3900, -- [1]
					6300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104836, -- [1]
				}, -- [4]
			}, -- [24]
			{
				104834, -- [1]
				378996, -- [2]
				{
					3900, -- [1]
					5700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104835, -- [1]
				}, -- [4]
			}, -- [25]
			{
				104833, -- [1]
				381543, -- [2]
				{
					3300, -- [1]
					4500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [26]
			{
				104832, -- [1]
				231719, -- [2]
				{
					2700, -- [1]
					3900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104833, -- [1]
					104831, -- [2]
				}, -- [4]
			}, -- [27]
			{
				104831, -- [1]
				381542, -- [2]
				{
					2700, -- [1]
					4500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104857, -- [1]
					104857, -- [2]
				}, -- [4]
			}, -- [28]
			{
				104830, -- [1]
				378813, -- [2]
				{
					2700, -- [1]
					3300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104832, -- [1]
				}, -- [4]
			}, -- [29]
			{
				104829, -- [1]
				5761, -- [2]
				{
					2700, -- [1]
					2700, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					104830, -- [1]
				}, -- [4]
			}, -- [30]
			{
				104828, -- [1]
				381637, -- [2]
				{
					2700, -- [1]
					2700, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					104830, -- [1]
				}, -- [4]
			}, -- [31]
			{
				104827, -- [1]
				5277, -- [2]
				{
					2700, -- [1]
					2100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104829, -- [1]
					104826, -- [2]
					104813, -- [3]
				}, -- [4]
			}, -- [32]
			{
				104826, -- [1]
				378427, -- [2]
				{
					3300, -- [1]
					2700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104825, -- [1]
					104830, -- [2]
					104814, -- [3]
				}, -- [4]
			}, -- [33]
			{
				104825, -- [1]
				231691, -- [2]
				{
					3900, -- [1]
					3300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104849, -- [1]
				}, -- [4]
			}, -- [34]
			{
				104824, -- [1]
				1776, -- [2]
				{
					3900, -- [1]
					2700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104825, -- [1]
				}, -- [4]
			}, -- [35]
			{
				104823, -- [1]
				1966, -- [2]
				{
					3900, -- [1]
					2100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104824, -- [1]
					104822, -- [2]
					104826, -- [3]
				}, -- [4]
			}, -- [36]
			{
				104822, -- [1]
				378803, -- [2]
				{
					4500, -- [1]
					2700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104853, -- [1]
					104825, -- [2]
					104821, -- [3]
				}, -- [4]
			}, -- [37]
			{
				104821, -- [1]
				131511, -- [2]
				{
					4500, -- [1]
					3300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [38]
			{
				104820, -- [1]
				31224, -- [2]
				{
					5100, -- [1]
					2100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104822, -- [1]
					104819, -- [2]
					104818, -- [3]
				}, -- [4]
			}, -- [39]
			{
				104819, -- [1]
				57934, -- [2]
				{
					5100, -- [1]
					2700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104853, -- [1]
				}, -- [4]
			}, -- [40]
			{
				104818, -- [1]
				378807, -- [2]
				{
					5700, -- [1]
					2700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104817, -- [1]
					104853, -- [2]
				}, -- [4]
			}, -- [41]
			{
				104817, -- [1]
				108208, -- [2]
				{
					6300, -- [1]
					3300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [42]
			{
				104816, -- [1]
				6770, -- [2]
				{
					5700, -- [1]
					1500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104820, -- [1]
				}, -- [4]
			}, -- [43]
			{
				104815, -- [1]
				2094, -- [2]
				{
					3900, -- [1]
					1500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104823, -- [1]
				}, -- [4]
			}, -- [44]
			{
				104814, -- [1]
				193546, -- [2]
				{
					3300, -- [1]
					3300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [45]
			{
				104813, -- [1]
				378436, -- [2]
				{
					2100, -- [1]
					2700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104830, -- [1]
					104812, -- [2]
				}, -- [4]
			}, -- [46]
			{
				104812, -- [1]
				319066, -- [2]
				{
					1500, -- [1]
					3300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [47]
			{
				104811, -- [1]
				5938, -- [2]
				{
					2100, -- [1]
					1500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104827, -- [1]
				}, -- [4]
			}, -- [48]
			{
				104859, -- [1]
				382245, -- [2]
				{
					3300, -- [1]
					6300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [49]
			{
				104707, -- [1]
				382503, -- [2]
				{
					11700, -- [1]
					2100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [50]
			{
				104708, -- [1]
				319951, -- [2]
				{
					12900, -- [1]
					1500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104709, -- [1]
					104713, -- [2]
				}, -- [4]
			}, -- [51]
			{
				104709, -- [1]
				319175, -- [2]
				{
					13500, -- [1]
					2100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104710, -- [1]
					104712, -- [2]
				}, -- [4]
			}, -- [52]
			{
				104710, -- [1]
				277953, -- [2]
				{
					14100, -- [1]
					2700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104711, -- [1]
				}, -- [4]
			}, -- [53]
			{
				104711, -- [1]
				280719, -- [2]
				{
					13500, -- [1]
					3300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104721, -- [1]
				}, -- [4]
			}, -- [54]
			{
				104712, -- [1]
				385722, -- [2]
				{
					12900, -- [1]
					2700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104719, -- [1]
					104711, -- [2]
				}, -- [4]
			}, -- [55]
			{
				104713, -- [1]
				58423, -- [2]
				{
					12300, -- [1]
					2100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104716, -- [1]
					104712, -- [2]
				}, -- [4]
			}, -- [56]
			{
				104714, -- [1]
				36554, -- [2]
				{
					11700, -- [1]
					1490, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104707, -- [1]
					104713, -- [2]
					104715, -- [3]
				}, -- [4]
			}, -- [57]
			{
				104715, -- [1]
				108209, -- [2]
				{
					11100, -- [1]
					2100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104716, -- [1]
					104746, -- [2]
				}, -- [4]
			}, -- [58]
			{
				104716, -- [1]
				121471, -- [2]
				{
					11700, -- [1]
					2700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104719, -- [1]
					104717, -- [2]
					104745, -- [3]
				}, -- [4]
			}, -- [59]
			{
				104717, -- [1]
				382509, -- [2]
				{
					11700, -- [1]
					3300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104744, -- [1]
					104718, -- [2]
				}, -- [4]
			}, -- [60]
			{
				104718, -- [1]
				185314, -- [2]
				{
					12300, -- [1]
					3900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104742, -- [1]
				}, -- [4]
			}, -- [61]
			{
				104719, -- [1]
				382017, -- [2]
				{
					12300, -- [1]
					3300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104721, -- [1]
					104718, -- [2]
				}, -- [4]
			}, -- [62]
			{
				104720, -- [1]
				277925, -- [2]
				{
					12900, -- [1]
					4500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [63]
			{
				104721, -- [1]
				382506, -- [2]
				{
					12900, -- [1]
					3900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104720, -- [1]
					104722, -- [2]
				}, -- [4]
			}, -- [64]
			{
				104722, -- [1]
				382511, -- [2]
				{
					12300, -- [1]
					4500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104741, -- [1]
					104723, -- [2]
				}, -- [4]
			}, -- [65]
			{
				104723, -- [1]
				193531, -- [2]
				{
					12890, -- [1]
					5090, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104727, -- [1]
					104724, -- [2]
				}, -- [4]
			}, -- [66]
			{
				104724, -- [1]
				384631, -- [2]
				{
					12900, -- [1]
					5700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104726, -- [1]
				}, -- [4]
			}, -- [67]
			{
				104725, -- [1]
				382504, -- [2]
				{
					12300, -- [1]
					6900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [68]
			{
				104726, -- [1]
				382525, -- [2]
				{
					12300, -- [1]
					6300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104725, -- [1]
				}, -- [4]
			}, -- [69]
			{
				104727, -- [1]
				382517, -- [2]
				{
					12300, -- [1]
					5700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104726, -- [1]
				}, -- [4]
			}, -- [70]
			{
				104728, -- [1]
				257505, -- [2]
				{
					9300, -- [1]
					2700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104729, -- [1]
				}, -- [4]
			}, -- [71]
			{
				104729, -- [1]
				200758, -- [2]
				{
					9900, -- [1]
					3300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104731, -- [1]
				}, -- [4]
			}, -- [72]
			{
				104730, -- [1]
				382507, -- [2]
				{
					10500, -- [1]
					4500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [73]
			{
				104731, -- [1]
				212283, -- [2]
				{
					10500, -- [1]
					3900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104730, -- [1]
					104732, -- [2]
				}, -- [4]
			}, -- [74]
			{
				104732, -- [1]
				382508, -- [2]
				{
					11100, -- [1]
					4500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104733, -- [1]
					104738, -- [2]
				}, -- [4]
			}, -- [75]
			{
				104733, -- [1]
				382512, -- [2]
				{
					10500, -- [1]
					5100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104734, -- [1]
					104737, -- [2]
				}, -- [4]
			}, -- [76]
			{
				104734, -- [1]
				385408, -- [2]
				{
					10500, -- [1]
					5700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104736, -- [1]
				}, -- [4]
			}, -- [77]
			{
				104735, -- [1]
				382015, -- [2]
				{
					11100, -- [1]
					6900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [78]
			{
				104736, -- [1]
				382523, -- [2]
				{
					11100, -- [1]
					6300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104735, -- [1]
				}, -- [4]
			}, -- [79]
			{
				104737, -- [1]
				382518, -- [2]
				{
					11100, -- [1]
					5700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104736, -- [1]
				}, -- [4]
			}, -- [80]
			{
				104738, -- [1]
				382513, -- [2]
				{
					11100, -- [1]
					5100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104739, -- [1]
					104737, -- [2]
				}, -- [4]
			}, -- [81]
			{
				104739, -- [1]
				245687, -- [2]
				{
					11700, -- [1]
					5700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104750, -- [1]
				}, -- [4]
			}, -- [82]
			{
				104741, -- [1]
				382515, -- [2]
				{
					12300, -- [1]
					5100, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					104739, -- [1]
					104727, -- [2]
				}, -- [4]
			}, -- [83]
			{
				104740, -- [1]
				382514, -- [2]
				{
					12300, -- [1]
					5100, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					104739, -- [1]
					104727, -- [2]
				}, -- [4]
			}, -- [84]
			{
				104742, -- [1]
				393972, -- [2]
				{
					11700, -- [1]
					4500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104738, -- [1]
					104741, -- [2]
				}, -- [4]
			}, -- [85]
			{
				104744, -- [1]
				382505, -- [2]
				{
					11100, -- [1]
					3900, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					104742, -- [1]
				}, -- [4]
			}, -- [86]
			{
				104743, -- [1]
				196976, -- [2]
				{
					11100, -- [1]
					3900, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					104742, -- [1]
				}, -- [4]
			}, -- [87]
			{
				104745, -- [1]
				394023, -- [2]
				{
					11100, -- [1]
					3300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104731, -- [1]
					104744, -- [2]
				}, -- [4]
			}, -- [88]
			{
				104746, -- [1]
				343160, -- [2]
				{
					10500, -- [1]
					2700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104729, -- [1]
					104745, -- [2]
				}, -- [4]
			}, -- [89]
			{
				104747, -- [1]
				193537, -- [2]
				{
					9900, -- [1]
					2100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104728, -- [1]
					104746, -- [2]
				}, -- [4]
			}, -- [90]
			{
				104748, -- [1]
				319949, -- [2]
				{
					10500, -- [1]
					1500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104715, -- [1]
					104747, -- [2]
				}, -- [4]
			}, -- [91]
			{
				104749, -- [1]
				382528, -- [2]
				{
					11700, -- [1]
					6900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [92]
			{
				104750, -- [1]
				382524, -- [2]
				{
					11700, -- [1]
					6300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104749, -- [1]
				}, -- [4]
			}, -- [93]
		},
		[262] = {
			{
				101944, -- [1]
				381647, -- [2]
				{
					4200, -- [1]
					1800, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					101961, -- [1]
				}, -- [4]
			}, -- [1]
			{
				101943, -- [1]
				377933, -- [2]
				{
					4200, -- [1]
					1800, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					101961, -- [1]
				}, -- [4]
			}, -- [2]
			{
				101945, -- [1]
				108271, -- [2]
				{
					4200, -- [1]
					1200, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101944, -- [1]
					101963, -- [2]
					101957, -- [3]
				}, -- [4]
			}, -- [3]
			{
				101946, -- [1]
				381666, -- [2]
				{
					6000, -- [1]
					2400, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101947, -- [1]
					101968, -- [2]
					101980, -- [3]
				}, -- [4]
			}, -- [4]
			{
				101947, -- [1]
				382888, -- [2]
				{
					6600, -- [1]
					3000, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101980, -- [1]
				}, -- [4]
			}, -- [5]
			{
				101948, -- [1]
				187880, -- [2]
				{
					6600, -- [1]
					1800, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101947, -- [1]
				}, -- [4]
			}, -- [6]
			{
				101949, -- [1]
				188443, -- [2]
				{
					6000, -- [1]
					1200, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101948, -- [1]
					101946, -- [2]
					101965, -- [3]
				}, -- [4]
			}, -- [7]
			{
				101950, -- [1]
				51505, -- [2]
				{
					3000, -- [1]
					1200, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101956, -- [1]
					101957, -- [2]
					101952, -- [3]
				}, -- [4]
			}, -- [8]
			{
				101951, -- [1]
				1064, -- [2]
				{
					1800, -- [1]
					1200, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101952, -- [1]
					102004, -- [2]
				}, -- [4]
			}, -- [9]
			{
				101952, -- [1]
				198103, -- [2]
				{
					2400, -- [1]
					1800, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101955, -- [1]
					101956, -- [2]
					102004, -- [3]
				}, -- [4]
			}, -- [10]
			{
				101954, -- [1]
				192088, -- [2]
				{
					2400, -- [1]
					3600, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					102002, -- [1]
					101978, -- [2]
				}, -- [4]
			}, -- [11]
			{
				101953, -- [1]
				378077, -- [2]
				{
					2400, -- [1]
					3600, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					102002, -- [1]
					101978, -- [2]
				}, -- [4]
			}, -- [12]
			{
				101955, -- [1]
				79206, -- [2]
				{
					2400, -- [1]
					3000, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101954, -- [1]
				}, -- [4]
			}, -- [13]
			{
				101956, -- [1]
				382886, -- [2]
				{
					3000, -- [1]
					2400, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101955, -- [1]
					101977, -- [2]
					101958, -- [3]
				}, -- [4]
			}, -- [14]
			{
				101957, -- [1]
				57994, -- [2]
				{
					3600, -- [1]
					1800, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101958, -- [1]
					101961, -- [2]
					101956, -- [3]
				}, -- [4]
			}, -- [15]
			{
				101958, -- [1]
				8143, -- [2]
				{
					3600, -- [1]
					3000, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101976, -- [1]
				}, -- [4]
			}, -- [16]
			{
				101960, -- [1]
				265046, -- [2]
				{
					4200, -- [1]
					3000, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					101976, -- [1]
					101972, -- [2]
				}, -- [4]
			}, -- [17]
			{
				101959, -- [1]
				381819, -- [2]
				{
					4200, -- [1]
					3000, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					101976, -- [1]
					101972, -- [2]
				}, -- [4]
			}, -- [18]
			{
				101961, -- [1]
				192058, -- [2]
				{
					4200, -- [1]
					2400, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101960, -- [1]
					101958, -- [2]
				}, -- [4]
			}, -- [19]
			{
				101963, -- [1]
				260878, -- [2]
				{
					4800, -- [1]
					1800, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					101961, -- [1]
					101966, -- [2]
				}, -- [4]
			}, -- [20]
			{
				101962, -- [1]
				378075, -- [2]
				{
					4800, -- [1]
					1800, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					101961, -- [1]
					101966, -- [2]
				}, -- [4]
			}, -- [21]
			{
				101965, -- [1]
				196840, -- [2]
				{
					5400, -- [1]
					1800, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101968, -- [1]
					101966, -- [2]
				}, -- [4]
			}, -- [22]
			{
				101966, -- [1]
				51886, -- [2]
				{
					4800, -- [1]
					2400, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101968, -- [1]
					101972, -- [2]
				}, -- [4]
			}, -- [23]
			{
				101968, -- [1]
				370, -- [2]
				{
					5400, -- [1]
					3000, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					101980, -- [1]
					101972, -- [2]
				}, -- [4]
			}, -- [24]
			{
				101967, -- [1]
				378773, -- [2]
				{
					5400, -- [1]
					3000, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					101980, -- [1]
					101972, -- [2]
				}, -- [4]
			}, -- [25]
			{
				101971, -- [1]
				204268, -- [2]
				{
					5400, -- [1]
					4200, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [26]
			{
				101970, -- [1]
				378079, -- [2]
				{
					5400, -- [1]
					4200, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [27]
			{
				101972, -- [1]
				51514, -- [2]
				{
					4800, -- [1]
					3600, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101974, -- [1]
					101971, -- [2]
					101973, -- [3]
				}, -- [4]
			}, -- [28]
			{
				101973, -- [1]
				108287, -- [2]
				{
					4800, -- [1]
					4800, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101988, -- [1]
					101990, -- [2]
				}, -- [4]
			}, -- [29]
			{
				101974, -- [1]
				30884, -- [2]
				{
					4200, -- [1]
					4200, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101996, -- [1]
					101990, -- [2]
					101973, -- [3]
				}, -- [4]
			}, -- [30]
			{
				101976, -- [1]
				192077, -- [2]
				{
					3600, -- [1]
					3600, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					101974, -- [1]
					101978, -- [2]
				}, -- [4]
			}, -- [31]
			{
				101975, -- [1]
				51485, -- [2]
				{
					3600, -- [1]
					3600, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					101974, -- [1]
					101978, -- [2]
				}, -- [4]
			}, -- [32]
			{
				101977, -- [1]
				382947, -- [2]
				{
					3000, -- [1]
					3000, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101978, -- [1]
					101976, -- [2]
				}, -- [4]
			}, -- [33]
			{
				101979, -- [1]
				381689, -- [2]
				{
					6600, -- [1]
					4200, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [34]
			{
				101980, -- [1]
				381655, -- [2]
				{
					6000, -- [1]
					3600, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101979, -- [1]
					101981, -- [2]
				}, -- [4]
			}, -- [35]
			{
				101981, -- [1]
				382215, -- [2]
				{
					6000, -- [1]
					4200, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101983, -- [1]
				}, -- [4]
			}, -- [36]
			{
				101983, -- [1]
				58875, -- [2]
				{
					6000, -- [1]
					4800, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					101984, -- [1]
					101988, -- [2]
				}, -- [4]
			}, -- [37]
			{
				101982, -- [1]
				192063, -- [2]
				{
					6000, -- [1]
					4800, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					101984, -- [1]
					101988, -- [2]
				}, -- [4]
			}, -- [38]
			{
				101984, -- [1]
				381678, -- [2]
				{
					6600, -- [1]
					5400, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101987, -- [1]
				}, -- [4]
			}, -- [39]
			{
				101986, -- [1]
				383011, -- [2]
				{
					6000, -- [1]
					6600, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [40]
			{
				101985, -- [1]
				383012, -- [2]
				{
					6000, -- [1]
					6600, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [41]
			{
				101987, -- [1]
				108285, -- [2]
				{
					6000, -- [1]
					6000, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101986, -- [1]
				}, -- [4]
			}, -- [42]
			{
				101988, -- [1]
				382033, -- [2]
				{
					5400, -- [1]
					5400, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101989, -- [1]
					101987, -- [2]
				}, -- [4]
			}, -- [43]
			{
				101989, -- [1]
				383013, -- [2]
				{
					4800, -- [1]
					6000, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101992, -- [1]
				}, -- [4]
			}, -- [44]
			{
				101990, -- [1]
				382201, -- [2]
				{
					4200, -- [1]
					5400, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101992, -- [1]
					101989, -- [2]
				}, -- [4]
			}, -- [45]
			{
				101992, -- [1]
				383017, -- [2]
				{
					4200, -- [1]
					6600, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [46]
			{
				101991, -- [1]
				383019, -- [2]
				{
					4200, -- [1]
					6600, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [47]
			{
				101994, -- [1]
				378779, -- [2]
				{
					3600, -- [1]
					6000, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					101992, -- [1]
				}, -- [4]
			}, -- [48]
			{
				101993, -- [1]
				305483, -- [2]
				{
					3600, -- [1]
					6000, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					101992, -- [1]
				}, -- [4]
			}, -- [49]
			{
				101995, -- [1]
				51490, -- [2]
				{
					3600, -- [1]
					5400, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101994, -- [1]
				}, -- [4]
			}, -- [50]
			{
				101996, -- [1]
				381674, -- [2]
				{
					3600, -- [1]
					4800, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101997, -- [1]
					101995, -- [2]
					101990, -- [3]
				}, -- [4]
			}, -- [51]
			{
				101997, -- [1]
				378081, -- [2]
				{
					3000, -- [1]
					5400, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [52]
			{
				101998, -- [1]
				5394, -- [2]
				{
					2400, -- [1]
					4800, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101999, -- [1]
					101997, -- [2]
				}, -- [4]
			}, -- [53]
			{
				101999, -- [1]
				378094, -- [2]
				{
					2400, -- [1]
					5400, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					102000, -- [1]
					102001, -- [2]
				}, -- [4]
			}, -- [54]
			{
				102000, -- [1]
				108281, -- [2]
				{
					2400, -- [1]
					6600, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [55]
			{
				102001, -- [1]
				381930, -- [2]
				{
					1800, -- [1]
					6000, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					102000, -- [1]
				}, -- [4]
			}, -- [56]
			{
				102002, -- [1]
				381867, -- [2]
				{
					1800, -- [1]
					4200, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					102001, -- [1]
					101998, -- [2]
				}, -- [4]
			}, -- [57]
			{
				102003, -- [1]
				383010, -- [2]
				{
					1800, -- [1]
					3000, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					102002, -- [1]
				}, -- [4]
			}, -- [58]
			{
				102004, -- [1]
				974, -- [2]
				{
					1800, -- [1]
					2400, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					102003, -- [1]
					101955, -- [2]
				}, -- [4]
			}, -- [59]
			{
				101978, -- [1]
				381650, -- [2]
				{
					3000, -- [1]
					4200, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101998, -- [1]
					101996, -- [2]
				}, -- [4]
			}, -- [60]
			{
				101893, -- [1]
				381707, -- [2]
				{
					12000, -- [1]
					3600, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101892, -- [1]
					101874, -- [2]
				}, -- [4]
			}, -- [61]
			{
				101892, -- [1]
				191861, -- [2]
				{
					12000, -- [1]
					4800, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101890, -- [1]
					101891, -- [2]
					101878, -- [3]
				}, -- [4]
			}, -- [62]
			{
				101891, -- [1]
				375982, -- [2]
				{
					11400, -- [1]
					5400, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101843, -- [1]
					101865, -- [2]
					101890, -- [3]
				}, -- [4]
			}, -- [63]
			{
				101890, -- [1]
				382032, -- [2]
				{
					12000, -- [1]
					6000, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101889, -- [1]
				}, -- [4]
			}, -- [64]
			{
				101889, -- [1]
				381726, -- [2]
				{
					12000, -- [1]
					6600, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [65]
			{
				101888, -- [1]
				378255, -- [2]
				{
					13800, -- [1]
					3600, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101887, -- [1]
				}, -- [4]
			}, -- [66]
			{
				101887, -- [1]
				378266, -- [2]
				{
					13800, -- [1]
					4200, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101886, -- [1]
					101879, -- [2]
				}, -- [4]
			}, -- [67]
			{
				101886, -- [1]
				382027, -- [2]
				{
					14400, -- [1]
					4800, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101885, -- [1]
					101880, -- [2]
				}, -- [4]
			}, -- [68]
			{
				101885, -- [1]
				117013, -- [2]
				{
					13800, -- [1]
					5400, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					101883, -- [1]
					101880, -- [2]
				}, -- [4]
			}, -- [69]
			{
				101884, -- [1]
				192222, -- [2]
				{
					13800, -- [1]
					5400, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					101883, -- [1]
					101880, -- [2]
				}, -- [4]
			}, -- [70]
			{
				101883, -- [1]
				381932, -- [2]
				{
					13200, -- [1]
					6000, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101882, -- [1]
				}, -- [4]
			}, -- [71]
			{
				101882, -- [1]
				378268, -- [2]
				{
					13800, -- [1]
					6600, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [72]
			{
				101881, -- [1]
				378310, -- [2]
				{
					13800, -- [1]
					6600, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [73]
			{
				101880, -- [1]
				381782, -- [2]
				{
					14400, -- [1]
					6000, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101882, -- [1]
				}, -- [4]
			}, -- [74]
			{
				101879, -- [1]
				16166, -- [2]
				{
					13200, -- [1]
					4800, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101883, -- [1]
					101885, -- [2]
					101878, -- [3]
				}, -- [4]
			}, -- [75]
			{
				101878, -- [1]
				378270, -- [2]
				{
					12600, -- [1]
					5400, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					101890, -- [1]
					101883, -- [2]
					101876, -- [3]
				}, -- [4]
			}, -- [76]
			{
				101877, -- [1]
				114050, -- [2]
				{
					12600, -- [1]
					5400, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					101890, -- [1]
					101883, -- [2]
					101876, -- [3]
				}, -- [4]
			}, -- [77]
			{
				101876, -- [1]
				381785, -- [2]
				{
					12600, -- [1]
					6000, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101875, -- [1]
				}, -- [4]
			}, -- [78]
			{
				101875, -- [1]
				381787, -- [2]
				{
					12600, -- [1]
					6600, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [79]
			{
				101874, -- [1]
				273221, -- [2]
				{
					12600, -- [1]
					4200, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					101892, -- [1]
					101879, -- [2]
				}, -- [4]
			}, -- [80]
			{
				101873, -- [1]
				262303, -- [2]
				{
					12600, -- [1]
					4200, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					101892, -- [1]
					101879, -- [2]
				}, -- [4]
			}, -- [81]
			{
				101872, -- [1]
				333919, -- [2]
				{
					12600, -- [1]
					3600, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101874, -- [1]
				}, -- [4]
			}, -- [82]
			{
				101871, -- [1]
				385923, -- [2]
				{
					12000, -- [1]
					3000, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101870, -- [1]
					101872, -- [2]
					101893, -- [3]
				}, -- [4]
			}, -- [83]
			{
				101870, -- [1]
				210714, -- [2]
				{
					11400, -- [1]
					3600, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101869, -- [1]
				}, -- [4]
			}, -- [84]
			{
				101869, -- [1]
				381776, -- [2]
				{
					11400, -- [1]
					4200, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					101892, -- [1]
					101867, -- [2]
				}, -- [4]
			}, -- [85]
			{
				101868, -- [1]
				382086, -- [2]
				{
					11400, -- [1]
					4200, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					101892, -- [1]
					101867, -- [2]
				}, -- [4]
			}, -- [86]
			{
				101867, -- [1]
				381708, -- [2]
				{
					10800, -- [1]
					4800, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101891, -- [1]
					101865, -- [2]
					101866, -- [3]
				}, -- [4]
			}, -- [87]
			{
				101866, -- [1]
				117014, -- [2]
				{
					10200, -- [1]
					5400, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101862, -- [1]
					101865, -- [2]
				}, -- [4]
			}, -- [88]
			{
				101865, -- [1]
				378271, -- [2]
				{
					10800, -- [1]
					6000, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101864, -- [1]
				}, -- [4]
			}, -- [89]
			{
				101864, -- [1]
				210689, -- [2]
				{
					10200, -- [1]
					6600, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [90]
			{
				101863, -- [1]
				191634, -- [2]
				{
					10200, -- [1]
					6600, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [91]
			{
				101862, -- [1]
				384087, -- [2]
				{
					9600, -- [1]
					6000, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101864, -- [1]
				}, -- [4]
			}, -- [92]
			{
				101861, -- [1]
				381936, -- [2]
				{
					9600, -- [1]
					4800, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101866, -- [1]
					101862, -- [2]
				}, -- [4]
			}, -- [93]
			{
				101860, -- [1]
				191634, -- [2]
				{
					10200, -- [1]
					4200, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101867, -- [1]
					101861, -- [2]
				}, -- [4]
			}, -- [94]
			{
				101859, -- [1]
				382685, -- [2]
				{
					10200, -- [1]
					3600, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101860, -- [1]
				}, -- [4]
			}, -- [95]
			{
				101858, -- [1]
				378241, -- [2]
				{
					10800, -- [1]
					3000, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101859, -- [1]
					101870, -- [2]
				}, -- [4]
			}, -- [96]
			{
				101857, -- [1]
				381743, -- [2]
				{
					10800, -- [1]
					2400, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					101858, -- [1]
				}, -- [4]
			}, -- [97]
			{
				101856, -- [1]
				378776, -- [2]
				{
					10800, -- [1]
					2400, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					101858, -- [1]
				}, -- [4]
			}, -- [98]
			{
				101855, -- [1]
				61882, -- [2]
				{
					11400, -- [1]
					1800, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101857, -- [1]
				}, -- [4]
			}, -- [99]
			{
				101854, -- [1]
				8042, -- [2]
				{
					12000, -- [1]
					1200, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101853, -- [1]
					101855, -- [2]
					101850, -- [3]
				}, -- [4]
			}, -- [100]
			{
				101853, -- [1]
				60188, -- [2]
				{
					12000, -- [1]
					1800, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101852, -- [1]
				}, -- [4]
			}, -- [101]
			{
				101852, -- [1]
				378193, -- [2]
				{
					12000, -- [1]
					2400, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					101871, -- [1]
				}, -- [4]
			}, -- [102]
			{
				101851, -- [1]
				382197, -- [2]
				{
					12000, -- [1]
					2400, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					101871, -- [1]
				}, -- [4]
			}, -- [103]
			{
				101850, -- [1]
				198067, -- [2]
				{
					12600, -- [1]
					1800, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					101848, -- [1]
				}, -- [4]
			}, -- [104]
			{
				101849, -- [1]
				192249, -- [2]
				{
					12600, -- [1]
					1800, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					101848, -- [1]
				}, -- [4]
			}, -- [105]
			{
				101848, -- [1]
				378211, -- [2]
				{
					13200, -- [1]
					2400, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					101846, -- [1]
				}, -- [4]
			}, -- [106]
			{
				101847, -- [1]
				381764, -- [2]
				{
					13200, -- [1]
					2400, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					101846, -- [1]
				}, -- [4]
			}, -- [107]
			{
				101846, -- [1]
				77756, -- [2]
				{
					13200, -- [1]
					3000, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101872, -- [1]
					101888, -- [2]
				}, -- [4]
			}, -- [108]
			{
				101845, -- [1]
				386474, -- [2]
				{
					11400, -- [1]
					6600, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [109]
			{
				101844, -- [1]
				382042, -- [2]
				{
					11400, -- [1]
					6600, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [110]
			{
				101843, -- [1]
				386443, -- [2]
				{
					11400, -- [1]
					6000, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101845, -- [1]
				}, -- [4]
			}, -- [111]
		},
		[581] = {
			{
				104123, -- [1]
				320654, -- [2]
				{
					2700, -- [1]
					3300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104121, -- [1]
					104122, -- [2]
				}, -- [4]
			}, -- [1]
			{
				104094, -- [1]
				389985, -- [2]
				{
					10500, -- [1]
					6900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [2]
			{
				104095, -- [1]
				389976, -- [2]
				{
					10500, -- [1]
					6300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104096, -- [1]
					104094, -- [2]
				}, -- [4]
			}, -- [3]
			{
				104096, -- [1]
				207407, -- [2]
				{
					11100, -- [1]
					6900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [4]
			{
				104097, -- [1]
				218612, -- [2]
				{
					11700, -- [1]
					6300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104096, -- [1]
					104031, -- [2]
					104026, -- [3]
				}, -- [4]
			}, -- [5]
			{
				104098, -- [1]
				393827, -- [2]
				{
					11700, -- [1]
					5700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104097, -- [1]
				}, -- [4]
			}, -- [6]
			{
				104099, -- [1]
				389708, -- [2]
				{
					11700, -- [1]
					5100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104098, -- [1]
				}, -- [4]
			}, -- [7]
			{
				104100, -- [1]
				390808, -- [2]
				{
					12300, -- [1]
					4500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104028, -- [1]
					104099, -- [2]
				}, -- [4]
			}, -- [8]
			{
				104101, -- [1]
				390213, -- [2]
				{
					12900, -- [1]
					3900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104100, -- [1]
					104036, -- [2]
				}, -- [4]
			}, -- [9]
			{
				104102, -- [1]
				391178, -- [2]
				{
					11700, -- [1]
					3300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104051, -- [1]
					104101, -- [2]
					104046, -- [3]
				}, -- [4]
			}, -- [10]
			{
				104103, -- [1]
				321028, -- [2]
				{
					11700, -- [1]
					2700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104102, -- [1]
				}, -- [4]
			}, -- [11]
			{
				104115, -- [1]
				320386, -- [2]
				{
					3900, -- [1]
					2700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104126, -- [1]
				}, -- [4]
			}, -- [12]
			{
				104116, -- [1]
				217832, -- [2]
				{
					3900, -- [1]
					2100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104127, -- [1]
					104124, -- [2]
					104115, -- [3]
				}, -- [4]
			}, -- [13]
			{
				104117, -- [1]
				320416, -- [2]
				{
					3900, -- [1]
					1500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104116, -- [1]
				}, -- [4]
			}, -- [14]
			{
				104118, -- [1]
				198793, -- [2]
				{
					2700, -- [1]
					1500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104120, -- [1]
				}, -- [4]
			}, -- [15]
			{
				104119, -- [1]
				320635, -- [2]
				{
					2100, -- [1]
					2700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [16]
			{
				104120, -- [1]
				320770, -- [2]
				{
					2700, -- [1]
					2100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104124, -- [1]
					104119, -- [2]
					104123, -- [3]
				}, -- [4]
			}, -- [17]
			{
				104121, -- [1]
				389763, -- [2]
				{
					2700, -- [1]
					3900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104138, -- [1]
				}, -- [4]
			}, -- [18]
			{
				104122, -- [1]
				389846, -- [2]
				{
					2100, -- [1]
					3900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104138, -- [1]
				}, -- [4]
			}, -- [19]
			{
				104059, -- [1]
				391165, -- [2]
				{
					9300, -- [1]
					5100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104058, -- [1]
				}, -- [4]
			}, -- [20]
			{
				104124, -- [1]
				320361, -- [2]
				{
					3300, -- [1]
					2700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104123, -- [1]
					104020, -- [2]
					104126, -- [3]
				}, -- [4]
			}, -- [21]
			{
				104151, -- [1]
				320418, -- [2]
				{
					4500, -- [1]
					6300, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [22]
			{
				104150, -- [1]
				388110, -- [2]
				{
					4500, -- [1]
					6300, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [23]
			{
				104128, -- [1]
				320313, -- [2]
				{
					4500, -- [1]
					3300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104129, -- [1]
				}, -- [4]
			}, -- [24]
			{
				104129, -- [1]
				320331, -- [2]
				{
					4500, -- [1]
					4500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104133, -- [1]
					104142, -- [2]
				}, -- [4]
			}, -- [25]
			{
				104130, -- [1]
				320421, -- [2]
				{
					3900, -- [1]
					3900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104131, -- [1]
					104129, -- [2]
				}, -- [4]
			}, -- [26]
			{
				104131, -- [1]
				204909, -- [2]
				{
					3300, -- [1]
					4500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104133, -- [1]
					104137, -- [2]
				}, -- [4]
			}, -- [27]
			{
				104133, -- [1]
				213410, -- [2]
				{
					3900, -- [1]
					5100, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					104136, -- [1]
					104149, -- [2]
				}, -- [4]
			}, -- [28]
			{
				104132, -- [1]
				235893, -- [2]
				{
					3900, -- [1]
					5100, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					104136, -- [1]
					104149, -- [2]
				}, -- [4]
			}, -- [29]
			{
				104135, -- [1]
				389781, -- [2]
				{
					3300, -- [1]
					6300, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [30]
			{
				104134, -- [1]
				389783, -- [2]
				{
					3300, -- [1]
					6300, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [31]
			{
				104136, -- [1]
				196718, -- [2]
				{
					3300, -- [1]
					5700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104148, -- [1]
					104135, -- [2]
				}, -- [4]
			}, -- [32]
			{
				104137, -- [1]
				179057, -- [2]
				{
					2700, -- [1]
					5100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104016, -- [1]
					104019, -- [2]
					104136, -- [3]
				}, -- [4]
			}, -- [33]
			{
				104138, -- [1]
				389696, -- [2]
				{
					2700, -- [1]
					4500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104137, -- [1]
				}, -- [4]
			}, -- [34]
			{
				104139, -- [1]
				209281, -- [2]
				{
					5100, -- [1]
					6900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [35]
			{
				104140, -- [1]
				389697, -- [2]
				{
					5100, -- [1]
					6300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104139, -- [1]
				}, -- [4]
			}, -- [36]
			{
				104141, -- [1]
				391409, -- [2]
				{
					5700, -- [1]
					5700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104140, -- [1]
				}, -- [4]
			}, -- [37]
			{
				104142, -- [1]
				202137, -- [2]
				{
					5100, -- [1]
					5100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104149, -- [1]
					104141, -- [2]
					104014, -- [3]
				}, -- [4]
			}, -- [38]
			{
				104143, -- [1]
				389695, -- [2]
				{
					5100, -- [1]
					4500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104142, -- [1]
				}, -- [4]
			}, -- [39]
			{
				104145, -- [1]
				207666, -- [2]
				{
					5100, -- [1]
					3900, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					104143, -- [1]
				}, -- [4]
			}, -- [40]
			{
				104144, -- [1]
				389799, -- [2]
				{
					5100, -- [1]
					3900, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					104143, -- [1]
				}, -- [4]
			}, -- [41]
			{
				104147, -- [1]
				389811, -- [2]
				{
					3900, -- [1]
					6900, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [42]
			{
				104146, -- [1]
				389819, -- [2]
				{
					3900, -- [1]
					6900, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [43]
			{
				104148, -- [1]
				370965, -- [2]
				{
					3900, -- [1]
					6300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104147, -- [1]
				}, -- [4]
			}, -- [44]
			{
				104149, -- [1]
				207684, -- [2]
				{
					4500, -- [1]
					5700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104151, -- [1]
					104148, -- [2]
				}, -- [4]
			}, -- [45]
			{
				104058, -- [1]
				343207, -- [2]
				{
					9900, -- [1]
					5700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104095, -- [1]
				}, -- [4]
			}, -- [46]
			{
				104057, -- [1]
				207387, -- [2]
				{
					10500, -- [1]
					5100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104056, -- [1]
					104098, -- [2]
					104058, -- [3]
				}, -- [4]
			}, -- [47]
			{
				104056, -- [1]
				389711, -- [2]
				{
					10500, -- [1]
					5700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104095, -- [1]
				}, -- [4]
			}, -- [48]
			{
				104055, -- [1]
				389958, -- [2]
				{
					11100, -- [1]
					2100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104103, -- [1]
					104054, -- [2]
				}, -- [4]
			}, -- [49]
			{
				104054, -- [1]
				320387, -- [2]
				{
					10500, -- [1]
					2700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104053, -- [1]
					104044, -- [2]
				}, -- [4]
			}, -- [50]
			{
				104053, -- [1]
				389997, -- [2]
				{
					9900, -- [1]
					3300, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					104051, -- [1]
					104049, -- [2]
					104048, -- [3]
				}, -- [4]
			}, -- [51]
			{
				104052, -- [1]
				263642, -- [2]
				{
					9900, -- [1]
					3300, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					104051, -- [1]
					104049, -- [2]
					104048, -- [3]
				}, -- [4]
			}, -- [52]
			{
				104051, -- [1]
				207548, -- [2]
				{
					10500, -- [1]
					3900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104050, -- [1]
					104047, -- [2]
				}, -- [4]
			}, -- [53]
			{
				104050, -- [1]
				268175, -- [2]
				{
					9900, -- [1]
					4500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104057, -- [1]
					104059, -- [2]
				}, -- [4]
			}, -- [54]
			{
				104049, -- [1]
				247454, -- [2]
				{
					9300, -- [1]
					3900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104050, -- [1]
				}, -- [4]
			}, -- [55]
			{
				104048, -- [1]
				207697, -- [2]
				{
					9900, -- [1]
					3900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104050, -- [1]
				}, -- [4]
			}, -- [56]
			{
				104047, -- [1]
				227174, -- [2]
				{
					11100, -- [1]
					4500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104099, -- [1]
					104057, -- [2]
				}, -- [4]
			}, -- [57]
			{
				104046, -- [1]
				389721, -- [2]
				{
					11700, -- [1]
					3900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104047, -- [1]
					104100, -- [2]
					104045, -- [3]
				}, -- [4]
			}, -- [58]
			{
				104045, -- [1]
				326853, -- [2]
				{
					11700, -- [1]
					4500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104099, -- [1]
				}, -- [4]
			}, -- [59]
			{
				104044, -- [1]
				389720, -- [2]
				{
					10500, -- [1]
					3300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104051, -- [1]
				}, -- [4]
			}, -- [60]
			{
				104043, -- [1]
				212084, -- [2]
				{
					11700, -- [1]
					1500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104055, -- [1]
					104042, -- [2]
				}, -- [4]
			}, -- [61]
			{
				104042, -- [1]
				204021, -- [2]
				{
					12300, -- [1]
					2100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104041, -- [1]
					104103, -- [2]
				}, -- [4]
			}, -- [62]
			{
				104041, -- [1]
				389724, -- [2]
				{
					12900, -- [1]
					2700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104040, -- [1]
					104039, -- [2]
				}, -- [4]
			}, -- [63]
			{
				104040, -- [1]
				389729, -- [2]
				{
					12900, -- [1]
					3300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104101, -- [1]
				}, -- [4]
			}, -- [64]
			{
				104039, -- [1]
				389705, -- [2]
				{
					13500, -- [1]
					3300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104027, -- [1]
					104038, -- [2]
					104101, -- [3]
				}, -- [4]
			}, -- [65]
			{
				104038, -- [1]
				263648, -- [2]
				{
					13500, -- [1]
					3900, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					104036, -- [1]
				}, -- [4]
			}, -- [66]
			{
				104037, -- [1]
				320341, -- [2]
				{
					13500, -- [1]
					3900, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					104036, -- [1]
				}, -- [4]
			}, -- [67]
			{
				104036, -- [1]
				343014, -- [2]
				{
					13500, -- [1]
					4500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104035, -- [1]
					104028, -- [2]
				}, -- [4]
			}, -- [68]
			{
				104035, -- [1]
				389715, -- [2]
				{
					14100, -- [1]
					5100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104034, -- [1]
				}, -- [4]
			}, -- [69]
			{
				104034, -- [1]
				389718, -- [2]
				{
					13500, -- [1]
					5700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104033, -- [1]
				}, -- [4]
			}, -- [70]
			{
				104033, -- [1]
				336639, -- [2]
				{
					12900, -- [1]
					6300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104031, -- [1]
					104032, -- [2]
				}, -- [4]
			}, -- [71]
			{
				104032, -- [1]
				389732, -- [2]
				{
					12900, -- [1]
					6900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [72]
			{
				104031, -- [1]
				391429, -- [2]
				{
					12300, -- [1]
					6900, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [73]
			{
				104030, -- [1]
				390163, -- [2]
				{
					12300, -- [1]
					6900, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [74]
			{
				104029, -- [1]
				207739, -- [2]
				{
					12900, -- [1]
					5700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104033, -- [1]
				}, -- [4]
			}, -- [75]
			{
				104028, -- [1]
				389220, -- [2]
				{
					12900, -- [1]
					5100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104034, -- [1]
					104098, -- [2]
					104029, -- [3]
				}, -- [4]
			}, -- [76]
			{
				104027, -- [1]
				202138, -- [2]
				{
					14100, -- [1]
					3900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104036, -- [1]
				}, -- [4]
			}, -- [77]
			{
				104026, -- [1]
				209258, -- [2]
				{
					11700, -- [1]
					6900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [78]
			{
				104025, -- [1]
				204596, -- [2]
				{
					5100, -- [1]
					1500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104024, -- [1]
				}, -- [4]
			}, -- [79]
			{
				104024, -- [1]
				389824, -- [2]
				{
					5100, -- [1]
					2100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104127, -- [1]
					104022, -- [2]
					104023, -- [3]
				}, -- [4]
			}, -- [80]
			{
				104023, -- [1]
				389694, -- [2]
				{
					5700, -- [1]
					2700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [81]
			{
				104022, -- [1]
				213010, -- [2]
				{
					5100, -- [1]
					3300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104021, -- [1]
					104145, -- [2]
				}, -- [4]
			}, -- [82]
			{
				104021, -- [1]
				389849, -- [2]
				{
					5700, -- [1]
					3900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104143, -- [1]
				}, -- [4]
			}, -- [83]
			{
				104020, -- [1]
				183782, -- [2]
				{
					3300, -- [1]
					3300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104131, -- [1]
				}, -- [4]
			}, -- [84]
			{
				104019, -- [1]
				393822, -- [2]
				{
					2100, -- [1]
					5700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104018, -- [1]
					104018, -- [2]
				}, -- [4]
			}, -- [85]
			{
				104018, -- [1]
				391397, -- [2]
				{
					2700, -- [1]
					6300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104017, -- [1]
				}, -- [4]
			}, -- [86]
			{
				104017, -- [1]
				390152, -- [2]
				{
					2700, -- [1]
					6900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [87]
			{
				104016, -- [1]
				320412, -- [2]
				{
					2700, -- [1]
					5700, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					104018, -- [1]
					104018, -- [2]
				}, -- [4]
			}, -- [88]
			{
				104015, -- [1]
				206477, -- [2]
				{
					2700, -- [1]
					5700, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					104018, -- [1]
					104018, -- [2]
				}, -- [4]
			}, -- [89]
			{
				104014, -- [1]
				388111, -- [2]
				{
					5100, -- [1]
					5700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104140, -- [1]
				}, -- [4]
			}, -- [90]
			{
				104127, -- [1]
				278326, -- [2]
				{
					4500, -- [1]
					2700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104128, -- [1]
					104126, -- [2]
					104022, -- [3]
				}, -- [4]
			}, -- [91]
			{
				104126, -- [1]
				207347, -- [2]
				{
					3900, -- [1]
					3300, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [92]
			{
				104125, -- [1]
				232893, -- [2]
				{
					3900, -- [1]
					3300, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [93]
		},
		[264] = {
			{
				101912, -- [1]
				108280, -- [2]
				{
					11400, -- [1]
					4200, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101919, -- [1]
					101928, -- [2]
				}, -- [4]
			}, -- [1]
			{
				101913, -- [1]
				98008, -- [2]
				{
					12000, -- [1]
					3600, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101894, -- [1]
					101929, -- [2]
					101912, -- [3]
				}, -- [4]
			}, -- [2]
			{
				101915, -- [1]
				382046, -- [2]
				{
					10200, -- [1]
					6600, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [3]
			{
				101914, -- [1]
				382040, -- [2]
				{
					10200, -- [1]
					6600, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [4]
			{
				101916, -- [1]
				382191, -- [2]
				{
					10200, -- [1]
					6000, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101915, -- [1]
				}, -- [4]
			}, -- [5]
			{
				101917, -- [1]
				375982, -- [2]
				{
					10200, -- [1]
					5400, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101916, -- [1]
					101842, -- [2]
				}, -- [4]
			}, -- [6]
			{
				101919, -- [1]
				200071, -- [2]
				{
					10800, -- [1]
					4800, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					101927, -- [1]
					101917, -- [2]
				}, -- [4]
			}, -- [7]
			{
				101918, -- [1]
				73685, -- [2]
				{
					10800, -- [1]
					4800, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					101927, -- [1]
					101917, -- [2]
				}, -- [4]
			}, -- [8]
			{
				101920, -- [1]
				381946, -- [2]
				{
					10200, -- [1]
					4200, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101919, -- [1]
					101917, -- [2]
				}, -- [4]
			}, -- [9]
			{
				101922, -- [1]
				383222, -- [2]
				{
					10200, -- [1]
					3000, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					101920, -- [1]
					101911, -- [2]
				}, -- [4]
			}, -- [10]
			{
				101921, -- [1]
				378443, -- [2]
				{
					10200, -- [1]
					3000, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					101920, -- [1]
					101911, -- [2]
				}, -- [4]
			}, -- [11]
			{
				101923, -- [1]
				73920, -- [2]
				{
					10800, -- [1]
					2400, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101922, -- [1]
					101909, -- [2]
				}, -- [4]
			}, -- [12]
			{
				101924, -- [1]
				382019, -- [2]
				{
					12000, -- [1]
					6000, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [13]
			{
				101926, -- [1]
				382045, -- [2]
				{
					11400, -- [1]
					6600, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [14]
			{
				101925, -- [1]
				157154, -- [2]
				{
					11400, -- [1]
					6600, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [15]
			{
				101927, -- [1]
				382309, -- [2]
				{
					11400, -- [1]
					5400, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101926, -- [1]
					101924, -- [2]
					101842, -- [3]
				}, -- [4]
			}, -- [16]
			{
				101928, -- [1]
				333919, -- [2]
				{
					12000, -- [1]
					4800, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101927, -- [1]
					101941, -- [2]
				}, -- [4]
			}, -- [17]
			{
				101929, -- [1]
				16191, -- [2]
				{
					12600, -- [1]
					4200, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101931, -- [1]
					101928, -- [2]
				}, -- [4]
			}, -- [18]
			{
				101931, -- [1]
				198838, -- [2]
				{
					13200, -- [1]
					4800, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					101941, -- [1]
					101939, -- [2]
				}, -- [4]
			}, -- [19]
			{
				101930, -- [1]
				207399, -- [2]
				{
					13200, -- [1]
					4800, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					101941, -- [1]
					101939, -- [2]
				}, -- [4]
			}, -- [20]
			{
				101932, -- [1]
				200072, -- [2]
				{
					13800, -- [1]
					4200, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101931, -- [1]
					101935, -- [2]
				}, -- [4]
			}, -- [21]
			{
				101934, -- [1]
				382482, -- [2]
				{
					14400, -- [1]
					3600, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					101932, -- [1]
					101935, -- [2]
				}, -- [4]
			}, -- [22]
			{
				101933, -- [1]
				157153, -- [2]
				{
					14400, -- [1]
					3600, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					101932, -- [1]
					101935, -- [2]
				}, -- [4]
			}, -- [23]
			{
				101935, -- [1]
				382021, -- [2]
				{
					14400, -- [1]
					4800, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101939, -- [1]
					101936, -- [2]
				}, -- [4]
			}, -- [24]
			{
				101936, -- [1]
				382315, -- [2]
				{
					14400, -- [1]
					6000, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101938, -- [1]
				}, -- [4]
			}, -- [25]
			{
				101938, -- [1]
				378270, -- [2]
				{
					13800, -- [1]
					6600, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [26]
			{
				101937, -- [1]
				197995, -- [2]
				{
					13800, -- [1]
					6600, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [27]
			{
				101939, -- [1]
				382194, -- [2]
				{
					13800, -- [1]
					5400, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101940, -- [1]
					101938, -- [2]
				}, -- [4]
			}, -- [28]
			{
				101940, -- [1]
				382029, -- [2]
				{
					13200, -- [1]
					6000, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [29]
			{
				101941, -- [1]
				382020, -- [2]
				{
					12600, -- [1]
					5400, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101940, -- [1]
					101942, -- [2]
					101924, -- [3]
				}, -- [4]
			}, -- [30]
			{
				101942, -- [1]
				114052, -- [2]
				{
					12600, -- [1]
					6600, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [31]
			{
				101944, -- [1]
				381647, -- [2]
				{
					4200, -- [1]
					1800, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					101961, -- [1]
				}, -- [4]
			}, -- [32]
			{
				101943, -- [1]
				377933, -- [2]
				{
					4200, -- [1]
					1800, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					101961, -- [1]
				}, -- [4]
			}, -- [33]
			{
				101945, -- [1]
				108271, -- [2]
				{
					4200, -- [1]
					1200, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101944, -- [1]
					101963, -- [2]
					101957, -- [3]
				}, -- [4]
			}, -- [34]
			{
				101946, -- [1]
				381666, -- [2]
				{
					6000, -- [1]
					2400, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101947, -- [1]
					101968, -- [2]
					101980, -- [3]
				}, -- [4]
			}, -- [35]
			{
				101947, -- [1]
				382888, -- [2]
				{
					6600, -- [1]
					3000, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101980, -- [1]
				}, -- [4]
			}, -- [36]
			{
				101948, -- [1]
				187880, -- [2]
				{
					6600, -- [1]
					1800, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101947, -- [1]
				}, -- [4]
			}, -- [37]
			{
				101949, -- [1]
				188443, -- [2]
				{
					6000, -- [1]
					1200, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101948, -- [1]
					101946, -- [2]
					101965, -- [3]
				}, -- [4]
			}, -- [38]
			{
				101950, -- [1]
				51505, -- [2]
				{
					3000, -- [1]
					1200, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101956, -- [1]
					101957, -- [2]
					101952, -- [3]
				}, -- [4]
			}, -- [39]
			{
				101951, -- [1]
				1064, -- [2]
				{
					1800, -- [1]
					1200, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101952, -- [1]
					102004, -- [2]
				}, -- [4]
			}, -- [40]
			{
				101952, -- [1]
				198103, -- [2]
				{
					2400, -- [1]
					1800, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101955, -- [1]
					101956, -- [2]
					102004, -- [3]
				}, -- [4]
			}, -- [41]
			{
				101954, -- [1]
				192088, -- [2]
				{
					2400, -- [1]
					3600, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					102002, -- [1]
					101978, -- [2]
				}, -- [4]
			}, -- [42]
			{
				101953, -- [1]
				378077, -- [2]
				{
					2400, -- [1]
					3600, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					102002, -- [1]
					101978, -- [2]
				}, -- [4]
			}, -- [43]
			{
				101955, -- [1]
				79206, -- [2]
				{
					2400, -- [1]
					3000, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101954, -- [1]
				}, -- [4]
			}, -- [44]
			{
				101956, -- [1]
				382886, -- [2]
				{
					3000, -- [1]
					2400, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101955, -- [1]
					101977, -- [2]
					101958, -- [3]
				}, -- [4]
			}, -- [45]
			{
				101957, -- [1]
				57994, -- [2]
				{
					3600, -- [1]
					1800, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101958, -- [1]
					101961, -- [2]
					101956, -- [3]
				}, -- [4]
			}, -- [46]
			{
				101958, -- [1]
				8143, -- [2]
				{
					3600, -- [1]
					3000, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101976, -- [1]
				}, -- [4]
			}, -- [47]
			{
				101960, -- [1]
				265046, -- [2]
				{
					4200, -- [1]
					3000, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					101976, -- [1]
					101972, -- [2]
				}, -- [4]
			}, -- [48]
			{
				101959, -- [1]
				381819, -- [2]
				{
					4200, -- [1]
					3000, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					101976, -- [1]
					101972, -- [2]
				}, -- [4]
			}, -- [49]
			{
				101961, -- [1]
				192058, -- [2]
				{
					4200, -- [1]
					2400, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101960, -- [1]
					101958, -- [2]
				}, -- [4]
			}, -- [50]
			{
				101963, -- [1]
				260878, -- [2]
				{
					4800, -- [1]
					1800, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					101964, -- [1]
					101961, -- [2]
				}, -- [4]
			}, -- [51]
			{
				101962, -- [1]
				378075, -- [2]
				{
					4800, -- [1]
					1800, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					101964, -- [1]
					101961, -- [2]
				}, -- [4]
			}, -- [52]
			{
				101964, -- [1]
				383016, -- [2]
				{
					4800, -- [1]
					2400, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101968, -- [1]
					101972, -- [2]
				}, -- [4]
			}, -- [53]
			{
				101965, -- [1]
				196840, -- [2]
				{
					5400, -- [1]
					1800, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101964, -- [1]
					101968, -- [2]
				}, -- [4]
			}, -- [54]
			{
				101968, -- [1]
				370, -- [2]
				{
					5400, -- [1]
					3000, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					101980, -- [1]
					101972, -- [2]
				}, -- [4]
			}, -- [55]
			{
				101967, -- [1]
				378773, -- [2]
				{
					5400, -- [1]
					3000, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					101980, -- [1]
					101972, -- [2]
				}, -- [4]
			}, -- [56]
			{
				101971, -- [1]
				204268, -- [2]
				{
					5400, -- [1]
					4200, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [57]
			{
				101970, -- [1]
				378079, -- [2]
				{
					5400, -- [1]
					4200, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [58]
			{
				101972, -- [1]
				51514, -- [2]
				{
					4800, -- [1]
					3600, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101974, -- [1]
					101971, -- [2]
					101973, -- [3]
				}, -- [4]
			}, -- [59]
			{
				101973, -- [1]
				108287, -- [2]
				{
					4800, -- [1]
					4800, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101988, -- [1]
					101990, -- [2]
				}, -- [4]
			}, -- [60]
			{
				101974, -- [1]
				30884, -- [2]
				{
					4200, -- [1]
					4200, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101996, -- [1]
					101990, -- [2]
					101973, -- [3]
				}, -- [4]
			}, -- [61]
			{
				101976, -- [1]
				192077, -- [2]
				{
					3600, -- [1]
					3600, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					101974, -- [1]
					101978, -- [2]
				}, -- [4]
			}, -- [62]
			{
				101975, -- [1]
				51485, -- [2]
				{
					3600, -- [1]
					3600, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					101974, -- [1]
					101978, -- [2]
				}, -- [4]
			}, -- [63]
			{
				101977, -- [1]
				382947, -- [2]
				{
					3000, -- [1]
					3000, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101978, -- [1]
					101976, -- [2]
				}, -- [4]
			}, -- [64]
			{
				101979, -- [1]
				381689, -- [2]
				{
					6600, -- [1]
					4200, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [65]
			{
				101980, -- [1]
				381655, -- [2]
				{
					6000, -- [1]
					3600, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101979, -- [1]
					101981, -- [2]
				}, -- [4]
			}, -- [66]
			{
				101981, -- [1]
				382215, -- [2]
				{
					6000, -- [1]
					4200, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101983, -- [1]
				}, -- [4]
			}, -- [67]
			{
				101983, -- [1]
				58875, -- [2]
				{
					6000, -- [1]
					4800, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					101984, -- [1]
					101988, -- [2]
				}, -- [4]
			}, -- [68]
			{
				101982, -- [1]
				192063, -- [2]
				{
					6000, -- [1]
					4800, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					101984, -- [1]
					101988, -- [2]
				}, -- [4]
			}, -- [69]
			{
				101984, -- [1]
				381678, -- [2]
				{
					6600, -- [1]
					5400, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101987, -- [1]
				}, -- [4]
			}, -- [70]
			{
				101986, -- [1]
				383011, -- [2]
				{
					6000, -- [1]
					6600, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [71]
			{
				101985, -- [1]
				383012, -- [2]
				{
					6000, -- [1]
					6600, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [72]
			{
				101987, -- [1]
				108285, -- [2]
				{
					6000, -- [1]
					6000, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101986, -- [1]
				}, -- [4]
			}, -- [73]
			{
				101988, -- [1]
				382033, -- [2]
				{
					5400, -- [1]
					5400, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101989, -- [1]
					101987, -- [2]
				}, -- [4]
			}, -- [74]
			{
				101989, -- [1]
				383013, -- [2]
				{
					4800, -- [1]
					6000, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101992, -- [1]
				}, -- [4]
			}, -- [75]
			{
				101990, -- [1]
				382201, -- [2]
				{
					4200, -- [1]
					5400, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101992, -- [1]
					101989, -- [2]
				}, -- [4]
			}, -- [76]
			{
				101992, -- [1]
				383017, -- [2]
				{
					4200, -- [1]
					6600, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [77]
			{
				101991, -- [1]
				383019, -- [2]
				{
					4200, -- [1]
					6600, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [78]
			{
				101994, -- [1]
				378779, -- [2]
				{
					3600, -- [1]
					6000, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					101992, -- [1]
				}, -- [4]
			}, -- [79]
			{
				101993, -- [1]
				305483, -- [2]
				{
					3600, -- [1]
					6000, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					101992, -- [1]
				}, -- [4]
			}, -- [80]
			{
				101995, -- [1]
				51490, -- [2]
				{
					3600, -- [1]
					5400, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101994, -- [1]
				}, -- [4]
			}, -- [81]
			{
				101996, -- [1]
				381674, -- [2]
				{
					3600, -- [1]
					4800, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101997, -- [1]
					101995, -- [2]
					101990, -- [3]
				}, -- [4]
			}, -- [82]
			{
				101997, -- [1]
				378081, -- [2]
				{
					3000, -- [1]
					5400, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [83]
			{
				101998, -- [1]
				5394, -- [2]
				{
					2400, -- [1]
					4800, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101999, -- [1]
					101997, -- [2]
				}, -- [4]
			}, -- [84]
			{
				101999, -- [1]
				378094, -- [2]
				{
					2400, -- [1]
					5400, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					102000, -- [1]
					102001, -- [2]
				}, -- [4]
			}, -- [85]
			{
				102000, -- [1]
				108281, -- [2]
				{
					2400, -- [1]
					6600, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [86]
			{
				102001, -- [1]
				381930, -- [2]
				{
					1800, -- [1]
					6000, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					102000, -- [1]
				}, -- [4]
			}, -- [87]
			{
				102002, -- [1]
				381867, -- [2]
				{
					1800, -- [1]
					4200, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					102001, -- [1]
					101998, -- [2]
				}, -- [4]
			}, -- [88]
			{
				102003, -- [1]
				383010, -- [2]
				{
					1800, -- [1]
					3000, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					102002, -- [1]
				}, -- [4]
			}, -- [89]
			{
				102004, -- [1]
				974, -- [2]
				{
					1800, -- [1]
					2400, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					102003, -- [1]
					101955, -- [2]
				}, -- [4]
			}, -- [90]
			{
				101978, -- [1]
				381650, -- [2]
				{
					3000, -- [1]
					4200, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101998, -- [1]
					101996, -- [2]
				}, -- [4]
			}, -- [91]
			{
				101908, -- [1]
				382197, -- [2]
				{
					11400, -- [1]
					2400, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					101909, -- [1]
				}, -- [4]
			}, -- [92]
			{
				101907, -- [1]
				383009, -- [2]
				{
					11400, -- [1]
					2400, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					101909, -- [1]
				}, -- [4]
			}, -- [93]
			{
				101906, -- [1]
				200076, -- [2]
				{
					11400, -- [1]
					1800, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101923, -- [1]
					101908, -- [2]
				}, -- [4]
			}, -- [94]
			{
				101905, -- [1]
				61295, -- [2]
				{
					12000, -- [1]
					1200, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101906, -- [1]
					101904, -- [2]
					101900, -- [3]
				}, -- [4]
			}, -- [95]
			{
				101904, -- [1]
				77472, -- [2]
				{
					12000, -- [1]
					1800, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101908, -- [1]
					101903, -- [2]
					101901, -- [3]
				}, -- [4]
			}, -- [96]
			{
				101903, -- [1]
				52127, -- [2]
				{
					12000, -- [1]
					2400, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101902, -- [1]
					101909, -- [2]
				}, -- [4]
			}, -- [97]
			{
				101902, -- [1]
				16196, -- [2]
				{
					12000, -- [1]
					3000, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101913, -- [1]
				}, -- [4]
			}, -- [98]
			{
				101901, -- [1]
				378241, -- [2]
				{
					12600, -- [1]
					2400, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [99]
			{
				101900, -- [1]
				5394, -- [2]
				{
					12600, -- [1]
					1800, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101901, -- [1]
					101899, -- [2]
				}, -- [4]
			}, -- [100]
			{
				101899, -- [1]
				51564, -- [2]
				{
					13200, -- [1]
					2400, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101898, -- [1]
					101895, -- [2]
				}, -- [4]
			}, -- [101]
			{
				101898, -- [1]
				280614, -- [2]
				{
					12600, -- [1]
					3000, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101897, -- [1]
					101913, -- [2]
				}, -- [4]
			}, -- [102]
			{
				101897, -- [1]
				378211, -- [2]
				{
					13200, -- [1]
					3600, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					101929, -- [1]
					101932, -- [2]
				}, -- [4]
			}, -- [103]
			{
				101896, -- [1]
				16166, -- [2]
				{
					13200, -- [1]
					3600, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					101929, -- [1]
					101932, -- [2]
				}, -- [4]
			}, -- [104]
			{
				101895, -- [1]
				382030, -- [2]
				{
					13800, -- [1]
					3000, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101897, -- [1]
					101934, -- [2]
				}, -- [4]
			}, -- [105]
			{
				101894, -- [1]
				77756, -- [2]
				{
					12000, -- [1]
					4200, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101928, -- [1]
				}, -- [4]
			}, -- [106]
			{
				101842, -- [1]
				207778, -- [2]
				{
					10800, -- [1]
					6000, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [107]
			{
				101909, -- [1]
				207401, -- [2]
				{
					11400, -- [1]
					3000, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101913, -- [1]
					101911, -- [2]
				}, -- [4]
			}, -- [108]
			{
				101911, -- [1]
				382732, -- [2]
				{
					10800, -- [1]
					3600, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					101912, -- [1]
					101920, -- [2]
				}, -- [4]
			}, -- [109]
			{
				101910, -- [1]
				382039, -- [2]
				{
					10800, -- [1]
					3600, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					101912, -- [1]
					101920, -- [2]
				}, -- [4]
			}, -- [110]
		},
		[265] = {
			{
				91568, -- [1]
				108558, -- [2]
				{
					10800, -- [1]
					2400, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					91564, -- [1]
					91565, -- [2]
				}, -- [4]
			}, -- [1]
			{
				91565, -- [1]
				32388, -- [2]
				{
					10200, -- [1]
					3000, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					91566, -- [1]
					91563, -- [2]
				}, -- [4]
			}, -- [2]
			{
				91564, -- [1]
				201424, -- [2]
				{
					11400, -- [1]
					3000, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					91567, -- [1]
					91575, -- [2]
					91566, -- [3]
				}, -- [4]
			}, -- [3]
			{
				91563, -- [1]
				387073, -- [2]
				{
					10200, -- [1]
					4199, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					91580, -- [1]
					91573, -- [2]
				}, -- [4]
			}, -- [4]
			{
				91562, -- [1]
				199471, -- [2]
				{
					12600, -- [1]
					4200, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					91555, -- [1]
					91577, -- [2]
				}, -- [4]
			}, -- [5]
			{
				91561, -- [1]
				196102, -- [2]
				{
					12600, -- [1]
					3000, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					91557, -- [1]
					91575, -- [2]
					91562, -- [3]
				}, -- [4]
			}, -- [6]
			{
				91560, -- [1]
				196226, -- [2]
				{
					13200, -- [1]
					2400, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					91559, -- [1]
					91561, -- [2]
				}, -- [4]
			}, -- [7]
			{
				91559, -- [1]
				386922, -- [2]
				{
					13800, -- [1]
					3000, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					91557, -- [1]
					91576, -- [2]
				}, -- [4]
			}, -- [8]
			{
				91558, -- [1]
				386951, -- [2]
				{
					12000, -- [1]
					4200, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					91577, -- [1]
				}, -- [4]
			}, -- [9]
			{
				91557, -- [1]
				205179, -- [2]
				{
					13200, -- [1]
					3600, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					91555, -- [1]
					91576, -- [2]
					91562, -- [3]
				}, -- [4]
			}, -- [10]
			{
				91556, -- [1]
				278350, -- [2]
				{
					13200, -- [1]
					3600, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					91555, -- [1]
					91576, -- [2]
					91562, -- [3]
				}, -- [4]
			}, -- [11]
			{
				91555, -- [1]
				386986, -- [2]
				{
					13200, -- [1]
					4800, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					91578, -- [1]
					91554, -- [2]
				}, -- [4]
			}, -- [12]
			{
				91554, -- [1]
				205180, -- [2]
				{
					12600, -- [1]
					5400, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					91504, -- [1]
					91553, -- [2]
				}, -- [4]
			}, -- [13]
			{
				91553, -- [1]
				387065, -- [2]
				{
					13200, -- [1]
					6000, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [14]
			{
				91552, -- [1]
				48181, -- [2]
				{
					11400, -- [1]
					5400, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					91551, -- [1]
					91507, -- [2]
				}, -- [4]
			}, -- [15]
			{
				91551, -- [1]
				387075, -- [2]
				{
					10800, -- [1]
					5999, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [16]
			{
				91580, -- [1]
				264000, -- [2]
				{
					10200, -- [1]
					5400, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					91551, -- [1]
					91429, -- [2]
				}, -- [4]
			}, -- [17]
			{
				91579, -- [1]
				387016, -- [2]
				{
					13799, -- [1]
					6600, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [18]
			{
				91578, -- [1]
				386997, -- [2]
				{
					13799, -- [1]
					5400, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					91428, -- [1]
					91553, -- [2]
				}, -- [4]
			}, -- [19]
			{
				91577, -- [1]
				386976, -- [2]
				{
					12000, -- [1]
					4800, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					91554, -- [1]
					91552, -- [2]
				}, -- [4]
			}, -- [20]
			{
				91576, -- [1]
				108503, -- [2]
				{
					13799, -- [1]
					4200, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					91578, -- [1]
					91555, -- [2]
				}, -- [4]
			}, -- [21]
			{
				91575, -- [1]
				196103, -- [2]
				{
					11999, -- [1]
					3600, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					91562, -- [1]
					91567, -- [2]
					91558, -- [3]
				}, -- [4]
			}, -- [22]
			{
				91574, -- [1]
				63106, -- [2]
				{
					11999, -- [1]
					3600, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					91562, -- [1]
					91567, -- [2]
					91558, -- [3]
				}, -- [4]
			}, -- [23]
			{
				91573, -- [1]
				386759, -- [2]
				{
					10800, -- [1]
					4800, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					91580, -- [1]
					91552, -- [2]
				}, -- [4]
			}, -- [24]
			{
				91572, -- [1]
				317031, -- [2]
				{
					12000, -- [1]
					2400, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					91561, -- [1]
					91564, -- [2]
				}, -- [4]
			}, -- [25]
			{
				91571, -- [1]
				27243, -- [2]
				{
					12599, -- [1]
					1800, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					91572, -- [1]
					91560, -- [2]
				}, -- [4]
			}, -- [26]
			{
				91570, -- [1]
				324536, -- [2]
				{
					12000, -- [1]
					1200, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					91571, -- [1]
					91569, -- [2]
				}, -- [4]
			}, -- [27]
			{
				91569, -- [1]
				316099, -- [2]
				{
					11400, -- [1]
					1800, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					91572, -- [1]
					91568, -- [2]
				}, -- [4]
			}, -- [28]
			{
				91567, -- [1]
				334319, -- [2]
				{
					11400, -- [1]
					4200, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					91573, -- [1]
					91577, -- [2]
				}, -- [4]
			}, -- [29]
			{
				91444, -- [1]
				108416, -- [2]
				{
					3000, -- [1]
					4199, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					91446, -- [1]
					91464, -- [2]
				}, -- [4]
			}, -- [30]
			{
				91446, -- [1]
				386664, -- [2]
				{
					2400, -- [1]
					4800, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					91425, -- [1]
				}, -- [4]
			}, -- [31]
			{
				91445, -- [1]
				386686, -- [2]
				{
					2400, -- [1]
					4800, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					91425, -- [1]
				}, -- [4]
			}, -- [32]
			{
				91422, -- [1]
				389623, -- [2]
				{
					4200, -- [1]
					3600, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					91468, -- [1]
				}, -- [4]
			}, -- [33]
			{
				91424, -- [1]
				389590, -- [2]
				{
					6000, -- [1]
					6000, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					91469, -- [1]
				}, -- [4]
			}, -- [34]
			{
				91425, -- [1]
				389367, -- [2]
				{
					3000, -- [1]
					5400, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					91432, -- [1]
					91421, -- [2]
				}, -- [4]
			}, -- [35]
			{
				91426, -- [1]
				389576, -- [2]
				{
					4200, -- [1]
					6000, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					91448, -- [1]
				}, -- [4]
			}, -- [36]
			{
				91428, -- [1]
				389630, -- [2]
				{
					13799, -- [1]
					6000, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					91579, -- [1]
				}, -- [4]
			}, -- [37]
			{
				91429, -- [1]
				389761, -- [2]
				{
					10200, -- [1]
					6000, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					91503, -- [1]
				}, -- [4]
			}, -- [38]
			{
				91430, -- [1]
				386617, -- [2]
				{
					5400, -- [1]
					3000, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					91455, -- [1]
				}, -- [4]
			}, -- [39]
			{
				91431, -- [1]
				215941, -- [2]
				{
					4800, -- [1]
					6000, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					91448, -- [1]
					91469, -- [2]
				}, -- [4]
			}, -- [40]
			{
				91432, -- [1]
				171975, -- [2]
				{
					3600, -- [1]
					6000, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					91434, -- [1]
					91448, -- [2]
				}, -- [4]
			}, -- [41]
			{
				91433, -- [1]
				108415, -- [2]
				{
					4200, -- [1]
					5400, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					91432, -- [1]
					91431, -- [2]
					91426, -- [3]
				}, -- [4]
			}, -- [42]
			{
				91434, -- [1]
				386689, -- [2]
				{
					3000, -- [1]
					6600, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [43]
			{
				91435, -- [1]
				386620, -- [2]
				{
					3600, -- [1]
					3600, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					91444, -- [1]
					91468, -- [2]
				}, -- [4]
			}, -- [44]
			{
				91436, -- [1]
				386858, -- [2]
				{
					3600, -- [1]
					3000, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					91437, -- [1]
					91435, -- [2]
					91422, -- [3]
				}, -- [4]
			}, -- [45]
			{
				91437, -- [1]
				386619, -- [2]
				{
					3000, -- [1]
					3600, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					91444, -- [1]
				}, -- [4]
			}, -- [46]
			{
				91438, -- [1]
				288843, -- [2]
				{
					3000, -- [1]
					3000, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					91437, -- [1]
				}, -- [4]
			}, -- [47]
			{
				91439, -- [1]
				333889, -- [2]
				{
					3000, -- [1]
					1200, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					91440, -- [1]
					91463, -- [2]
				}, -- [4]
			}, -- [48]
			{
				91440, -- [1]
				386113, -- [2]
				{
					2400, -- [1]
					1800, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					91462, -- [1]
				}, -- [4]
			}, -- [49]
			{
				91441, -- [1]
				268358, -- [2]
				{
					4200, -- [1]
					1200, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					91463, -- [1]
					91461, -- [2]
				}, -- [4]
			}, -- [50]
			{
				91442, -- [1]
				328774, -- [2]
				{
					2400, -- [1]
					3000, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					91443, -- [1]
					91437, -- [2]
				}, -- [4]
			}, -- [51]
			{
				91443, -- [1]
				387972, -- [2]
				{
					2400, -- [1]
					3600, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					91444, -- [1]
				}, -- [4]
			}, -- [52]
			{
				91507, -- [1]
				387250, -- [2]
				{
					11400, -- [1]
					6000, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					91506, -- [1]
				}, -- [4]
			}, -- [53]
			{
				91506, -- [1]
				387301, -- [2]
				{
					11400, -- [1]
					6599, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [54]
			{
				91505, -- [1]
				337020, -- [2]
				{
					12602, -- [1]
					6600, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [55]
			{
				91419, -- [1]
				389992, -- [2]
				{
					12602, -- [1]
					6600, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [56]
			{
				91504, -- [1]
				387273, -- [2]
				{
					12600, -- [1]
					6000, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					91505, -- [1]
				}, -- [4]
			}, -- [57]
			{
				91503, -- [1]
				389764, -- [2]
				{
					10200, -- [1]
					6599, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [58]
			{
				91420, -- [1]
				389775, -- [2]
				{
					10200, -- [1]
					6599, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [59]
			{
				91469, -- [1]
				385899, -- [2]
				{
					5400, -- [1]
					6600, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [60]
			{
				91468, -- [1]
				317138, -- [2]
				{
					4200, -- [1]
					4200, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					91464, -- [1]
					91449, -- [2]
				}, -- [4]
			}, -- [61]
			{
				91467, -- [1]
				386659, -- [2]
				{
					4200, -- [1]
					4200, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					91464, -- [1]
					91449, -- [2]
				}, -- [4]
			}, -- [62]
			{
				91466, -- [1]
				111771, -- [2]
				{
					4800, -- [1]
					3600, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					91452, -- [1]
					91468, -- [2]
				}, -- [4]
			}, -- [63]
			{
				91465, -- [1]
				389609, -- [2]
				{
					4200, -- [1]
					2400, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					91436, -- [1]
					91456, -- [2]
				}, -- [4]
			}, -- [64]
			{
				91464, -- [1]
				386613, -- [2]
				{
					3599, -- [1]
					4800, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					91433, -- [1]
					91425, -- [2]
				}, -- [4]
			}, -- [65]
			{
				91463, -- [1]
				219272, -- [2]
				{
					3600, -- [1]
					1800, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					91462, -- [1]
					91465, -- [2]
				}, -- [4]
			}, -- [66]
			{
				91462, -- [1]
				386105, -- [2]
				{
					3000, -- [1]
					2400, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					91442, -- [1]
					91436, -- [2]
					91438, -- [3]
				}, -- [4]
			}, -- [67]
			{
				91461, -- [1]
				386124, -- [2]
				{
					4800, -- [1]
					1800, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					91458, -- [1]
					91465, -- [2]
				}, -- [4]
			}, -- [68]
			{
				91460, -- [1]
				111400, -- [2]
				{
					5400, -- [1]
					1200, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					91461, -- [1]
					91459, -- [2]
				}, -- [4]
			}, -- [69]
			{
				91459, -- [1]
				386110, -- [2]
				{
					6000, -- [1]
					1800, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					91458, -- [1]
				}, -- [4]
			}, -- [70]
			{
				91458, -- [1]
				5484, -- [2]
				{
					5400, -- [1]
					2400, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					91430, -- [1]
					91456, -- [2]
					91454, -- [3]
				}, -- [4]
			}, -- [71]
			{
				91457, -- [1]
				6789, -- [2]
				{
					5400, -- [1]
					2400, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					91430, -- [1]
					91456, -- [2]
					91454, -- [3]
				}, -- [4]
			}, -- [72]
			{
				91456, -- [1]
				386864, -- [2]
				{
					4800, -- [1]
					3000, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					91422, -- [1]
					91455, -- [2]
					91466, -- [3]
				}, -- [4]
			}, -- [73]
			{
				91455, -- [1]
				386648, -- [2]
				{
					5400, -- [1]
					3600, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					91452, -- [1]
				}, -- [4]
			}, -- [74]
			{
				91454, -- [1]
				710, -- [2]
				{
					6000, -- [1]
					3000, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					91455, -- [1]
					91453, -- [2]
				}, -- [4]
			}, -- [75]
			{
				91453, -- [1]
				386651, -- [2]
				{
					6000, -- [1]
					3600, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					91452, -- [1]
				}, -- [4]
			}, -- [76]
			{
				91452, -- [1]
				30283, -- [2]
				{
					5400, -- [1]
					4199, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					91449, -- [1]
					91451, -- [2]
				}, -- [4]
			}, -- [77]
			{
				91451, -- [1]
				264874, -- [2]
				{
					6000, -- [1]
					4800, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					91447, -- [1]
				}, -- [4]
			}, -- [78]
			{
				91450, -- [1]
				384069, -- [2]
				{
					6000, -- [1]
					4800, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					91447, -- [1]
				}, -- [4]
			}, -- [79]
			{
				91449, -- [1]
				386646, -- [2]
				{
					4800, -- [1]
					4800, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					91447, -- [1]
					91433, -- [2]
				}, -- [4]
			}, -- [80]
			{
				91448, -- [1]
				386244, -- [2]
				{
					4200, -- [1]
					6600, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [81]
			{
				91427, -- [1]
				386344, -- [2]
				{
					4200, -- [1]
					6600, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [82]
			{
				91447, -- [1]
				385881, -- [2]
				{
					5400, -- [1]
					5400, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					91431, -- [1]
					91424, -- [2]
				}, -- [4]
			}, -- [83]
			{
				91421, -- [1]
				389359, -- [2]
				{
					2400, -- [1]
					6000, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					91434, -- [1]
				}, -- [4]
			}, -- [84]
			{
				91566, -- [1]
				388667, -- [2]
				{
					10799, -- [1]
					3600, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					91573, -- [1]
					91567, -- [2]
					91563, -- [3]
				}, -- [4]
			}, -- [85]
		},
		[266] = {
			{
				91513, -- [1]
				387578, -- [2]
				{
					10200, -- [1]
					6600, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [1]
			{
				91514, -- [1]
				387526, -- [2]
				{
					10200, -- [1]
					6000, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					91513, -- [1]
				}, -- [4]
			}, -- [2]
			{
				91515, -- [1]
				267217, -- [2]
				{
					10800, -- [1]
					5400, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					91511, -- [1]
					91525, -- [2]
					91514, -- [3]
				}, -- [4]
			}, -- [3]
			{
				91516, -- [1]
				387445, -- [2]
				{
					11400, -- [1]
					4800, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					91515, -- [1]
					91550, -- [2]
				}, -- [4]
			}, -- [4]
			{
				91517, -- [1]
				387391, -- [2]
				{
					10800, -- [1]
					4199, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					91516, -- [1]
					91518, -- [2]
				}, -- [4]
			}, -- [5]
			{
				91518, -- [1]
				387432, -- [2]
				{
					10200, -- [1]
					4800, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					91515, -- [1]
				}, -- [4]
			}, -- [6]
			{
				91519, -- [1]
				387349, -- [2]
				{
					9600, -- [1]
					4200, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					91518, -- [1]
				}, -- [4]
			}, -- [7]
			{
				91520, -- [1]
				196277, -- [2]
				{
					9600, -- [1]
					3000, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					91519, -- [1]
					91521, -- [2]
				}, -- [4]
			}, -- [8]
			{
				91521, -- [1]
				264130, -- [2]
				{
					10199, -- [1]
					3600, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					91517, -- [1]
					91518, -- [2]
					91519, -- [3]
				}, -- [4]
			}, -- [9]
			{
				91522, -- [1]
				387541, -- [2]
				{
					12599, -- [1]
					6000, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [10]
			{
				91523, -- [1]
				386833, -- [2]
				{
					13799, -- [1]
					6600, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [11]
			{
				91524, -- [1]
				387549, -- [2]
				{
					13799, -- [1]
					6000, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					91523, -- [1]
				}, -- [4]
			}, -- [12]
			{
				91525, -- [1]
				387602, -- [2]
				{
					10800, -- [1]
					6000, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [13]
			{
				91526, -- [1]
				387494, -- [2]
				{
					13200, -- [1]
					5400, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					91512, -- [1]
					91524, -- [2]
					91522, -- [3]
				}, -- [4]
			}, -- [14]
			{
				91527, -- [1]
				387485, -- [2]
				{
					12599, -- [1]
					4800, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					91526, -- [1]
					91550, -- [2]
				}, -- [4]
			}, -- [15]
			{
				91528, -- [1]
				387399, -- [2]
				{
					14400, -- [1]
					4199, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					91529, -- [1]
				}, -- [4]
			}, -- [16]
			{
				91529, -- [1]
				387488, -- [2]
				{
					13799, -- [1]
					4800, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					91526, -- [1]
				}, -- [4]
			}, -- [17]
			{
				91530, -- [1]
				387396, -- [2]
				{
					13200, -- [1]
					4199, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					91527, -- [1]
					91529, -- [2]
				}, -- [4]
			}, -- [18]
			{
				91531, -- [1]
				111898, -- [2]
				{
					13800, -- [1]
					3600, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					91528, -- [1]
					91529, -- [2]
					91530, -- [3]
				}, -- [4]
			}, -- [19]
			{
				91532, -- [1]
				387338, -- [2]
				{
					14399, -- [1]
					3000, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					91528, -- [1]
					91531, -- [2]
				}, -- [4]
			}, -- [20]
			{
				91533, -- [1]
				267170, -- [2]
				{
					13799, -- [1]
					2400, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					91532, -- [1]
					91534, -- [2]
				}, -- [4]
			}, -- [21]
			{
				91534, -- [1]
				386200, -- [2]
				{
					13199, -- [1]
					3000, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					91535, -- [1]
					91530, -- [2]
					91531, -- [3]
				}, -- [4]
			}, -- [22]
			{
				91535, -- [1]
				205145, -- [2]
				{
					12599, -- [1]
					3600, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					91530, -- [1]
					91548, -- [2]
				}, -- [4]
			}, -- [23]
			{
				91536, -- [1]
				386194, -- [2]
				{
					12000, -- [1]
					3000, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					91547, -- [1]
					91535, -- [2]
				}, -- [4]
			}, -- [24]
			{
				91538, -- [1]
				264119, -- [2]
				{
					11399, -- [1]
					2400, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					91536, -- [1]
				}, -- [4]
			}, -- [25]
			{
				91537, -- [1]
				264057, -- [2]
				{
					11399, -- [1]
					2400, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					91536, -- [1]
				}, -- [4]
			}, -- [26]
			{
				91539, -- [1]
				264078, -- [2]
				{
					12000, -- [1]
					1800, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					91541, -- [1]
					91538, -- [2]
				}, -- [4]
			}, -- [27]
			{
				91550, -- [1]
				265187, -- [2]
				{
					12000, -- [1]
					5400, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					91522, -- [1]
					91511, -- [2]
					91510, -- [3]
				}, -- [4]
			}, -- [28]
			{
				91549, -- [1]
				387483, -- [2]
				{
					12000, -- [1]
					4800, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					91550, -- [1]
				}, -- [4]
			}, -- [29]
			{
				91548, -- [1]
				603, -- [2]
				{
					12000, -- [1]
					4199, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					91527, -- [1]
					91549, -- [2]
					91516, -- [3]
				}, -- [4]
			}, -- [30]
			{
				91547, -- [1]
				267216, -- [2]
				{
					11400, -- [1]
					3600, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					91548, -- [1]
					91517, -- [2]
				}, -- [4]
			}, -- [31]
			{
				91546, -- [1]
				386185, -- [2]
				{
					10200, -- [1]
					2400, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					91545, -- [1]
					91520, -- [2]
				}, -- [4]
			}, -- [32]
			{
				91545, -- [1]
				387322, -- [2]
				{
					10800, -- [1]
					3000, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					91517, -- [1]
					91521, -- [2]
					91547, -- [3]
				}, -- [4]
			}, -- [33]
			{
				91544, -- [1]
				264178, -- [2]
				{
					10799, -- [1]
					1800, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					91545, -- [1]
					91546, -- [2]
					91538, -- [3]
				}, -- [4]
			}, -- [34]
			{
				91543, -- [1]
				104316, -- [2]
				{
					12000, -- [1]
					1200, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					91542, -- [1]
					91544, -- [2]
					91539, -- [3]
				}, -- [4]
			}, -- [35]
			{
				91542, -- [1]
				386174, -- [2]
				{
					13199, -- [1]
					1800, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					91534, -- [1]
					91533, -- [2]
					91541, -- [3]
				}, -- [4]
			}, -- [36]
			{
				91541, -- [1]
				267211, -- [2]
				{
					12599, -- [1]
					2400, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					91536, -- [1]
				}, -- [4]
			}, -- [37]
			{
				91540, -- [1]
				267171, -- [2]
				{
					12599, -- [1]
					2400, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					91536, -- [1]
				}, -- [4]
			}, -- [38]
			{
				91512, -- [1]
				387600, -- [2]
				{
					13200, -- [1]
					6000, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [39]
			{
				91511, -- [1]
				267214, -- [2]
				{
					11399, -- [1]
					6000, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [40]
			{
				91510, -- [1]
				334585, -- [2]
				{
					12000, -- [1]
					6000, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					91509, -- [1]
				}, -- [4]
			}, -- [41]
			{
				91444, -- [1]
				108416, -- [2]
				{
					3000, -- [1]
					4199, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					91446, -- [1]
					91464, -- [2]
				}, -- [4]
			}, -- [42]
			{
				91446, -- [1]
				386664, -- [2]
				{
					2400, -- [1]
					4800, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					91425, -- [1]
				}, -- [4]
			}, -- [43]
			{
				91445, -- [1]
				386686, -- [2]
				{
					2400, -- [1]
					4800, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					91425, -- [1]
				}, -- [4]
			}, -- [44]
			{
				91422, -- [1]
				389623, -- [2]
				{
					4200, -- [1]
					3600, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					91468, -- [1]
				}, -- [4]
			}, -- [45]
			{
				91424, -- [1]
				389590, -- [2]
				{
					6000, -- [1]
					6000, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					91469, -- [1]
				}, -- [4]
			}, -- [46]
			{
				91425, -- [1]
				389367, -- [2]
				{
					3000, -- [1]
					5400, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					91432, -- [1]
					91421, -- [2]
				}, -- [4]
			}, -- [47]
			{
				91426, -- [1]
				389576, -- [2]
				{
					4200, -- [1]
					6000, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					91448, -- [1]
				}, -- [4]
			}, -- [48]
			{
				91430, -- [1]
				386617, -- [2]
				{
					5400, -- [1]
					3000, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					91455, -- [1]
				}, -- [4]
			}, -- [49]
			{
				91431, -- [1]
				215941, -- [2]
				{
					4800, -- [1]
					6000, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					91448, -- [1]
					91469, -- [2]
				}, -- [4]
			}, -- [50]
			{
				91432, -- [1]
				171975, -- [2]
				{
					3600, -- [1]
					6000, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					91434, -- [1]
					91448, -- [2]
				}, -- [4]
			}, -- [51]
			{
				91433, -- [1]
				108415, -- [2]
				{
					4200, -- [1]
					5400, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					91432, -- [1]
					91431, -- [2]
					91426, -- [3]
				}, -- [4]
			}, -- [52]
			{
				91434, -- [1]
				386689, -- [2]
				{
					3000, -- [1]
					6600, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [53]
			{
				91435, -- [1]
				386620, -- [2]
				{
					3600, -- [1]
					3600, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					91444, -- [1]
					91468, -- [2]
				}, -- [4]
			}, -- [54]
			{
				91436, -- [1]
				386858, -- [2]
				{
					3600, -- [1]
					3000, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					91437, -- [1]
					91435, -- [2]
					91422, -- [3]
				}, -- [4]
			}, -- [55]
			{
				91437, -- [1]
				386619, -- [2]
				{
					3000, -- [1]
					3600, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					91444, -- [1]
				}, -- [4]
			}, -- [56]
			{
				91438, -- [1]
				288843, -- [2]
				{
					3000, -- [1]
					3000, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					91437, -- [1]
				}, -- [4]
			}, -- [57]
			{
				91439, -- [1]
				333889, -- [2]
				{
					3000, -- [1]
					1200, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					91440, -- [1]
					91463, -- [2]
				}, -- [4]
			}, -- [58]
			{
				91440, -- [1]
				386113, -- [2]
				{
					2400, -- [1]
					1800, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					91462, -- [1]
				}, -- [4]
			}, -- [59]
			{
				91441, -- [1]
				268358, -- [2]
				{
					4200, -- [1]
					1200, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					91463, -- [1]
					91461, -- [2]
				}, -- [4]
			}, -- [60]
			{
				91442, -- [1]
				328774, -- [2]
				{
					2400, -- [1]
					3000, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					91443, -- [1]
					91437, -- [2]
				}, -- [4]
			}, -- [61]
			{
				91443, -- [1]
				387972, -- [2]
				{
					2400, -- [1]
					3600, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					91444, -- [1]
				}, -- [4]
			}, -- [62]
			{
				91509, -- [1]
				390173, -- [2]
				{
					12000, -- [1]
					6600, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [63]
			{
				91508, -- [1]
				337020, -- [2]
				{
					12000, -- [1]
					6600, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [64]
			{
				91469, -- [1]
				385899, -- [2]
				{
					5400, -- [1]
					6600, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [65]
			{
				91468, -- [1]
				317138, -- [2]
				{
					4200, -- [1]
					4200, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					91464, -- [1]
					91449, -- [2]
				}, -- [4]
			}, -- [66]
			{
				91467, -- [1]
				386659, -- [2]
				{
					4200, -- [1]
					4200, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					91464, -- [1]
					91449, -- [2]
				}, -- [4]
			}, -- [67]
			{
				91466, -- [1]
				111771, -- [2]
				{
					4800, -- [1]
					3600, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					91452, -- [1]
					91468, -- [2]
				}, -- [4]
			}, -- [68]
			{
				91465, -- [1]
				389609, -- [2]
				{
					4200, -- [1]
					2400, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					91436, -- [1]
					91456, -- [2]
				}, -- [4]
			}, -- [69]
			{
				91464, -- [1]
				386613, -- [2]
				{
					3599, -- [1]
					4800, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					91433, -- [1]
					91425, -- [2]
				}, -- [4]
			}, -- [70]
			{
				91463, -- [1]
				219272, -- [2]
				{
					3600, -- [1]
					1800, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					91462, -- [1]
					91465, -- [2]
				}, -- [4]
			}, -- [71]
			{
				91462, -- [1]
				386105, -- [2]
				{
					3000, -- [1]
					2400, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					91442, -- [1]
					91436, -- [2]
					91438, -- [3]
				}, -- [4]
			}, -- [72]
			{
				91461, -- [1]
				386124, -- [2]
				{
					4800, -- [1]
					1800, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					91458, -- [1]
					91465, -- [2]
				}, -- [4]
			}, -- [73]
			{
				91460, -- [1]
				111400, -- [2]
				{
					5400, -- [1]
					1200, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					91461, -- [1]
					91459, -- [2]
				}, -- [4]
			}, -- [74]
			{
				91459, -- [1]
				386110, -- [2]
				{
					6000, -- [1]
					1800, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					91458, -- [1]
				}, -- [4]
			}, -- [75]
			{
				91458, -- [1]
				5484, -- [2]
				{
					5400, -- [1]
					2400, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					91430, -- [1]
					91456, -- [2]
					91454, -- [3]
				}, -- [4]
			}, -- [76]
			{
				91457, -- [1]
				6789, -- [2]
				{
					5400, -- [1]
					2400, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					91430, -- [1]
					91456, -- [2]
					91454, -- [3]
				}, -- [4]
			}, -- [77]
			{
				91456, -- [1]
				386864, -- [2]
				{
					4800, -- [1]
					3000, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					91422, -- [1]
					91455, -- [2]
					91466, -- [3]
				}, -- [4]
			}, -- [78]
			{
				91455, -- [1]
				386648, -- [2]
				{
					5400, -- [1]
					3600, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					91452, -- [1]
				}, -- [4]
			}, -- [79]
			{
				91454, -- [1]
				710, -- [2]
				{
					6000, -- [1]
					3000, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					91455, -- [1]
					91453, -- [2]
				}, -- [4]
			}, -- [80]
			{
				91453, -- [1]
				386651, -- [2]
				{
					6000, -- [1]
					3600, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					91452, -- [1]
				}, -- [4]
			}, -- [81]
			{
				91452, -- [1]
				30283, -- [2]
				{
					5400, -- [1]
					4199, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					91449, -- [1]
					91451, -- [2]
				}, -- [4]
			}, -- [82]
			{
				91451, -- [1]
				264874, -- [2]
				{
					6000, -- [1]
					4800, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					91447, -- [1]
				}, -- [4]
			}, -- [83]
			{
				91450, -- [1]
				384069, -- [2]
				{
					6000, -- [1]
					4800, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					91447, -- [1]
				}, -- [4]
			}, -- [84]
			{
				91449, -- [1]
				386646, -- [2]
				{
					4800, -- [1]
					4800, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					91447, -- [1]
					91433, -- [2]
				}, -- [4]
			}, -- [85]
			{
				91448, -- [1]
				386244, -- [2]
				{
					4200, -- [1]
					6600, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [86]
			{
				91427, -- [1]
				386344, -- [2]
				{
					4200, -- [1]
					6600, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [87]
			{
				91447, -- [1]
				385881, -- [2]
				{
					5400, -- [1]
					5400, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					91431, -- [1]
					91424, -- [2]
				}, -- [4]
			}, -- [88]
			{
				91421, -- [1]
				389359, -- [2]
				{
					2400, -- [1]
					6000, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					91434, -- [1]
				}, -- [4]
			}, -- [89]
		},
		[267] = {
			{
				91592, -- [1]
				5740, -- [2]
				{
					12600, -- [1]
					1800, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					91494, -- [1]
					91489, -- [2]
				}, -- [4]
			}, -- [1]
			{
				91591, -- [1]
				116858, -- [2]
				{
					12000, -- [1]
					1200, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					91592, -- [1]
					91496, -- [2]
					91590, -- [3]
				}, -- [4]
			}, -- [2]
			{
				91590, -- [1]
				17962, -- [2]
				{
					11400, -- [1]
					1800, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					91494, -- [1]
					91589, -- [2]
				}, -- [4]
			}, -- [3]
			{
				91589, -- [1]
				196406, -- [2]
				{
					10800, -- [1]
					2400, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					91581, -- [1]
					91586, -- [2]
					91588, -- [3]
				}, -- [4]
			}, -- [4]
			{
				91588, -- [1]
				205184, -- [2]
				{
					10200, -- [1]
					3000, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					91492, -- [1]
					91582, -- [2]
				}, -- [4]
			}, -- [5]
			{
				91587, -- [1]
				231793, -- [2]
				{
					10200, -- [1]
					3000, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					91492, -- [1]
					91582, -- [2]
				}, -- [4]
			}, -- [6]
			{
				91586, -- [1]
				196447, -- [2]
				{
					11400, -- [1]
					3000, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					91585, -- [1]
				}, -- [4]
			}, -- [7]
			{
				91585, -- [1]
				387166, -- [2]
				{
					11400, -- [1]
					3596, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					91485, -- [1]
				}, -- [4]
			}, -- [8]
			{
				91584, -- [1]
				387103, -- [2]
				{
					10200, -- [1]
					4800, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					91502, -- [1]
				}, -- [4]
			}, -- [9]
			{
				91583, -- [1]
				387108, -- [2]
				{
					10800, -- [1]
					4200, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					91501, -- [1]
					91584, -- [2]
				}, -- [4]
			}, -- [10]
			{
				91582, -- [1]
				17877, -- [2]
				{
					10800, -- [1]
					3600, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					91583, -- [1]
				}, -- [4]
			}, -- [11]
			{
				91581, -- [1]
				388827, -- [2]
				{
					10800, -- [1]
					3000, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					91582, -- [1]
				}, -- [4]
			}, -- [12]
			{
				91444, -- [1]
				108416, -- [2]
				{
					3000, -- [1]
					4199, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					91446, -- [1]
					91464, -- [2]
				}, -- [4]
			}, -- [13]
			{
				91446, -- [1]
				386664, -- [2]
				{
					2400, -- [1]
					4800, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					91425, -- [1]
				}, -- [4]
			}, -- [14]
			{
				91445, -- [1]
				386686, -- [2]
				{
					2400, -- [1]
					4800, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					91425, -- [1]
				}, -- [4]
			}, -- [15]
			{
				91422, -- [1]
				389623, -- [2]
				{
					4200, -- [1]
					3600, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					91468, -- [1]
				}, -- [4]
			}, -- [16]
			{
				91424, -- [1]
				389590, -- [2]
				{
					6000, -- [1]
					6000, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					91469, -- [1]
				}, -- [4]
			}, -- [17]
			{
				91425, -- [1]
				389367, -- [2]
				{
					3000, -- [1]
					5400, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					91432, -- [1]
					91421, -- [2]
				}, -- [4]
			}, -- [18]
			{
				91426, -- [1]
				389576, -- [2]
				{
					4200, -- [1]
					6000, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					91448, -- [1]
				}, -- [4]
			}, -- [19]
			{
				91430, -- [1]
				386617, -- [2]
				{
					5400, -- [1]
					3000, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					91455, -- [1]
				}, -- [4]
			}, -- [20]
			{
				91431, -- [1]
				215941, -- [2]
				{
					4800, -- [1]
					6000, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					91448, -- [1]
					91469, -- [2]
				}, -- [4]
			}, -- [21]
			{
				91432, -- [1]
				171975, -- [2]
				{
					3600, -- [1]
					6000, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					91434, -- [1]
					91448, -- [2]
				}, -- [4]
			}, -- [22]
			{
				91433, -- [1]
				108415, -- [2]
				{
					4200, -- [1]
					5400, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					91432, -- [1]
					91431, -- [2]
					91426, -- [3]
				}, -- [4]
			}, -- [23]
			{
				91434, -- [1]
				386689, -- [2]
				{
					3000, -- [1]
					6600, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [24]
			{
				91435, -- [1]
				386620, -- [2]
				{
					3600, -- [1]
					3600, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					91444, -- [1]
					91468, -- [2]
				}, -- [4]
			}, -- [25]
			{
				91436, -- [1]
				386858, -- [2]
				{
					3600, -- [1]
					3000, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					91437, -- [1]
					91435, -- [2]
					91422, -- [3]
				}, -- [4]
			}, -- [26]
			{
				91437, -- [1]
				386619, -- [2]
				{
					3000, -- [1]
					3600, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					91444, -- [1]
				}, -- [4]
			}, -- [27]
			{
				91438, -- [1]
				288843, -- [2]
				{
					3000, -- [1]
					3000, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					91437, -- [1]
				}, -- [4]
			}, -- [28]
			{
				91439, -- [1]
				333889, -- [2]
				{
					3000, -- [1]
					1200, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					91440, -- [1]
					91463, -- [2]
				}, -- [4]
			}, -- [29]
			{
				91440, -- [1]
				386113, -- [2]
				{
					2400, -- [1]
					1800, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					91462, -- [1]
				}, -- [4]
			}, -- [30]
			{
				91441, -- [1]
				268358, -- [2]
				{
					4200, -- [1]
					1200, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					91463, -- [1]
					91461, -- [2]
				}, -- [4]
			}, -- [31]
			{
				91442, -- [1]
				328774, -- [2]
				{
					2400, -- [1]
					3000, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					91443, -- [1]
					91437, -- [2]
				}, -- [4]
			}, -- [32]
			{
				91443, -- [1]
				387972, -- [2]
				{
					2400, -- [1]
					3600, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					91444, -- [1]
				}, -- [4]
			}, -- [33]
			{
				91502, -- [1]
				1122, -- [2]
				{
					10800, -- [1]
					5400, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					91478, -- [1]
					91473, -- [2]
					91470, -- [3]
				}, -- [4]
			}, -- [34]
			{
				91501, -- [1]
				196412, -- [2]
				{
					11400, -- [1]
					4800, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					91481, -- [1]
					91502, -- [2]
				}, -- [4]
			}, -- [35]
			{
				91500, -- [1]
				387384, -- [2]
				{
					12600, -- [1]
					3600, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					91485, -- [1]
					91486, -- [2]
				}, -- [4]
			}, -- [36]
			{
				91499, -- [1]
				196408, -- [2]
				{
					13200, -- [1]
					3600, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					91486, -- [1]
				}, -- [4]
			}, -- [37]
			{
				91498, -- [1]
				387509, -- [2]
				{
					12000, -- [1]
					3000, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					91474, -- [1]
					91500, -- [2]
				}, -- [4]
			}, -- [38]
			{
				91497, -- [1]
				387522, -- [2]
				{
					12000, -- [1]
					3000, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					91474, -- [1]
					91500, -- [2]
				}, -- [4]
			}, -- [39]
			{
				91496, -- [1]
				205148, -- [2]
				{
					12000, -- [1]
					1800, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					91494, -- [1]
				}, -- [4]
			}, -- [40]
			{
				91495, -- [1]
				266134, -- [2]
				{
					12000, -- [1]
					1800, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					91494, -- [1]
				}, -- [4]
			}, -- [41]
			{
				91494, -- [1]
				387506, -- [2]
				{
					12000, -- [1]
					2400, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					91586, -- [1]
					91498, -- [2]
					91490, -- [3]
				}, -- [4]
			}, -- [42]
			{
				91493, -- [1]
				80240, -- [2]
				{
					12000, -- [1]
					2400, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					91586, -- [1]
					91498, -- [2]
					91490, -- [3]
				}, -- [4]
			}, -- [43]
			{
				91492, -- [1]
				6353, -- [2]
				{
					10200, -- [1]
					3600, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					91491, -- [1]
				}, -- [4]
			}, -- [44]
			{
				91491, -- [1]
				387176, -- [2]
				{
					10199, -- [1]
					4198, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					91584, -- [1]
				}, -- [4]
			}, -- [45]
			{
				91490, -- [1]
				387093, -- [2]
				{
					12600, -- [1]
					3000, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					91500, -- [1]
					91499, -- [2]
				}, -- [4]
			}, -- [46]
			{
				91489, -- [1]
				387095, -- [2]
				{
					13200, -- [1]
					2400, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					91490, -- [1]
					91488, -- [2]
				}, -- [4]
			}, -- [47]
			{
				91488, -- [1]
				270545, -- [2]
				{
					13800, -- [1]
					3000, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					91499, -- [1]
				}, -- [4]
			}, -- [48]
			{
				91487, -- [1]
				152108, -- [2]
				{
					13800, -- [1]
					3000, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					91499, -- [1]
				}, -- [4]
			}, -- [49]
			{
				91486, -- [1]
				388832, -- [2]
				{
					13200, -- [1]
					4200, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					91484, -- [1]
					91482, -- [2]
				}, -- [4]
			}, -- [50]
			{
				91485, -- [1]
				387259, -- [2]
				{
					12000, -- [1]
					4200, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					91501, -- [1]
					91482, -- [2]
				}, -- [4]
			}, -- [51]
			{
				91484, -- [1]
				108503, -- [2]
				{
					13800, -- [1]
					4800, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					91483, -- [1]
				}, -- [4]
			}, -- [52]
			{
				91483, -- [1]
				387156, -- [2]
				{
					13200, -- [1]
					5400, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					91477, -- [1]
					91480, -- [2]
					91475, -- [3]
				}, -- [4]
			}, -- [53]
			{
				91482, -- [1]
				387252, -- [2]
				{
					12600, -- [1]
					4800, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					91483, -- [1]
					91481, -- [2]
				}, -- [4]
			}, -- [54]
			{
				91481, -- [1]
				387173, -- [2]
				{
					12000, -- [1]
					5400, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					91478, -- [1]
					91480, -- [2]
				}, -- [4]
			}, -- [55]
			{
				91480, -- [1]
				387400, -- [2]
				{
					12600, -- [1]
					6000, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					91479, -- [1]
				}, -- [4]
			}, -- [56]
			{
				91479, -- [1]
				387275, -- [2]
				{
					12000, -- [1]
					6600, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [57]
			{
				91423, -- [1]
				387976, -- [2]
				{
					12000, -- [1]
					6600, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [58]
			{
				91478, -- [1]
				387279, -- [2]
				{
					11400, -- [1]
					6000, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					91479, -- [1]
				}, -- [4]
			}, -- [59]
			{
				91477, -- [1]
				387153, -- [2]
				{
					13800, -- [1]
					6000, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					91476, -- [1]
				}, -- [4]
			}, -- [60]
			{
				91476, -- [1]
				387159, -- [2]
				{
					13200, -- [1]
					6600, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [61]
			{
				91475, -- [1]
				387165, -- [2]
				{
					13200, -- [1]
					6000, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					91476, -- [1]
				}, -- [4]
			}, -- [62]
			{
				91474, -- [1]
				387569, -- [2]
				{
					12000, -- [1]
					3600, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					91485, -- [1]
				}, -- [4]
			}, -- [63]
			{
				91473, -- [1]
				387355, -- [2]
				{
					10200, -- [1]
					6000, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					91472, -- [1]
				}, -- [4]
			}, -- [64]
			{
				91472, -- [1]
				266086, -- [2]
				{
					10800, -- [1]
					6600, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [65]
			{
				91471, -- [1]
				387084, -- [2]
				{
					10800, -- [1]
					6600, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [66]
			{
				91470, -- [1]
				387475, -- [2]
				{
					10800, -- [1]
					6000, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					91472, -- [1]
				}, -- [4]
			}, -- [67]
			{
				91469, -- [1]
				385899, -- [2]
				{
					5400, -- [1]
					6600, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [68]
			{
				91468, -- [1]
				317138, -- [2]
				{
					4200, -- [1]
					4200, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					91464, -- [1]
					91449, -- [2]
				}, -- [4]
			}, -- [69]
			{
				91467, -- [1]
				386659, -- [2]
				{
					4200, -- [1]
					4200, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					91464, -- [1]
					91449, -- [2]
				}, -- [4]
			}, -- [70]
			{
				91466, -- [1]
				111771, -- [2]
				{
					4800, -- [1]
					3600, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					91452, -- [1]
					91468, -- [2]
				}, -- [4]
			}, -- [71]
			{
				91465, -- [1]
				389609, -- [2]
				{
					4200, -- [1]
					2400, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					91436, -- [1]
					91456, -- [2]
				}, -- [4]
			}, -- [72]
			{
				91464, -- [1]
				386613, -- [2]
				{
					3599, -- [1]
					4800, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					91433, -- [1]
					91425, -- [2]
				}, -- [4]
			}, -- [73]
			{
				91463, -- [1]
				219272, -- [2]
				{
					3600, -- [1]
					1800, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					91462, -- [1]
					91465, -- [2]
				}, -- [4]
			}, -- [74]
			{
				91462, -- [1]
				386105, -- [2]
				{
					3000, -- [1]
					2400, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					91442, -- [1]
					91436, -- [2]
					91438, -- [3]
				}, -- [4]
			}, -- [75]
			{
				91461, -- [1]
				386124, -- [2]
				{
					4800, -- [1]
					1800, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					91458, -- [1]
					91465, -- [2]
				}, -- [4]
			}, -- [76]
			{
				91460, -- [1]
				111400, -- [2]
				{
					5400, -- [1]
					1200, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					91461, -- [1]
					91459, -- [2]
				}, -- [4]
			}, -- [77]
			{
				91459, -- [1]
				386110, -- [2]
				{
					6000, -- [1]
					1800, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					91458, -- [1]
				}, -- [4]
			}, -- [78]
			{
				91458, -- [1]
				5484, -- [2]
				{
					5400, -- [1]
					2400, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					91430, -- [1]
					91456, -- [2]
					91454, -- [3]
				}, -- [4]
			}, -- [79]
			{
				91457, -- [1]
				6789, -- [2]
				{
					5400, -- [1]
					2400, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					91430, -- [1]
					91456, -- [2]
					91454, -- [3]
				}, -- [4]
			}, -- [80]
			{
				91456, -- [1]
				386864, -- [2]
				{
					4800, -- [1]
					3000, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					91422, -- [1]
					91455, -- [2]
					91466, -- [3]
				}, -- [4]
			}, -- [81]
			{
				91455, -- [1]
				386648, -- [2]
				{
					5400, -- [1]
					3600, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					91452, -- [1]
				}, -- [4]
			}, -- [82]
			{
				91454, -- [1]
				710, -- [2]
				{
					6000, -- [1]
					3000, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					91455, -- [1]
					91453, -- [2]
				}, -- [4]
			}, -- [83]
			{
				91453, -- [1]
				386651, -- [2]
				{
					6000, -- [1]
					3600, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					91452, -- [1]
				}, -- [4]
			}, -- [84]
			{
				91452, -- [1]
				30283, -- [2]
				{
					5400, -- [1]
					4199, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					91449, -- [1]
					91451, -- [2]
				}, -- [4]
			}, -- [85]
			{
				91451, -- [1]
				264874, -- [2]
				{
					6000, -- [1]
					4800, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					91447, -- [1]
				}, -- [4]
			}, -- [86]
			{
				91450, -- [1]
				384069, -- [2]
				{
					6000, -- [1]
					4800, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					91447, -- [1]
				}, -- [4]
			}, -- [87]
			{
				91449, -- [1]
				386646, -- [2]
				{
					4800, -- [1]
					4800, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					91447, -- [1]
					91433, -- [2]
				}, -- [4]
			}, -- [88]
			{
				91448, -- [1]
				386244, -- [2]
				{
					4200, -- [1]
					6600, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [89]
			{
				91427, -- [1]
				386344, -- [2]
				{
					4200, -- [1]
					6600, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [90]
			{
				91447, -- [1]
				385881, -- [2]
				{
					5400, -- [1]
					5400, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					91431, -- [1]
					91424, -- [2]
				}, -- [4]
			}, -- [91]
			{
				91421, -- [1]
				389359, -- [2]
				{
					2400, -- [1]
					6000, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					91434, -- [1]
				}, -- [4]
			}, -- [92]
		},
		[268] = {
			{
				102626, -- [1]
				218164, -- [2]
				{
					4800, -- [1]
					2700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101524, -- [1]
				}, -- [4]
			}, -- [1]
			{
				101552, -- [1]
				386276, -- [2]
				{
					10803, -- [1]
					6302, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101551, -- [1]
				}, -- [4]
			}, -- [2]
			{
				101551, -- [1]
				386949, -- [2]
				{
					10803, -- [1]
					6900, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [3]
			{
				101550, -- [1]
				386941, -- [2]
				{
					10803, -- [1]
					6900, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [4]
			{
				101549, -- [1]
				116847, -- [2]
				{
					13199, -- [1]
					3301, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					101440, -- [1]
					101457, -- [2]
					101547, -- [3]
				}, -- [4]
			}, -- [5]
			{
				101548, -- [1]
				196730, -- [2]
				{
					13199, -- [1]
					3301, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					101440, -- [1]
					101457, -- [2]
					101547, -- [3]
				}, -- [4]
			}, -- [6]
			{
				101547, -- [1]
				115176, -- [2]
				{
					13203, -- [1]
					3903, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101439, -- [1]
					101444, -- [2]
					101546, -- [3]
				}, -- [4]
			}, -- [7]
			{
				101546, -- [1]
				393357, -- [2]
				{
					12598, -- [1]
					4501, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					101448, -- [1]
					101544, -- [2]
					101445, -- [3]
				}, -- [4]
			}, -- [8]
			{
				101545, -- [1]
				383700, -- [2]
				{
					12598, -- [1]
					4501, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					101448, -- [1]
					101544, -- [2]
					101445, -- [3]
				}, -- [4]
			}, -- [9]
			{
				101544, -- [1]
				132578, -- [2]
				{
					12004, -- [1]
					5102, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101412, -- [1]
					101543, -- [2]
				}, -- [4]
			}, -- [10]
			{
				101543, -- [1]
				387219, -- [2]
				{
					11396, -- [1]
					5700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101552, -- [1]
					101540, -- [2]
					101542, -- [3]
				}, -- [4]
			}, -- [11]
			{
				101542, -- [1]
				325153, -- [2]
				{
					12004, -- [1]
					6304, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101541, -- [1]
				}, -- [4]
			}, -- [12]
			{
				101541, -- [1]
				383707, -- [2]
				{
					12004, -- [1]
					6900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [13]
			{
				101540, -- [1]
				322740, -- [2]
				{
					11396, -- [1]
					6298, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101541, -- [1]
				}, -- [4]
			}, -- [14]
			{
				101539, -- [1]
				387184, -- [2]
				{
					13203, -- [1]
					6304, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101538, -- [1]
				}, -- [4]
			}, -- [15]
			{
				101538, -- [1]
				356684, -- [2]
				{
					13203, -- [1]
					6900, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [16]
			{
				101537, -- [1]
				393400, -- [2]
				{
					13203, -- [1]
					6900, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [17]
			{
				101536, -- [1]
				389577, -- [2]
				{
					5397, -- [1]
					6292, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101535, -- [1]
				}, -- [4]
			}, -- [18]
			{
				101535, -- [1]
				115315, -- [2]
				{
					5397, -- [1]
					6897, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [19]
			{
				101534, -- [1]
				394110, -- [2]
				{
					3598, -- [1]
					5697, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101520, -- [1]
					101533, -- [2]
				}, -- [4]
			}, -- [20]
			{
				101533, -- [1]
				389579, -- [2]
				{
					3005, -- [1]
					6307, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101532, -- [1]
				}, -- [4]
			}, -- [21]
			{
				101532, -- [1]
				115313, -- [2]
				{
					3000, -- [1]
					6900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [22]
			{
				101531, -- [1]
				328669, -- [2]
				{
					2396, -- [1]
					2104, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101414, -- [1]
					101530, -- [2]
				}, -- [4]
			}, -- [23]
			{
				101530, -- [1]
				392900, -- [2]
				{
					3000, -- [1]
					2700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101529, -- [1]
					101513, -- [2]
				}, -- [4]
			}, -- [24]
			{
				101529, -- [1]
				388811, -- [2]
				{
					3000, -- [1]
					3301, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101528, -- [1]
				}, -- [4]
			}, -- [25]
			{
				101528, -- [1]
				115098, -- [2]
				{
					3004, -- [1]
					4508, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					101515, -- [1]
					101515, -- [2]
					101526, -- [3]
				}, -- [4]
			}, -- [26]
			{
				101527, -- [1]
				123986, -- [2]
				{
					3004, -- [1]
					4508, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					101515, -- [1]
					101515, -- [2]
					101526, -- [3]
				}, -- [4]
			}, -- [27]
			{
				101526, -- [1]
				392910, -- [2]
				{
					2398, -- [1]
					5102, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101525, -- [1]
				}, -- [4]
			}, -- [28]
			{
				101525, -- [1]
				389574, -- [2]
				{
					2397, -- [1]
					5697, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101533, -- [1]
				}, -- [4]
			}, -- [29]
			{
				101524, -- [1]
				388674, -- [2]
				{
					4805, -- [1]
					3302, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101512, -- [1]
					101523, -- [2]
					101504, -- [3]
				}, -- [4]
			}, -- [30]
			{
				101523, -- [1]
				388809, -- [2]
				{
					4796, -- [1]
					4506, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101522, -- [1]
					101501, -- [2]
				}, -- [4]
			}, -- [31]
			{
				101522, -- [1]
				122278, -- [2]
				{
					4803, -- [1]
					5100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101521, -- [1]
				}, -- [4]
			}, -- [32]
			{
				101521, -- [1]
				394123, -- [2]
				{
					4804, -- [1]
					5697, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101536, -- [1]
					101520, -- [2]
				}, -- [4]
			}, -- [33]
			{
				101520, -- [1]
				389578, -- [2]
				{
					4203, -- [1]
					6292, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101519, -- [1]
				}, -- [4]
			}, -- [34]
			{
				101519, -- [1]
				388686, -- [2]
				{
					4197, -- [1]
					6900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [35]
			{
				101518, -- [1]
				196607, -- [2]
				{
					4200, -- [1]
					5100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101517, -- [1]
				}, -- [4]
			}, -- [36]
			{
				101517, -- [1]
				157411, -- [2]
				{
					4203, -- [1]
					5699, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [37]
			{
				101516, -- [1]
				116844, -- [2]
				{
					4201, -- [1]
					4503, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101515, -- [1]
					101515, -- [2]
					101522, -- [3]
					101518, -- [4]
				}, -- [4]
			}, -- [38]
			{
				101515, -- [1]
				122783, -- [2]
				{
					3597, -- [1]
					5102, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101534, -- [1]
					101534, -- [2]
				}, -- [4]
			}, -- [39]
			{
				101514, -- [1]
				328670, -- [2]
				{
					3600, -- [1]
					4506, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101515, -- [1]
					101515, -- [2]
				}, -- [4]
			}, -- [40]
			{
				101513, -- [1]
				388812, -- [2]
				{
					3597, -- [1]
					3293, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101514, -- [1]
					101528, -- [2]
					101512, -- [3]
				}, -- [4]
			}, -- [41]
			{
				101512, -- [1]
				101643, -- [2]
				{
					4205, -- [1]
					3910, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101523, -- [1]
					101514, -- [2]
					101516, -- [3]
				}, -- [4]
			}, -- [42]
			{
				101511, -- [1]
				388664, -- [2]
				{
					4205, -- [1]
					2111, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					102626, -- [1]
					101510, -- [2]
					101512, -- [3]
				}, -- [4]
			}, -- [43]
			{
				101510, -- [1]
				231602, -- [2]
				{
					3599, -- [1]
					2705, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101513, -- [1]
				}, -- [4]
			}, -- [44]
			{
				101509, -- [1]
				115175, -- [2]
				{
					3000, -- [1]
					1502, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101510, -- [1]
					101530, -- [2]
					101511, -- [3]
					101531, -- [4]
				}, -- [4]
			}, -- [45]
			{
				101508, -- [1]
				107428, -- [2]
				{
					4203, -- [1]
					1510, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101511, -- [1]
				}, -- [4]
			}, -- [46]
			{
				101507, -- [1]
				116841, -- [2]
				{
					5402, -- [1]
					1505, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					102626, -- [1]
					101506, -- [2]
					101495, -- [3]
					101511, -- [4]
				}, -- [4]
			}, -- [47]
			{
				101506, -- [1]
				115078, -- [2]
				{
					5404, -- [1]
					2701, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101524, -- [1]
					101505, -- [2]
				}, -- [4]
			}, -- [48]
			{
				101505, -- [1]
				344359, -- [2]
				{
					5400, -- [1]
					3300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101504, -- [1]
					101496, -- [2]
				}, -- [4]
			}, -- [49]
			{
				101504, -- [1]
				116705, -- [2]
				{
					5402, -- [1]
					3907, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101503, -- [1]
					101523, -- [2]
				}, -- [4]
			}, -- [50]
			{
				101503, -- [1]
				115173, -- [2]
				{
					5402, -- [1]
					4495, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					101501, -- [1]
				}, -- [4]
			}, -- [51]
			{
				101502, -- [1]
				115008, -- [2]
				{
					5402, -- [1]
					4495, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					101501, -- [1]
				}, -- [4]
			}, -- [52]
			{
				101501, -- [1]
				322113, -- [2]
				{
					5400, -- [1]
					5097, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101521, -- [1]
					101500, -- [2]
				}, -- [4]
			}, -- [53]
			{
				101500, -- [1]
				389575, -- [2]
				{
					6000, -- [1]
					5700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101536, -- [1]
				}, -- [4]
			}, -- [54]
			{
				101499, -- [1]
				387276, -- [2]
				{
					5997, -- [1]
					5100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101500, -- [1]
				}, -- [4]
			}, -- [55]
			{
				101498, -- [1]
				388814, -- [2]
				{
					5995, -- [1]
					4496, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					101499, -- [1]
					101501, -- [2]
				}, -- [4]
			}, -- [56]
			{
				101497, -- [1]
				388813, -- [2]
				{
					5995, -- [1]
					4496, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					101499, -- [1]
					101501, -- [2]
				}, -- [4]
			}, -- [57]
			{
				101496, -- [1]
				115203, -- [2]
				{
					6003, -- [1]
					3906, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101503, -- [1]
					101498, -- [2]
				}, -- [4]
			}, -- [58]
			{
				101495, -- [1]
				116095, -- [2]
				{
					6022, -- [1]
					2078, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101506, -- [1]
					101496, -- [2]
				}, -- [4]
			}, -- [59]
			{
				101411, -- [1]
				196736, -- [2]
				{
					12610, -- [1]
					6312, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101541, -- [1]
				}, -- [4]
			}, -- [60]
			{
				101412, -- [1]
				387046, -- [2]
				{
					12598, -- [1]
					5699, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101539, -- [1]
					101542, -- [2]
					101411, -- [3]
				}, -- [4]
			}, -- [61]
			{
				101413, -- [1]
				388681, -- [2]
				{
					2400, -- [1]
					3900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101528, -- [1]
					101526, -- [2]
				}, -- [4]
			}, -- [62]
			{
				101414, -- [1]
				264348, -- [2]
				{
					2398, -- [1]
					2700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101413, -- [1]
				}, -- [4]
			}, -- [63]
			{
				101439, -- [1]
				387035, -- [2]
				{
					13203, -- [1]
					4506, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [64]
			{
				101440, -- [1]
				324312, -- [2]
				{
					13800, -- [1]
					3901, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101444, -- [1]
				}, -- [4]
			}, -- [65]
			{
				101441, -- [1]
				383785, -- [2]
				{
					13800, -- [1]
					5700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101539, -- [1]
				}, -- [4]
			}, -- [66]
			{
				101442, -- [1]
				389942, -- [2]
				{
					13800, -- [1]
					5100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101441, -- [1]
					101446, -- [2]
				}, -- [4]
			}, -- [67]
			{
				101444, -- [1]
				387638, -- [2]
				{
					13800, -- [1]
					4500, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					101442, -- [1]
					101445, -- [2]
				}, -- [4]
			}, -- [68]
			{
				101443, -- [1]
				387230, -- [2]
				{
					13800, -- [1]
					4500, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					101442, -- [1]
					101445, -- [2]
				}, -- [4]
			}, -- [69]
			{
				101445, -- [1]
				393516, -- [2]
				{
					13203, -- [1]
					5100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101446, -- [1]
				}, -- [4]
			}, -- [70]
			{
				101446, -- [1]
				386937, -- [2]
				{
					13203, -- [1]
					5704, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101539, -- [1]
				}, -- [4]
			}, -- [71]
			{
				101448, -- [1]
				325093, -- [2]
				{
					12598, -- [1]
					5100, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					101446, -- [1]
				}, -- [4]
			}, -- [72]
			{
				101447, -- [1]
				383714, -- [2]
				{
					12598, -- [1]
					5100, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					101446, -- [1]
				}, -- [4]
			}, -- [73]
			{
				101450, -- [1]
				115399, -- [2]
				{
					11401, -- [1]
					5105, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					101469, -- [1]
				}, -- [4]
			}, -- [74]
			{
				101449, -- [1]
				280515, -- [2]
				{
					11401, -- [1]
					5105, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					101469, -- [1]
				}, -- [4]
			}, -- [75]
			{
				101451, -- [1]
				121253, -- [2]
				{
					12004, -- [1]
					1502, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101454, -- [1]
				}, -- [4]
			}, -- [76]
			{
				101452, -- [1]
				124502, -- [2]
				{
					11396, -- [1]
					3302, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101459, -- [1]
				}, -- [4]
			}, -- [77]
			{
				101453, -- [1]
				119582, -- [2]
				{
					11396, -- [1]
					2702, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101452, -- [1]
					101458, -- [2]
					101461, -- [3]
				}, -- [4]
			}, -- [78]
			{
				101454, -- [1]
				115069, -- [2]
				{
					12004, -- [1]
					2104, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101453, -- [1]
					101455, -- [2]
				}, -- [4]
			}, -- [79]
			{
				101455, -- [1]
				322120, -- [2]
				{
					12598, -- [1]
					2701, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101549, -- [1]
					101458, -- [2]
					101456, -- [3]
				}, -- [4]
			}, -- [80]
			{
				101456, -- [1]
				388505, -- [2]
				{
					12598, -- [1]
					3301, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101457, -- [1]
				}, -- [4]
			}, -- [81]
			{
				101457, -- [1]
				387256, -- [2]
				{
					12598, -- [1]
					3901, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101546, -- [1]
				}, -- [4]
			}, -- [82]
			{
				101458, -- [1]
				122281, -- [2]
				{
					12004, -- [1]
					3302, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101457, -- [1]
					101459, -- [2]
				}, -- [4]
			}, -- [83]
			{
				101459, -- [1]
				387625, -- [2]
				{
					11401, -- [1]
					3904, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101471, -- [1]
				}, -- [4]
			}, -- [84]
			{
				101460, -- [1]
				325177, -- [2]
				{
					10199, -- [1]
					3903, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101464, -- [1]
				}, -- [4]
			}, -- [85]
			{
				101461, -- [1]
				383695, -- [2]
				{
					10803, -- [1]
					3306, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101459, -- [1]
					101460, -- [2]
					101463, -- [3]
				}, -- [4]
			}, -- [86]
			{
				101462, -- [1]
				322510, -- [2]
				{
					10803, -- [1]
					4503, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [87]
			{
				101463, -- [1]
				322507, -- [2]
				{
					10803, -- [1]
					3906, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101471, -- [1]
					101464, -- [2]
					101462, -- [3]
				}, -- [4]
			}, -- [88]
			{
				101464, -- [1]
				115181, -- [2]
				{
					10203, -- [1]
					4505, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101470, -- [1]
					101468, -- [2]
				}, -- [4]
			}, -- [89]
			{
				101466, -- [1]
				383994, -- [2]
				{
					10199, -- [1]
					5702, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					101552, -- [1]
				}, -- [4]
			}, -- [90]
			{
				101465, -- [1]
				386965, -- [2]
				{
					10199, -- [1]
					5702, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					101552, -- [1]
				}, -- [4]
			}, -- [91]
			{
				101468, -- [1]
				383698, -- [2]
				{
					10200, -- [1]
					5100, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					101469, -- [1]
					101466, -- [2]
				}, -- [4]
			}, -- [92]
			{
				101467, -- [1]
				383697, -- [2]
				{
					10200, -- [1]
					5100, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					101469, -- [1]
					101466, -- [2]
				}, -- [4]
			}, -- [93]
			{
				101469, -- [1]
				196737, -- [2]
				{
					10803, -- [1]
					5702, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101552, -- [1]
				}, -- [4]
			}, -- [94]
			{
				101470, -- [1]
				322960, -- [2]
				{
					10803, -- [1]
					5104, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101469, -- [1]
				}, -- [4]
			}, -- [95]
			{
				101471, -- [1]
				343743, -- [2]
				{
					11401, -- [1]
					4508, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101544, -- [1]
					101470, -- [2]
					101450, -- [3]
				}, -- [4]
			}, -- [96]
		},
		[269] = {
			{
				101536, -- [1]
				389577, -- [2]
				{
					5397, -- [1]
					6292, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101535, -- [1]
				}, -- [4]
			}, -- [1]
			{
				101535, -- [1]
				115315, -- [2]
				{
					5397, -- [1]
					6897, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [2]
			{
				101534, -- [1]
				394110, -- [2]
				{
					3598, -- [1]
					5697, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101520, -- [1]
					101533, -- [2]
				}, -- [4]
			}, -- [3]
			{
				101533, -- [1]
				389579, -- [2]
				{
					3005, -- [1]
					6307, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101532, -- [1]
				}, -- [4]
			}, -- [4]
			{
				101532, -- [1]
				115313, -- [2]
				{
					3000, -- [1]
					6900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [5]
			{
				101531, -- [1]
				328669, -- [2]
				{
					2396, -- [1]
					2104, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101414, -- [1]
					101530, -- [2]
				}, -- [4]
			}, -- [6]
			{
				101530, -- [1]
				392900, -- [2]
				{
					3000, -- [1]
					2700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101529, -- [1]
					101513, -- [2]
				}, -- [4]
			}, -- [7]
			{
				101529, -- [1]
				388811, -- [2]
				{
					3000, -- [1]
					3301, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101528, -- [1]
				}, -- [4]
			}, -- [8]
			{
				101528, -- [1]
				115098, -- [2]
				{
					3004, -- [1]
					4508, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					101515, -- [1]
					101515, -- [2]
					101526, -- [3]
				}, -- [4]
			}, -- [9]
			{
				101527, -- [1]
				123986, -- [2]
				{
					3004, -- [1]
					4508, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					101515, -- [1]
					101515, -- [2]
					101526, -- [3]
				}, -- [4]
			}, -- [10]
			{
				101526, -- [1]
				392910, -- [2]
				{
					2398, -- [1]
					5102, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101525, -- [1]
				}, -- [4]
			}, -- [11]
			{
				101525, -- [1]
				389574, -- [2]
				{
					2397, -- [1]
					5697, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101533, -- [1]
				}, -- [4]
			}, -- [12]
			{
				101524, -- [1]
				388674, -- [2]
				{
					4805, -- [1]
					3302, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101512, -- [1]
					101523, -- [2]
					101504, -- [3]
				}, -- [4]
			}, -- [13]
			{
				101523, -- [1]
				388809, -- [2]
				{
					4796, -- [1]
					4506, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101522, -- [1]
					101501, -- [2]
				}, -- [4]
			}, -- [14]
			{
				101522, -- [1]
				122278, -- [2]
				{
					4803, -- [1]
					5100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101521, -- [1]
				}, -- [4]
			}, -- [15]
			{
				101521, -- [1]
				394123, -- [2]
				{
					4804, -- [1]
					5697, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101536, -- [1]
					101520, -- [2]
				}, -- [4]
			}, -- [16]
			{
				101520, -- [1]
				389578, -- [2]
				{
					4203, -- [1]
					6292, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101519, -- [1]
				}, -- [4]
			}, -- [17]
			{
				101519, -- [1]
				388686, -- [2]
				{
					4197, -- [1]
					6900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [18]
			{
				101518, -- [1]
				196607, -- [2]
				{
					4200, -- [1]
					5100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101517, -- [1]
				}, -- [4]
			}, -- [19]
			{
				101517, -- [1]
				157411, -- [2]
				{
					4203, -- [1]
					5699, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [20]
			{
				101516, -- [1]
				116844, -- [2]
				{
					4201, -- [1]
					4503, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101515, -- [1]
					101515, -- [2]
					101522, -- [3]
					101518, -- [4]
				}, -- [4]
			}, -- [21]
			{
				101515, -- [1]
				122783, -- [2]
				{
					3597, -- [1]
					5102, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101534, -- [1]
					101534, -- [2]
				}, -- [4]
			}, -- [22]
			{
				101514, -- [1]
				328670, -- [2]
				{
					3600, -- [1]
					4506, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101515, -- [1]
					101515, -- [2]
				}, -- [4]
			}, -- [23]
			{
				101513, -- [1]
				388812, -- [2]
				{
					3597, -- [1]
					3293, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101514, -- [1]
					101528, -- [2]
					101512, -- [3]
				}, -- [4]
			}, -- [24]
			{
				101512, -- [1]
				101643, -- [2]
				{
					4205, -- [1]
					3910, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101523, -- [1]
					101514, -- [2]
					101516, -- [3]
				}, -- [4]
			}, -- [25]
			{
				101511, -- [1]
				388664, -- [2]
				{
					4205, -- [1]
					2111, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101510, -- [1]
					101416, -- [2]
					101512, -- [3]
				}, -- [4]
			}, -- [26]
			{
				101510, -- [1]
				231602, -- [2]
				{
					3599, -- [1]
					2705, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101513, -- [1]
				}, -- [4]
			}, -- [27]
			{
				101509, -- [1]
				115175, -- [2]
				{
					3000, -- [1]
					1502, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101510, -- [1]
					101530, -- [2]
					101511, -- [3]
					101531, -- [4]
				}, -- [4]
			}, -- [28]
			{
				101508, -- [1]
				107428, -- [2]
				{
					4203, -- [1]
					1510, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101511, -- [1]
				}, -- [4]
			}, -- [29]
			{
				101507, -- [1]
				116841, -- [2]
				{
					5402, -- [1]
					1505, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101506, -- [1]
					101495, -- [2]
					101416, -- [3]
					101511, -- [4]
				}, -- [4]
			}, -- [30]
			{
				101506, -- [1]
				115078, -- [2]
				{
					5404, -- [1]
					2701, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101524, -- [1]
					101505, -- [2]
				}, -- [4]
			}, -- [31]
			{
				101505, -- [1]
				344359, -- [2]
				{
					5400, -- [1]
					3300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101504, -- [1]
					101496, -- [2]
				}, -- [4]
			}, -- [32]
			{
				101504, -- [1]
				116705, -- [2]
				{
					5402, -- [1]
					3907, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101503, -- [1]
					101523, -- [2]
				}, -- [4]
			}, -- [33]
			{
				101503, -- [1]
				115173, -- [2]
				{
					5402, -- [1]
					4495, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					101501, -- [1]
				}, -- [4]
			}, -- [34]
			{
				101502, -- [1]
				115008, -- [2]
				{
					5402, -- [1]
					4495, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					101501, -- [1]
				}, -- [4]
			}, -- [35]
			{
				101501, -- [1]
				322113, -- [2]
				{
					5400, -- [1]
					5097, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101521, -- [1]
					101500, -- [2]
				}, -- [4]
			}, -- [36]
			{
				101500, -- [1]
				389575, -- [2]
				{
					6000, -- [1]
					5700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101536, -- [1]
				}, -- [4]
			}, -- [37]
			{
				101499, -- [1]
				387276, -- [2]
				{
					5997, -- [1]
					5100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101500, -- [1]
				}, -- [4]
			}, -- [38]
			{
				101498, -- [1]
				388814, -- [2]
				{
					5995, -- [1]
					4496, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					101499, -- [1]
					101501, -- [2]
				}, -- [4]
			}, -- [39]
			{
				101497, -- [1]
				388813, -- [2]
				{
					5995, -- [1]
					4496, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					101499, -- [1]
					101501, -- [2]
				}, -- [4]
			}, -- [40]
			{
				101496, -- [1]
				115203, -- [2]
				{
					6003, -- [1]
					3906, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101503, -- [1]
					101498, -- [2]
				}, -- [4]
			}, -- [41]
			{
				101495, -- [1]
				116095, -- [2]
				{
					6022, -- [1]
					2078, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101506, -- [1]
					101496, -- [2]
				}, -- [4]
			}, -- [42]
			{
				101494, -- [1]
				392970, -- [2]
				{
					13806, -- [1]
					2703, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101493, -- [1]
					101493, -- [2]
				}, -- [4]
			}, -- [43]
			{
				101493, -- [1]
				392958, -- [2]
				{
					13806, -- [1]
					3302, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101492, -- [1]
					101431, -- [2]
					101431, -- [3]
				}, -- [4]
			}, -- [44]
			{
				101492, -- [1]
				392979, -- [2]
				{
					14406, -- [1]
					3900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101491, -- [1]
					101427, -- [2]
					101427, -- [3]
				}, -- [4]
			}, -- [45]
			{
				101491, -- [1]
				392983, -- [2]
				{
					14403, -- [1]
					4502, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101426, -- [1]
					101490, -- [2]
				}, -- [4]
			}, -- [46]
			{
				101490, -- [1]
				392985, -- [2]
				{
					14403, -- [1]
					5102, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101489, -- [1]
				}, -- [4]
			}, -- [47]
			{
				101481, -- [1]
				392986, -- [2]
				{
					11403, -- [1]
					5700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101478, -- [1]
					101480, -- [2]
					101482, -- [3]
				}, -- [4]
			}, -- [48]
			{
				101480, -- [1]
				392989, -- [2]
				{
					11407, -- [1]
					6302, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101479, -- [1]
				}, -- [4]
			}, -- [49]
			{
				101489, -- [1]
				388849, -- [2]
				{
					13803, -- [1]
					5699, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101474, -- [1]
					101488, -- [2]
				}, -- [4]
			}, -- [50]
			{
				101487, -- [1]
				391412, -- [2]
				{
					14406, -- [1]
					6901, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [51]
			{
				101486, -- [1]
				394093, -- [2]
				{
					10205, -- [1]
					6901, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [52]
			{
				101485, -- [1]
				386276, -- [2]
				{
					10205, -- [1]
					6302, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101484, -- [1]
					101486, -- [2]
				}, -- [4]
			}, -- [53]
			{
				101484, -- [1]
				386941, -- [2]
				{
					9608, -- [1]
					6904, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [54]
			{
				101483, -- [1]
				388848, -- [2]
				{
					10200, -- [1]
					5700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101482, -- [1]
					101485, -- [2]
				}, -- [4]
			}, -- [55]
			{
				101482, -- [1]
				331679, -- [2]
				{
					10803, -- [1]
					6302, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [56]
			{
				101413, -- [1]
				388681, -- [2]
				{
					2400, -- [1]
					3900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101528, -- [1]
					101526, -- [2]
				}, -- [4]
			}, -- [57]
			{
				101414, -- [1]
				264348, -- [2]
				{
					2398, -- [1]
					2700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101413, -- [1]
				}, -- [4]
			}, -- [58]
			{
				101415, -- [1]
				392994, -- [2]
				{
					13806, -- [1]
					6901, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [59]
			{
				101416, -- [1]
				218164, -- [2]
				{
					4805, -- [1]
					2701, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101524, -- [1]
				}, -- [4]
			}, -- [60]
			{
				101417, -- [1]
				196740, -- [2]
				{
					10803, -- [1]
					4496, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101418, -- [1]
					101418, -- [2]
					101418, -- [3]
					101473, -- [4]
				}, -- [4]
			}, -- [61]
			{
				101418, -- [1]
				393098, -- [2]
				{
					10803, -- [1]
					5102, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101483, -- [1]
					101481, -- [2]
				}, -- [4]
			}, -- [62]
			{
				101419, -- [1]
				388846, -- [2]
				{
					10202, -- [1]
					2702, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101434, -- [1]
					101434, -- [2]
				}, -- [4]
			}, -- [63]
			{
				101420, -- [1]
				122470, -- [2]
				{
					10803, -- [1]
					2100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101419, -- [1]
					101433, -- [2]
				}, -- [4]
			}, -- [64]
			{
				101421, -- [1]
				391383, -- [2]
				{
					12007, -- [1]
					2703, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101432, -- [1]
				}, -- [4]
			}, -- [65]
			{
				101422, -- [1]
				115396, -- [2]
				{
					12002, -- [1]
					2099, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101421, -- [1]
					101425, -- [2]
					101433, -- [3]
				}, -- [4]
			}, -- [66]
			{
				101423, -- [1]
				113656, -- [2]
				{
					12005, -- [1]
					1500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101420, -- [1]
					101422, -- [2]
					101424, -- [3]
					101424, -- [4]
				}, -- [4]
			}, -- [67]
			{
				101488, -- [1]
				388193, -- [2]
				{
					13806, -- [1]
					6300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101415, -- [1]
					101487, -- [2]
				}, -- [4]
			}, -- [68]
			{
				101424, -- [1]
				121817, -- [2]
				{
					13203, -- [1]
					2100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101425, -- [1]
					101494, -- [2]
					101494, -- [3]
				}, -- [4]
			}, -- [69]
			{
				101425, -- [1]
				388854, -- [2]
				{
					12606, -- [1]
					2703, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101493, -- [1]
					101432, -- [2]
				}, -- [4]
			}, -- [70]
			{
				101426, -- [1]
				116645, -- [2]
				{
					13203, -- [1]
					5102, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101489, -- [1]
					101475, -- [2]
				}, -- [4]
			}, -- [71]
			{
				101427, -- [1]
				280197, -- [2]
				{
					13203, -- [1]
					4498, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101426, -- [1]
					101473, -- [2]
					101426, -- [3]
				}, -- [4]
			}, -- [72]
			{
				101429, -- [1]
				137639, -- [2]
				{
					12007, -- [1]
					3900, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					101430, -- [1]
				}, -- [4]
			}, -- [73]
			{
				101428, -- [1]
				152173, -- [2]
				{
					12007, -- [1]
					3900, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					101430, -- [1]
				}, -- [4]
			}, -- [74]
			{
				101430, -- [1]
				391370, -- [2]
				{
					12002, -- [1]
					4496, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101473, -- [1]
				}, -- [4]
			}, -- [75]
			{
				101431, -- [1]
				391330, -- [2]
				{
					13207, -- [1]
					3900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101427, -- [1]
					101430, -- [2]
					101427, -- [3]
				}, -- [4]
			}, -- [76]
			{
				101432, -- [1]
				101545, -- [2]
				{
					12007, -- [1]
					3302, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101438, -- [1]
					101429, -- [2]
					101431, -- [3]
				}, -- [4]
			}, -- [77]
			{
				101433, -- [1]
				388856, -- [2]
				{
					11406, -- [1]
					2703, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101432, -- [1]
					101434, -- [2]
				}, -- [4]
			}, -- [78]
			{
				101434, -- [1]
				228287, -- [2]
				{
					10202, -- [1]
					3304, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101435, -- [1]
					101438, -- [2]
				}, -- [4]
			}, -- [79]
			{
				101435, -- [1]
				392982, -- [2]
				{
					9607, -- [1]
					3900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101436, -- [1]
					101437, -- [2]
				}, -- [4]
			}, -- [80]
			{
				101436, -- [1]
				116847, -- [2]
				{
					9605, -- [1]
					5102, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101483, -- [1]
				}, -- [4]
			}, -- [81]
			{
				101437, -- [1]
				325201, -- [2]
				{
					10200, -- [1]
					4498, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101436, -- [1]
					101418, -- [2]
					101418, -- [3]
				}, -- [4]
			}, -- [82]
			{
				101438, -- [1]
				195243, -- [2]
				{
					10807, -- [1]
					3900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101437, -- [1]
					101430, -- [2]
					101437, -- [3]
					101417, -- [4]
				}, -- [4]
			}, -- [83]
			{
				101472, -- [1]
				287055, -- [2]
				{
					12002, -- [1]
					5700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101478, -- [1]
				}, -- [4]
			}, -- [84]
			{
				101473, -- [1]
				123904, -- [2]
				{
					12006, -- [1]
					5102, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101475, -- [1]
					101472, -- [2]
					101481, -- [3]
				}, -- [4]
			}, -- [85]
			{
				101474, -- [1]
				152175, -- [2]
				{
					13206, -- [1]
					6302, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [86]
			{
				101475, -- [1]
				335913, -- [2]
				{
					12603, -- [1]
					5700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101478, -- [1]
					101474, -- [2]
					101476, -- [3]
				}, -- [4]
			}, -- [87]
			{
				101476, -- [1]
				195300, -- [2]
				{
					12605, -- [1]
					6300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101477, -- [1]
				}, -- [4]
			}, -- [88]
			{
				101477, -- [1]
				388661, -- [2]
				{
					12605, -- [1]
					6901, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [89]
			{
				101478, -- [1]
				392993, -- [2]
				{
					12002, -- [1]
					6300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101479, -- [1]
					101477, -- [2]
				}, -- [4]
			}, -- [90]
			{
				101479, -- [1]
				392991, -- [2]
				{
					11408, -- [1]
					6901, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [91]
		},
		[270] = {
			{
				101402, -- [1]
				388682, -- [2]
				{
					12600, -- [1]
					6300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101357, -- [1]
				}, -- [4]
			}, -- [1]
			{
				101365, -- [1]
				388604, -- [2]
				{
					12600, -- [1]
					4500, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					101393, -- [1]
					101380, -- [2]
				}, -- [4]
			}, -- [2]
			{
				101364, -- [1]
				388564, -- [2]
				{
					12600, -- [1]
					4500, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					101393, -- [1]
					101380, -- [2]
				}, -- [4]
			}, -- [3]
			{
				101367, -- [1]
				393460, -- [2]
				{
					10800, -- [1]
					6900, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [4]
			{
				101366, -- [1]
				388517, -- [2]
				{
					10800, -- [1]
					6900, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [5]
			{
				101368, -- [1]
				124081, -- [2]
				{
					12600, -- [1]
					3900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101365, -- [1]
					101397, -- [2]
				}, -- [4]
			}, -- [6]
			{
				101369, -- [1]
				388548, -- [2]
				{
					10800, -- [1]
					3900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101409, -- [1]
					101387, -- [2]
					101384, -- [3]
				}, -- [4]
			}, -- [7]
			{
				101370, -- [1]
				124682, -- [2]
				{
					12000, -- [1]
					1500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101394, -- [1]
					101406, -- [2]
				}, -- [4]
			}, -- [8]
			{
				101371, -- [1]
				388740, -- [2]
				{
					10200, -- [1]
					6300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101367, -- [1]
					101367, -- [2]
					101383, -- [3]
				}, -- [4]
			}, -- [9]
			{
				101372, -- [1]
				388491, -- [2]
				{
					11999, -- [1]
					6300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101376, -- [1]
					101373, -- [2]
				}, -- [4]
			}, -- [10]
			{
				101373, -- [1]
				388661, -- [2]
				{
					12600, -- [1]
					6900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [11]
			{
				101374, -- [1]
				122281, -- [2]
				{
					13200, -- [1]
					3900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101385, -- [1]
					101380, -- [2]
				}, -- [4]
			}, -- [12]
			{
				101376, -- [1]
				388477, -- [2]
				{
					11999, -- [1]
					6900, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [13]
			{
				101375, -- [1]
				388509, -- [2]
				{
					11999, -- [1]
					6900, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [14]
			{
				101378, -- [1]
				115310, -- [2]
				{
					11999, -- [1]
					3300, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					101398, -- [1]
					101368, -- [2]
					101386, -- [3]
				}, -- [4]
			}, -- [15]
			{
				101377, -- [1]
				388615, -- [2]
				{
					11999, -- [1]
					3300, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					101398, -- [1]
					101368, -- [2]
					101386, -- [3]
				}, -- [4]
			}, -- [16]
			{
				101380, -- [1]
				197915, -- [2]
				{
					13200, -- [1]
					5100, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					101392, -- [1]
					101401, -- [2]
				}, -- [4]
			}, -- [17]
			{
				101379, -- [1]
				197908, -- [2]
				{
					13200, -- [1]
					5100, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					101392, -- [1]
					101401, -- [2]
				}, -- [4]
			}, -- [18]
			{
				101385, -- [1]
				388847, -- [2]
				{
					13800, -- [1]
					4500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101380, -- [1]
					101392, -- [2]
				}, -- [4]
			}, -- [19]
			{
				102627, -- [1]
				388874, -- [2]
				{
					4800, -- [1]
					2700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101524, -- [1]
				}, -- [4]
			}, -- [20]
			{
				101384, -- [1]
				388038, -- [2]
				{
					10800, -- [1]
					5100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101408, -- [1]
					101359, -- [2]
				}, -- [4]
			}, -- [21]
			{
				101383, -- [1]
				388779, -- [2]
				{
					10199, -- [1]
					6900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [22]
			{
				101382, -- [1]
				388031, -- [2]
				{
					12004, -- [1]
					5687, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					101372, -- [1]
					101402, -- [2]
					101391, -- [3]
				}, -- [4]
			}, -- [23]
			{
				101381, -- [1]
				388212, -- [2]
				{
					12004, -- [1]
					5687, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					101372, -- [1]
					101402, -- [2]
					101391, -- [3]
				}, -- [4]
			}, -- [24]
			{
				101361, -- [1]
				210802, -- [2]
				{
					9600, -- [1]
					3900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101389, -- [1]
					101409, -- [2]
				}, -- [4]
			}, -- [25]
			{
				101360, -- [1]
				198898, -- [2]
				{
					12600, -- [1]
					3300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101368, -- [1]
					101374, -- [2]
				}, -- [4]
			}, -- [26]
			{
				101359, -- [1]
				388193, -- [2]
				{
					10199, -- [1]
					5700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101371, -- [1]
				}, -- [4]
			}, -- [27]
			{
				101358, -- [1]
				274586, -- [2]
				{
					13199, -- [1]
					2696, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101395, -- [1]
				}, -- [4]
			}, -- [28]
			{
				101357, -- [1]
				387991, -- [2]
				{
					13200, -- [1]
					6900, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [29]
			{
				101356, -- [1]
				274909, -- [2]
				{
					13200, -- [1]
					6900, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [30]
			{
				101536, -- [1]
				389577, -- [2]
				{
					5397, -- [1]
					6292, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101535, -- [1]
				}, -- [4]
			}, -- [31]
			{
				101535, -- [1]
				115315, -- [2]
				{
					5397, -- [1]
					6897, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [32]
			{
				101534, -- [1]
				394110, -- [2]
				{
					3598, -- [1]
					5697, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101520, -- [1]
					101533, -- [2]
				}, -- [4]
			}, -- [33]
			{
				101533, -- [1]
				389579, -- [2]
				{
					3005, -- [1]
					6307, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101532, -- [1]
				}, -- [4]
			}, -- [34]
			{
				101532, -- [1]
				115313, -- [2]
				{
					3000, -- [1]
					6900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [35]
			{
				101531, -- [1]
				328669, -- [2]
				{
					2396, -- [1]
					2104, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101414, -- [1]
					101530, -- [2]
				}, -- [4]
			}, -- [36]
			{
				101530, -- [1]
				392900, -- [2]
				{
					3000, -- [1]
					2700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101529, -- [1]
					101513, -- [2]
				}, -- [4]
			}, -- [37]
			{
				101529, -- [1]
				388811, -- [2]
				{
					3000, -- [1]
					3301, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101528, -- [1]
				}, -- [4]
			}, -- [38]
			{
				101528, -- [1]
				115098, -- [2]
				{
					3004, -- [1]
					4508, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					101515, -- [1]
					101515, -- [2]
					101526, -- [3]
				}, -- [4]
			}, -- [39]
			{
				101527, -- [1]
				123986, -- [2]
				{
					3004, -- [1]
					4508, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					101515, -- [1]
					101515, -- [2]
					101526, -- [3]
				}, -- [4]
			}, -- [40]
			{
				101526, -- [1]
				392910, -- [2]
				{
					2398, -- [1]
					5102, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101525, -- [1]
				}, -- [4]
			}, -- [41]
			{
				101525, -- [1]
				389574, -- [2]
				{
					2397, -- [1]
					5697, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101533, -- [1]
				}, -- [4]
			}, -- [42]
			{
				101524, -- [1]
				388674, -- [2]
				{
					4805, -- [1]
					3302, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101512, -- [1]
					101523, -- [2]
					101504, -- [3]
				}, -- [4]
			}, -- [43]
			{
				101523, -- [1]
				388809, -- [2]
				{
					4796, -- [1]
					4506, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101522, -- [1]
					101501, -- [2]
				}, -- [4]
			}, -- [44]
			{
				101522, -- [1]
				122278, -- [2]
				{
					4803, -- [1]
					5100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101521, -- [1]
				}, -- [4]
			}, -- [45]
			{
				101521, -- [1]
				394123, -- [2]
				{
					4804, -- [1]
					5697, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101536, -- [1]
					101520, -- [2]
				}, -- [4]
			}, -- [46]
			{
				101520, -- [1]
				389578, -- [2]
				{
					4203, -- [1]
					6292, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101519, -- [1]
				}, -- [4]
			}, -- [47]
			{
				101519, -- [1]
				388686, -- [2]
				{
					4197, -- [1]
					6900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [48]
			{
				101518, -- [1]
				196607, -- [2]
				{
					4200, -- [1]
					5100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101517, -- [1]
				}, -- [4]
			}, -- [49]
			{
				101517, -- [1]
				157411, -- [2]
				{
					4203, -- [1]
					5699, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [50]
			{
				101516, -- [1]
				116844, -- [2]
				{
					4201, -- [1]
					4503, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101515, -- [1]
					101515, -- [2]
					101522, -- [3]
					101518, -- [4]
				}, -- [4]
			}, -- [51]
			{
				101515, -- [1]
				122783, -- [2]
				{
					3597, -- [1]
					5102, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101534, -- [1]
					101534, -- [2]
				}, -- [4]
			}, -- [52]
			{
				101514, -- [1]
				328670, -- [2]
				{
					3600, -- [1]
					4506, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101515, -- [1]
					101515, -- [2]
				}, -- [4]
			}, -- [53]
			{
				101513, -- [1]
				388812, -- [2]
				{
					3597, -- [1]
					3293, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101514, -- [1]
					101528, -- [2]
					101512, -- [3]
				}, -- [4]
			}, -- [54]
			{
				101512, -- [1]
				101643, -- [2]
				{
					4205, -- [1]
					3910, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101523, -- [1]
					101514, -- [2]
					101516, -- [3]
				}, -- [4]
			}, -- [55]
			{
				101511, -- [1]
				388664, -- [2]
				{
					4205, -- [1]
					2111, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					102627, -- [1]
					101510, -- [2]
					101512, -- [3]
				}, -- [4]
			}, -- [56]
			{
				101510, -- [1]
				231602, -- [2]
				{
					3599, -- [1]
					2705, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101513, -- [1]
				}, -- [4]
			}, -- [57]
			{
				101509, -- [1]
				115175, -- [2]
				{
					3000, -- [1]
					1502, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101510, -- [1]
					101530, -- [2]
					101511, -- [3]
					101531, -- [4]
				}, -- [4]
			}, -- [58]
			{
				101508, -- [1]
				107428, -- [2]
				{
					4203, -- [1]
					1510, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101511, -- [1]
				}, -- [4]
			}, -- [59]
			{
				101507, -- [1]
				116841, -- [2]
				{
					5402, -- [1]
					1505, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					102627, -- [1]
					101506, -- [2]
					101495, -- [3]
					101511, -- [4]
				}, -- [4]
			}, -- [60]
			{
				101506, -- [1]
				115078, -- [2]
				{
					5404, -- [1]
					2701, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101524, -- [1]
					101505, -- [2]
				}, -- [4]
			}, -- [61]
			{
				101505, -- [1]
				344359, -- [2]
				{
					5400, -- [1]
					3300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101504, -- [1]
					101496, -- [2]
				}, -- [4]
			}, -- [62]
			{
				101504, -- [1]
				116705, -- [2]
				{
					5402, -- [1]
					3907, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101503, -- [1]
					101523, -- [2]
				}, -- [4]
			}, -- [63]
			{
				101503, -- [1]
				115173, -- [2]
				{
					5402, -- [1]
					4495, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					101501, -- [1]
				}, -- [4]
			}, -- [64]
			{
				101502, -- [1]
				115008, -- [2]
				{
					5402, -- [1]
					4495, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					101501, -- [1]
				}, -- [4]
			}, -- [65]
			{
				101501, -- [1]
				322113, -- [2]
				{
					5400, -- [1]
					5097, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101521, -- [1]
					101500, -- [2]
				}, -- [4]
			}, -- [66]
			{
				101500, -- [1]
				389575, -- [2]
				{
					6000, -- [1]
					5700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101536, -- [1]
				}, -- [4]
			}, -- [67]
			{
				101499, -- [1]
				387276, -- [2]
				{
					5997, -- [1]
					5100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101500, -- [1]
				}, -- [4]
			}, -- [68]
			{
				101498, -- [1]
				388814, -- [2]
				{
					5995, -- [1]
					4496, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					101499, -- [1]
					101501, -- [2]
				}, -- [4]
			}, -- [69]
			{
				101497, -- [1]
				388813, -- [2]
				{
					5995, -- [1]
					4496, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					101499, -- [1]
					101501, -- [2]
				}, -- [4]
			}, -- [70]
			{
				101496, -- [1]
				115203, -- [2]
				{
					6003, -- [1]
					3906, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101503, -- [1]
					101498, -- [2]
				}, -- [4]
			}, -- [71]
			{
				101495, -- [1]
				116095, -- [2]
				{
					6022, -- [1]
					2078, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101506, -- [1]
					101496, -- [2]
				}, -- [4]
			}, -- [72]
			{
				101387, -- [1]
				388511, -- [2]
				{
					11400, -- [1]
					4500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101363, -- [1]
					101384, -- [2]
				}, -- [4]
			}, -- [73]
			{
				101388, -- [1]
				343655, -- [2]
				{
					11999, -- [1]
					5100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101408, -- [1]
					101382, -- [2]
				}, -- [4]
			}, -- [74]
			{
				101389, -- [1]
				388218, -- [2]
				{
					9600, -- [1]
					5100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101359, -- [1]
				}, -- [4]
			}, -- [75]
			{
				101390, -- [1]
				116849, -- [2]
				{
					10800, -- [1]
					2700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101369, -- [1]
					101403, -- [2]
				}, -- [4]
			}, -- [76]
			{
				101363, -- [1]
				197900, -- [2]
				{
					11400, -- [1]
					5100, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					101408, -- [1]
				}, -- [4]
			}, -- [77]
			{
				101362, -- [1]
				196725, -- [2]
				{
					11400, -- [1]
					5100, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					101408, -- [1]
				}, -- [4]
			}, -- [78]
			{
				101401, -- [1]
				197895, -- [2]
				{
					13200, -- [1]
					5700, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					101399, -- [1]
					101402, -- [2]
				}, -- [4]
			}, -- [79]
			{
				101400, -- [1]
				274963, -- [2]
				{
					13200, -- [1]
					5700, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					101399, -- [1]
					101402, -- [2]
				}, -- [4]
			}, -- [80]
			{
				101391, -- [1]
				388020, -- [2]
				{
					11400, -- [1]
					6300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101376, -- [1]
					101367, -- [2]
				}, -- [4]
			}, -- [81]
			{
				101394, -- [1]
				115151, -- [2]
				{
					12600, -- [1]
					2100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101410, -- [1]
					101358, -- [2]
				}, -- [4]
			}, -- [82]
			{
				101395, -- [1]
				281231, -- [2]
				{
					13800, -- [1]
					3300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101374, -- [1]
					101385, -- [2]
				}, -- [4]
			}, -- [83]
			{
				101397, -- [1]
				322118, -- [2]
				{
					12019, -- [1]
					4492, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					101388, -- [1]
					101363, -- [2]
					101393, -- [3]
				}, -- [4]
			}, -- [84]
			{
				101396, -- [1]
				325197, -- [2]
				{
					12019, -- [1]
					4492, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					101388, -- [1]
					101363, -- [2]
					101393, -- [3]
				}, -- [4]
			}, -- [85]
			{
				101398, -- [1]
				388551, -- [2]
				{
					11400, -- [1]
					3900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101387, -- [1]
					101397, -- [2]
				}, -- [4]
			}, -- [86]
			{
				101399, -- [1]
				388593, -- [2]
				{
					13800, -- [1]
					6300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101357, -- [1]
				}, -- [4]
			}, -- [87]
			{
				101403, -- [1]
				116645, -- [2]
				{
					10199, -- [1]
					3300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101409, -- [1]
					101361, -- [2]
				}, -- [4]
			}, -- [88]
			{
				101405, -- [1]
				386949, -- [2]
				{
					14400, -- [1]
					6300, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [89]
			{
				101404, -- [1]
				386941, -- [2]
				{
					14400, -- [1]
					6300, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [90]
			{
				101406, -- [1]
				191837, -- [2]
				{
					11400, -- [1]
					2100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101410, -- [1]
					101390, -- [2]
				}, -- [4]
			}, -- [91]
			{
				101408, -- [1]
				388023, -- [2]
				{
					11400, -- [1]
					5700, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					101391, -- [1]
				}, -- [4]
			}, -- [92]
			{
				101407, -- [1]
				388047, -- [2]
				{
					11400, -- [1]
					5700, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					101391, -- [1]
				}, -- [4]
			}, -- [93]
			{
				101409, -- [1]
				387765, -- [2]
				{
					10199, -- [1]
					4500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101389, -- [1]
					101384, -- [2]
				}, -- [4]
			}, -- [94]
			{
				101410, -- [1]
				116680, -- [2]
				{
					11999, -- [1]
					2696, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101360, -- [1]
					101378, -- [2]
				}, -- [4]
			}, -- [95]
			{
				101413, -- [1]
				388681, -- [2]
				{
					2400, -- [1]
					3900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101528, -- [1]
					101526, -- [2]
				}, -- [4]
			}, -- [96]
			{
				101414, -- [1]
				264348, -- [2]
				{
					2398, -- [1]
					2700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101413, -- [1]
				}, -- [4]
			}, -- [97]
			{
				101386, -- [1]
				337209, -- [2]
				{
					11999, -- [1]
					3900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101397, -- [1]
				}, -- [4]
			}, -- [98]
			{
				101393, -- [1]
				388701, -- [2]
				{
					12600, -- [1]
					5100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101401, -- [1]
				}, -- [4]
			}, -- [99]
			{
				101392, -- [1]
				386276, -- [2]
				{
					13800, -- [1]
					5700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101399, -- [1]
					101405, -- [2]
				}, -- [4]
			}, -- [100]
		},
		[70] = {
			{
				102625, -- [1]
				190784, -- [2]
				{
					4796, -- [1]
					2696, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					102624, -- [1]
					102593, -- [2]
					102592, -- [3]
				}, -- [4]
			}, -- [1]
			{
				102624, -- [1]
				376996, -- [2]
				{
					5395, -- [1]
					3297, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					102593, -- [1]
					102622, -- [2]
				}, -- [4]
			}, -- [2]
			{
				102623, -- [1]
				377016, -- [2]
				{
					5395, -- [1]
					3297, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					102593, -- [1]
					102622, -- [2]
				}, -- [4]
			}, -- [3]
			{
				102622, -- [1]
				10326, -- [2]
				{
					5997, -- [1]
					3897, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					102621, -- [1]
					102604, -- [2]
				}, -- [4]
			}, -- [4]
			{
				102621, -- [1]
				377053, -- [2]
				{
					6597, -- [1]
					4495, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					102478, -- [1]
					102620, -- [2]
				}, -- [4]
			}, -- [5]
			{
				102620, -- [1]
				385464, -- [2]
				{
					5997, -- [1]
					5096, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					102478, -- [1]
					102618, -- [2]
				}, -- [4]
			}, -- [6]
			{
				102619, -- [1]
				385349, -- [2]
				{
					5997, -- [1]
					5096, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					102478, -- [1]
					102618, -- [2]
				}, -- [4]
			}, -- [7]
			{
				102618, -- [1]
				385427, -- [2]
				{
					5997, -- [1]
					5696, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					102609, -- [1]
					102617, -- [2]
				}, -- [4]
			}, -- [8]
			{
				102617, -- [1]
				385728, -- [2]
				{
					5997, -- [1]
					6297, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					102616, -- [1]
				}, -- [4]
			}, -- [9]
			{
				102616, -- [1]
				391142, -- [2]
				{
					5997, -- [1]
					6897, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [10]
			{
				102615, -- [1]
				385125, -- [2]
				{
					3596, -- [1]
					6297, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					102614, -- [1]
				}, -- [4]
			}, -- [11]
			{
				102614, -- [1]
				385129, -- [2]
				{
					3596, -- [1]
					6897, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [12]
			{
				102613, -- [1]
				385416, -- [2]
				{
					3595, -- [1]
					5692, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					102612, -- [1]
					102615, -- [2]
				}, -- [4]
			}, -- [13]
			{
				102612, -- [1]
				385450, -- [2]
				{
					4195, -- [1]
					6297, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					102611, -- [1]
				}, -- [4]
			}, -- [14]
			{
				102611, -- [1]
				152262, -- [2]
				{
					4796, -- [1]
					6897, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [15]
			{
				102610, -- [1]
				53376, -- [2]
				{
					4796, -- [1]
					6897, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [16]
			{
				102609, -- [1]
				385425, -- [2]
				{
					5395, -- [1]
					6297, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					102611, -- [1]
				}, -- [4]
			}, -- [17]
			{
				102608, -- [1]
				223817, -- [2]
				{
					4795, -- [1]
					5692, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					102612, -- [1]
					102609, -- [2]
				}, -- [4]
			}, -- [18]
			{
				102607, -- [1]
				105809, -- [2]
				{
					4795, -- [1]
					5692, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					102612, -- [1]
					102609, -- [2]
				}, -- [4]
			}, -- [19]
			{
				102606, -- [1]
				384909, -- [2]
				{
					5395, -- [1]
					5096, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					102618, -- [1]
					102608, -- [2]
				}, -- [4]
			}, -- [20]
			{
				102605, -- [1]
				204018, -- [2]
				{
					5395, -- [1]
					5096, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					102618, -- [1]
					102608, -- [2]
				}, -- [4]
			}, -- [21]
			{
				102604, -- [1]
				1022, -- [2]
				{
					5395, -- [1]
					4497, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					102620, -- [1]
					102603, -- [2]
					102606, -- [3]
				}, -- [4]
			}, -- [22]
			{
				102603, -- [1]
				114154, -- [2]
				{
					4795, -- [1]
					5095, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					102608, -- [1]
				}, -- [4]
			}, -- [23]
			{
				102602, -- [1]
				6940, -- [2]
				{
					4196, -- [1]
					4497, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					102595, -- [1]
					102601, -- [2]
					102603, -- [3]
				}, -- [4]
			}, -- [24]
			{
				102601, -- [1]
				385414, -- [2]
				{
					3596, -- [1]
					5096, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					102600, -- [1]
					102613, -- [2]
				}, -- [4]
			}, -- [25]
			{
				102600, -- [1]
				384815, -- [2]
				{
					2996, -- [1]
					5696, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					102615, -- [1]
				}, -- [4]
			}, -- [26]
			{
				102599, -- [1]
				384897, -- [2]
				{
					2996, -- [1]
					5096, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					102600, -- [1]
				}, -- [4]
			}, -- [27]
			{
				102598, -- [1]
				377128, -- [2]
				{
					2996, -- [1]
					4496, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					102601, -- [1]
					102599, -- [2]
				}, -- [4]
			}, -- [28]
			{
				102597, -- [1]
				385515, -- [2]
				{
					3596, -- [1]
					3896, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					102596, -- [1]
					102602, -- [2]
					102598, -- [3]
				}, -- [4]
			}, -- [29]
			{
				102596, -- [1]
				183778, -- [2]
				{
					3596, -- [1]
					4496, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					102601, -- [1]
				}, -- [4]
			}, -- [30]
			{
				102595, -- [1]
				384820, -- [2]
				{
					4196, -- [1]
					5095, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					102608, -- [1]
					102613, -- [2]
				}, -- [4]
			}, -- [31]
			{
				102594, -- [1]
				384914, -- [2]
				{
					4196, -- [1]
					5095, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					102608, -- [1]
					102613, -- [2]
				}, -- [4]
			}, -- [32]
			{
				102593, -- [1]
				384376, -- [2]
				{
					4795, -- [1]
					3895, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					102602, -- [1]
					102604, -- [2]
				}, -- [4]
			}, -- [33]
			{
				102592, -- [1]
				230332, -- [2]
				{
					4196, -- [1]
					3297, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					102593, -- [1]
					102597, -- [2]
				}, -- [4]
			}, -- [34]
			{
				102591, -- [1]
				96231, -- [2]
				{
					6597, -- [1]
					3896, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					102621, -- [1]
				}, -- [4]
			}, -- [35]
			{
				102590, -- [1]
				231663, -- [2]
				{
					6597, -- [1]
					3297, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					102622, -- [1]
					102591, -- [2]
				}, -- [4]
			}, -- [36]
			{
				102589, -- [1]
				234299, -- [2]
				{
					5997, -- [1]
					2696, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					102590, -- [1]
					102622, -- [2]
				}, -- [4]
			}, -- [37]
			{
				102588, -- [1]
				385639, -- [2]
				{
					5395, -- [1]
					2096, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					102625, -- [1]
					102589, -- [2]
				}, -- [4]
			}, -- [38]
			{
				102587, -- [1]
				1044, -- [2]
				{
					4795, -- [1]
					1496, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					102588, -- [1]
					102586, -- [2]
					102625, -- [3]
				}, -- [4]
			}, -- [39]
			{
				102586, -- [1]
				385633, -- [2]
				{
					4196, -- [1]
					2096, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					102585, -- [1]
					102625, -- [2]
				}, -- [4]
			}, -- [40]
			{
				102585, -- [1]
				20066, -- [2]
				{
					3596, -- [1]
					2696, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					102476, -- [1]
					102597, -- [2]
				}, -- [4]
			}, -- [41]
			{
				102584, -- [1]
				115750, -- [2]
				{
					3596, -- [1]
					2696, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					102476, -- [1]
					102597, -- [2]
				}, -- [4]
			}, -- [42]
			{
				102583, -- [1]
				633, -- [2]
				{
					3596, -- [1]
					1495, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					102586, -- [1]
					102585, -- [2]
				}, -- [4]
			}, -- [43]
			{
				102476, -- [1]
				213644, -- [2]
				{
					2998, -- [1]
					3299, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					102597, -- [1]
					102598, -- [2]
				}, -- [4]
			}, -- [44]
			{
				102478, -- [1]
				377043, -- [2]
				{
					6597, -- [1]
					5696, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					102617, -- [1]
				}, -- [4]
			}, -- [45]
			{
				102479, -- [1]
				24275, -- [2]
				{
					5997, -- [1]
					1495, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					102588, -- [1]
					102589, -- [2]
				}, -- [4]
			}, -- [46]
			{
				102480, -- [1]
				387170, -- [2]
				{
					12595, -- [1]
					6299, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [47]
			{
				102481, -- [1]
				383396, -- [2]
				{
					13800, -- [1]
					5100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [48]
			{
				102482, -- [1]
				383263, -- [2]
				{
					13800, -- [1]
					2700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					102491, -- [1]
				}, -- [4]
			}, -- [49]
			{
				102483, -- [1]
				383314, -- [2]
				{
					13800, -- [1]
					6900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [50]
			{
				102484, -- [1]
				383327, -- [2]
				{
					13800, -- [1]
					6300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					102483, -- [1]
				}, -- [4]
			}, -- [51]
			{
				102485, -- [1]
				383274, -- [2]
				{
					13800, -- [1]
					5700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					102525, -- [1]
					102484, -- [2]
				}, -- [4]
			}, -- [52]
			{
				102487, -- [1]
				215661, -- [2]
				{
					14400, -- [1]
					5099, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					102485, -- [1]
				}, -- [4]
			}, -- [53]
			{
				102486, -- [1]
				205191, -- [2]
				{
					14400, -- [1]
					5099, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					102485, -- [1]
				}, -- [4]
			}, -- [54]
			{
				102488, -- [1]
				387640, -- [2]
				{
					15000, -- [1]
					4498, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					102487, -- [1]
				}, -- [4]
			}, -- [55]
			{
				102489, -- [1]
				383344, -- [2]
				{
					14400, -- [1]
					3900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					102530, -- [1]
					102488, -- [2]
				}, -- [4]
			}, -- [56]
			{
				102490, -- [1]
				386901, -- [2]
				{
					13800, -- [1]
					3900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					102530, -- [1]
				}, -- [4]
			}, -- [57]
			{
				102491, -- [1]
				231832, -- [2]
				{
					13800, -- [1]
					3299, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					102531, -- [1]
					102489, -- [2]
					102490, -- [3]
				}, -- [4]
			}, -- [58]
			{
				102492, -- [1]
				383350, -- [2]
				{
					13200, -- [1]
					4500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [59]
			{
				102494, -- [1]
				383300, -- [2]
				{
					12000, -- [1]
					4500, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [60]
			{
				102493, -- [1]
				384052, -- [2]
				{
					12000, -- [1]
					4500, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [61]
			{
				102495, -- [1]
				255937, -- [2]
				{
					12600, -- [1]
					3900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					102492, -- [1]
					102497, -- [2]
					102494, -- [3]
				}, -- [4]
			}, -- [62]
			{
				102497, -- [1]
				384442, -- [2]
				{
					12600, -- [1]
					4500, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					102515, -- [1]
					102528, -- [2]
				}, -- [4]
			}, -- [63]
			{
				102496, -- [1]
				384392, -- [2]
				{
					12600, -- [1]
					4500, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					102515, -- [1]
					102528, -- [2]
				}, -- [4]
			}, -- [64]
			{
				102498, -- [1]
				184575, -- [2]
				{
					12600, -- [1]
					1500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					102523, -- [1]
					102501, -- [2]
				}, -- [4]
			}, -- [65]
			{
				102499, -- [1]
				386967, -- [2]
				{
					12600, -- [1]
					2700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [66]
			{
				102500, -- [1]
				383254, -- [2]
				{
					12000, -- [1]
					2700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					102521, -- [1]
					102504, -- [2]
				}, -- [4]
			}, -- [67]
			{
				102501, -- [1]
				53385, -- [2]
				{
					12000, -- [1]
					2100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					102499, -- [1]
					102500, -- [2]
					102502, -- [3]
				}, -- [4]
			}, -- [68]
			{
				102502, -- [1]
				383228, -- [2]
				{
					11400, -- [1]
					2700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					102504, -- [1]
				}, -- [4]
			}, -- [69]
			{
				102503, -- [1]
				267610, -- [2]
				{
					11400, -- [1]
					3900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					102518, -- [1]
				}, -- [4]
			}, -- [70]
			{
				102504, -- [1]
				269569, -- [2]
				{
					11400, -- [1]
					3300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					102519, -- [1]
					102503, -- [2]
					102505, -- [3]
				}, -- [4]
			}, -- [71]
			{
				102505, -- [1]
				383271, -- [2]
				{
					10800, -- [1]
					3900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					102506, -- [1]
					102518, -- [2]
				}, -- [4]
			}, -- [72]
			{
				102506, -- [1]
				383876, -- [2]
				{
					10200, -- [1]
					4500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					102508, -- [1]
				}, -- [4]
			}, -- [73]
			{
				102508, -- [1]
				204054, -- [2]
				{
					10800, -- [1]
					5100, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					102514, -- [1]
				}, -- [4]
			}, -- [74]
			{
				102507, -- [1]
				387479, -- [2]
				{
					10800, -- [1]
					5100, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					102514, -- [1]
				}, -- [4]
			}, -- [75]
			{
				102510, -- [1]
				384162, -- [2]
				{
					11400, -- [1]
					6900, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [76]
			{
				102509, -- [1]
				387196, -- [2]
				{
					11400, -- [1]
					6900, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [77]
			{
				102511, -- [1]
				343527, -- [2]
				{
					11400, -- [1]
					6300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					102510, -- [1]
				}, -- [4]
			}, -- [78]
			{
				102512, -- [1]
				384027, -- [2]
				{
					12000, -- [1]
					6899, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [79]
			{
				102513, -- [1]
				375576, -- [2]
				{
					12000, -- [1]
					6299, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					102512, -- [1]
				}, -- [4]
			}, -- [80]
			{
				102514, -- [1]
				383388, -- [2]
				{
					11400, -- [1]
					5700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					102511, -- [1]
					102513, -- [2]
				}, -- [4]
			}, -- [81]
			{
				102515, -- [1]
				183218, -- [2]
				{
					12000, -- [1]
					5100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					102514, -- [1]
					102526, -- [2]
				}, -- [4]
			}, -- [82]
			{
				102516, -- [1]
				383185, -- [2]
				{
					11400, -- [1]
					5100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [83]
			{
				102518, -- [1]
				382430, -- [2]
				{
					11400, -- [1]
					4500, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					102516, -- [1]
					102515, -- [2]
					102508, -- [3]
				}, -- [4]
			}, -- [84]
			{
				102517, -- [1]
				383334, -- [2]
				{
					11400, -- [1]
					4500, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					102516, -- [1]
					102515, -- [2]
					102508, -- [3]
				}, -- [4]
			}, -- [85]
			{
				102519, -- [1]
				382536, -- [2]
				{
					12000, -- [1]
					3900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					102518, -- [1]
				}, -- [4]
			}, -- [86]
			{
				102521, -- [1]
				184662, -- [2]
				{
					12600, -- [1]
					3299, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					102531, -- [1]
					102495, -- [2]
					102519, -- [3]
				}, -- [4]
			}, -- [87]
			{
				102520, -- [1]
				498, -- [2]
				{
					12600, -- [1]
					3299, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					102531, -- [1]
					102495, -- [2]
					102519, -- [3]
				}, -- [4]
			}, -- [88]
			{
				102522, -- [1]
				383342, -- [2]
				{
					13200, -- [1]
					2700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					102491, -- [1]
					102521, -- [2]
				}, -- [4]
			}, -- [89]
			{
				102523, -- [1]
				267344, -- [2]
				{
					13200, -- [1]
					2100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					102499, -- [1]
					102522, -- [2]
					102482, -- [3]
				}, -- [4]
			}, -- [90]
			{
				102524, -- [1]
				343721, -- [2]
				{
					13200, -- [1]
					6900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [91]
			{
				102525, -- [1]
				383304, -- [2]
				{
					13200, -- [1]
					6300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					102524, -- [1]
				}, -- [4]
			}, -- [92]
			{
				102526, -- [1]
				383276, -- [2]
				{
					12599, -- [1]
					5700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					102480, -- [1]
					102513, -- [2]
					102525, -- [3]
				}, -- [4]
			}, -- [93]
			{
				102528, -- [1]
				85804, -- [2]
				{
					13200, -- [1]
					5098, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					102485, -- [1]
					102526, -- [2]
				}, -- [4]
			}, -- [94]
			{
				102527, -- [1]
				326734, -- [2]
				{
					13200, -- [1]
					5098, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					102485, -- [1]
					102526, -- [2]
				}, -- [4]
			}, -- [95]
			{
				102530, -- [1]
				326732, -- [2]
				{
					13800, -- [1]
					4500, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					102481, -- [1]
					102487, -- [2]
					102528, -- [3]
				}, -- [4]
			}, -- [96]
			{
				102529, -- [1]
				203316, -- [2]
				{
					13800, -- [1]
					4500, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					102481, -- [1]
					102487, -- [2]
					102528, -- [3]
				}, -- [4]
			}, -- [97]
			{
				102531, -- [1]
				382275, -- [2]
				{
					13200, -- [1]
					3897, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					102530, -- [1]
				}, -- [4]
			}, -- [98]
		},
		[102] = {
			{
				103325, -- [1]
				378986, -- [2]
				{
					2700, -- [1]
					6900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [1]
			{
				103324, -- [1]
				124974, -- [2]
				{
					5100, -- [1]
					6900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [2]
			{
				103323, -- [1]
				29166, -- [2]
				{
					5100, -- [1]
					6300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103324, -- [1]
				}, -- [4]
			}, -- [3]
			{
				103322, -- [1]
				102359, -- [2]
				{
					5100, -- [1]
					5700, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					103323, -- [1]
				}, -- [4]
			}, -- [4]
			{
				103321, -- [1]
				102793, -- [2]
				{
					5100, -- [1]
					5700, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					103323, -- [1]
				}, -- [4]
			}, -- [5]
			{
				103320, -- [1]
				48438, -- [2]
				{
					4500, -- [1]
					5100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103319, -- [1]
					103322, -- [2]
				}, -- [4]
			}, -- [6]
			{
				103319, -- [1]
				231040, -- [2]
				{
					4500, -- [1]
					5700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [7]
			{
				103318, -- [1]
				131768, -- [2]
				{
					2100, -- [1]
					3900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103317, -- [1]
					103274, -- [2]
				}, -- [4]
			}, -- [8]
			{
				103317, -- [1]
				159286, -- [2]
				{
					2100, -- [1]
					5100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103316, -- [1]
				}, -- [4]
			}, -- [9]
			{
				103316, -- [1]
				99, -- [2]
				{
					2700, -- [1]
					5700, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					103326, -- [1]
				}, -- [4]
			}, -- [10]
			{
				103315, -- [1]
				5211, -- [2]
				{
					2700, -- [1]
					5700, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					103326, -- [1]
				}, -- [4]
			}, -- [11]
			{
				103314, -- [1]
				385786, -- [2]
				{
					3300, -- [1]
					5100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103313, -- [1]
					103316, -- [2]
				}, -- [4]
			}, -- [12]
			{
				103313, -- [1]
				377842, -- [2]
				{
					3300, -- [1]
					5700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [13]
			{
				103312, -- [1]
				106898, -- [2]
				{
					3900, -- [1]
					5100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103311, -- [1]
					103313, -- [2]
				}, -- [4]
			}, -- [14]
			{
				103311, -- [1]
				378988, -- [2]
				{
					3900, -- [1]
					5700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103308, -- [1]
					103310, -- [2]
				}, -- [4]
			}, -- [15]
			{
				103310, -- [1]
				108238, -- [2]
				{
					4200, -- [1]
					6300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103309, -- [1]
				}, -- [4]
			}, -- [16]
			{
				103309, -- [1]
				319454, -- [2]
				{
					3900, -- [1]
					6900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [17]
			{
				103308, -- [1]
				288826, -- [2]
				{
					3600, -- [1]
					6300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103309, -- [1]
				}, -- [4]
			}, -- [18]
			{
				103307, -- [1]
				2908, -- [2]
				{
					3900, -- [1]
					4500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103312, -- [1]
				}, -- [4]
			}, -- [19]
			{
				103306, -- [1]
				16931, -- [2]
				{
					3300, -- [1]
					3900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103314, -- [1]
					103307, -- [2]
				}, -- [4]
			}, -- [20]
			{
				103305, -- [1]
				192081, -- [2]
				{
					3300, -- [1]
					3300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103306, -- [1]
				}, -- [4]
			}, -- [21]
			{
				103304, -- [1]
				213764, -- [2]
				{
					2700, -- [1]
					2700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103303, -- [1]
					103305, -- [2]
				}, -- [4]
			}, -- [22]
			{
				103303, -- [1]
				108299, -- [2]
				{
					2700, -- [1]
					3300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103302, -- [1]
				}, -- [4]
			}, -- [23]
			{
				103302, -- [1]
				106839, -- [2]
				{
					2700, -- [1]
					3900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [24]
			{
				103301, -- [1]
				106832, -- [2]
				{
					2700, -- [1]
					2100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103300, -- [1]
					103304, -- [2]
				}, -- [4]
			}, -- [25]
			{
				103300, -- [1]
				1079, -- [2]
				{
					2100, -- [1]
					2700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103299, -- [1]
					103318, -- [2]
				}, -- [4]
			}, -- [26]
			{
				103299, -- [1]
				22570, -- [2]
				{
					1500, -- [1]
					3300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [27]
			{
				103298, -- [1]
				22842, -- [2]
				{
					3300, -- [1]
					1500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103301, -- [1]
					103297, -- [2]
				}, -- [4]
			}, -- [28]
			{
				103297, -- [1]
				327993, -- [2]
				{
					3900, -- [1]
					2100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103296, -- [1]
				}, -- [4]
			}, -- [29]
			{
				103296, -- [1]
				301768, -- [2]
				{
					3900, -- [1]
					2700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [30]
			{
				103295, -- [1]
				774, -- [2]
				{
					4500, -- [1]
					1500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103294, -- [1]
					103297, -- [2]
				}, -- [4]
			}, -- [31]
			{
				103294, -- [1]
				18562, -- [2]
				{
					4500, -- [1]
					2100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103283, -- [1]
				}, -- [4]
			}, -- [32]
			{
				103292, -- [1]
				33873, -- [2]
				{
					5100, -- [1]
					3300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103291, -- [1]
				}, -- [4]
			}, -- [33]
			{
				103291, -- [1]
				33786, -- [2]
				{
					5100, -- [1]
					3900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [34]
			{
				103290, -- [1]
				24858, -- [2]
				{
					5700, -- [1]
					2700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103292, -- [1]
					103289, -- [2]
					103288, -- [3]
				}, -- [4]
			}, -- [35]
			{
				103289, -- [1]
				2637, -- [2]
				{
					6300, -- [1]
					3300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [36]
			{
				103288, -- [1]
				197524, -- [2]
				{
					5700, -- [1]
					3900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103287, -- [1]
					103286, -- [2]
				}, -- [4]
			}, -- [37]
			{
				103287, -- [1]
				132469, -- [2]
				{
					6300, -- [1]
					4500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [38]
			{
				103286, -- [1]
				93402, -- [2]
				{
					5100, -- [1]
					4500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103285, -- [1]
					103322, -- [2]
				}, -- [4]
			}, -- [39]
			{
				103284, -- [1]
				377796, -- [2]
				{
					4500, -- [1]
					3900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103286, -- [1]
					103307, -- [2]
					103320, -- [3]
				}, -- [4]
			}, -- [40]
			{
				103283, -- [1]
				2782, -- [2]
				{
					4500, -- [1]
					2700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103292, -- [1]
					103284, -- [2]
				}, -- [4]
			}, -- [41]
			{
				103280, -- [1]
				78674, -- [2]
				{
					5700, -- [1]
					2100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103290, -- [1]
				}, -- [4]
			}, -- [42]
			{
				103279, -- [1]
				194153, -- [2]
				{
					5700, -- [1]
					1500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103280, -- [1]
				}, -- [4]
			}, -- [43]
			{
				103277, -- [1]
				1822, -- [2]
				{
					2100, -- [1]
					1500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103301, -- [1]
				}, -- [4]
			}, -- [44]
			{
				103276, -- [1]
				102401, -- [2]
				{
					3900, -- [1]
					3900, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					103307, -- [1]
				}, -- [4]
			}, -- [45]
			{
				103275, -- [1]
				252216, -- [2]
				{
					3900, -- [1]
					3900, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					103307, -- [1]
				}, -- [4]
			}, -- [46]
			{
				103274, -- [1]
				377801, -- [2]
				{
					1500, -- [1]
					4500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [47]
			{
				103273, -- [1]
				279620, -- [2]
				{
					12300, -- [1]
					5700, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					103271, -- [1]
				}, -- [4]
			}, -- [48]
			{
				103272, -- [1]
				202347, -- [2]
				{
					12300, -- [1]
					5700, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					103271, -- [1]
				}, -- [4]
			}, -- [49]
			{
				103271, -- [1]
				338657, -- [2]
				{
					12900, -- [1]
					6300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103270, -- [1]
				}, -- [4]
			}, -- [50]
			{
				103270, -- [1]
				325727, -- [2]
				{
					12900, -- [1]
					6900, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [51]
			{
				103269, -- [1]
				339942, -- [2]
				{
					12900, -- [1]
					6900, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [52]
			{
				103268, -- [1]
				338661, -- [2]
				{
					9300, -- [1]
					6300, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [53]
			{
				103267, -- [1]
				339949, -- [2]
				{
					9300, -- [1]
					6300, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [54]
			{
				103266, -- [1]
				202737, -- [2]
				{
					9900, -- [1]
					5700, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					103268, -- [1]
					103264, -- [2]
				}, -- [4]
			}, -- [55]
			{
				103265, -- [1]
				202739, -- [2]
				{
					9900, -- [1]
					5700, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					103268, -- [1]
					103264, -- [2]
				}, -- [4]
			}, -- [56]
			{
				103264, -- [1]
				383196, -- [2]
				{
					10500, -- [1]
					6300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103262, -- [1]
				}, -- [4]
			}, -- [57]
			{
				103262, -- [1]
				202770, -- [2]
				{
					10500, -- [1]
					6900, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [58]
			{
				103263, -- [1]
				274281, -- [2]
				{
					10500, -- [1]
					6900, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [59]
			{
				103261, -- [1]
				383197, -- [2]
				{
					14100, -- [1]
					6900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [60]
			{
				103260, -- [1]
				390378, -- [2]
				{
					14100, -- [1]
					6300, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					103261, -- [1]
				}, -- [4]
			}, -- [61]
			{
				103259, -- [1]
				338668, -- [2]
				{
					14100, -- [1]
					6300, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					103261, -- [1]
				}, -- [4]
			}, -- [62]
			{
				103258, -- [1]
				343647, -- [2]
				{
					13500, -- [1]
					5700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103260, -- [1]
					103271, -- [2]
				}, -- [4]
			}, -- [63]
			{
				103257, -- [1]
				340706, -- [2]
				{
					13500, -- [1]
					5100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103258, -- [1]
				}, -- [4]
			}, -- [64]
			{
				103256, -- [1]
				202345, -- [2]
				{
					12900, -- [1]
					4500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103257, -- [1]
					103255, -- [2]
				}, -- [4]
			}, -- [65]
			{
				103255, -- [1]
				383195, -- [2]
				{
					12300, -- [1]
					5100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103273, -- [1]
					103254, -- [2]
				}, -- [4]
			}, -- [66]
			{
				103254, -- [1]
				384656, -- [2]
				{
					11700, -- [1]
					5700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103253, -- [1]
				}, -- [4]
			}, -- [67]
			{
				103253, -- [1]
				102560, -- [2]
				{
					11700, -- [1]
					6300, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					103251, -- [1]
				}, -- [4]
			}, -- [68]
			{
				103252, -- [1]
				323764, -- [2]
				{
					11700, -- [1]
					6300, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					103251, -- [1]
				}, -- [4]
			}, -- [69]
			{
				103250, -- [1]
				202918, -- [2]
				{
					11700, -- [1]
					5100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [70]
			{
				103249, -- [1]
				202996, -- [2]
				{
					11700, -- [1]
					4500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103248, -- [1]
					103250, -- [2]
					103255, -- [3]
				}, -- [4]
			}, -- [71]
			{
				103248, -- [1]
				383194, -- [2]
				{
					11100, -- [1]
					5100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103254, -- [1]
					103247, -- [2]
				}, -- [4]
			}, -- [72]
			{
				103247, -- [1]
				114107, -- [2]
				{
					11100, -- [1]
					5700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103264, -- [1]
				}, -- [4]
			}, -- [73]
			{
				103246, -- [1]
				327541, -- [2]
				{
					10500, -- [1]
					4500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103248, -- [1]
					103245, -- [2]
				}, -- [4]
			}, -- [74]
			{
				103245, -- [1]
				202354, -- [2]
				{
					9900, -- [1]
					5100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103266, -- [1]
				}, -- [4]
			}, -- [75]
			{
				103244, -- [1]
				328022, -- [2]
				{
					10500, -- [1]
					3900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103246, -- [1]
				}, -- [4]
			}, -- [76]
			{
				103243, -- [1]
				191034, -- [2]
				{
					11100, -- [1]
					3300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103244, -- [1]
					103242, -- [2]
				}, -- [4]
			}, -- [77]
			{
				103242, -- [1]
				78675, -- [2]
				{
					11700, -- [1]
					3900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103249, -- [1]
				}, -- [4]
			}, -- [78]
			{
				103241, -- [1]
				194223, -- [2]
				{
					12300, -- [1]
					3300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103242, -- [1]
					103240, -- [2]
				}, -- [4]
			}, -- [79]
			{
				103240, -- [1]
				202342, -- [2]
				{
					12900, -- [1]
					3900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103256, -- [1]
				}, -- [4]
			}, -- [80]
			{
				103239, -- [1]
				202430, -- [2]
				{
					11700, -- [1]
					2700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103241, -- [1]
					103243, -- [2]
					103238, -- [3]
				}, -- [4]
			}, -- [81]
			{
				103238, -- [1]
				231042, -- [2]
				{
					11700, -- [1]
					3300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [82]
			{
				103237, -- [1]
				328021, -- [2]
				{
					11100, -- [1]
					2100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103239, -- [1]
					103236, -- [2]
				}, -- [4]
			}, -- [83]
			{
				103236, -- [1]
				205636, -- [2]
				{
					11100, -- [1]
					2700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103243, -- [1]
				}, -- [4]
			}, -- [84]
			{
				103235, -- [1]
				79577, -- [2]
				{
					11700, -- [1]
					1500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103237, -- [1]
					103234, -- [2]
				}, -- [4]
			}, -- [85]
			{
				103234, -- [1]
				328023, -- [2]
				{
					12300, -- [1]
					2100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103239, -- [1]
					103233, -- [2]
				}, -- [4]
			}, -- [86]
			{
				103233, -- [1]
				202425, -- [2]
				{
					12300, -- [1]
					2700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103241, -- [1]
				}, -- [4]
			}, -- [87]
			{
				103285, -- [1]
				231050, -- [2]
				{
					5700, -- [1]
					5100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [88]
			{
				103326, -- [1]
				377847, -- [2]
				{
					2700, -- [1]
					6300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103325, -- [1]
				}, -- [4]
			}, -- [89]
		},
		[71] = {
			{
				105793, -- [1]
				384277, -- [2]
				{
					4500, -- [1]
					3900, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					105790, -- [1]
					105791, -- [2]
					105839, -- [3]
				}, -- [4]
			}, -- [1]
			{
				105792, -- [1]
				203201, -- [2]
				{
					4500, -- [1]
					3900, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					105790, -- [1]
					105791, -- [2]
					105839, -- [3]
				}, -- [4]
			}, -- [2]
			{
				105794, -- [1]
				6343, -- [2]
				{
					4500, -- [1]
					2700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					105793, -- [1]
					105787, -- [2]
					105793, -- [3]
				}, -- [4]
			}, -- [3]
			{
				105795, -- [1]
				382258, -- [2]
				{
					4800, -- [1]
					2100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					105786, -- [1]
					105794, -- [2]
					105794, -- [3]
				}, -- [4]
			}, -- [4]
			{
				105797, -- [1]
				6544, -- [2]
				{
					3300, -- [1]
					2700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					105806, -- [1]
					105809, -- [2]
					105806, -- [3]
					105809, -- [4]
				}, -- [4]
			}, -- [5]
			{
				105798, -- [1]
				382764, -- [2]
				{
					2100, -- [1]
					3300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					105825, -- [1]
				}, -- [4]
			}, -- [6]
			{
				105800, -- [1]
				384100, -- [2]
				{
					2100, -- [1]
					2100, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					105805, -- [1]
				}, -- [4]
			}, -- [7]
			{
				105799, -- [1]
				12323, -- [2]
				{
					2100, -- [1]
					2100, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					105805, -- [1]
				}, -- [4]
			}, -- [8]
			{
				105804, -- [1]
				384110, -- [2]
				{
					1500, -- [1]
					3300, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					105825, -- [1]
				}, -- [4]
			}, -- [9]
			{
				105803, -- [1]
				64382, -- [2]
				{
					1500, -- [1]
					3300, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					105825, -- [1]
				}, -- [4]
			}, -- [10]
			{
				105838, -- [1]
				392777, -- [2]
				{
					4500, -- [1]
					5100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					105837, -- [1]
				}, -- [4]
			}, -- [11]
			{
				105839, -- [1]
				103827, -- [2]
				{
					3900, -- [1]
					4500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					105814, -- [1]
					105768, -- [2]
					105838, -- [3]
					105838, -- [4]
				}, -- [4]
			}, -- [12]
			{
				105841, -- [1]
				382954, -- [2]
				{
					3900, -- [1]
					3300, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					105839, -- [1]
				}, -- [4]
			}, -- [13]
			{
				105840, -- [1]
				275338, -- [2]
				{
					3900, -- [1]
					3300, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					105839, -- [1]
				}, -- [4]
			}, -- [14]
			{
				105842, -- [1]
				5246, -- [2]
				{
					3900, -- [1]
					2700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					105841, -- [1]
				}, -- [4]
			}, -- [15]
			{
				105843, -- [1]
				23920, -- [2]
				{
					3900, -- [1]
					2100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					105842, -- [1]
					105794, -- [2]
					105797, -- [3]
					105842, -- [4]
				}, -- [4]
			}, -- [16]
			{
				105805, -- [1]
				392792, -- [2]
				{
					2100, -- [1]
					2700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					105806, -- [1]
					105798, -- [2]
					105804, -- [3]
					105806, -- [4]
				}, -- [4]
			}, -- [17]
			{
				105813, -- [1]
				384318, -- [2]
				{
					3300, -- [1]
					5700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					105811, -- [1]
					105812, -- [2]
				}, -- [4]
			}, -- [18]
			{
				105814, -- [1]
				382946, -- [2]
				{
					3300, -- [1]
					5100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					105813, -- [1]
				}, -- [4]
			}, -- [19]
			{
				105819, -- [1]
				390138, -- [2]
				{
					2100, -- [1]
					6300, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [20]
			{
				105818, -- [1]
				390140, -- [2]
				{
					2100, -- [1]
					6300, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [21]
			{
				105822, -- [1]
				107574, -- [2]
				{
					2100, -- [1]
					5700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					105819, -- [1]
				}, -- [4]
			}, -- [22]
			{
				105823, -- [1]
				384124, -- [2]
				{
					2100, -- [1]
					5100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					105822, -- [1]
				}, -- [4]
			}, -- [23]
			{
				105825, -- [1]
				382939, -- [2]
				{
					2100, -- [1]
					3900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					105807, -- [1]
					105823, -- [2]
				}, -- [4]
			}, -- [24]
			{
				105828, -- [1]
				382260, -- [2]
				{
					3000, -- [1]
					2100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					105805, -- [1]
					105797, -- [2]
					105797, -- [3]
				}, -- [4]
			}, -- [25]
			{
				105829, -- [1]
				18499, -- [2]
				{
					2100, -- [1]
					1500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					105828, -- [1]
					105800, -- [2]
				}, -- [4]
			}, -- [26]
			{
				105831, -- [1]
				275339, -- [2]
				{
					5400, -- [1]
					6299, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [27]
			{
				105832, -- [1]
				46968, -- [2]
				{
					5700, -- [1]
					5700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					105767, -- [1]
					105831, -- [2]
				}, -- [4]
			}, -- [28]
			{
				105834, -- [1]
				384404, -- [2]
				{
					5700, -- [1]
					3900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					105790, -- [1]
					105788, -- [2]
				}, -- [4]
			}, -- [29]
			{
				105835, -- [1]
				382767, -- [2]
				{
					5700, -- [1]
					3300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					105834, -- [1]
				}, -- [4]
			}, -- [30]
			{
				105836, -- [1]
				382948, -- [2]
				{
					4200, -- [1]
					6300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [31]
			{
				105837, -- [1]
				376079, -- [2]
				{
					4500, -- [1]
					5700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					105836, -- [1]
					105769, -- [2]
				}, -- [4]
			}, -- [32]
			{
				105812, -- [1]
				384969, -- [2]
				{
					3598, -- [1]
					6299, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [33]
			{
				105811, -- [1]
				391572, -- [2]
				{
					3000, -- [1]
					6299, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [34]
			{
				105810, -- [1]
				383762, -- [2]
				{
					3300, -- [1]
					4500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					105814, -- [1]
				}, -- [4]
			}, -- [35]
			{
				105809, -- [1]
				202163, -- [2]
				{
					3300, -- [1]
					3900, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					105810, -- [1]
					105807, -- [2]
					105839, -- [3]
				}, -- [4]
			}, -- [36]
			{
				105808, -- [1]
				392383, -- [2]
				{
					3300, -- [1]
					3900, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					105810, -- [1]
					105807, -- [2]
					105839, -- [3]
				}, -- [4]
			}, -- [37]
			{
				105807, -- [1]
				382461, -- [2]
				{
					2700, -- [1]
					4500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					105814, -- [1]
					105823, -- [2]
				}, -- [4]
			}, -- [38]
			{
				105806, -- [1]
				382549, -- [2]
				{
					2700, -- [1]
					3300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					105807, -- [1]
					105825, -- [2]
				}, -- [4]
			}, -- [39]
			{
				105899, -- [1]
				389308, -- [2]
				{
					9900, -- [1]
					5100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					105900, -- [1]
					105900, -- [2]
					105900, -- [3]
					105898, -- [4]
				}, -- [4]
			}, -- [40]
			{
				105900, -- [1]
				383154, -- [2]
				{
					9600, -- [1]
					5700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					105901, -- [1]
				}, -- [4]
			}, -- [41]
			{
				105901, -- [1]
				383703, -- [2]
				{
					9900, -- [1]
					6300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [42]
			{
				105903, -- [1]
				386628, -- [2]
				{
					11700, -- [1]
					6300, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [43]
			{
				105902, -- [1]
				390563, -- [2]
				{
					11700, -- [1]
					6300, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [44]
			{
				105904, -- [1]
				227847, -- [2]
				{
					11690, -- [1]
					5700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					105903, -- [1]
					105706, -- [2]
					105703, -- [3]
				}, -- [4]
			}, -- [45]
			{
				105905, -- [1]
				383338, -- [2]
				{
					11699, -- [1]
					5100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					105904, -- [1]
				}, -- [4]
			}, -- [46]
			{
				105906, -- [1]
				385573, -- [2]
				{
					12900, -- [1]
					4500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					105905, -- [1]
					105907, -- [2]
				}, -- [4]
			}, -- [47]
			{
				105907, -- [1]
				389306, -- [2]
				{
					13500, -- [1]
					5100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					105908, -- [1]
					105910, -- [2]
				}, -- [4]
			}, -- [48]
			{
				105908, -- [1]
				386634, -- [2]
				{
					13799, -- [1]
					5700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					105909, -- [1]
				}, -- [4]
			}, -- [49]
			{
				105909, -- [1]
				383292, -- [2]
				{
					13500, -- [1]
					6300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [50]
			{
				105910, -- [1]
				383341, -- [2]
				{
					13199, -- [1]
					5700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					105909, -- [1]
				}, -- [4]
			}, -- [51]
			{
				105790, -- [1]
				382956, -- [2]
				{
					5100, -- [1]
					4500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					105838, -- [1]
					105788, -- [2]
					105838, -- [3]
				}, -- [4]
			}, -- [52]
			{
				105791, -- [1]
				384090, -- [2]
				{
					4500, -- [1]
					4500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					105838, -- [1]
				}, -- [4]
			}, -- [53]
			{
				105788, -- [1]
				382940, -- [2]
				{
					5700, -- [1]
					5100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					105832, -- [1]
				}, -- [4]
			}, -- [54]
			{
				105787, -- [1]
				107570, -- [2]
				{
					5100, -- [1]
					3300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					105834, -- [1]
					105790, -- [2]
				}, -- [4]
			}, -- [55]
			{
				105786, -- [1]
				390354, -- [2]
				{
					5700, -- [1]
					2700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					105787, -- [1]
					105781, -- [2]
					105835, -- [3]
				}, -- [4]
			}, -- [56]
			{
				105781, -- [1]
				383082, -- [2]
				{
					6300, -- [1]
					3300, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					105834, -- [1]
				}, -- [4]
			}, -- [57]
			{
				105780, -- [1]
				383115, -- [2]
				{
					6300, -- [1]
					3300, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					105834, -- [1]
				}, -- [4]
			}, -- [58]
			{
				105779, -- [1]
				382310, -- [2]
				{
					5700, -- [1]
					2100, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					105786, -- [1]
				}, -- [4]
			}, -- [59]
			{
				105778, -- [1]
				29838, -- [2]
				{
					5700, -- [1]
					2100, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					105786, -- [1]
				}, -- [4]
			}, -- [60]
			{
				105777, -- [1]
				97462, -- [2]
				{
					5700, -- [1]
					1500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					105779, -- [1]
					105795, -- [2]
				}, -- [4]
			}, -- [61]
			{
				105776, -- [1]
				386208, -- [2]
				{
					4800, -- [1]
					900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					105774, -- [1]
					105777, -- [2]
					105775, -- [3]
				}, -- [4]
			}, -- [62]
			{
				105775, -- [1]
				3411, -- [2]
				{
					4800, -- [1]
					1500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					105795, -- [1]
				}, -- [4]
			}, -- [63]
			{
				105774, -- [1]
				262231, -- [2]
				{
					3900, -- [1]
					1500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					105843, -- [1]
					105828, -- [2]
					105795, -- [3]
				}, -- [4]
			}, -- [64]
			{
				105773, -- [1]
				386164, -- [2]
				{
					3000, -- [1]
					900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					105774, -- [1]
					105829, -- [2]
					105772, -- [3]
				}, -- [4]
			}, -- [65]
			{
				105772, -- [1]
				202168, -- [2]
				{
					3000, -- [1]
					1500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					105828, -- [1]
				}, -- [4]
			}, -- [66]
			{
				105769, -- [1]
				386285, -- [2]
				{
					4800, -- [1]
					6300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [67]
			{
				105768, -- [1]
				382896, -- [2]
				{
					3900, -- [1]
					5100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [68]
			{
				105767, -- [1]
				390725, -- [2]
				{
					6000, -- [1]
					6299, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [69]
			{
				105737, -- [1]
				383293, -- [2]
				{
					14099, -- [1]
					4499, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					105907, -- [1]
				}, -- [4]
			}, -- [70]
			{
				105736, -- [1]
				845, -- [2]
				{
					14099, -- [1]
					3900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					105737, -- [1]
				}, -- [4]
			}, -- [71]
			{
				105735, -- [1]
				383430, -- [2]
				{
					13500, -- [1]
					3300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					105709, -- [1]
					105736, -- [2]
					105734, -- [3]
				}, -- [4]
			}, -- [72]
			{
				105734, -- [1]
				281001, -- [2]
				{
					12900, -- [1]
					3900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					105906, -- [1]
				}, -- [4]
			}, -- [73]
			{
				105733, -- [1]
				167105, -- [2]
				{
					11700, -- [1]
					3299, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					105734, -- [1]
					105727, -- [2]
					105732, -- [3]
				}, -- [4]
			}, -- [74]
			{
				105732, -- [1]
				152278, -- [2]
				{
					11700, -- [1]
					3899, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					105731, -- [1]
					105729, -- [2]
				}, -- [4]
			}, -- [75]
			{
				105731, -- [1]
				248621, -- [2]
				{
					11400, -- [1]
					4500, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					105905, -- [1]
				}, -- [4]
			}, -- [76]
			{
				105730, -- [1]
				385008, -- [2]
				{
					11400, -- [1]
					4500, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					105905, -- [1]
				}, -- [4]
			}, -- [77]
			{
				105729, -- [1]
				383442, -- [2]
				{
					12000, -- [1]
					4500, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					105905, -- [1]
				}, -- [4]
			}, -- [78]
			{
				105728, -- [1]
				262161, -- [2]
				{
					12000, -- [1]
					4500, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					105905, -- [1]
				}, -- [4]
			}, -- [79]
			{
				105727, -- [1]
				383219, -- [2]
				{
					10500, -- [1]
					3900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					105726, -- [1]
				}, -- [4]
			}, -- [80]
			{
				105726, -- [1]
				262150, -- [2]
				{
					10500, -- [1]
					4499, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					105905, -- [1]
					105899, -- [2]
				}, -- [4]
			}, -- [81]
			{
				105725, -- [1]
				772, -- [2]
				{
					9900, -- [1]
					3900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					105724, -- [1]
					105726, -- [2]
				}, -- [4]
			}, -- [82]
			{
				105724, -- [1]
				383287, -- [2]
				{
					9900, -- [1]
					4499, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					105899, -- [1]
				}, -- [4]
			}, -- [83]
			{
				105723, -- [1]
				184783, -- [2]
				{
					9900, -- [1]
					3300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					105725, -- [1]
					105722, -- [2]
					105727, -- [3]
				}, -- [4]
			}, -- [84]
			{
				105722, -- [1]
				260643, -- [2]
				{
					9300, -- [1]
					3900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					105721, -- [1]
				}, -- [4]
			}, -- [85]
			{
				105721, -- [1]
				386357, -- [2]
				{
					9300, -- [1]
					4499, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					105899, -- [1]
				}, -- [4]
			}, -- [86]
			{
				105720, -- [1]
				385571, -- [2]
				{
					9900, -- [1]
					2700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					105723, -- [1]
				}, -- [4]
			}, -- [87]
			{
				105719, -- [1]
				316440, -- [2]
				{
					10800, -- [1]
					2100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					105718, -- [1]
					105720, -- [2]
				}, -- [4]
			}, -- [88]
			{
				105718, -- [1]
				384361, -- [2]
				{
					10800, -- [1]
					2699, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					105723, -- [1]
				}, -- [4]
			}, -- [89]
			{
				105717, -- [1]
				118038, -- [2]
				{
					11700, -- [1]
					2099, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					105715, -- [1]
					105716, -- [2]
					105718, -- [3]
					105710, -- [4]
				}, -- [4]
			}, -- [90]
			{
				105716, -- [1]
				383103, -- [2]
				{
					11400, -- [1]
					2699, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					105733, -- [1]
				}, -- [4]
			}, -- [91]
			{
				105715, -- [1]
				29725, -- [2]
				{
					12600, -- [1]
					2700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					105735, -- [1]
				}, -- [4]
			}, -- [92]
			{
				105714, -- [1]
				316405, -- [2]
				{
					12600, -- [1]
					2100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					105715, -- [1]
					105713, -- [2]
				}, -- [4]
			}, -- [93]
			{
				105713, -- [1]
				202316, -- [2]
				{
					13500, -- [1]
					2699, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					105735, -- [1]
				}, -- [4]
			}, -- [94]
			{
				105712, -- [1]
				7384, -- [2]
				{
					11705, -- [1]
					1500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					105714, -- [1]
					105719, -- [2]
					105717, -- [3]
				}, -- [4]
			}, -- [95]
			{
				105711, -- [1]
				12294, -- [2]
				{
					11699, -- [1]
					898, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					105712, -- [1]
				}, -- [4]
			}, -- [96]
			{
				105710, -- [1]
				388807, -- [2]
				{
					12000, -- [1]
					2700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					105733, -- [1]
				}, -- [4]
			}, -- [97]
			{
				105709, -- [1]
				260708, -- [2]
				{
					13500, -- [1]
					3900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					105708, -- [1]
					105906, -- [2]
				}, -- [4]
			}, -- [98]
			{
				105708, -- [1]
				385512, -- [2]
				{
					13500, -- [1]
					4500, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					105907, -- [1]
				}, -- [4]
			}, -- [99]
			{
				105707, -- [1]
				334779, -- [2]
				{
					13500, -- [1]
					4500, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					105907, -- [1]
				}, -- [4]
			}, -- [100]
			{
				105706, -- [1]
				383317, -- [2]
				{
					12300, -- [1]
					6300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [101]
			{
				105703, -- [1]
				390713, -- [2]
				{
					11100, -- [1]
					6300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [102]
			{
				105898, -- [1]
				386630, -- [2]
				{
					10200, -- [1]
					5700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					105901, -- [1]
				}, -- [4]
			}, -- [103]
		},
		[103] = {
			{
				103325, -- [1]
				378986, -- [2]
				{
					2700, -- [1]
					6900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [1]
			{
				103324, -- [1]
				124974, -- [2]
				{
					5100, -- [1]
					6900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [2]
			{
				103323, -- [1]
				29166, -- [2]
				{
					5100, -- [1]
					6300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103324, -- [1]
				}, -- [4]
			}, -- [3]
			{
				103322, -- [1]
				102359, -- [2]
				{
					5100, -- [1]
					5700, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					103323, -- [1]
				}, -- [4]
			}, -- [4]
			{
				103321, -- [1]
				102793, -- [2]
				{
					5100, -- [1]
					5700, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					103323, -- [1]
				}, -- [4]
			}, -- [5]
			{
				103320, -- [1]
				48438, -- [2]
				{
					4500, -- [1]
					5100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103319, -- [1]
					103322, -- [2]
				}, -- [4]
			}, -- [6]
			{
				103319, -- [1]
				231040, -- [2]
				{
					4500, -- [1]
					5700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [7]
			{
				103318, -- [1]
				131768, -- [2]
				{
					2100, -- [1]
					3900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103317, -- [1]
					103274, -- [2]
				}, -- [4]
			}, -- [8]
			{
				103317, -- [1]
				159286, -- [2]
				{
					2100, -- [1]
					5100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103316, -- [1]
				}, -- [4]
			}, -- [9]
			{
				103316, -- [1]
				99, -- [2]
				{
					2700, -- [1]
					5700, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					103326, -- [1]
				}, -- [4]
			}, -- [10]
			{
				103315, -- [1]
				5211, -- [2]
				{
					2700, -- [1]
					5700, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					103326, -- [1]
				}, -- [4]
			}, -- [11]
			{
				103314, -- [1]
				385786, -- [2]
				{
					3300, -- [1]
					5100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103313, -- [1]
					103316, -- [2]
				}, -- [4]
			}, -- [12]
			{
				103313, -- [1]
				377842, -- [2]
				{
					3300, -- [1]
					5700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [13]
			{
				103312, -- [1]
				106898, -- [2]
				{
					3900, -- [1]
					5100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103311, -- [1]
					103313, -- [2]
				}, -- [4]
			}, -- [14]
			{
				103311, -- [1]
				378988, -- [2]
				{
					3900, -- [1]
					5700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103308, -- [1]
					103310, -- [2]
				}, -- [4]
			}, -- [15]
			{
				103310, -- [1]
				108238, -- [2]
				{
					4200, -- [1]
					6300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103309, -- [1]
				}, -- [4]
			}, -- [16]
			{
				103309, -- [1]
				319454, -- [2]
				{
					3900, -- [1]
					6900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [17]
			{
				103308, -- [1]
				288826, -- [2]
				{
					3600, -- [1]
					6300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103309, -- [1]
				}, -- [4]
			}, -- [18]
			{
				103307, -- [1]
				2908, -- [2]
				{
					3900, -- [1]
					4500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103312, -- [1]
				}, -- [4]
			}, -- [19]
			{
				103306, -- [1]
				16931, -- [2]
				{
					3300, -- [1]
					3900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103314, -- [1]
					103307, -- [2]
				}, -- [4]
			}, -- [20]
			{
				103305, -- [1]
				192081, -- [2]
				{
					3300, -- [1]
					3300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103306, -- [1]
				}, -- [4]
			}, -- [21]
			{
				103304, -- [1]
				213764, -- [2]
				{
					2700, -- [1]
					2700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103303, -- [1]
					103305, -- [2]
				}, -- [4]
			}, -- [22]
			{
				103303, -- [1]
				108299, -- [2]
				{
					2700, -- [1]
					3300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103302, -- [1]
				}, -- [4]
			}, -- [23]
			{
				103302, -- [1]
				106839, -- [2]
				{
					2700, -- [1]
					3900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [24]
			{
				103301, -- [1]
				106832, -- [2]
				{
					2700, -- [1]
					2100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103300, -- [1]
					103304, -- [2]
				}, -- [4]
			}, -- [25]
			{
				103300, -- [1]
				1079, -- [2]
				{
					2100, -- [1]
					2700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103299, -- [1]
					103318, -- [2]
				}, -- [4]
			}, -- [26]
			{
				103299, -- [1]
				22570, -- [2]
				{
					1500, -- [1]
					3300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [27]
			{
				103298, -- [1]
				22842, -- [2]
				{
					3300, -- [1]
					1500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103301, -- [1]
					103297, -- [2]
				}, -- [4]
			}, -- [28]
			{
				103297, -- [1]
				327993, -- [2]
				{
					3900, -- [1]
					2100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103296, -- [1]
				}, -- [4]
			}, -- [29]
			{
				103296, -- [1]
				301768, -- [2]
				{
					3900, -- [1]
					2700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [30]
			{
				103295, -- [1]
				774, -- [2]
				{
					4500, -- [1]
					1500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103294, -- [1]
					103297, -- [2]
				}, -- [4]
			}, -- [31]
			{
				103294, -- [1]
				18562, -- [2]
				{
					4500, -- [1]
					2100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103282, -- [1]
				}, -- [4]
			}, -- [32]
			{
				103292, -- [1]
				33873, -- [2]
				{
					5100, -- [1]
					3300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103291, -- [1]
				}, -- [4]
			}, -- [33]
			{
				103291, -- [1]
				33786, -- [2]
				{
					5100, -- [1]
					3900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [34]
			{
				103290, -- [1]
				24858, -- [2]
				{
					5700, -- [1]
					2700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103292, -- [1]
					103289, -- [2]
					103288, -- [3]
				}, -- [4]
			}, -- [35]
			{
				103289, -- [1]
				2637, -- [2]
				{
					6300, -- [1]
					3300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [36]
			{
				103288, -- [1]
				197524, -- [2]
				{
					5700, -- [1]
					3900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103287, -- [1]
					103286, -- [2]
				}, -- [4]
			}, -- [37]
			{
				103287, -- [1]
				132469, -- [2]
				{
					6300, -- [1]
					4500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [38]
			{
				103286, -- [1]
				93402, -- [2]
				{
					5100, -- [1]
					4500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103285, -- [1]
					103322, -- [2]
				}, -- [4]
			}, -- [39]
			{
				103284, -- [1]
				377796, -- [2]
				{
					4500, -- [1]
					3900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103286, -- [1]
					103307, -- [2]
					103320, -- [3]
				}, -- [4]
			}, -- [40]
			{
				103282, -- [1]
				2782, -- [2]
				{
					4500, -- [1]
					2700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103292, -- [1]
					103284, -- [2]
				}, -- [4]
			}, -- [41]
			{
				103279, -- [1]
				194153, -- [2]
				{
					5700, -- [1]
					1500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103278, -- [1]
				}, -- [4]
			}, -- [42]
			{
				103278, -- [1]
				197626, -- [2]
				{
					5700, -- [1]
					2100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103290, -- [1]
				}, -- [4]
			}, -- [43]
			{
				103277, -- [1]
				1822, -- [2]
				{
					2100, -- [1]
					1500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103301, -- [1]
				}, -- [4]
			}, -- [44]
			{
				103276, -- [1]
				102401, -- [2]
				{
					3900, -- [1]
					3900, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					103307, -- [1]
				}, -- [4]
			}, -- [45]
			{
				103275, -- [1]
				252216, -- [2]
				{
					3900, -- [1]
					3900, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					103307, -- [1]
				}, -- [4]
			}, -- [46]
			{
				103274, -- [1]
				377801, -- [2]
				{
					1500, -- [1]
					4500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [47]
			{
				103285, -- [1]
				231050, -- [2]
				{
					5700, -- [1]
					5100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [48]
			{
				103326, -- [1]
				377847, -- [2]
				{
					2700, -- [1]
					6300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103325, -- [1]
				}, -- [4]
			}, -- [49]
			{
				103188, -- [1]
				5217, -- [2]
				{
					11700, -- [1]
					1500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103187, -- [1]
					103184, -- [2]
					103144, -- [3]
				}, -- [4]
			}, -- [50]
			{
				103187, -- [1]
				16864, -- [2]
				{
					11100, -- [1]
					2100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103186, -- [1]
					103163, -- [2]
					103159, -- [3]
				}, -- [4]
			}, -- [51]
			{
				103186, -- [1]
				202021, -- [2]
				{
					11700, -- [1]
					2700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103183, -- [1]
					103163, -- [2]
					103185, -- [3]
				}, -- [4]
			}, -- [52]
			{
				103185, -- [1]
				383352, -- [2]
				{
					11700, -- [1]
					3300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [53]
			{
				103184, -- [1]
				285381, -- [2]
				{
					12300, -- [1]
					2100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103186, -- [1]
					103145, -- [2]
					103183, -- [3]
				}, -- [4]
			}, -- [54]
			{
				103183, -- [1]
				390772, -- [2]
				{
					12300, -- [1]
					3300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103148, -- [1]
					103162, -- [2]
					103182, -- [3]
				}, -- [4]
			}, -- [55]
			{
				103182, -- [1]
				384665, -- [2]
				{
					12900, -- [1]
					3899, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103147, -- [1]
					103181, -- [2]
				}, -- [4]
			}, -- [56]
			{
				103181, -- [1]
				391045, -- [2]
				{
					12900, -- [1]
					4500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103151, -- [1]
					103149, -- [2]
					103180, -- [3]
				}, -- [4]
			}, -- [57]
			{
				103180, -- [1]
				61336, -- [2]
				{
					11700, -- [1]
					5100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103179, -- [1]
				}, -- [4]
			}, -- [58]
			{
				103179, -- [1]
				391875, -- [2]
				{
					11700, -- [1]
					5700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103175, -- [1]
					103157, -- [2]
					103178, -- [3]
				}, -- [4]
			}, -- [59]
			{
				103178, -- [1]
				102543, -- [2]
				{
					11700, -- [1]
					6300, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					103176, -- [1]
				}, -- [4]
			}, -- [60]
			{
				103177, -- [1]
				391528, -- [2]
				{
					11700, -- [1]
					6300, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					103176, -- [1]
				}, -- [4]
			}, -- [61]
			{
				103176, -- [1]
				391548, -- [2]
				{
					11700, -- [1]
					6900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [62]
			{
				103175, -- [1]
				391888, -- [2]
				{
					11100, -- [1]
					6300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103174, -- [1]
				}, -- [4]
			}, -- [63]
			{
				103174, -- [1]
				391951, -- [2]
				{
					11100, -- [1]
					6900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [64]
			{
				103173, -- [1]
				390902, -- [2]
				{
					10500, -- [1]
					5700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103175, -- [1]
					103172, -- [2]
					103170, -- [3]
					103172, -- [4]
				}, -- [4]
			}, -- [65]
			{
				103172, -- [1]
				391972, -- [2]
				{
					9900, -- [1]
					6300, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					103170, -- [1]
				}, -- [4]
			}, -- [66]
			{
				103171, -- [1]
				319439, -- [2]
				{
					9900, -- [1]
					6300, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					103170, -- [1]
				}, -- [4]
			}, -- [67]
			{
				103170, -- [1]
				274837, -- [2]
				{
					10500, -- [1]
					6900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [68]
			{
				103169, -- [1]
				391078, -- [2]
				{
					9900, -- [1]
					5100, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					103172, -- [1]
					103173, -- [2]
				}, -- [4]
			}, -- [69]
			{
				103168, -- [1]
				391872, -- [2]
				{
					9900, -- [1]
					5100, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					103172, -- [1]
					103173, -- [2]
				}, -- [4]
			}, -- [70]
			{
				103167, -- [1]
				16974, -- [2]
				{
					10500, -- [1]
					4500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103166, -- [1]
					103180, -- [2]
					103169, -- [3]
				}, -- [4]
			}, -- [71]
			{
				103166, -- [1]
				391174, -- [2]
				{
					10500, -- [1]
					5100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103173, -- [1]
				}, -- [4]
			}, -- [72]
			{
				103165, -- [1]
				384667, -- [2]
				{
					10490, -- [1]
					3900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103164, -- [1]
					103167, -- [2]
				}, -- [4]
			}, -- [73]
			{
				103164, -- [1]
				48484, -- [2]
				{
					9900, -- [1]
					4500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [74]
			{
				103163, -- [1]
				202031, -- [2]
				{
					11100, -- [1]
					3300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103160, -- [1]
					103162, -- [2]
					103165, -- [3]
				}, -- [4]
			}, -- [75]
			{
				103162, -- [1]
				106951, -- [2]
				{
					11700, -- [1]
					3900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103161, -- [1]
				}, -- [4]
			}, -- [76]
			{
				103161, -- [1]
				236068, -- [2]
				{
					11700, -- [1]
					4500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103180, -- [1]
				}, -- [4]
			}, -- [77]
			{
				103160, -- [1]
				391709, -- [2]
				{
					11100, -- [1]
					3899, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103167, -- [1]
				}, -- [4]
			}, -- [78]
			{
				103159, -- [1]
				231063, -- [2]
				{
					10499, -- [1]
					2699, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103163, -- [1]
					103158, -- [2]
				}, -- [4]
			}, -- [79]
			{
				103158, -- [1]
				391947, -- [2]
				{
					9900, -- [1]
					3300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103165, -- [1]
				}, -- [4]
			}, -- [80]
			{
				103157, -- [1]
				158476, -- [2]
				{
					12300, -- [1]
					6300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103156, -- [1]
				}, -- [4]
			}, -- [81]
			{
				103156, -- [1]
				391969, -- [2]
				{
					12300, -- [1]
					6900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [82]
			{
				103155, -- [1]
				386318, -- [2]
				{
					12900, -- [1]
					5700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103157, -- [1]
					103152, -- [2]
					103154, -- [3]
				}, -- [4]
			}, -- [83]
			{
				103154, -- [1]
				391978, -- [2]
				{
					13500, -- [1]
					6300, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					103152, -- [1]
				}, -- [4]
			}, -- [84]
			{
				103153, -- [1]
				391347, -- [2]
				{
					13500, -- [1]
					6300, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					103152, -- [1]
				}, -- [4]
			}, -- [85]
			{
				103152, -- [1]
				391881, -- [2]
				{
					12900, -- [1]
					6900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [86]
			{
				103151, -- [1]
				202028, -- [2]
				{
					13500, -- [1]
					5100, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					103155, -- [1]
					103154, -- [2]
				}, -- [4]
			}, -- [87]
			{
				103150, -- [1]
				390864, -- [2]
				{
					13500, -- [1]
					5100, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					103155, -- [1]
					103154, -- [2]
				}, -- [4]
			}, -- [88]
			{
				103149, -- [1]
				384668, -- [2]
				{
					12900, -- [1]
					5100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103155, -- [1]
				}, -- [4]
			}, -- [89]
			{
				103148, -- [1]
				391785, -- [2]
				{
					12299, -- [1]
					3899, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103181, -- [1]
				}, -- [4]
			}, -- [90]
			{
				103147, -- [1]
				393771, -- [2]
				{
					13500, -- [1]
					4500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [91]
			{
				103146, -- [1]
				155580, -- [2]
				{
					13500, -- [1]
					3300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103182, -- [1]
				}, -- [4]
			}, -- [92]
			{
				103145, -- [1]
				391700, -- [2]
				{
					12900, -- [1]
					2700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103183, -- [1]
					103146, -- [2]
				}, -- [4]
			}, -- [93]
			{
				103144, -- [1]
				391037, -- [2]
				{
					11700, -- [1]
					2100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [94]
		},
		[72] = {
			{
				105793, -- [1]
				384277, -- [2]
				{
					4500, -- [1]
					3900, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					105790, -- [1]
					105791, -- [2]
					105839, -- [3]
				}, -- [4]
			}, -- [1]
			{
				105792, -- [1]
				203201, -- [2]
				{
					4500, -- [1]
					3900, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					105790, -- [1]
					105791, -- [2]
					105839, -- [3]
				}, -- [4]
			}, -- [2]
			{
				105794, -- [1]
				6343, -- [2]
				{
					4500, -- [1]
					2700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					105793, -- [1]
					105787, -- [2]
					105793, -- [3]
				}, -- [4]
			}, -- [3]
			{
				105795, -- [1]
				382258, -- [2]
				{
					4800, -- [1]
					2100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					105786, -- [1]
					105794, -- [2]
					105794, -- [3]
				}, -- [4]
			}, -- [4]
			{
				105797, -- [1]
				6544, -- [2]
				{
					3300, -- [1]
					2700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					105806, -- [1]
					105809, -- [2]
					105806, -- [3]
					105809, -- [4]
				}, -- [4]
			}, -- [5]
			{
				105800, -- [1]
				384100, -- [2]
				{
					2100, -- [1]
					2100, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					105802, -- [1]
				}, -- [4]
			}, -- [6]
			{
				105799, -- [1]
				12323, -- [2]
				{
					2100, -- [1]
					2100, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					105802, -- [1]
				}, -- [4]
			}, -- [7]
			{
				105801, -- [1]
				382764, -- [2]
				{
					2100, -- [1]
					3300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					105825, -- [1]
				}, -- [4]
			}, -- [8]
			{
				105802, -- [1]
				215571, -- [2]
				{
					2100, -- [1]
					2700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					105801, -- [1]
					105806, -- [2]
					105804, -- [3]
				}, -- [4]
			}, -- [9]
			{
				105804, -- [1]
				384110, -- [2]
				{
					1500, -- [1]
					3300, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					105825, -- [1]
				}, -- [4]
			}, -- [10]
			{
				105803, -- [1]
				64382, -- [2]
				{
					1500, -- [1]
					3300, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					105825, -- [1]
				}, -- [4]
			}, -- [11]
			{
				105891, -- [1]
				316402, -- [2]
				{
					12599, -- [1]
					2100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					105849, -- [1]
					105890, -- [2]
				}, -- [4]
			}, -- [12]
			{
				105890, -- [1]
				280721, -- [2]
				{
					12600, -- [1]
					2700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					105889, -- [1]
				}, -- [4]
			}, -- [13]
			{
				105838, -- [1]
				392777, -- [2]
				{
					4500, -- [1]
					5100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					105837, -- [1]
				}, -- [4]
			}, -- [14]
			{
				105839, -- [1]
				103827, -- [2]
				{
					3900, -- [1]
					4500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					105814, -- [1]
					105838, -- [2]
					105838, -- [3]
					105830, -- [4]
				}, -- [4]
			}, -- [15]
			{
				105841, -- [1]
				382954, -- [2]
				{
					3900, -- [1]
					3300, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					105839, -- [1]
				}, -- [4]
			}, -- [16]
			{
				105840, -- [1]
				275338, -- [2]
				{
					3900, -- [1]
					3300, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					105839, -- [1]
				}, -- [4]
			}, -- [17]
			{
				105842, -- [1]
				5246, -- [2]
				{
					3900, -- [1]
					2700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					105841, -- [1]
				}, -- [4]
			}, -- [18]
			{
				105843, -- [1]
				23920, -- [2]
				{
					3900, -- [1]
					2100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					105842, -- [1]
					105794, -- [2]
					105797, -- [3]
					105842, -- [4]
				}, -- [4]
			}, -- [19]
			{
				105844, -- [1]
				346002, -- [2]
				{
					3900, -- [1]
					1498, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					105843, -- [1]
					105828, -- [2]
					105795, -- [3]
				}, -- [4]
			}, -- [20]
			{
				105845, -- [1]
				392936, -- [2]
				{
					14100, -- [1]
					3899, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					105887, -- [1]
				}, -- [4]
			}, -- [21]
			{
				105846, -- [1]
				228920, -- [2]
				{
					13799, -- [1]
					5700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					105848, -- [1]
				}, -- [4]
			}, -- [22]
			{
				105848, -- [1]
				382953, -- [2]
				{
					13799, -- [1]
					6300, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [23]
			{
				105847, -- [1]
				390563, -- [2]
				{
					13799, -- [1]
					6300, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [24]
			{
				105849, -- [1]
				383854, -- [2]
				{
					13500, -- [1]
					2698, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					105889, -- [1]
				}, -- [4]
			}, -- [25]
			{
				105850, -- [1]
				280392, -- [2]
				{
					13500, -- [1]
					4500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					105886, -- [1]
				}, -- [4]
			}, -- [26]
			{
				105851, -- [1]
				23881, -- [2]
				{
					11699, -- [1]
					898, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					105855, -- [1]
				}, -- [4]
			}, -- [27]
			{
				105852, -- [1]
				383468, -- [2]
				{
					11999, -- [1]
					2700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					105867, -- [1]
				}, -- [4]
			}, -- [28]
			{
				105853, -- [1]
				208154, -- [2]
				{
					11400, -- [1]
					2700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					105867, -- [1]
				}, -- [4]
			}, -- [29]
			{
				105854, -- [1]
				184364, -- [2]
				{
					11699, -- [1]
					2100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					105853, -- [1]
					105852, -- [2]
					105890, -- [3]
					105858, -- [4]
				}, -- [4]
			}, -- [30]
			{
				105855, -- [1]
				85288, -- [2]
				{
					11696, -- [1]
					1496, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					105857, -- [1]
					105854, -- [2]
					105891, -- [3]
				}, -- [4]
			}, -- [31]
			{
				105856, -- [1]
				383852, -- [2]
				{
					9899, -- [1]
					2699, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					105862, -- [1]
				}, -- [4]
			}, -- [32]
			{
				105857, -- [1]
				383848, -- [2]
				{
					10799, -- [1]
					2100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					105858, -- [1]
					105856, -- [2]
				}, -- [4]
			}, -- [33]
			{
				105858, -- [1]
				215568, -- [2]
				{
					10800, -- [1]
					2700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					105862, -- [1]
				}, -- [4]
			}, -- [34]
			{
				105859, -- [1]
				81099, -- [2]
				{
					9300, -- [1]
					3900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					105883, -- [1]
				}, -- [4]
			}, -- [35]
			{
				105860, -- [1]
				385703, -- [2]
				{
					9898, -- [1]
					4500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					105882, -- [1]
				}, -- [4]
			}, -- [36]
			{
				105861, -- [1]
				383959, -- [2]
				{
					9900, -- [1]
					3899, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					105864, -- [1]
					105860, -- [2]
				}, -- [4]
			}, -- [37]
			{
				105862, -- [1]
				383486, -- [2]
				{
					9899, -- [1]
					3297, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					105859, -- [1]
					105861, -- [2]
					105863, -- [3]
				}, -- [4]
			}, -- [38]
			{
				105863, -- [1]
				383885, -- [2]
				{
					10500, -- [1]
					3899, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					105864, -- [1]
					105864, -- [2]
				}, -- [4]
			}, -- [39]
			{
				105864, -- [1]
				393950, -- [2]
				{
					10499, -- [1]
					4500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					105882, -- [1]
				}, -- [4]
			}, -- [40]
			{
				105865, -- [1]
				335077, -- [2]
				{
					11100, -- [1]
					3900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					105864, -- [1]
					105864, -- [2]
					105871, -- [3]
				}, -- [4]
			}, -- [41]
			{
				105866, -- [1]
				383877, -- [2]
				{
					11700, -- [1]
					3900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					105871, -- [1]
				}, -- [4]
			}, -- [42]
			{
				105867, -- [1]
				184367, -- [2]
				{
					11699, -- [1]
					3299, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					105870, -- [1]
					105866, -- [2]
					105865, -- [3]
				}, -- [4]
			}, -- [43]
			{
				105868, -- [1]
				392536, -- [2]
				{
					12898, -- [1]
					3900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					105869, -- [1]
				}, -- [4]
			}, -- [44]
			{
				105869, -- [1]
				206315, -- [2]
				{
					12898, -- [1]
					4498, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					105886, -- [1]
				}, -- [4]
			}, -- [45]
			{
				105870, -- [1]
				388004, -- [2]
				{
					12300, -- [1]
					3900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					105869, -- [1]
					105871, -- [2]
				}, -- [4]
			}, -- [46]
			{
				105872, -- [1]
				383922, -- [2]
				{
					12000, -- [1]
					6300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [47]
			{
				105873, -- [1]
				389603, -- [2]
				{
					11400, -- [1]
					6299, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [48]
			{
				105875, -- [1]
				152278, -- [2]
				{
					11700, -- [1]
					5700, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					105873, -- [1]
					105872, -- [2]
				}, -- [4]
			}, -- [49]
			{
				105874, -- [1]
				202751, -- [2]
				{
					11700, -- [1]
					5700, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					105873, -- [1]
					105872, -- [2]
				}, -- [4]
			}, -- [50]
			{
				105876, -- [1]
				383459, -- [2]
				{
					11699, -- [1]
					5100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					105885, -- [1]
					105875, -- [2]
					105879, -- [3]
				}, -- [4]
			}, -- [51]
			{
				105878, -- [1]
				391683, -- [2]
				{
					10199, -- [1]
					6300, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [52]
			{
				105877, -- [1]
				390376, -- [2]
				{
					10199, -- [1]
					6300, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [53]
			{
				105879, -- [1]
				385059, -- [2]
				{
					10199, -- [1]
					5700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					105878, -- [1]
				}, -- [4]
			}, -- [54]
			{
				105880, -- [1]
				383916, -- [2]
				{
					9600, -- [1]
					6299, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [55]
			{
				105881, -- [1]
				388903, -- [2]
				{
					9600, -- [1]
					5699, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					105880, -- [1]
				}, -- [4]
			}, -- [56]
			{
				105882, -- [1]
				383295, -- [2]
				{
					9899, -- [1]
					5099, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					105879, -- [1]
					105881, -- [2]
				}, -- [4]
			}, -- [57]
			{
				105883, -- [1]
				383605, -- [2]
				{
					9297, -- [1]
					4500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					105882, -- [1]
				}, -- [4]
			}, -- [58]
			{
				105884, -- [1]
				388933, -- [2]
				{
					13199, -- [1]
					6300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [59]
			{
				105885, -- [1]
				315720, -- [2]
				{
					13199, -- [1]
					5700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					105884, -- [1]
				}, -- [4]
			}, -- [60]
			{
				105886, -- [1]
				383297, -- [2]
				{
					13500, -- [1]
					5099, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					105885, -- [1]
					105846, -- [2]
				}, -- [4]
			}, -- [61]
			{
				105887, -- [1]
				388049, -- [2]
				{
					14100, -- [1]
					4499, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					105886, -- [1]
				}, -- [4]
			}, -- [62]
			{
				105888, -- [1]
				12950, -- [2]
				{
					13500, -- [1]
					3900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					105887, -- [1]
					105850, -- [2]
					105869, -- [3]
				}, -- [4]
			}, -- [63]
			{
				105889, -- [1]
				392931, -- [2]
				{
					13500, -- [1]
					3299, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					105888, -- [1]
					105868, -- [2]
					105845, -- [3]
				}, -- [4]
			}, -- [64]
			{
				105813, -- [1]
				384318, -- [2]
				{
					3300, -- [1]
					5700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					105811, -- [1]
					105812, -- [2]
				}, -- [4]
			}, -- [65]
			{
				105814, -- [1]
				382946, -- [2]
				{
					3300, -- [1]
					5100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					105813, -- [1]
				}, -- [4]
			}, -- [66]
			{
				105817, -- [1]
				390123, -- [2]
				{
					2100, -- [1]
					6300, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [67]
			{
				105816, -- [1]
				390135, -- [2]
				{
					2100, -- [1]
					6300, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [68]
			{
				105822, -- [1]
				107574, -- [2]
				{
					2100, -- [1]
					5700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					105817, -- [1]
				}, -- [4]
			}, -- [69]
			{
				105823, -- [1]
				384124, -- [2]
				{
					2100, -- [1]
					5100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					105822, -- [1]
				}, -- [4]
			}, -- [70]
			{
				105824, -- [1]
				391270, -- [2]
				{
					2700, -- [1]
					4500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					105814, -- [1]
					105823, -- [2]
				}, -- [4]
			}, -- [71]
			{
				105825, -- [1]
				382939, -- [2]
				{
					2100, -- [1]
					3900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					105824, -- [1]
					105823, -- [2]
				}, -- [4]
			}, -- [72]
			{
				105828, -- [1]
				382260, -- [2]
				{
					3000, -- [1]
					2100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					105802, -- [1]
					105797, -- [2]
					105797, -- [3]
				}, -- [4]
			}, -- [73]
			{
				105829, -- [1]
				18499, -- [2]
				{
					2100, -- [1]
					1500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					105828, -- [1]
					105800, -- [2]
				}, -- [4]
			}, -- [74]
			{
				105830, -- [1]
				382900, -- [2]
				{
					3900, -- [1]
					5100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [75]
			{
				105831, -- [1]
				275339, -- [2]
				{
					5400, -- [1]
					6299, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [76]
			{
				105832, -- [1]
				46968, -- [2]
				{
					5700, -- [1]
					5700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					105767, -- [1]
					105831, -- [2]
				}, -- [4]
			}, -- [77]
			{
				105833, -- [1]
				391997, -- [2]
				{
					5700, -- [1]
					5100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					105832, -- [1]
				}, -- [4]
			}, -- [78]
			{
				105834, -- [1]
				384404, -- [2]
				{
					5700, -- [1]
					3900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					105833, -- [1]
					105790, -- [2]
				}, -- [4]
			}, -- [79]
			{
				105835, -- [1]
				382767, -- [2]
				{
					5700, -- [1]
					3300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					105834, -- [1]
				}, -- [4]
			}, -- [80]
			{
				105836, -- [1]
				382948, -- [2]
				{
					4200, -- [1]
					6300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [81]
			{
				105837, -- [1]
				376079, -- [2]
				{
					4500, -- [1]
					5700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					105836, -- [1]
					105769, -- [2]
				}, -- [4]
			}, -- [82]
			{
				105812, -- [1]
				384969, -- [2]
				{
					3598, -- [1]
					6299, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [83]
			{
				105811, -- [1]
				391572, -- [2]
				{
					3000, -- [1]
					6299, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [84]
			{
				105810, -- [1]
				383762, -- [2]
				{
					3300, -- [1]
					4500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					105814, -- [1]
				}, -- [4]
			}, -- [85]
			{
				105809, -- [1]
				202163, -- [2]
				{
					3300, -- [1]
					3900, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					105810, -- [1]
					105824, -- [2]
					105839, -- [3]
				}, -- [4]
			}, -- [86]
			{
				105808, -- [1]
				392383, -- [2]
				{
					3300, -- [1]
					3900, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					105810, -- [1]
					105824, -- [2]
					105839, -- [3]
				}, -- [4]
			}, -- [87]
			{
				105806, -- [1]
				382549, -- [2]
				{
					2700, -- [1]
					3300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					105824, -- [1]
					105825, -- [2]
				}, -- [4]
			}, -- [88]
			{
				105871, -- [1]
				1719, -- [2]
				{
					11700, -- [1]
					4500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					105876, -- [1]
				}, -- [4]
			}, -- [89]
			{
				105790, -- [1]
				382956, -- [2]
				{
					5100, -- [1]
					4500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					105838, -- [1]
					105833, -- [2]
					105838, -- [3]
				}, -- [4]
			}, -- [90]
			{
				105791, -- [1]
				384090, -- [2]
				{
					4500, -- [1]
					4500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					105838, -- [1]
				}, -- [4]
			}, -- [91]
			{
				105787, -- [1]
				107570, -- [2]
				{
					5100, -- [1]
					3300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					105834, -- [1]
					105790, -- [2]
				}, -- [4]
			}, -- [92]
			{
				105786, -- [1]
				390354, -- [2]
				{
					5700, -- [1]
					2700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					105787, -- [1]
					105785, -- [2]
					105835, -- [3]
				}, -- [4]
			}, -- [93]
			{
				105785, -- [1]
				390674, -- [2]
				{
					6300, -- [1]
					3300, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					105834, -- [1]
				}, -- [4]
			}, -- [94]
			{
				105784, -- [1]
				383115, -- [2]
				{
					6300, -- [1]
					3300, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					105834, -- [1]
				}, -- [4]
			}, -- [95]
			{
				105779, -- [1]
				382310, -- [2]
				{
					5700, -- [1]
					2100, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					105786, -- [1]
				}, -- [4]
			}, -- [96]
			{
				105778, -- [1]
				29838, -- [2]
				{
					5700, -- [1]
					2100, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					105786, -- [1]
				}, -- [4]
			}, -- [97]
			{
				105777, -- [1]
				97462, -- [2]
				{
					5700, -- [1]
					1500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					105779, -- [1]
					105795, -- [2]
				}, -- [4]
			}, -- [98]
			{
				105776, -- [1]
				386208, -- [2]
				{
					4800, -- [1]
					900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					105844, -- [1]
					105777, -- [2]
					105775, -- [3]
				}, -- [4]
			}, -- [99]
			{
				105775, -- [1]
				3411, -- [2]
				{
					4800, -- [1]
					1500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					105795, -- [1]
				}, -- [4]
			}, -- [100]
			{
				105772, -- [1]
				202168, -- [2]
				{
					3000, -- [1]
					1500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					105828, -- [1]
				}, -- [4]
			}, -- [101]
			{
				105771, -- [1]
				386196, -- [2]
				{
					3000, -- [1]
					900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					105844, -- [1]
					105829, -- [2]
					105772, -- [3]
				}, -- [4]
			}, -- [102]
			{
				105769, -- [1]
				386285, -- [2]
				{
					4800, -- [1]
					6300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [103]
			{
				105767, -- [1]
				390725, -- [2]
				{
					6000, -- [1]
					6299, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [104]
		},
		[104] = {
			{
				103212, -- [1]
				372567, -- [2]
				{
					13500, -- [1]
					4500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103211, -- [1]
				}, -- [4]
			}, -- [1]
			{
				103213, -- [1]
				238049, -- [2]
				{
					13499, -- [1]
					3902, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103212, -- [1]
					103214, -- [2]
				}, -- [4]
			}, -- [2]
			{
				103214, -- [1]
				203964, -- [2]
				{
					12900, -- [1]
					4500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [3]
			{
				103215, -- [1]
				279552, -- [2]
				{
					12300, -- [1]
					3900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103189, -- [1]
					103204, -- [2]
					103214, -- [3]
				}, -- [4]
			}, -- [4]
			{
				103216, -- [1]
				343240, -- [2]
				{
					11700, -- [1]
					3299, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103215, -- [1]
					103228, -- [2]
				}, -- [4]
			}, -- [5]
			{
				103217, -- [1]
				300346, -- [2]
				{
					11700, -- [1]
					2701, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103194, -- [1]
					103216, -- [2]
					103232, -- [3]
				}, -- [4]
			}, -- [6]
			{
				103219, -- [1]
				377210, -- [2]
				{
					9900, -- [1]
					6300, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					103221, -- [1]
				}, -- [4]
			}, -- [7]
			{
				103218, -- [1]
				372119, -- [2]
				{
					9900, -- [1]
					6300, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					103221, -- [1]
				}, -- [4]
			}, -- [8]
			{
				103221, -- [1]
				204053, -- [2]
				{
					10499, -- [1]
					6898, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [9]
			{
				103220, -- [1]
				372943, -- [2]
				{
					10499, -- [1]
					6898, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [10]
			{
				103222, -- [1]
				80313, -- [2]
				{
					11100, -- [1]
					6300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103221, -- [1]
				}, -- [4]
			}, -- [11]
			{
				103223, -- [1]
				372945, -- [2]
				{
					10500, -- [1]
					5700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103219, -- [1]
					103222, -- [2]
				}, -- [4]
			}, -- [12]
			{
				103224, -- [1]
				377623, -- [2]
				{
					10500, -- [1]
					5100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103223, -- [1]
				}, -- [4]
			}, -- [13]
			{
				103225, -- [1]
				203974, -- [2]
				{
					9899, -- [1]
					4497, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103224, -- [1]
				}, -- [4]
			}, -- [14]
			{
				103226, -- [1]
				393427, -- [2]
				{
					9899, -- [1]
					3897, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103227, -- [1]
					103225, -- [2]
				}, -- [4]
			}, -- [15]
			{
				103227, -- [1]
				371999, -- [2]
				{
					10500, -- [1]
					4500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [16]
			{
				103228, -- [1]
				135288, -- [2]
				{
					11100, -- [1]
					3900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103189, -- [1]
					103197, -- [2]
					103227, -- [3]
				}, -- [4]
			}, -- [17]
			{
				103229, -- [1]
				377811, -- [2]
				{
					10499, -- [1]
					3299, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103228, -- [1]
					103226, -- [2]
				}, -- [4]
			}, -- [18]
			{
				103325, -- [1]
				378986, -- [2]
				{
					2700, -- [1]
					6900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [19]
			{
				103324, -- [1]
				124974, -- [2]
				{
					5100, -- [1]
					6900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [20]
			{
				103323, -- [1]
				29166, -- [2]
				{
					5100, -- [1]
					6300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103324, -- [1]
				}, -- [4]
			}, -- [21]
			{
				103322, -- [1]
				102359, -- [2]
				{
					5100, -- [1]
					5700, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					103323, -- [1]
				}, -- [4]
			}, -- [22]
			{
				103321, -- [1]
				102793, -- [2]
				{
					5100, -- [1]
					5700, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					103323, -- [1]
				}, -- [4]
			}, -- [23]
			{
				103320, -- [1]
				48438, -- [2]
				{
					4500, -- [1]
					5100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103319, -- [1]
					103322, -- [2]
				}, -- [4]
			}, -- [24]
			{
				103319, -- [1]
				231040, -- [2]
				{
					4500, -- [1]
					5700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [25]
			{
				103318, -- [1]
				131768, -- [2]
				{
					2100, -- [1]
					3900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103317, -- [1]
					103274, -- [2]
				}, -- [4]
			}, -- [26]
			{
				103317, -- [1]
				159286, -- [2]
				{
					2100, -- [1]
					5100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103316, -- [1]
				}, -- [4]
			}, -- [27]
			{
				103316, -- [1]
				99, -- [2]
				{
					2700, -- [1]
					5700, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					103326, -- [1]
				}, -- [4]
			}, -- [28]
			{
				103315, -- [1]
				5211, -- [2]
				{
					2700, -- [1]
					5700, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					103326, -- [1]
				}, -- [4]
			}, -- [29]
			{
				103314, -- [1]
				385786, -- [2]
				{
					3300, -- [1]
					5100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103313, -- [1]
					103316, -- [2]
				}, -- [4]
			}, -- [30]
			{
				103313, -- [1]
				377842, -- [2]
				{
					3300, -- [1]
					5700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [31]
			{
				103312, -- [1]
				106898, -- [2]
				{
					3900, -- [1]
					5100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103311, -- [1]
					103313, -- [2]
				}, -- [4]
			}, -- [32]
			{
				103311, -- [1]
				378988, -- [2]
				{
					3900, -- [1]
					5700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103308, -- [1]
					103310, -- [2]
				}, -- [4]
			}, -- [33]
			{
				103310, -- [1]
				108238, -- [2]
				{
					4200, -- [1]
					6300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103309, -- [1]
				}, -- [4]
			}, -- [34]
			{
				103309, -- [1]
				319454, -- [2]
				{
					3900, -- [1]
					6900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [35]
			{
				103308, -- [1]
				288826, -- [2]
				{
					3600, -- [1]
					6300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103309, -- [1]
				}, -- [4]
			}, -- [36]
			{
				103307, -- [1]
				2908, -- [2]
				{
					3900, -- [1]
					4500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103312, -- [1]
				}, -- [4]
			}, -- [37]
			{
				103306, -- [1]
				16931, -- [2]
				{
					3300, -- [1]
					3900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103314, -- [1]
					103307, -- [2]
				}, -- [4]
			}, -- [38]
			{
				103305, -- [1]
				192081, -- [2]
				{
					3300, -- [1]
					3300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103306, -- [1]
				}, -- [4]
			}, -- [39]
			{
				103304, -- [1]
				213764, -- [2]
				{
					2700, -- [1]
					2700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103303, -- [1]
					103305, -- [2]
				}, -- [4]
			}, -- [40]
			{
				103303, -- [1]
				108299, -- [2]
				{
					2700, -- [1]
					3300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103302, -- [1]
				}, -- [4]
			}, -- [41]
			{
				103302, -- [1]
				106839, -- [2]
				{
					2700, -- [1]
					3900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [42]
			{
				103301, -- [1]
				106832, -- [2]
				{
					2700, -- [1]
					2100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103300, -- [1]
					103304, -- [2]
				}, -- [4]
			}, -- [43]
			{
				103300, -- [1]
				1079, -- [2]
				{
					2100, -- [1]
					2700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103299, -- [1]
					103318, -- [2]
				}, -- [4]
			}, -- [44]
			{
				103299, -- [1]
				22570, -- [2]
				{
					1500, -- [1]
					3300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [45]
			{
				103298, -- [1]
				22842, -- [2]
				{
					3300, -- [1]
					1500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103301, -- [1]
					103297, -- [2]
				}, -- [4]
			}, -- [46]
			{
				103297, -- [1]
				327993, -- [2]
				{
					3900, -- [1]
					2100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103296, -- [1]
				}, -- [4]
			}, -- [47]
			{
				103296, -- [1]
				301768, -- [2]
				{
					3900, -- [1]
					2700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [48]
			{
				103295, -- [1]
				774, -- [2]
				{
					4500, -- [1]
					1500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103294, -- [1]
					103297, -- [2]
				}, -- [4]
			}, -- [49]
			{
				103294, -- [1]
				18562, -- [2]
				{
					4500, -- [1]
					2100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103293, -- [1]
				}, -- [4]
			}, -- [50]
			{
				103293, -- [1]
				2782, -- [2]
				{
					4500, -- [1]
					2700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103292, -- [1]
					103284, -- [2]
				}, -- [4]
			}, -- [51]
			{
				103292, -- [1]
				33873, -- [2]
				{
					5100, -- [1]
					3300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103291, -- [1]
				}, -- [4]
			}, -- [52]
			{
				103291, -- [1]
				33786, -- [2]
				{
					5100, -- [1]
					3900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [53]
			{
				103290, -- [1]
				24858, -- [2]
				{
					5700, -- [1]
					2700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103292, -- [1]
					103289, -- [2]
					103288, -- [3]
				}, -- [4]
			}, -- [54]
			{
				103289, -- [1]
				2637, -- [2]
				{
					6300, -- [1]
					3300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [55]
			{
				103288, -- [1]
				197524, -- [2]
				{
					5700, -- [1]
					3900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103287, -- [1]
					103286, -- [2]
				}, -- [4]
			}, -- [56]
			{
				103287, -- [1]
				132469, -- [2]
				{
					6300, -- [1]
					4500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [57]
			{
				103286, -- [1]
				93402, -- [2]
				{
					5100, -- [1]
					4500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103285, -- [1]
					103322, -- [2]
				}, -- [4]
			}, -- [58]
			{
				103231, -- [1]
				155835, -- [2]
				{
					10499, -- [1]
					2701, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					103229, -- [1]
					103232, -- [2]
				}, -- [4]
			}, -- [59]
			{
				103230, -- [1]
				203953, -- [2]
				{
					10499, -- [1]
					2701, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					103229, -- [1]
					103232, -- [2]
				}, -- [4]
			}, -- [60]
			{
				103284, -- [1]
				377796, -- [2]
				{
					4500, -- [1]
					3900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103286, -- [1]
					103307, -- [2]
					103320, -- [3]
				}, -- [4]
			}, -- [61]
			{
				103279, -- [1]
				194153, -- [2]
				{
					5700, -- [1]
					1500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103278, -- [1]
				}, -- [4]
			}, -- [62]
			{
				103278, -- [1]
				197626, -- [2]
				{
					5700, -- [1]
					2100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103290, -- [1]
				}, -- [4]
			}, -- [63]
			{
				103277, -- [1]
				1822, -- [2]
				{
					2100, -- [1]
					1500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103301, -- [1]
				}, -- [4]
			}, -- [64]
			{
				103276, -- [1]
				102401, -- [2]
				{
					3900, -- [1]
					3900, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					103307, -- [1]
				}, -- [4]
			}, -- [65]
			{
				103275, -- [1]
				252216, -- [2]
				{
					3900, -- [1]
					3900, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					103307, -- [1]
				}, -- [4]
			}, -- [66]
			{
				103274, -- [1]
				377801, -- [2]
				{
					1500, -- [1]
					4500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [67]
			{
				103232, -- [1]
				345208, -- [2]
				{
					11100, -- [1]
					3299, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [68]
			{
				103285, -- [1]
				231050, -- [2]
				{
					5700, -- [1]
					5100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [69]
			{
				103326, -- [1]
				377847, -- [2]
				{
					2700, -- [1]
					6300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103325, -- [1]
				}, -- [4]
			}, -- [70]
			{
				103210, -- [1]
				203965, -- [2]
				{
					12900, -- [1]
					5700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103206, -- [1]
					103209, -- [2]
				}, -- [4]
			}, -- [71]
			{
				103209, -- [1]
				203962, -- [2]
				{
					12299, -- [1]
					6300, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					103207, -- [1]
				}, -- [4]
			}, -- [72]
			{
				103208, -- [1]
				158477, -- [2]
				{
					12299, -- [1]
					6300, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					103207, -- [1]
				}, -- [4]
			}, -- [73]
			{
				103207, -- [1]
				200851, -- [2]
				{
					12899, -- [1]
					6898, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [74]
			{
				103206, -- [1]
				371905, -- [2]
				{
					13500, -- [1]
					6300, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					103207, -- [1]
				}, -- [4]
			}, -- [75]
			{
				103205, -- [1]
				155578, -- [2]
				{
					13500, -- [1]
					6300, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					103207, -- [1]
				}, -- [4]
			}, -- [76]
			{
				103204, -- [1]
				393618, -- [2]
				{
					12299, -- [1]
					4501, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103203, -- [1]
					103211, -- [2]
				}, -- [4]
			}, -- [77]
			{
				103203, -- [1]
				370695, -- [2]
				{
					11700, -- [1]
					5100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103198, -- [1]
					103202, -- [2]
				}, -- [4]
			}, -- [78]
			{
				103202, -- [1]
				391969, -- [2]
				{
					11100, -- [1]
					5700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103201, -- [1]
				}, -- [4]
			}, -- [79]
			{
				103201, -- [1]
				102558, -- [2]
				{
					11700, -- [1]
					6300, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					103199, -- [1]
				}, -- [4]
			}, -- [80]
			{
				103200, -- [1]
				391528, -- [2]
				{
					11700, -- [1]
					6300, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					103199, -- [1]
				}, -- [4]
			}, -- [81]
			{
				103199, -- [1]
				393414, -- [2]
				{
					11698, -- [1]
					6898, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [82]
			{
				103198, -- [1]
				370586, -- [2]
				{
					12300, -- [1]
					5700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103201, -- [1]
				}, -- [4]
			}, -- [83]
			{
				103197, -- [1]
				372618, -- [2]
				{
					11099, -- [1]
					4501, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103224, -- [1]
					103203, -- [2]
				}, -- [4]
			}, -- [84]
			{
				103196, -- [1]
				200854, -- [2]
				{
					12899, -- [1]
					3299, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103213, -- [1]
					103215, -- [2]
				}, -- [4]
			}, -- [85]
			{
				103195, -- [1]
				231064, -- [2]
				{
					12899, -- [1]
					2701, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103196, -- [1]
					103194, -- [2]
				}, -- [4]
			}, -- [86]
			{
				103194, -- [1]
				393611, -- [2]
				{
					12300, -- [1]
					3300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [87]
			{
				103193, -- [1]
				61336, -- [2]
				{
					12299, -- [1]
					2100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103195, -- [1]
					103192, -- [2]
					103217, -- [3]
				}, -- [4]
			}, -- [88]
			{
				103192, -- [1]
				328767, -- [2]
				{
					12299, -- [1]
					2701, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [89]
			{
				103191, -- [1]
				6807, -- [2]
				{
					11700, -- [1]
					1496, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103190, -- [1]
					103193, -- [2]
				}, -- [4]
			}, -- [90]
			{
				103190, -- [1]
				210706, -- [2]
				{
					11100, -- [1]
					2100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103217, -- [1]
					103231, -- [2]
				}, -- [4]
			}, -- [91]
			{
				103189, -- [1]
				377835, -- [2]
				{
					11700, -- [1]
					4500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [92]
			{
				103211, -- [1]
				377779, -- [2]
				{
					12900, -- [1]
					5100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103210, -- [1]
				}, -- [4]
			}, -- [93]
		},
		[73] = {
			{
				105896, -- [1]
				202095, -- [2]
				{
					11700, -- [1]
					5700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					105897, -- [1]
				}, -- [4]
			}, -- [1]
			{
				105894, -- [1]
				228920, -- [2]
				{
					13500, -- [1]
					5700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					105893, -- [1]
					105892, -- [2]
				}, -- [4]
			}, -- [2]
			{
				105914, -- [1]
				385888, -- [2]
				{
					13500, -- [1]
					3900, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					105913, -- [1]
				}, -- [4]
			}, -- [3]
			{
				105699, -- [1]
				392966, -- [2]
				{
					13500, -- [1]
					3900, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					105913, -- [1]
				}, -- [4]
			}, -- [4]
			{
				105793, -- [1]
				384277, -- [2]
				{
					4500, -- [1]
					3900, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					105790, -- [1]
					105791, -- [2]
					105839, -- [3]
				}, -- [4]
			}, -- [5]
			{
				105792, -- [1]
				203201, -- [2]
				{
					4500, -- [1]
					3900, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					105790, -- [1]
					105791, -- [2]
					105839, -- [3]
				}, -- [4]
			}, -- [6]
			{
				105794, -- [1]
				6343, -- [2]
				{
					4500, -- [1]
					2700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					105793, -- [1]
					105787, -- [2]
					105793, -- [3]
				}, -- [4]
			}, -- [7]
			{
				105795, -- [1]
				382258, -- [2]
				{
					4800, -- [1]
					2100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					105786, -- [1]
					105794, -- [2]
					105794, -- [3]
				}, -- [4]
			}, -- [8]
			{
				105796, -- [1]
				316733, -- [2]
				{
					3900, -- [1]
					1500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					105843, -- [1]
					105795, -- [2]
					105828, -- [3]
				}, -- [4]
			}, -- [9]
			{
				105797, -- [1]
				6544, -- [2]
				{
					3300, -- [1]
					2700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					105806, -- [1]
					105809, -- [2]
					105806, -- [3]
					105809, -- [4]
				}, -- [4]
			}, -- [10]
			{
				105800, -- [1]
				384100, -- [2]
				{
					2100, -- [1]
					2100, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					105827, -- [1]
				}, -- [4]
			}, -- [11]
			{
				105799, -- [1]
				12323, -- [2]
				{
					2100, -- [1]
					2100, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					105827, -- [1]
				}, -- [4]
			}, -- [12]
			{
				105804, -- [1]
				384110, -- [2]
				{
					1500, -- [1]
					3300, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					105825, -- [1]
				}, -- [4]
			}, -- [13]
			{
				105803, -- [1]
				64382, -- [2]
				{
					1500, -- [1]
					3300, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					105825, -- [1]
				}, -- [4]
			}, -- [14]
			{
				105893, -- [1]
				382953, -- [2]
				{
					13800, -- [1]
					6300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [15]
			{
				105838, -- [1]
				392777, -- [2]
				{
					4500, -- [1]
					5100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					105837, -- [1]
				}, -- [4]
			}, -- [16]
			{
				105839, -- [1]
				103827, -- [2]
				{
					3900, -- [1]
					4500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					105814, -- [1]
					105770, -- [2]
					105838, -- [3]
					105838, -- [4]
				}, -- [4]
			}, -- [17]
			{
				105841, -- [1]
				382954, -- [2]
				{
					3900, -- [1]
					3300, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					105839, -- [1]
				}, -- [4]
			}, -- [18]
			{
				105840, -- [1]
				275338, -- [2]
				{
					3900, -- [1]
					3300, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					105839, -- [1]
				}, -- [4]
			}, -- [19]
			{
				105842, -- [1]
				5246, -- [2]
				{
					3900, -- [1]
					2700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					105841, -- [1]
				}, -- [4]
			}, -- [20]
			{
				105843, -- [1]
				23920, -- [2]
				{
					3900, -- [1]
					2100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					105842, -- [1]
					105794, -- [2]
					105797, -- [3]
					105842, -- [4]
				}, -- [4]
			}, -- [21]
			{
				105917, -- [1]
				384042, -- [2]
				{
					13798, -- [1]
					2699, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					105916, -- [1]
				}, -- [4]
			}, -- [22]
			{
				105895, -- [1]
				384063, -- [2]
				{
					13500, -- [1]
					5100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					105894, -- [1]
				}, -- [4]
			}, -- [23]
			{
				105789, -- [1]
				382940, -- [2]
				{
					5695, -- [1]
					5100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					105832, -- [1]
				}, -- [4]
			}, -- [24]
			{
				105813, -- [1]
				384318, -- [2]
				{
					3300, -- [1]
					5700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					105811, -- [1]
					105812, -- [2]
				}, -- [4]
			}, -- [25]
			{
				105814, -- [1]
				382946, -- [2]
				{
					3300, -- [1]
					5100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					105813, -- [1]
				}, -- [4]
			}, -- [26]
			{
				105815, -- [1]
				391271, -- [2]
				{
					2698, -- [1]
					4500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					105814, -- [1]
					105823, -- [2]
				}, -- [4]
			}, -- [27]
			{
				105821, -- [1]
				394307, -- [2]
				{
					2100, -- [1]
					6300, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [28]
			{
				105820, -- [1]
				275336, -- [2]
				{
					2100, -- [1]
					6300, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [29]
			{
				105822, -- [1]
				107574, -- [2]
				{
					2100, -- [1]
					5700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					105821, -- [1]
				}, -- [4]
			}, -- [30]
			{
				105823, -- [1]
				384124, -- [2]
				{
					2100, -- [1]
					5100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					105822, -- [1]
				}, -- [4]
			}, -- [31]
			{
				105825, -- [1]
				382939, -- [2]
				{
					2100, -- [1]
					3900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					105815, -- [1]
					105823, -- [2]
				}, -- [4]
			}, -- [32]
			{
				105826, -- [1]
				390642, -- [2]
				{
					2099, -- [1]
					3299, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					105825, -- [1]
				}, -- [4]
			}, -- [33]
			{
				105827, -- [1]
				392790, -- [2]
				{
					2100, -- [1]
					2700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					105826, -- [1]
					105804, -- [2]
					105806, -- [3]
				}, -- [4]
			}, -- [34]
			{
				105828, -- [1]
				382260, -- [2]
				{
					3000, -- [1]
					2100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					105827, -- [1]
					105797, -- [2]
					105797, -- [3]
				}, -- [4]
			}, -- [35]
			{
				105829, -- [1]
				18499, -- [2]
				{
					2100, -- [1]
					1500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					105828, -- [1]
					105800, -- [2]
				}, -- [4]
			}, -- [36]
			{
				105831, -- [1]
				275339, -- [2]
				{
					5400, -- [1]
					6299, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [37]
			{
				105832, -- [1]
				46968, -- [2]
				{
					5700, -- [1]
					5700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					105767, -- [1]
					105831, -- [2]
				}, -- [4]
			}, -- [38]
			{
				105834, -- [1]
				384404, -- [2]
				{
					5700, -- [1]
					3900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					105789, -- [1]
					105790, -- [2]
				}, -- [4]
			}, -- [39]
			{
				105835, -- [1]
				382767, -- [2]
				{
					5700, -- [1]
					3300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					105834, -- [1]
				}, -- [4]
			}, -- [40]
			{
				105836, -- [1]
				382948, -- [2]
				{
					4200, -- [1]
					6300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [41]
			{
				105837, -- [1]
				376079, -- [2]
				{
					4500, -- [1]
					5700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					105836, -- [1]
					105769, -- [2]
				}, -- [4]
			}, -- [42]
			{
				105812, -- [1]
				384969, -- [2]
				{
					3598, -- [1]
					6299, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [43]
			{
				105811, -- [1]
				391572, -- [2]
				{
					3000, -- [1]
					6299, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [44]
			{
				105810, -- [1]
				383762, -- [2]
				{
					3300, -- [1]
					4500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					105814, -- [1]
				}, -- [4]
			}, -- [45]
			{
				105809, -- [1]
				202163, -- [2]
				{
					3300, -- [1]
					3900, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					105810, -- [1]
					105815, -- [2]
					105839, -- [3]
				}, -- [4]
			}, -- [46]
			{
				105808, -- [1]
				392383, -- [2]
				{
					3300, -- [1]
					3900, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					105810, -- [1]
					105815, -- [2]
					105839, -- [3]
				}, -- [4]
			}, -- [47]
			{
				105806, -- [1]
				382549, -- [2]
				{
					2700, -- [1]
					3300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					105815, -- [1]
					105825, -- [2]
				}, -- [4]
			}, -- [48]
			{
				105916, -- [1]
				383103, -- [2]
				{
					13499, -- [1]
					3300, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					105914, -- [1]
					105704, -- [2]
					105756, -- [3]
					105911, -- [4]
					105914, -- [5]
				}, -- [4]
			}, -- [49]
			{
				105915, -- [1]
				384036, -- [2]
				{
					13499, -- [1]
					3300, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					105914, -- [1]
					105704, -- [2]
					105756, -- [3]
					105911, -- [4]
					105914, -- [5]
				}, -- [4]
			}, -- [50]
			{
				105911, -- [1]
				385704, -- [2]
				{
					14100, -- [1]
					3900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					105913, -- [1]
				}, -- [4]
			}, -- [51]
			{
				105913, -- [1]
				275334, -- [2]
				{
					13500, -- [1]
					4499, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					105895, -- [1]
				}, -- [4]
			}, -- [52]
			{
				105912, -- [1]
				393967, -- [2]
				{
					13500, -- [1]
					4499, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					105895, -- [1]
				}, -- [4]
			}, -- [53]
			{
				105790, -- [1]
				382956, -- [2]
				{
					5100, -- [1]
					4500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					105838, -- [1]
					105789, -- [2]
					105838, -- [3]
				}, -- [4]
			}, -- [54]
			{
				105791, -- [1]
				384090, -- [2]
				{
					4500, -- [1]
					4500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					105838, -- [1]
				}, -- [4]
			}, -- [55]
			{
				105787, -- [1]
				107570, -- [2]
				{
					5100, -- [1]
					3300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					105834, -- [1]
					105790, -- [2]
				}, -- [4]
			}, -- [56]
			{
				105786, -- [1]
				390354, -- [2]
				{
					5700, -- [1]
					2700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					105787, -- [1]
					105783, -- [2]
					105835, -- [3]
				}, -- [4]
			}, -- [57]
			{
				105783, -- [1]
				390675, -- [2]
				{
					6297, -- [1]
					3298, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					105834, -- [1]
				}, -- [4]
			}, -- [58]
			{
				105782, -- [1]
				383115, -- [2]
				{
					6297, -- [1]
					3298, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					105834, -- [1]
				}, -- [4]
			}, -- [59]
			{
				105779, -- [1]
				382310, -- [2]
				{
					5700, -- [1]
					2100, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					105786, -- [1]
				}, -- [4]
			}, -- [60]
			{
				105778, -- [1]
				29838, -- [2]
				{
					5700, -- [1]
					2100, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					105786, -- [1]
				}, -- [4]
			}, -- [61]
			{
				105777, -- [1]
				97462, -- [2]
				{
					5700, -- [1]
					1500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					105779, -- [1]
					105795, -- [2]
				}, -- [4]
			}, -- [62]
			{
				105776, -- [1]
				386208, -- [2]
				{
					4800, -- [1]
					900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					105777, -- [1]
					105796, -- [2]
					105775, -- [3]
				}, -- [4]
			}, -- [63]
			{
				105775, -- [1]
				3411, -- [2]
				{
					4800, -- [1]
					1500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					105795, -- [1]
				}, -- [4]
			}, -- [64]
			{
				105772, -- [1]
				202168, -- [2]
				{
					3000, -- [1]
					1500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					105828, -- [1]
				}, -- [4]
			}, -- [65]
			{
				105770, -- [1]
				382895, -- [2]
				{
					3900, -- [1]
					5098, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [66]
			{
				105769, -- [1]
				386285, -- [2]
				{
					4800, -- [1]
					6300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [67]
			{
				105767, -- [1]
				390725, -- [2]
				{
					6000, -- [1]
					6299, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [68]
			{
				105766, -- [1]
				385843, -- [2]
				{
					9898, -- [1]
					3897, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					105765, -- [1]
				}, -- [4]
			}, -- [69]
			{
				105700, -- [1]
				29725, -- [2]
				{
					9898, -- [1]
					3897, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					105765, -- [1]
				}, -- [4]
			}, -- [70]
			{
				105765, -- [1]
				203177, -- [2]
				{
					9900, -- [1]
					4500, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					105763, -- [1]
				}, -- [4]
			}, -- [71]
			{
				105764, -- [1]
				202603, -- [2]
				{
					9900, -- [1]
					4500, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					105763, -- [1]
				}, -- [4]
			}, -- [72]
			{
				105763, -- [1]
				384067, -- [2]
				{
					9900, -- [1]
					5100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					105762, -- [1]
				}, -- [4]
			}, -- [73]
			{
				105762, -- [1]
				385952, -- [2]
				{
					9900, -- [1]
					5700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					105702, -- [1]
					105761, -- [2]
				}, -- [4]
			}, -- [74]
			{
				105761, -- [1]
				386328, -- [2]
				{
					10200, -- [1]
					6300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [75]
			{
				105760, -- [1]
				386011, -- [2]
				{
					11700, -- [1]
					5100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					105759, -- [1]
					105705, -- [2]
					105896, -- [3]
					105894, -- [4]
					105759, -- [5]
					105762, -- [6]
				}, -- [4]
			}, -- [76]
			{
				105759, -- [1]
				202743, -- [2]
				{
					11100, -- [1]
					5700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					105897, -- [1]
				}, -- [4]
			}, -- [77]
			{
				105758, -- [1]
				386027, -- [2]
				{
					11100, -- [1]
					4500, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					105760, -- [1]
				}, -- [4]
			}, -- [78]
			{
				105757, -- [1]
				281001, -- [2]
				{
					11100, -- [1]
					4500, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					105760, -- [1]
				}, -- [4]
			}, -- [79]
			{
				105756, -- [1]
				871, -- [2]
				{
					11698, -- [1]
					3898, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					105758, -- [1]
					105755, -- [2]
					105754, -- [3]
				}, -- [4]
			}, -- [80]
			{
				105755, -- [1]
				152278, -- [2]
				{
					11698, -- [1]
					4497, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					105760, -- [1]
				}, -- [4]
			}, -- [81]
			{
				105754, -- [1]
				384074, -- [2]
				{
					12298, -- [1]
					4499, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					105760, -- [1]
				}, -- [4]
			}, -- [82]
			{
				105753, -- [1]
				384072, -- [2]
				{
					12298, -- [1]
					4499, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					105760, -- [1]
				}, -- [4]
			}, -- [83]
			{
				105752, -- [1]
				1161, -- [2]
				{
					9899, -- [1]
					3297, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					105766, -- [1]
					105750, -- [2]
					105751, -- [3]
					105756, -- [4]
				}, -- [4]
			}, -- [84]
			{
				105751, -- [1]
				385840, -- [2]
				{
					10498, -- [1]
					3898, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					105765, -- [1]
				}, -- [4]
			}, -- [85]
			{
				105750, -- [1]
				386071, -- [2]
				{
					9299, -- [1]
					3898, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					105765, -- [1]
				}, -- [4]
			}, -- [86]
			{
				105749, -- [1]
				386034, -- [2]
				{
					9600, -- [1]
					2700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					105752, -- [1]
				}, -- [4]
			}, -- [87]
			{
				105748, -- [1]
				1160, -- [2]
				{
					9900, -- [1]
					2099, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					105746, -- [1]
					105749, -- [2]
					105747, -- [3]
				}, -- [4]
			}, -- [88]
			{
				105747, -- [1]
				202560, -- [2]
				{
					10200, -- [1]
					2699, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					105752, -- [1]
				}, -- [4]
			}, -- [89]
			{
				105746, -- [1]
				384041, -- [2]
				{
					11700, -- [1]
					2700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					105743, -- [1]
					105745, -- [2]
					105744, -- [3]
				}, -- [4]
			}, -- [90]
			{
				105745, -- [1]
				394062, -- [2]
				{
					11700, -- [1]
					3300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					105756, -- [1]
				}, -- [4]
			}, -- [91]
			{
				105744, -- [1]
				394311, -- [2]
				{
					11100, -- [1]
					3300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					105756, -- [1]
				}, -- [4]
			}, -- [92]
			{
				105743, -- [1]
				384361, -- [2]
				{
					12300, -- [1]
					3300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					105756, -- [1]
				}, -- [4]
			}, -- [93]
			{
				105742, -- [1]
				236279, -- [2]
				{
					11700, -- [1]
					2099, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					105746, -- [1]
				}, -- [4]
			}, -- [94]
			{
				105741, -- [1]
				6572, -- [2]
				{
					11698, -- [1]
					1497, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					105742, -- [1]
					105740, -- [2]
					105748, -- [3]
				}, -- [4]
			}, -- [95]
			{
				105740, -- [1]
				12975, -- [2]
				{
					13500, -- [1]
					2099, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					105746, -- [1]
					105917, -- [2]
					105739, -- [3]
				}, -- [4]
			}, -- [96]
			{
				105739, -- [1]
				386030, -- [2]
				{
					13199, -- [1]
					2699, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					105916, -- [1]
				}, -- [4]
			}, -- [97]
			{
				105738, -- [1]
				190456, -- [2]
				{
					11698, -- [1]
					898, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					105741, -- [1]
				}, -- [4]
			}, -- [98]
			{
				105705, -- [1]
				386477, -- [2]
				{
					12300, -- [1]
					5700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					105897, -- [1]
				}, -- [4]
			}, -- [99]
			{
				105704, -- [1]
				280001, -- [2]
				{
					12900, -- [1]
					3900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					105913, -- [1]
				}, -- [4]
			}, -- [100]
			{
				105702, -- [1]
				394312, -- [2]
				{
					9600, -- [1]
					6300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [101]
			{
				105701, -- [1]
				386164, -- [2]
				{
					3000, -- [1]
					900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					105796, -- [1]
					105772, -- [2]
					105829, -- [3]
				}, -- [4]
			}, -- [102]
			{
				105892, -- [1]
				393965, -- [2]
				{
					13200, -- [1]
					6300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [103]
			{
				105897, -- [1]
				386394, -- [2]
				{
					11700, -- [1]
					6300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [104]
		},
		[263] = {
			{
				101944, -- [1]
				381647, -- [2]
				{
					4200, -- [1]
					1800, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					101961, -- [1]
				}, -- [4]
			}, -- [1]
			{
				101943, -- [1]
				377933, -- [2]
				{
					4200, -- [1]
					1800, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					101961, -- [1]
				}, -- [4]
			}, -- [2]
			{
				101945, -- [1]
				108271, -- [2]
				{
					4200, -- [1]
					1200, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101944, -- [1]
					101963, -- [2]
					101957, -- [3]
				}, -- [4]
			}, -- [3]
			{
				101946, -- [1]
				381666, -- [2]
				{
					6000, -- [1]
					2400, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101947, -- [1]
					101968, -- [2]
					101980, -- [3]
				}, -- [4]
			}, -- [4]
			{
				101947, -- [1]
				382888, -- [2]
				{
					6600, -- [1]
					3000, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101980, -- [1]
				}, -- [4]
			}, -- [5]
			{
				101948, -- [1]
				187880, -- [2]
				{
					6600, -- [1]
					1800, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101947, -- [1]
				}, -- [4]
			}, -- [6]
			{
				101949, -- [1]
				188443, -- [2]
				{
					6000, -- [1]
					1200, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101948, -- [1]
					101946, -- [2]
					101965, -- [3]
				}, -- [4]
			}, -- [7]
			{
				101950, -- [1]
				51505, -- [2]
				{
					3000, -- [1]
					1200, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101956, -- [1]
					101957, -- [2]
					101952, -- [3]
				}, -- [4]
			}, -- [8]
			{
				101951, -- [1]
				1064, -- [2]
				{
					1800, -- [1]
					1200, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101952, -- [1]
					102004, -- [2]
				}, -- [4]
			}, -- [9]
			{
				101952, -- [1]
				198103, -- [2]
				{
					2400, -- [1]
					1800, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101955, -- [1]
					101956, -- [2]
					102004, -- [3]
				}, -- [4]
			}, -- [10]
			{
				101954, -- [1]
				192088, -- [2]
				{
					2400, -- [1]
					3600, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					102002, -- [1]
					101978, -- [2]
				}, -- [4]
			}, -- [11]
			{
				101953, -- [1]
				378077, -- [2]
				{
					2400, -- [1]
					3600, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					102002, -- [1]
					101978, -- [2]
				}, -- [4]
			}, -- [12]
			{
				101955, -- [1]
				79206, -- [2]
				{
					2400, -- [1]
					3000, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101954, -- [1]
				}, -- [4]
			}, -- [13]
			{
				101956, -- [1]
				382886, -- [2]
				{
					3000, -- [1]
					2400, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101955, -- [1]
					101977, -- [2]
					101958, -- [3]
				}, -- [4]
			}, -- [14]
			{
				101957, -- [1]
				57994, -- [2]
				{
					3600, -- [1]
					1800, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101958, -- [1]
					101961, -- [2]
					101956, -- [3]
				}, -- [4]
			}, -- [15]
			{
				101958, -- [1]
				8143, -- [2]
				{
					3600, -- [1]
					3000, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101976, -- [1]
				}, -- [4]
			}, -- [16]
			{
				101960, -- [1]
				265046, -- [2]
				{
					4200, -- [1]
					3000, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					101976, -- [1]
					101972, -- [2]
				}, -- [4]
			}, -- [17]
			{
				101959, -- [1]
				381819, -- [2]
				{
					4200, -- [1]
					3000, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					101976, -- [1]
					101972, -- [2]
				}, -- [4]
			}, -- [18]
			{
				101961, -- [1]
				192058, -- [2]
				{
					4200, -- [1]
					2400, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101960, -- [1]
					101958, -- [2]
				}, -- [4]
			}, -- [19]
			{
				101963, -- [1]
				260878, -- [2]
				{
					4800, -- [1]
					1800, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					101961, -- [1]
					101969, -- [2]
				}, -- [4]
			}, -- [20]
			{
				101962, -- [1]
				378075, -- [2]
				{
					4800, -- [1]
					1800, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					101961, -- [1]
					101969, -- [2]
				}, -- [4]
			}, -- [21]
			{
				101965, -- [1]
				196840, -- [2]
				{
					5400, -- [1]
					1800, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101968, -- [1]
					101969, -- [2]
				}, -- [4]
			}, -- [22]
			{
				101968, -- [1]
				370, -- [2]
				{
					5400, -- [1]
					3000, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					101980, -- [1]
					101972, -- [2]
				}, -- [4]
			}, -- [23]
			{
				101967, -- [1]
				378773, -- [2]
				{
					5400, -- [1]
					3000, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					101980, -- [1]
					101972, -- [2]
				}, -- [4]
			}, -- [24]
			{
				101969, -- [1]
				51886, -- [2]
				{
					4800, -- [1]
					2400, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101968, -- [1]
					101972, -- [2]
				}, -- [4]
			}, -- [25]
			{
				101971, -- [1]
				204268, -- [2]
				{
					5400, -- [1]
					4200, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [26]
			{
				101970, -- [1]
				378079, -- [2]
				{
					5400, -- [1]
					4200, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [27]
			{
				101972, -- [1]
				51514, -- [2]
				{
					4800, -- [1]
					3600, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101974, -- [1]
					101971, -- [2]
					101973, -- [3]
				}, -- [4]
			}, -- [28]
			{
				101973, -- [1]
				108287, -- [2]
				{
					4800, -- [1]
					4800, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101988, -- [1]
					101990, -- [2]
				}, -- [4]
			}, -- [29]
			{
				101974, -- [1]
				30884, -- [2]
				{
					4200, -- [1]
					4200, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101996, -- [1]
					101990, -- [2]
					101973, -- [3]
				}, -- [4]
			}, -- [30]
			{
				101976, -- [1]
				192077, -- [2]
				{
					3600, -- [1]
					3600, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					101974, -- [1]
					101978, -- [2]
				}, -- [4]
			}, -- [31]
			{
				101975, -- [1]
				51485, -- [2]
				{
					3600, -- [1]
					3600, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					101974, -- [1]
					101978, -- [2]
				}, -- [4]
			}, -- [32]
			{
				101977, -- [1]
				382947, -- [2]
				{
					3000, -- [1]
					3000, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101978, -- [1]
					101976, -- [2]
				}, -- [4]
			}, -- [33]
			{
				101979, -- [1]
				381689, -- [2]
				{
					6600, -- [1]
					4200, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [34]
			{
				101980, -- [1]
				381655, -- [2]
				{
					6000, -- [1]
					3600, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101979, -- [1]
					101981, -- [2]
				}, -- [4]
			}, -- [35]
			{
				101981, -- [1]
				382215, -- [2]
				{
					6000, -- [1]
					4200, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101983, -- [1]
				}, -- [4]
			}, -- [36]
			{
				101983, -- [1]
				58875, -- [2]
				{
					6000, -- [1]
					4800, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					101984, -- [1]
					101988, -- [2]
				}, -- [4]
			}, -- [37]
			{
				101982, -- [1]
				192063, -- [2]
				{
					6000, -- [1]
					4800, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					101984, -- [1]
					101988, -- [2]
				}, -- [4]
			}, -- [38]
			{
				101984, -- [1]
				381678, -- [2]
				{
					6600, -- [1]
					5400, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101987, -- [1]
				}, -- [4]
			}, -- [39]
			{
				101986, -- [1]
				383011, -- [2]
				{
					6000, -- [1]
					6600, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [40]
			{
				101985, -- [1]
				383012, -- [2]
				{
					6000, -- [1]
					6600, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [41]
			{
				101987, -- [1]
				108285, -- [2]
				{
					6000, -- [1]
					6000, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101986, -- [1]
				}, -- [4]
			}, -- [42]
			{
				101988, -- [1]
				382033, -- [2]
				{
					5400, -- [1]
					5400, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101989, -- [1]
					101987, -- [2]
				}, -- [4]
			}, -- [43]
			{
				101989, -- [1]
				383013, -- [2]
				{
					4800, -- [1]
					6000, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101992, -- [1]
				}, -- [4]
			}, -- [44]
			{
				101990, -- [1]
				382201, -- [2]
				{
					4200, -- [1]
					5400, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101992, -- [1]
					101989, -- [2]
				}, -- [4]
			}, -- [45]
			{
				101992, -- [1]
				383017, -- [2]
				{
					4200, -- [1]
					6600, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [46]
			{
				101991, -- [1]
				383019, -- [2]
				{
					4200, -- [1]
					6600, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [47]
			{
				101994, -- [1]
				378779, -- [2]
				{
					3600, -- [1]
					6000, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					101992, -- [1]
				}, -- [4]
			}, -- [48]
			{
				101993, -- [1]
				305483, -- [2]
				{
					3600, -- [1]
					6000, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					101992, -- [1]
				}, -- [4]
			}, -- [49]
			{
				101995, -- [1]
				51490, -- [2]
				{
					3600, -- [1]
					5400, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101994, -- [1]
				}, -- [4]
			}, -- [50]
			{
				101996, -- [1]
				381674, -- [2]
				{
					3600, -- [1]
					4800, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101997, -- [1]
					101995, -- [2]
					101990, -- [3]
				}, -- [4]
			}, -- [51]
			{
				101997, -- [1]
				378081, -- [2]
				{
					3000, -- [1]
					5400, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [52]
			{
				101998, -- [1]
				5394, -- [2]
				{
					2400, -- [1]
					4800, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101999, -- [1]
					101997, -- [2]
				}, -- [4]
			}, -- [53]
			{
				101999, -- [1]
				378094, -- [2]
				{
					2400, -- [1]
					5400, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					102000, -- [1]
					102001, -- [2]
				}, -- [4]
			}, -- [54]
			{
				102000, -- [1]
				108281, -- [2]
				{
					2400, -- [1]
					6600, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [55]
			{
				102001, -- [1]
				381930, -- [2]
				{
					1800, -- [1]
					6000, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					102000, -- [1]
				}, -- [4]
			}, -- [56]
			{
				102002, -- [1]
				381867, -- [2]
				{
					1800, -- [1]
					4200, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					102001, -- [1]
					101998, -- [2]
				}, -- [4]
			}, -- [57]
			{
				102003, -- [1]
				383010, -- [2]
				{
					1800, -- [1]
					3000, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					102002, -- [1]
				}, -- [4]
			}, -- [58]
			{
				102004, -- [1]
				974, -- [2]
				{
					1800, -- [1]
					2400, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					102003, -- [1]
					101955, -- [2]
				}, -- [4]
			}, -- [59]
			{
				101978, -- [1]
				381650, -- [2]
				{
					3000, -- [1]
					4200, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101998, -- [1]
					101996, -- [2]
				}, -- [4]
			}, -- [60]
			{
				101800, -- [1]
				393905, -- [2]
				{
					11400, -- [1]
					4200, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [61]
			{
				101799, -- [1]
				382197, -- [2]
				{
					11400, -- [1]
					4200, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [62]
			{
				101801, -- [1]
				384149, -- [2]
				{
					12000, -- [1]
					3600, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101840, -- [1]
				}, -- [4]
			}, -- [63]
			{
				101841, -- [1]
				197214, -- [2]
				{
					11400, -- [1]
					3600, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101840, -- [1]
					101832, -- [2]
					101800, -- [3]
				}, -- [4]
			}, -- [64]
			{
				101840, -- [1]
				187874, -- [2]
				{
					12000, -- [1]
					4200, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101839, -- [1]
					101826, -- [2]
					101818, -- [3]
				}, -- [4]
			}, -- [65]
			{
				101839, -- [1]
				384363, -- [2]
				{
					12000, -- [1]
					4800, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101838, -- [1]
				}, -- [4]
			}, -- [66]
			{
				101838, -- [1]
				51533, -- [2]
				{
					11990, -- [1]
					5400, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101837, -- [1]
					101827, -- [2]
					101815, -- [3]
				}, -- [4]
			}, -- [67]
			{
				101837, -- [1]
				384447, -- [2]
				{
					12000, -- [1]
					6000, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101836, -- [1]
				}, -- [4]
			}, -- [68]
			{
				101836, -- [1]
				262624, -- [2]
				{
					11990, -- [1]
					6600, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [69]
			{
				101835, -- [1]
				198434, -- [2]
				{
					11990, -- [1]
					6600, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [70]
			{
				101834, -- [1]
				262647, -- [2]
				{
					10790, -- [1]
					2400, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101810, -- [1]
					101833, -- [2]
				}, -- [4]
			}, -- [71]
			{
				101833, -- [1]
				390288, -- [2]
				{
					10800, -- [1]
					3000, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101841, -- [1]
					101832, -- [2]
					101824, -- [3]
				}, -- [4]
			}, -- [72]
			{
				101832, -- [1]
				392352, -- [2]
				{
					10800, -- [1]
					4200, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101831, -- [1]
					101826, -- [2]
					101825, -- [3]
				}, -- [4]
			}, -- [73]
			{
				101831, -- [1]
				117014, -- [2]
				{
					10200, -- [1]
					4800, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101830, -- [1]
				}, -- [4]
			}, -- [74]
			{
				101830, -- [1]
				375982, -- [2]
				{
					10800, -- [1]
					5400, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101829, -- [1]
					101827, -- [2]
				}, -- [4]
			}, -- [75]
			{
				101829, -- [1]
				384405, -- [2]
				{
					10190, -- [1]
					6000, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101828, -- [1]
				}, -- [4]
			}, -- [76]
			{
				101828, -- [1]
				382042, -- [2]
				{
					10190, -- [1]
					6600, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [77]
			{
				101827, -- [1]
				210853, -- [2]
				{
					11400, -- [1]
					6000, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [78]
			{
				101826, -- [1]
				384355, -- [2]
				{
					11400, -- [1]
					4800, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101830, -- [1]
					101838, -- [2]
				}, -- [4]
			}, -- [79]
			{
				101825, -- [1]
				319930, -- [2]
				{
					10800, -- [1]
					4800, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101830, -- [1]
				}, -- [4]
			}, -- [80]
			{
				101824, -- [1]
				384352, -- [2]
				{
					10200, -- [1]
					3600, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101831, -- [1]
					101832, -- [2]
				}, -- [4]
			}, -- [81]
			{
				101823, -- [1]
				33757, -- [2]
				{
					11400, -- [1]
					1800, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101822, -- [1]
					101834, -- [2]
					101810, -- [3]
				}, -- [4]
			}, -- [82]
			{
				101822, -- [1]
				383303, -- [2]
				{
					12000, -- [1]
					2400, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101810, -- [1]
					101821, -- [2]
					101802, -- [3]
				}, -- [4]
			}, -- [83]
			{
				101821, -- [1]
				342240, -- [2]
				{
					12600, -- [1]
					3000, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101820, -- [1]
					101803, -- [2]
				}, -- [4]
			}, -- [84]
			{
				101820, -- [1]
				384359, -- [2]
				{
					13200, -- [1]
					3600, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101819, -- [1]
				}, -- [4]
			}, -- [85]
			{
				101819, -- [1]
				344357, -- [2]
				{
					13200, -- [1]
					4200, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101818, -- [1]
					101817, -- [2]
				}, -- [4]
			}, -- [86]
			{
				101818, -- [1]
				334308, -- [2]
				{
					12600, -- [1]
					4800, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101817, -- [1]
					101838, -- [2]
				}, -- [4]
			}, -- [87]
			{
				101817, -- [1]
				114051, -- [2]
				{
					13200, -- [1]
					5400, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					101814, -- [1]
					101815, -- [2]
				}, -- [4]
			}, -- [88]
			{
				101816, -- [1]
				378270, -- [2]
				{
					13200, -- [1]
					5400, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					101814, -- [1]
					101815, -- [2]
				}, -- [4]
			}, -- [89]
			{
				101815, -- [1]
				384450, -- [2]
				{
					12600, -- [1]
					6000, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [90]
			{
				101814, -- [1]
				384411, -- [2]
				{
					13800, -- [1]
					6000, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101813, -- [1]
				}, -- [4]
			}, -- [91]
			{
				101813, -- [1]
				384444, -- [2]
				{
					13800, -- [1]
					6600, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [92]
			{
				101812, -- [1]
				334046, -- [2]
				{
					13800, -- [1]
					4800, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101817, -- [1]
				}, -- [4]
			}, -- [93]
			{
				101811, -- [1]
				390370, -- [2]
				{
					13800, -- [1]
					4200, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101812, -- [1]
				}, -- [4]
			}, -- [94]
			{
				101810, -- [1]
				196884, -- [2]
				{
					11400, -- [1]
					3000, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101841, -- [1]
				}, -- [4]
			}, -- [95]
			{
				101809, -- [1]
				201900, -- [2]
				{
					13800, -- [1]
					3600, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101811, -- [1]
					101819, -- [2]
				}, -- [4]
			}, -- [96]
			{
				101808, -- [1]
				334195, -- [2]
				{
					13800, -- [1]
					3000, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					101809, -- [1]
					101820, -- [2]
				}, -- [4]
			}, -- [97]
			{
				101807, -- [1]
				333974, -- [2]
				{
					13800, -- [1]
					3000, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					101809, -- [1]
					101820, -- [2]
				}, -- [4]
			}, -- [98]
			{
				101806, -- [1]
				334033, -- [2]
				{
					13200, -- [1]
					2400, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101808, -- [1]
					101821, -- [2]
				}, -- [4]
			}, -- [99]
			{
				101805, -- [1]
				60103, -- [2]
				{
					12590, -- [1]
					1800, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101806, -- [1]
					101821, -- [2]
					101822, -- [3]
				}, -- [4]
			}, -- [100]
			{
				101804, -- [1]
				17364, -- [2]
				{
					12000, -- [1]
					1200, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101805, -- [1]
					101823, -- [2]
				}, -- [4]
			}, -- [101]
			{
				101803, -- [1]
				8512, -- [2]
				{
					12600, -- [1]
					3600, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101840, -- [1]
					101819, -- [2]
				}, -- [4]
			}, -- [102]
			{
				101802, -- [1]
				384143, -- [2]
				{
					12000, -- [1]
					3000, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					101841, -- [1]
					101801, -- [2]
					101803, -- [3]
				}, -- [4]
			}, -- [103]
		},
		[105] = {
			{
				103325, -- [1]
				378986, -- [2]
				{
					2700, -- [1]
					6900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [1]
			{
				103324, -- [1]
				124974, -- [2]
				{
					5100, -- [1]
					6900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [2]
			{
				103323, -- [1]
				29166, -- [2]
				{
					5100, -- [1]
					6300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103324, -- [1]
				}, -- [4]
			}, -- [3]
			{
				103322, -- [1]
				102359, -- [2]
				{
					5100, -- [1]
					5700, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					103323, -- [1]
				}, -- [4]
			}, -- [4]
			{
				103321, -- [1]
				102793, -- [2]
				{
					5100, -- [1]
					5700, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					103323, -- [1]
				}, -- [4]
			}, -- [5]
			{
				103320, -- [1]
				48438, -- [2]
				{
					4500, -- [1]
					5100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103319, -- [1]
					103322, -- [2]
				}, -- [4]
			}, -- [6]
			{
				103319, -- [1]
				231040, -- [2]
				{
					4500, -- [1]
					5700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [7]
			{
				103318, -- [1]
				131768, -- [2]
				{
					2100, -- [1]
					3900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103317, -- [1]
					103274, -- [2]
				}, -- [4]
			}, -- [8]
			{
				103317, -- [1]
				159286, -- [2]
				{
					2100, -- [1]
					5100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103316, -- [1]
				}, -- [4]
			}, -- [9]
			{
				103316, -- [1]
				99, -- [2]
				{
					2700, -- [1]
					5700, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					103326, -- [1]
				}, -- [4]
			}, -- [10]
			{
				103315, -- [1]
				5211, -- [2]
				{
					2700, -- [1]
					5700, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					103326, -- [1]
				}, -- [4]
			}, -- [11]
			{
				103314, -- [1]
				385786, -- [2]
				{
					3300, -- [1]
					5100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103313, -- [1]
					103316, -- [2]
				}, -- [4]
			}, -- [12]
			{
				103313, -- [1]
				377842, -- [2]
				{
					3300, -- [1]
					5700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [13]
			{
				103312, -- [1]
				106898, -- [2]
				{
					3900, -- [1]
					5100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103311, -- [1]
					103313, -- [2]
				}, -- [4]
			}, -- [14]
			{
				103311, -- [1]
				378988, -- [2]
				{
					3900, -- [1]
					5700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103308, -- [1]
					103310, -- [2]
				}, -- [4]
			}, -- [15]
			{
				103310, -- [1]
				108238, -- [2]
				{
					4200, -- [1]
					6300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103309, -- [1]
				}, -- [4]
			}, -- [16]
			{
				103309, -- [1]
				319454, -- [2]
				{
					3900, -- [1]
					6900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [17]
			{
				103308, -- [1]
				288826, -- [2]
				{
					3600, -- [1]
					6300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103309, -- [1]
				}, -- [4]
			}, -- [18]
			{
				103307, -- [1]
				2908, -- [2]
				{
					3900, -- [1]
					4500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103312, -- [1]
				}, -- [4]
			}, -- [19]
			{
				103306, -- [1]
				16931, -- [2]
				{
					3300, -- [1]
					3900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103314, -- [1]
					103307, -- [2]
				}, -- [4]
			}, -- [20]
			{
				103305, -- [1]
				192081, -- [2]
				{
					3300, -- [1]
					3300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103306, -- [1]
				}, -- [4]
			}, -- [21]
			{
				103304, -- [1]
				213764, -- [2]
				{
					2700, -- [1]
					2700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103303, -- [1]
					103305, -- [2]
				}, -- [4]
			}, -- [22]
			{
				103303, -- [1]
				108299, -- [2]
				{
					2700, -- [1]
					3300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103302, -- [1]
				}, -- [4]
			}, -- [23]
			{
				103302, -- [1]
				106839, -- [2]
				{
					2700, -- [1]
					3900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [24]
			{
				103301, -- [1]
				106832, -- [2]
				{
					2700, -- [1]
					2100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103300, -- [1]
					103304, -- [2]
				}, -- [4]
			}, -- [25]
			{
				103300, -- [1]
				1079, -- [2]
				{
					2100, -- [1]
					2700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103299, -- [1]
					103318, -- [2]
				}, -- [4]
			}, -- [26]
			{
				103299, -- [1]
				22570, -- [2]
				{
					1500, -- [1]
					3300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [27]
			{
				103298, -- [1]
				22842, -- [2]
				{
					3300, -- [1]
					1500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103301, -- [1]
					103297, -- [2]
				}, -- [4]
			}, -- [28]
			{
				103297, -- [1]
				327993, -- [2]
				{
					3900, -- [1]
					2100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103296, -- [1]
				}, -- [4]
			}, -- [29]
			{
				103296, -- [1]
				301768, -- [2]
				{
					3900, -- [1]
					2700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [30]
			{
				103295, -- [1]
				774, -- [2]
				{
					4500, -- [1]
					1500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103294, -- [1]
					103297, -- [2]
				}, -- [4]
			}, -- [31]
			{
				103294, -- [1]
				18562, -- [2]
				{
					4500, -- [1]
					2100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103281, -- [1]
				}, -- [4]
			}, -- [32]
			{
				103292, -- [1]
				33873, -- [2]
				{
					5100, -- [1]
					3300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103291, -- [1]
				}, -- [4]
			}, -- [33]
			{
				103291, -- [1]
				33786, -- [2]
				{
					5100, -- [1]
					3900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [34]
			{
				103290, -- [1]
				24858, -- [2]
				{
					5700, -- [1]
					2700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103292, -- [1]
					103289, -- [2]
					103288, -- [3]
				}, -- [4]
			}, -- [35]
			{
				103289, -- [1]
				2637, -- [2]
				{
					6300, -- [1]
					3300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [36]
			{
				103288, -- [1]
				197524, -- [2]
				{
					5700, -- [1]
					3900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103287, -- [1]
					103286, -- [2]
				}, -- [4]
			}, -- [37]
			{
				103287, -- [1]
				132469, -- [2]
				{
					6300, -- [1]
					4500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [38]
			{
				103286, -- [1]
				93402, -- [2]
				{
					5100, -- [1]
					4500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103285, -- [1]
					103322, -- [2]
				}, -- [4]
			}, -- [39]
			{
				103284, -- [1]
				377796, -- [2]
				{
					4500, -- [1]
					3900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103286, -- [1]
					103307, -- [2]
					103320, -- [3]
				}, -- [4]
			}, -- [40]
			{
				103281, -- [1]
				392378, -- [2]
				{
					4500, -- [1]
					2700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103292, -- [1]
					103284, -- [2]
				}, -- [4]
			}, -- [41]
			{
				103279, -- [1]
				194153, -- [2]
				{
					5700, -- [1]
					1500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103278, -- [1]
				}, -- [4]
			}, -- [42]
			{
				103278, -- [1]
				197626, -- [2]
				{
					5700, -- [1]
					2100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103290, -- [1]
				}, -- [4]
			}, -- [43]
			{
				103277, -- [1]
				1822, -- [2]
				{
					2100, -- [1]
					1500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103301, -- [1]
				}, -- [4]
			}, -- [44]
			{
				103276, -- [1]
				102401, -- [2]
				{
					3900, -- [1]
					3900, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					103307, -- [1]
				}, -- [4]
			}, -- [45]
			{
				103275, -- [1]
				252216, -- [2]
				{
					3900, -- [1]
					3900, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					103307, -- [1]
				}, -- [4]
			}, -- [46]
			{
				103274, -- [1]
				377801, -- [2]
				{
					1500, -- [1]
					4500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [47]
			{
				103285, -- [1]
				231050, -- [2]
				{
					5700, -- [1]
					5100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [48]
			{
				103326, -- [1]
				377847, -- [2]
				{
					2700, -- [1]
					6300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103325, -- [1]
				}, -- [4]
			}, -- [49]
			{
				103143, -- [1]
				113043, -- [2]
				{
					12299, -- [1]
					2098, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103142, -- [1]
				}, -- [4]
			}, -- [50]
			{
				103142, -- [1]
				392220, -- [2]
				{
					12897, -- [1]
					2697, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103094, -- [1]
					103105, -- [2]
					103141, -- [3]
				}, -- [4]
			}, -- [51]
			{
				103141, -- [1]
				102342, -- [2]
				{
					12897, -- [1]
					3897, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103096, -- [1]
					103140, -- [2]
				}, -- [4]
			}, -- [52]
			{
				103140, -- [1]
				197061, -- [2]
				{
					13500, -- [1]
					4500, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					103138, -- [1]
					103131, -- [2]
				}, -- [4]
			}, -- [53]
			{
				103139, -- [1]
				382552, -- [2]
				{
					13500, -- [1]
					4500, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					103138, -- [1]
					103131, -- [2]
				}, -- [4]
			}, -- [54]
			{
				103138, -- [1]
				382559, -- [2]
				{
					12899, -- [1]
					5101, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103137, -- [1]
					103123, -- [2]
				}, -- [4]
			}, -- [55]
			{
				103137, -- [1]
				392410, -- [2]
				{
					13497, -- [1]
					5700, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					103132, -- [1]
					103124, -- [2]
					103135, -- [3]
				}, -- [4]
			}, -- [56]
			{
				103136, -- [1]
				197721, -- [2]
				{
					13497, -- [1]
					5700, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					103132, -- [1]
					103124, -- [2]
					103135, -- [3]
				}, -- [4]
			}, -- [57]
			{
				103135, -- [1]
				326228, -- [2]
				{
					13497, -- [1]
					6300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103134, -- [1]
				}, -- [4]
			}, -- [58]
			{
				103134, -- [1]
				392302, -- [2]
				{
					13497, -- [1]
					6900, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [59]
			{
				103133, -- [1]
				392160, -- [2]
				{
					13497, -- [1]
					6900, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [60]
			{
				103132, -- [1]
				392099, -- [2]
				{
					14100, -- [1]
					6300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103134, -- [1]
				}, -- [4]
			}, -- [61]
			{
				103131, -- [1]
				392116, -- [2]
				{
					14100, -- [1]
					5100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103132, -- [1]
					103137, -- [2]
				}, -- [4]
			}, -- [62]
			{
				103130, -- [1]
				391969, -- [2]
				{
					9300, -- [1]
					6300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103129, -- [1]
				}, -- [4]
			}, -- [63]
			{
				103129, -- [1]
				274902, -- [2]
				{
					9900, -- [1]
					6900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [64]
			{
				103128, -- [1]
				392167, -- [2]
				{
					10500, -- [1]
					6300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103129, -- [1]
					103127, -- [2]
					103095, -- [3]
				}, -- [4]
			}, -- [65]
			{
				103127, -- [1]
				155675, -- [2]
				{
					11100, -- [1]
					6900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [66]
			{
				103126, -- [1]
				392124, -- [2]
				{
					11700, -- [1]
					6300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103125, -- [1]
					103127, -- [2]
				}, -- [4]
			}, -- [67]
			{
				103125, -- [1]
				392356, -- [2]
				{
					12299, -- [1]
					6900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [68]
			{
				103124, -- [1]
				392315, -- [2]
				{
					12899, -- [1]
					6301, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103125, -- [1]
					103134, -- [2]
				}, -- [4]
			}, -- [69]
			{
				103123, -- [1]
				391888, -- [2]
				{
					12298, -- [1]
					5700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103124, -- [1]
					103122, -- [2]
					103126, -- [3]
				}, -- [4]
			}, -- [70]
			{
				103122, -- [1]
				391951, -- [2]
				{
					12299, -- [1]
					6300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103125, -- [1]
				}, -- [4]
			}, -- [71]
			{
				103121, -- [1]
				392256, -- [2]
				{
					11697, -- [1]
					5101, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103123, -- [1]
					103120, -- [2]
				}, -- [4]
			}, -- [72]
			{
				103120, -- [1]
				33891, -- [2]
				{
					11099, -- [1]
					5699, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					103118, -- [1]
					103126, -- [2]
					103128, -- [3]
				}, -- [4]
			}, -- [73]
			{
				103119, -- [1]
				391528, -- [2]
				{
					11099, -- [1]
					5699, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					103118, -- [1]
					103126, -- [2]
					103128, -- [3]
				}, -- [4]
			}, -- [74]
			{
				103118, -- [1]
				393371, -- [2]
				{
					11100, -- [1]
					6300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103127, -- [1]
				}, -- [4]
			}, -- [75]
			{
				103117, -- [1]
				383191, -- [2]
				{
					10498, -- [1]
					5101, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103116, -- [1]
					103120, -- [2]
				}, -- [4]
			}, -- [76]
			{
				103116, -- [1]
				207385, -- [2]
				{
					9899, -- [1]
					5699, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					103128, -- [1]
					103130, -- [2]
				}, -- [4]
			}, -- [77]
			{
				103115, -- [1]
				203651, -- [2]
				{
					9899, -- [1]
					5699, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					103128, -- [1]
					103130, -- [2]
				}, -- [4]
			}, -- [78]
			{
				103114, -- [1]
				392325, -- [2]
				{
					9299, -- [1]
					5101, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103116, -- [1]
					103130, -- [2]
				}, -- [4]
			}, -- [79]
			{
				103113, -- [1]
				158478, -- [2]
				{
					9899, -- [1]
					4500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103117, -- [1]
					103112, -- [2]
					103114, -- [3]
				}, -- [4]
			}, -- [80]
			{
				103112, -- [1]
				278515, -- [2]
				{
					9900, -- [1]
					5100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103116, -- [1]
				}, -- [4]
			}, -- [81]
			{
				103111, -- [1]
				145205, -- [2]
				{
					10498, -- [1]
					3897, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103110, -- [1]
					103113, -- [2]
				}, -- [4]
			}, -- [82]
			{
				103110, -- [1]
				200390, -- [2]
				{
					11100, -- [1]
					4500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103121, -- [1]
					103117, -- [2]
				}, -- [4]
			}, -- [83]
			{
				103109, -- [1]
				231032, -- [2]
				{
					11099, -- [1]
					3297, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103108, -- [1]
					103111, -- [2]
				}, -- [4]
			}, -- [84]
			{
				103108, -- [1]
				740, -- [2]
				{
					11697, -- [1]
					3897, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103107, -- [1]
				}, -- [4]
			}, -- [85]
			{
				103107, -- [1]
				197073, -- [2]
				{
					11697, -- [1]
					4500, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					103121, -- [1]
				}, -- [4]
			}, -- [86]
			{
				103106, -- [1]
				392162, -- [2]
				{
					11697, -- [1]
					4500, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					103121, -- [1]
				}, -- [4]
			}, -- [87]
			{
				103105, -- [1]
				207383, -- [2]
				{
					12298, -- [1]
					3297, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					103141, -- [1]
					103108, -- [2]
				}, -- [4]
			}, -- [88]
			{
				103104, -- [1]
				102351, -- [2]
				{
					12298, -- [1]
					3297, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					103141, -- [1]
					103108, -- [2]
				}, -- [4]
			}, -- [89]
			{
				103103, -- [1]
				392288, -- [2]
				{
					11697, -- [1]
					2697, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					103105, -- [1]
					103109, -- [2]
				}, -- [4]
			}, -- [90]
			{
				103102, -- [1]
				382550, -- [2]
				{
					11697, -- [1]
					2697, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					103105, -- [1]
					103109, -- [2]
				}, -- [4]
			}, -- [91]
			{
				103101, -- [1]
				132158, -- [2]
				{
					11697, -- [1]
					2098, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103103, -- [1]
				}, -- [4]
			}, -- [92]
			{
				103100, -- [1]
				33763, -- [2]
				{
					11697, -- [1]
					1498, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103101, -- [1]
					103099, -- [2]
					103143, -- [3]
				}, -- [4]
			}, -- [93]
			{
				103099, -- [1]
				145108, -- [2]
				{
					11099, -- [1]
					2098, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103098, -- [1]
				}, -- [4]
			}, -- [94]
			{
				103098, -- [1]
				383192, -- [2]
				{
					10498, -- [1]
					2698, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103111, -- [1]
					103097, -- [2]
					103109, -- [3]
				}, -- [4]
			}, -- [95]
			{
				103097, -- [1]
				392221, -- [2]
				{
					9899, -- [1]
					3301, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [96]
			{
				103096, -- [1]
				328025, -- [2]
				{
					12300, -- [1]
					4500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					103138, -- [1]
					103121, -- [2]
				}, -- [4]
			}, -- [97]
			{
				103095, -- [1]
				392301, -- [2]
				{
					10500, -- [1]
					6900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [98]
			{
				103094, -- [1]
				50464, -- [2]
				{
					13497, -- [1]
					3301, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [99]
		},
		[252] = {
			{
				96282, -- [1]
				390196, -- [2]
				{
					12000, -- [1]
					4200, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					96333, -- [1]
				}, -- [4]
			}, -- [1]
			{
				96281, -- [1]
				390236, -- [2]
				{
					12000, -- [1]
					4200, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					96333, -- [1]
				}, -- [4]
			}, -- [2]
			{
				96283, -- [1]
				390259, -- [2]
				{
					13200, -- [1]
					6600, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [3]
			{
				96284, -- [1]
				377440, -- [2]
				{
					13200, -- [1]
					6000, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					96283, -- [1]
				}, -- [4]
			}, -- [4]
			{
				96285, -- [1]
				207289, -- [2]
				{
					10800, -- [1]
					6600, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [5]
			{
				96286, -- [1]
				377590, -- [2]
				{
					10800, -- [1]
					6000, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					96285, -- [1]
				}, -- [4]
			}, -- [6]
			{
				96287, -- [1]
				276837, -- [2]
				{
					12000, -- [1]
					6000, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					96289, -- [1]
				}, -- [4]
			}, -- [7]
			{
				96288, -- [1]
				377587, -- [2]
				{
					11400, -- [1]
					6000, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					96289, -- [1]
				}, -- [4]
			}, -- [8]
			{
				96289, -- [1]
				390283, -- [2]
				{
					12000, -- [1]
					6600, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [9]
			{
				96291, -- [1]
				277234, -- [2]
				{
					10800, -- [1]
					4800, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					96292, -- [1]
				}, -- [4]
			}, -- [10]
			{
				96292, -- [1]
				377537, -- [2]
				{
					10800, -- [1]
					5400, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					96288, -- [1]
					96286, -- [2]
				}, -- [4]
			}, -- [11]
			{
				96293, -- [1]
				390279, -- [2]
				{
					10200, -- [1]
					4800, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					96292, -- [1]
				}, -- [4]
			}, -- [12]
			{
				96294, -- [1]
				194917, -- [2]
				{
					10200, -- [1]
					4200, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					96293, -- [1]
				}, -- [4]
			}, -- [13]
			{
				96295, -- [1]
				207317, -- [2]
				{
					10200, -- [1]
					3600, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					96294, -- [1]
				}, -- [4]
			}, -- [14]
			{
				96296, -- [1]
				115989, -- [2]
				{
					10800, -- [1]
					3000, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					96295, -- [1]
					96297, -- [2]
					96330, -- [3]
				}, -- [4]
			}, -- [15]
			{
				96297, -- [1]
				377585, -- [2]
				{
					10800, -- [1]
					3600, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					96294, -- [1]
					96331, -- [2]
					96299, -- [3]
				}, -- [4]
			}, -- [16]
			{
				96299, -- [1]
				207264, -- [2]
				{
					10800, -- [1]
					4200, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					96291, -- [1]
					96293, -- [2]
				}, -- [4]
			}, -- [17]
			{
				96298, -- [1]
				207269, -- [2]
				{
					10800, -- [1]
					4200, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					96291, -- [1]
					96293, -- [2]
				}, -- [4]
			}, -- [18]
			{
				96310, -- [1]
				276023, -- [2]
				{
					13200, -- [1]
					4800, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					96311, -- [1]
				}, -- [4]
			}, -- [19]
			{
				96311, -- [1]
				49206, -- [2]
				{
					13200, -- [1]
					5400, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					96334, -- [1]
					96284, -- [2]
				}, -- [4]
			}, -- [20]
			{
				96312, -- [1]
				377514, -- [2]
				{
					13800, -- [1]
					4800, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					96311, -- [1]
				}, -- [4]
			}, -- [21]
			{
				96313, -- [1]
				390275, -- [2]
				{
					13200, -- [1]
					4200, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					96310, -- [1]
					96312, -- [2]
				}, -- [4]
			}, -- [22]
			{
				96314, -- [1]
				49530, -- [2]
				{
					13200, -- [1]
					3600, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					96313, -- [1]
					96316, -- [2]
					96321, -- [3]
				}, -- [4]
			}, -- [23]
			{
				96316, -- [1]
				319230, -- [2]
				{
					13800, -- [1]
					4200, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					96312, -- [1]
				}, -- [4]
			}, -- [24]
			{
				96315, -- [1]
				152280, -- [2]
				{
					13800, -- [1]
					4200, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					96312, -- [1]
				}, -- [4]
			}, -- [25]
			{
				96317, -- [1]
				194916, -- [2]
				{
					13800, -- [1]
					3600, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					96316, -- [1]
				}, -- [4]
			}, -- [26]
			{
				96318, -- [1]
				207272, -- [2]
				{
					13200, -- [1]
					3000, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					96320, -- [1]
					96317, -- [2]
					96314, -- [3]
				}, -- [4]
			}, -- [27]
			{
				96320, -- [1]
				207311, -- [2]
				{
					12600, -- [1]
					3600, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					96321, -- [1]
				}, -- [4]
			}, -- [28]
			{
				96319, -- [1]
				390175, -- [2]
				{
					12600, -- [1]
					3600, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					96321, -- [1]
				}, -- [4]
			}, -- [29]
			{
				96321, -- [1]
				377580, -- [2]
				{
					12600, -- [1]
					4200, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					96290, -- [1]
				}, -- [4]
			}, -- [30]
			{
				96322, -- [1]
				275699, -- [2]
				{
					12000, -- [1]
					3600, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					96282, -- [1]
					96321, -- [2]
					96331, -- [3]
				}, -- [4]
			}, -- [31]
			{
				96323, -- [1]
				390166, -- [2]
				{
					12600, -- [1]
					3000, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					96322, -- [1]
				}, -- [4]
			}, -- [32]
			{
				96324, -- [1]
				63560, -- [2]
				{
					12600, -- [1]
					2400, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					96323, -- [1]
					96318, -- [2]
				}, -- [4]
			}, -- [33]
			{
				96325, -- [1]
				46584, -- [2]
				{
					12600, -- [1]
					1800, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					96324, -- [1]
				}, -- [4]
			}, -- [34]
			{
				96326, -- [1]
				85948, -- [2]
				{
					12000, -- [1]
					1200, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					96325, -- [1]
					96327, -- [2]
				}, -- [4]
			}, -- [35]
			{
				96327, -- [1]
				55090, -- [2]
				{
					11400, -- [1]
					1800, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					96328, -- [1]
				}, -- [4]
			}, -- [36]
			{
				96328, -- [1]
				77575, -- [2]
				{
					11400, -- [1]
					2400, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					96296, -- [1]
					96329, -- [2]
				}, -- [4]
			}, -- [37]
			{
				96329, -- [1]
				316867, -- [2]
				{
					11400, -- [1]
					3000, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					96330, -- [1]
					96322, -- [2]
				}, -- [4]
			}, -- [38]
			{
				96330, -- [1]
				390161, -- [2]
				{
					11400, -- [1]
					3600, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					96331, -- [1]
				}, -- [4]
			}, -- [39]
			{
				96331, -- [1]
				316941, -- [2]
				{
					11400, -- [1]
					4200, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					96332, -- [1]
				}, -- [4]
			}, -- [40]
			{
				96332, -- [1]
				390268, -- [2]
				{
					11400, -- [1]
					4800, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					96333, -- [1]
					96292, -- [2]
				}, -- [4]
			}, -- [41]
			{
				96333, -- [1]
				42650, -- [2]
				{
					12000, -- [1]
					5400, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					96287, -- [1]
					96288, -- [2]
					96334, -- [3]
				}, -- [4]
			}, -- [42]
			{
				96334, -- [1]
				377592, -- [2]
				{
					12600, -- [1]
					6000, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					96289, -- [1]
				}, -- [4]
			}, -- [43]
			{
				96290, -- [1]
				390270, -- [2]
				{
					12600, -- [1]
					4800, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					96311, -- [1]
					96333, -- [2]
				}, -- [4]
			}, -- [44]
			{
				96172, -- [1]
				207167, -- [2]
				{
					1800, -- [1]
					2400, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					96213, -- [1]
				}, -- [4]
			}, -- [45]
			{
				96173, -- [1]
				378848, -- [2]
				{
					2400, -- [1]
					2400, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					96213, -- [1]
				}, -- [4]
			}, -- [46]
			{
				96174, -- [1]
				205727, -- [2]
				{
					4200, -- [1]
					2400, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					96197, -- [1]
				}, -- [4]
			}, -- [47]
			{
				96175, -- [1]
				373926, -- [2]
				{
					2400, -- [1]
					3600, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					96215, -- [1]
				}, -- [4]
			}, -- [48]
			{
				96176, -- [1]
				374383, -- [2]
				{
					4200, -- [1]
					4200, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					96207, -- [1]
				}, -- [4]
			}, -- [49]
			{
				96177, -- [1]
				383269, -- [2]
				{
					4200, -- [1]
					6600, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [50]
			{
				96178, -- [1]
				47568, -- [2]
				{
					3000, -- [1]
					6600, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [51]
			{
				96179, -- [1]
				194878, -- [2]
				{
					3000, -- [1]
					6000, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					96178, -- [1]
				}, -- [4]
			}, -- [52]
			{
				96180, -- [1]
				391571, -- [2]
				{
					3000, -- [1]
					4200, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					96216, -- [1]
				}, -- [4]
			}, -- [53]
			{
				96181, -- [1]
				343294, -- [2]
				{
					5400, -- [1]
					6600, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [54]
			{
				96182, -- [1]
				206967, -- [2]
				{
					4800, -- [1]
					5400, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					96183, -- [1]
					96209, -- [2]
				}, -- [4]
			}, -- [55]
			{
				96183, -- [1]
				374261, -- [2]
				{
					5400, -- [1]
					6000, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					96181, -- [1]
				}, -- [4]
			}, -- [56]
			{
				96184, -- [1]
				356367, -- [2]
				{
					6000, -- [1]
					5400, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					96183, -- [1]
				}, -- [4]
			}, -- [57]
			{
				96186, -- [1]
				276079, -- [2]
				{
					5400, -- [1]
					4200, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					96187, -- [1]
				}, -- [4]
			}, -- [58]
			{
				96185, -- [1]
				273952, -- [2]
				{
					5400, -- [1]
					4200, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					96187, -- [1]
				}, -- [4]
			}, -- [59]
			{
				96187, -- [1]
				374265, -- [2]
				{
					5400, -- [1]
					4800, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					96184, -- [1]
					96182, -- [2]
				}, -- [4]
			}, -- [60]
			{
				96188, -- [1]
				111673, -- [2]
				{
					6000, -- [1]
					2400, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					96190, -- [1]
				}, -- [4]
			}, -- [61]
			{
				96189, -- [1]
				392566, -- [2]
				{
					6600, -- [1]
					2400, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					96190, -- [1]
				}, -- [4]
			}, -- [62]
			{
				96190, -- [1]
				374504, -- [2]
				{
					6000, -- [1]
					3000, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					96191, -- [1]
					96205, -- [2]
				}, -- [4]
			}, -- [63]
			{
				96191, -- [1]
				389679, -- [2]
				{
					6000, -- [1]
					3600, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					96192, -- [1]
				}, -- [4]
			}, -- [64]
			{
				96192, -- [1]
				389682, -- [2]
				{
					6000, -- [1]
					4200, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					96187, -- [1]
				}, -- [4]
			}, -- [65]
			{
				96193, -- [1]
				221562, -- [2]
				{
					3600, -- [1]
					4200, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					96207, -- [1]
				}, -- [4]
			}, -- [66]
			{
				96194, -- [1]
				51052, -- [2]
				{
					4200, -- [1]
					3600, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					96193, -- [1]
					96176, -- [2]
					96206, -- [3]
				}, -- [4]
			}, -- [67]
			{
				96195, -- [1]
				374030, -- [2]
				{
					3600, -- [1]
					3000, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					96194, -- [1]
					96214, -- [2]
				}, -- [4]
			}, -- [68]
			{
				96196, -- [1]
				374277, -- [2]
				{
					3600, -- [1]
					2400, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					96197, -- [1]
					96195, -- [2]
				}, -- [4]
			}, -- [69]
			{
				96197, -- [1]
				48263, -- [2]
				{
					4200, -- [1]
					3000, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					96194, -- [1]
				}, -- [4]
			}, -- [70]
			{
				96198, -- [1]
				391546, -- [2]
				{
					4800, -- [1]
					2400, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					96197, -- [1]
					96204, -- [2]
				}, -- [4]
			}, -- [71]
			{
				96199, -- [1]
				48707, -- [2]
				{
					4200, -- [1]
					1800, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					96196, -- [1]
					96174, -- [2]
					96198, -- [3]
				}, -- [4]
			}, -- [72]
			{
				96200, -- [1]
				49998, -- [2]
				{
					4200, -- [1]
					1200, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					96199, -- [1]
				}, -- [4]
			}, -- [73]
			{
				96201, -- [1]
				46585, -- [2]
				{
					6000, -- [1]
					1200, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					96202, -- [1]
				}, -- [4]
			}, -- [74]
			{
				96202, -- [1]
				316916, -- [2]
				{
					6000, -- [1]
					1800, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					96203, -- [1]
					96189, -- [2]
					96188, -- [3]
				}, -- [4]
			}, -- [75]
			{
				96203, -- [1]
				327574, -- [2]
				{
					5400, -- [1]
					2400, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					96204, -- [1]
					96190, -- [2]
				}, -- [4]
			}, -- [76]
			{
				96204, -- [1]
				374049, -- [2]
				{
					4800, -- [1]
					3000, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					96194, -- [1]
					96205, -- [2]
				}, -- [4]
			}, -- [77]
			{
				96205, -- [1]
				374111, -- [2]
				{
					5400, -- [1]
					3600, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					96186, -- [1]
					96206, -- [2]
					96192, -- [3]
				}, -- [4]
			}, -- [78]
			{
				96206, -- [1]
				48743, -- [2]
				{
					4800, -- [1]
					4200, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					96207, -- [1]
				}, -- [4]
			}, -- [79]
			{
				96207, -- [1]
				212552, -- [2]
				{
					4200, -- [1]
					4800, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					96182, -- [1]
					96208, -- [2]
				}, -- [4]
			}, -- [80]
			{
				96208, -- [1]
				374598, -- [2]
				{
					3600, -- [1]
					5400, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					96179, -- [1]
					96209, -- [2]
				}, -- [4]
			}, -- [81]
			{
				96209, -- [1]
				374574, -- [2]
				{
					4200, -- [1]
					6000, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					96177, -- [1]
				}, -- [4]
			}, -- [82]
			{
				96210, -- [1]
				45524, -- [2]
				{
					2400, -- [1]
					1200, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					96211, -- [1]
				}, -- [4]
			}, -- [83]
			{
				96211, -- [1]
				47528, -- [2]
				{
					2400, -- [1]
					1800, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					96212, -- [1]
					96172, -- [2]
					96173, -- [3]
				}, -- [4]
			}, -- [84]
			{
				96212, -- [1]
				207200, -- [2]
				{
					3000, -- [1]
					2400, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					96213, -- [1]
					96195, -- [2]
				}, -- [4]
			}, -- [85]
			{
				96213, -- [1]
				48792, -- [2]
				{
					2400, -- [1]
					3000, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					96214, -- [1]
					96175, -- [2]
				}, -- [4]
			}, -- [86]
			{
				96214, -- [1]
				373923, -- [2]
				{
					3000, -- [1]
					3600, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					96193, -- [1]
					96215, -- [2]
					96180, -- [3]
				}, -- [4]
			}, -- [87]
			{
				96215, -- [1]
				373930, -- [2]
				{
					2400, -- [1]
					4200, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					96216, -- [1]
				}, -- [4]
			}, -- [88]
			{
				96216, -- [1]
				207104, -- [2]
				{
					3000, -- [1]
					4800, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					96208, -- [1]
					96217, -- [2]
				}, -- [4]
			}, -- [89]
			{
				96217, -- [1]
				391566, -- [2]
				{
					2400, -- [1]
					5400, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					96179, -- [1]
				}, -- [4]
			}, -- [90]
		},
		[66] = {
			{
				102439, -- [1]
				393022, -- [2]
				{
					11998, -- [1]
					3302, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					102468, -- [1]
				}, -- [4]
			}, -- [1]
			{
				102436, -- [1]
				204023, -- [2]
				{
					13199, -- [1]
					5099, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					102444, -- [1]
				}, -- [4]
			}, -- [2]
			{
				102435, -- [1]
				378845, -- [2]
				{
					11397, -- [1]
					5697, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					102446, -- [1]
				}, -- [4]
			}, -- [3]
			{
				102434, -- [1]
				378457, -- [2]
				{
					11397, -- [1]
					5697, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					102446, -- [1]
				}, -- [4]
			}, -- [4]
			{
				102625, -- [1]
				190784, -- [2]
				{
					4796, -- [1]
					2696, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					102624, -- [1]
					102593, -- [2]
					102592, -- [3]
				}, -- [4]
			}, -- [5]
			{
				102624, -- [1]
				376996, -- [2]
				{
					5395, -- [1]
					3297, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					102593, -- [1]
					102622, -- [2]
				}, -- [4]
			}, -- [6]
			{
				102623, -- [1]
				377016, -- [2]
				{
					5395, -- [1]
					3297, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					102593, -- [1]
					102622, -- [2]
				}, -- [4]
			}, -- [7]
			{
				102622, -- [1]
				10326, -- [2]
				{
					5997, -- [1]
					3897, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					102621, -- [1]
					102604, -- [2]
				}, -- [4]
			}, -- [8]
			{
				102621, -- [1]
				377053, -- [2]
				{
					6597, -- [1]
					4495, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					102478, -- [1]
					102620, -- [2]
				}, -- [4]
			}, -- [9]
			{
				102620, -- [1]
				385464, -- [2]
				{
					5997, -- [1]
					5096, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					102478, -- [1]
					102618, -- [2]
				}, -- [4]
			}, -- [10]
			{
				102619, -- [1]
				385349, -- [2]
				{
					5997, -- [1]
					5096, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					102478, -- [1]
					102618, -- [2]
				}, -- [4]
			}, -- [11]
			{
				102618, -- [1]
				385427, -- [2]
				{
					5997, -- [1]
					5696, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					102609, -- [1]
					102617, -- [2]
				}, -- [4]
			}, -- [12]
			{
				102617, -- [1]
				385728, -- [2]
				{
					5997, -- [1]
					6297, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					102616, -- [1]
				}, -- [4]
			}, -- [13]
			{
				102616, -- [1]
				391142, -- [2]
				{
					5997, -- [1]
					6897, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [14]
			{
				102615, -- [1]
				385125, -- [2]
				{
					3596, -- [1]
					6297, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					102614, -- [1]
				}, -- [4]
			}, -- [15]
			{
				102614, -- [1]
				385129, -- [2]
				{
					3596, -- [1]
					6897, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [16]
			{
				102613, -- [1]
				385416, -- [2]
				{
					3595, -- [1]
					5692, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					102612, -- [1]
					102615, -- [2]
				}, -- [4]
			}, -- [17]
			{
				102612, -- [1]
				385450, -- [2]
				{
					4195, -- [1]
					6297, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					102611, -- [1]
				}, -- [4]
			}, -- [18]
			{
				102611, -- [1]
				152262, -- [2]
				{
					4796, -- [1]
					6897, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [19]
			{
				102610, -- [1]
				53376, -- [2]
				{
					4796, -- [1]
					6897, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [20]
			{
				102609, -- [1]
				385425, -- [2]
				{
					5395, -- [1]
					6297, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					102611, -- [1]
				}, -- [4]
			}, -- [21]
			{
				102608, -- [1]
				223817, -- [2]
				{
					4795, -- [1]
					5692, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					102612, -- [1]
					102609, -- [2]
				}, -- [4]
			}, -- [22]
			{
				102607, -- [1]
				105809, -- [2]
				{
					4795, -- [1]
					5692, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					102612, -- [1]
					102609, -- [2]
				}, -- [4]
			}, -- [23]
			{
				102606, -- [1]
				384909, -- [2]
				{
					5395, -- [1]
					5096, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					102618, -- [1]
					102608, -- [2]
				}, -- [4]
			}, -- [24]
			{
				102605, -- [1]
				204018, -- [2]
				{
					5395, -- [1]
					5096, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					102618, -- [1]
					102608, -- [2]
				}, -- [4]
			}, -- [25]
			{
				102604, -- [1]
				1022, -- [2]
				{
					5395, -- [1]
					4497, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					102620, -- [1]
					102603, -- [2]
					102606, -- [3]
				}, -- [4]
			}, -- [26]
			{
				102603, -- [1]
				114154, -- [2]
				{
					4795, -- [1]
					5095, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					102608, -- [1]
				}, -- [4]
			}, -- [27]
			{
				102602, -- [1]
				6940, -- [2]
				{
					4196, -- [1]
					4497, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					102595, -- [1]
					102601, -- [2]
					102603, -- [3]
				}, -- [4]
			}, -- [28]
			{
				102601, -- [1]
				385414, -- [2]
				{
					3596, -- [1]
					5096, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					102600, -- [1]
					102613, -- [2]
				}, -- [4]
			}, -- [29]
			{
				102600, -- [1]
				384815, -- [2]
				{
					2996, -- [1]
					5696, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					102615, -- [1]
				}, -- [4]
			}, -- [30]
			{
				102599, -- [1]
				384897, -- [2]
				{
					2996, -- [1]
					5096, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					102600, -- [1]
				}, -- [4]
			}, -- [31]
			{
				102598, -- [1]
				377128, -- [2]
				{
					2996, -- [1]
					4496, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					102601, -- [1]
					102599, -- [2]
				}, -- [4]
			}, -- [32]
			{
				102597, -- [1]
				385515, -- [2]
				{
					3596, -- [1]
					3896, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					102596, -- [1]
					102602, -- [2]
					102598, -- [3]
				}, -- [4]
			}, -- [33]
			{
				102596, -- [1]
				183778, -- [2]
				{
					3596, -- [1]
					4496, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					102601, -- [1]
				}, -- [4]
			}, -- [34]
			{
				102595, -- [1]
				384820, -- [2]
				{
					4196, -- [1]
					5095, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					102608, -- [1]
					102613, -- [2]
				}, -- [4]
			}, -- [35]
			{
				102594, -- [1]
				384914, -- [2]
				{
					4196, -- [1]
					5095, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					102608, -- [1]
					102613, -- [2]
				}, -- [4]
			}, -- [36]
			{
				102593, -- [1]
				384376, -- [2]
				{
					4795, -- [1]
					3895, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					102602, -- [1]
					102604, -- [2]
				}, -- [4]
			}, -- [37]
			{
				102592, -- [1]
				230332, -- [2]
				{
					4196, -- [1]
					3297, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					102593, -- [1]
					102597, -- [2]
				}, -- [4]
			}, -- [38]
			{
				102591, -- [1]
				96231, -- [2]
				{
					6597, -- [1]
					3896, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					102621, -- [1]
				}, -- [4]
			}, -- [39]
			{
				102590, -- [1]
				231663, -- [2]
				{
					6597, -- [1]
					3297, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					102622, -- [1]
					102591, -- [2]
				}, -- [4]
			}, -- [40]
			{
				102589, -- [1]
				234299, -- [2]
				{
					5997, -- [1]
					2696, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					102590, -- [1]
					102622, -- [2]
				}, -- [4]
			}, -- [41]
			{
				102588, -- [1]
				385639, -- [2]
				{
					5395, -- [1]
					2096, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					102625, -- [1]
					102589, -- [2]
				}, -- [4]
			}, -- [42]
			{
				102587, -- [1]
				1044, -- [2]
				{
					4795, -- [1]
					1496, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					102588, -- [1]
					102586, -- [2]
					102625, -- [3]
				}, -- [4]
			}, -- [43]
			{
				102586, -- [1]
				385633, -- [2]
				{
					4196, -- [1]
					2096, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					102585, -- [1]
					102625, -- [2]
				}, -- [4]
			}, -- [44]
			{
				102585, -- [1]
				20066, -- [2]
				{
					3596, -- [1]
					2696, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					102476, -- [1]
					102597, -- [2]
				}, -- [4]
			}, -- [45]
			{
				102584, -- [1]
				115750, -- [2]
				{
					3596, -- [1]
					2696, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					102476, -- [1]
					102597, -- [2]
				}, -- [4]
			}, -- [46]
			{
				102583, -- [1]
				633, -- [2]
				{
					3596, -- [1]
					1495, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					102586, -- [1]
					102585, -- [2]
				}, -- [4]
			}, -- [47]
			{
				102440, -- [1]
				204074, -- [2]
				{
					13198, -- [1]
					5697, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					102465, -- [1]
					102473, -- [2]
				}, -- [4]
			}, -- [48]
			{
				102441, -- [1]
				393114, -- [2]
				{
					12600, -- [1]
					3900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					102448, -- [1]
				}, -- [4]
			}, -- [49]
			{
				102443, -- [1]
				386738, -- [2]
				{
					13800, -- [1]
					6900, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [50]
			{
				102442, -- [1]
				379391, -- [2]
				{
					13800, -- [1]
					6900, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [51]
			{
				102444, -- [1]
				379043, -- [2]
				{
					13800, -- [1]
					5697, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					102465, -- [1]
				}, -- [4]
			}, -- [52]
			{
				102445, -- [1]
				31850, -- [2]
				{
					12596, -- [1]
					3301, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					102472, -- [1]
					102468, -- [2]
					102441, -- [3]
				}, -- [4]
			}, -- [53]
			{
				102446, -- [1]
				378762, -- [2]
				{
					11398, -- [1]
					6300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					102474, -- [1]
				}, -- [4]
			}, -- [54]
			{
				102448, -- [1]
				384442, -- [2]
				{
					12596, -- [1]
					4498, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					102456, -- [1]
				}, -- [4]
			}, -- [55]
			{
				102447, -- [1]
				385438, -- [2]
				{
					12596, -- [1]
					4498, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					102456, -- [1]
				}, -- [4]
			}, -- [56]
			{
				102449, -- [1]
				378279, -- [2]
				{
					11997, -- [1]
					5697, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					102446, -- [1]
					102464, -- [2]
				}, -- [4]
			}, -- [57]
			{
				102450, -- [1]
				379008, -- [2]
				{
					13800, -- [1]
					4498, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					102436, -- [1]
					102469, -- [2]
				}, -- [4]
			}, -- [58]
			{
				102452, -- [1]
				393030, -- [2]
				{
					10799, -- [1]
					3901, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					102437, -- [1]
					102433, -- [2]
				}, -- [4]
			}, -- [59]
			{
				102451, -- [1]
				379021, -- [2]
				{
					10799, -- [1]
					3901, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					102437, -- [1]
					102433, -- [2]
				}, -- [4]
			}, -- [60]
			{
				102453, -- [1]
				85043, -- [2]
				{
					12596, -- [1]
					2697, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					102439, -- [1]
					102445, -- [2]
					102470, -- [3]
				}, -- [4]
			}, -- [61]
			{
				102454, -- [1]
				378974, -- [2]
				{
					11998, -- [1]
					5099, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					102435, -- [1]
				}, -- [4]
			}, -- [62]
			{
				102455, -- [1]
				152261, -- [2]
				{
					11398, -- [1]
					2700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					102459, -- [1]
				}, -- [4]
			}, -- [63]
			{
				102456, -- [1]
				86659, -- [2]
				{
					12596, -- [1]
					5099, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					102466, -- [1]
					102440, -- [2]
					102449, -- [3]
				}, -- [4]
			}, -- [64]
			{
				102457, -- [1]
				386653, -- [2]
				{
					12596, -- [1]
					6900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [65]
			{
				102437, -- [1]
				378285, -- [2]
				{
					11397, -- [1]
					4498, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					102454, -- [1]
					102433, -- [2]
				}, -- [4]
			}, -- [66]
			{
				102438, -- [1]
				315924, -- [2]
				{
					13199, -- [1]
					4498, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					102436, -- [1]
					102456, -- [2]
				}, -- [4]
			}, -- [67]
			{
				102459, -- [1]
				204054, -- [2]
				{
					11398, -- [1]
					3301, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					102468, -- [1]
					102452, -- [2]
				}, -- [4]
			}, -- [68]
			{
				102458, -- [1]
				393027, -- [2]
				{
					11398, -- [1]
					3301, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					102468, -- [1]
					102452, -- [2]
				}, -- [4]
			}, -- [69]
			{
				102464, -- [1]
				379017, -- [2]
				{
					11998, -- [1]
					6300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					102457, -- [1]
				}, -- [4]
			}, -- [70]
			{
				102465, -- [1]
				375576, -- [2]
				{
					13800, -- [1]
					6300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					102443, -- [1]
				}, -- [4]
			}, -- [71]
			{
				102466, -- [1]
				387174, -- [2]
				{
					12595, -- [1]
					5697, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					102457, -- [1]
					102464, -- [2]
					102473, -- [3]
				}, -- [4]
			}, -- [72]
			{
				102467, -- [1]
				321136, -- [2]
				{
					13800, -- [1]
					2699, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					102432, -- [1]
				}, -- [4]
			}, -- [73]
			{
				102468, -- [1]
				209389, -- [2]
				{
					11998, -- [1]
					3897, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					102437, -- [1]
					102475, -- [2]
					102448, -- [3]
				}, -- [4]
			}, -- [74]
			{
				102469, -- [1]
				378425, -- [2]
				{
					14398, -- [1]
					5099, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					102444, -- [1]
				}, -- [4]
			}, -- [75]
			{
				102470, -- [1]
				385726, -- [2]
				{
					13199, -- [1]
					3301, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					102472, -- [1]
				}, -- [4]
			}, -- [76]
			{
				102471, -- [1]
				31935, -- [2]
				{
					12596, -- [1]
					1500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					102463, -- [1]
					102431, -- [2]
				}, -- [4]
			}, -- [77]
			{
				102472, -- [1]
				378405, -- [2]
				{
					13199, -- [1]
					3897, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					102448, -- [1]
					102438, -- [2]
					102450, -- [3]
				}, -- [4]
			}, -- [78]
			{
				102473, -- [1]
				204077, -- [2]
				{
					13199, -- [1]
					6300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					102457, -- [1]
				}, -- [4]
			}, -- [79]
			{
				102474, -- [1]
				327193, -- [2]
				{
					11397, -- [1]
					6900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [80]
			{
				102475, -- [1]
				383388, -- [2]
				{
					11998, -- [1]
					4498, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					102454, -- [1]
					102456, -- [2]
				}, -- [4]
			}, -- [81]
			{
				102476, -- [1]
				213644, -- [2]
				{
					2998, -- [1]
					3299, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					102597, -- [1]
					102598, -- [2]
				}, -- [4]
			}, -- [82]
			{
				102478, -- [1]
				377043, -- [2]
				{
					6597, -- [1]
					5696, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					102617, -- [1]
				}, -- [4]
			}, -- [83]
			{
				102479, -- [1]
				24275, -- [2]
				{
					5997, -- [1]
					1495, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					102588, -- [1]
					102589, -- [2]
				}, -- [4]
			}, -- [84]
			{
				102431, -- [1]
				53595, -- [2]
				{
					11998, -- [1]
					2099, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					102455, -- [1]
					102453, -- [2]
				}, -- [4]
			}, -- [85]
			{
				102430, -- [1]
				204019, -- [2]
				{
					11998, -- [1]
					2099, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					102455, -- [1]
					102453, -- [2]
				}, -- [4]
			}, -- [86]
			{
				102432, -- [1]
				379022, -- [2]
				{
					13800, -- [1]
					3301, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					102472, -- [1]
					102461, -- [2]
				}, -- [4]
			}, -- [87]
			{
				102433, -- [1]
				385422, -- [2]
				{
					10798, -- [1]
					5099, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					102435, -- [1]
				}, -- [4]
			}, -- [88]
			{
				102463, -- [1]
				386568, -- [2]
				{
					13200, -- [1]
					2100, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					102453, -- [1]
					102467, -- [2]
				}, -- [4]
			}, -- [89]
			{
				102462, -- [1]
				280373, -- [2]
				{
					13200, -- [1]
					2100, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					102453, -- [1]
					102467, -- [2]
				}, -- [4]
			}, -- [90]
			{
				102461, -- [1]
				393071, -- [2]
				{
					14398, -- [1]
					3897, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					102469, -- [1]
					102450, -- [2]
				}, -- [4]
			}, -- [91]
			{
				102460, -- [1]
				380188, -- [2]
				{
					14398, -- [1]
					3897, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					102469, -- [1]
					102450, -- [2]
				}, -- [4]
			}, -- [92]
		},
		[577] = {
			{
				104123, -- [1]
				320654, -- [2]
				{
					2700, -- [1]
					3300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104121, -- [1]
					104122, -- [2]
				}, -- [4]
			}, -- [1]
			{
				104063, -- [1]
				393029, -- [2]
				{
					12600, -- [1]
					2700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104072, -- [1]
				}, -- [4]
			}, -- [2]
			{
				104064, -- [1]
				206478, -- [2]
				{
					9900, -- [1]
					2700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104078, -- [1]
				}, -- [4]
			}, -- [3]
			{
				104065, -- [1]
				343017, -- [2]
				{
					10800, -- [1]
					2700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104078, -- [1]
				}, -- [4]
			}, -- [4]
			{
				104066, -- [1]
				343206, -- [2]
				{
					10800, -- [1]
					2100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104068, -- [1]
					104065, -- [2]
					104064, -- [3]
				}, -- [4]
			}, -- [5]
			{
				104067, -- [1]
				328725, -- [2]
				{
					11700, -- [1]
					3300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [6]
			{
				104068, -- [1]
				206416, -- [2]
				{
					11700, -- [1]
					2700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104067, -- [1]
					104072, -- [2]
					104078, -- [3]
				}, -- [4]
			}, -- [7]
			{
				104069, -- [1]
				388109, -- [2]
				{
					12600, -- [1]
					2100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104070, -- [1]
					104063, -- [2]
					104068, -- [3]
				}, -- [4]
			}, -- [8]
			{
				104070, -- [1]
				320374, -- [2]
				{
					13500, -- [1]
					2700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104072, -- [1]
				}, -- [4]
			}, -- [9]
			{
				104071, -- [1]
				258881, -- [2]
				{
					13500, -- [1]
					3900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104075, -- [1]
					104091, -- [2]
				}, -- [4]
			}, -- [10]
			{
				104072, -- [1]
				389978, -- [2]
				{
					12600, -- [1]
					3300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104077, -- [1]
					104071, -- [2]
					104073, -- [3]
				}, -- [4]
			}, -- [11]
			{
				104073, -- [1]
				211881, -- [2]
				{
					12600, -- [1]
					3900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104075, -- [1]
				}, -- [4]
			}, -- [12]
			{
				104074, -- [1]
				389977, -- [2]
				{
					12600, -- [1]
					5100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104089, -- [1]
				}, -- [4]
			}, -- [13]
			{
				104075, -- [1]
				390154, -- [2]
				{
					12600, -- [1]
					4500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104074, -- [1]
					104085, -- [2]
				}, -- [4]
			}, -- [14]
			{
				104076, -- [1]
				320415, -- [2]
				{
					11700, -- [1]
					4500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [15]
			{
				104077, -- [1]
				388112, -- [2]
				{
					11700, -- [1]
					3900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104075, -- [1]
					104076, -- [2]
					104084, -- [3]
				}, -- [4]
			}, -- [16]
			{
				104078, -- [1]
				320413, -- [2]
				{
					10800, -- [1]
					3300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104062, -- [1]
					104077, -- [2]
					104079, -- [3]
				}, -- [4]
			}, -- [17]
			{
				104079, -- [1]
				388108, -- [2]
				{
					9900, -- [1]
					3900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104084, -- [1]
					104082, -- [2]
				}, -- [4]
			}, -- [18]
			{
				104080, -- [1]
				206476, -- [2]
				{
					9900, -- [1]
					5700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104105, -- [1]
				}, -- [4]
			}, -- [19]
			{
				104081, -- [1]
				389688, -- [2]
				{
					9900, -- [1]
					5100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104106, -- [1]
					104080, -- [2]
				}, -- [4]
			}, -- [20]
			{
				104082, -- [1]
				347461, -- [2]
				{
					9900, -- [1]
					4500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104083, -- [1]
					104081, -- [2]
				}, -- [4]
			}, -- [21]
			{
				104083, -- [1]
				388113, -- [2]
				{
					10800, -- [1]
					5100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104106, -- [1]
				}, -- [4]
			}, -- [22]
			{
				104084, -- [1]
				203550, -- [2]
				{
					10800, -- [1]
					4500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104085, -- [1]
					104083, -- [2]
				}, -- [4]
			}, -- [23]
			{
				104085, -- [1]
				343311, -- [2]
				{
					11700, -- [1]
					5100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104086, -- [1]
					104109, -- [2]
				}, -- [4]
			}, -- [24]
			{
				104086, -- [1]
				389693, -- [2]
				{
					12000, -- [1]
					5700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104088, -- [1]
					104110, -- [2]
				}, -- [4]
			}, -- [25]
			{
				104088, -- [1]
				391429, -- [2]
				{
					12300, -- [1]
					6300, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [26]
			{
				104087, -- [1]
				390163, -- [2]
				{
					12300, -- [1]
					6300, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [27]
			{
				104089, -- [1]
				391275, -- [2]
				{
					12600, -- [1]
					5700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104093, -- [1]
					104088, -- [2]
				}, -- [4]
			}, -- [28]
			{
				104090, -- [1]
				391189, -- [2]
				{
					13500, -- [1]
					5100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104060, -- [1]
					104089, -- [2]
				}, -- [4]
			}, -- [29]
			{
				104091, -- [1]
				390158, -- [2]
				{
					13500, -- [1]
					4500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104090, -- [1]
					104074, -- [2]
				}, -- [4]
			}, -- [30]
			{
				104092, -- [1]
				388114, -- [2]
				{
					12300, -- [1]
					6900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [31]
			{
				104093, -- [1]
				388106, -- [2]
				{
					12900, -- [1]
					6300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104092, -- [1]
				}, -- [4]
			}, -- [32]
			{
				104104, -- [1]
				258860, -- [2]
				{
					11100, -- [1]
					6900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [33]
			{
				104105, -- [1]
				388118, -- [2]
				{
					10500, -- [1]
					6300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104104, -- [1]
				}, -- [4]
			}, -- [34]
			{
				104106, -- [1]
				389687, -- [2]
				{
					10800, -- [1]
					5700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104105, -- [1]
					104108, -- [2]
				}, -- [4]
			}, -- [35]
			{
				104108, -- [1]
				342817, -- [2]
				{
					11100, -- [1]
					6300, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [36]
			{
				104107, -- [1]
				258925, -- [2]
				{
					11100, -- [1]
					6300, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [37]
			{
				104109, -- [1]
				390142, -- [2]
				{
					11400, -- [1]
					5700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104108, -- [1]
					104110, -- [2]
				}, -- [4]
			}, -- [38]
			{
				104110, -- [1]
				258887, -- [2]
				{
					11700, -- [1]
					6300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104111, -- [1]
				}, -- [4]
			}, -- [39]
			{
				104111, -- [1]
				388116, -- [2]
				{
					11700, -- [1]
					6900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [40]
			{
				104113, -- [1]
				258876, -- [2]
				{
					11700, -- [1]
					2100, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [41]
			{
				104112, -- [1]
				203555, -- [2]
				{
					11700, -- [1]
					2100, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [42]
			{
				104114, -- [1]
				198013, -- [2]
				{
					11700, -- [1]
					1500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104113, -- [1]
					104066, -- [2]
					104069, -- [3]
				}, -- [4]
			}, -- [43]
			{
				104115, -- [1]
				320386, -- [2]
				{
					3900, -- [1]
					2700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104126, -- [1]
				}, -- [4]
			}, -- [44]
			{
				104116, -- [1]
				217832, -- [2]
				{
					3900, -- [1]
					2100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104127, -- [1]
					104124, -- [2]
					104115, -- [3]
				}, -- [4]
			}, -- [45]
			{
				104117, -- [1]
				320416, -- [2]
				{
					3900, -- [1]
					1500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104116, -- [1]
				}, -- [4]
			}, -- [46]
			{
				104118, -- [1]
				198793, -- [2]
				{
					2700, -- [1]
					1500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104120, -- [1]
				}, -- [4]
			}, -- [47]
			{
				104119, -- [1]
				320635, -- [2]
				{
					2100, -- [1]
					2700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [48]
			{
				104120, -- [1]
				320770, -- [2]
				{
					2700, -- [1]
					2100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104124, -- [1]
					104119, -- [2]
					104123, -- [3]
				}, -- [4]
			}, -- [49]
			{
				104121, -- [1]
				389763, -- [2]
				{
					2700, -- [1]
					3900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104138, -- [1]
				}, -- [4]
			}, -- [50]
			{
				104122, -- [1]
				389846, -- [2]
				{
					2100, -- [1]
					3900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104138, -- [1]
				}, -- [4]
			}, -- [51]
			{
				104062, -- [1]
				205411, -- [2]
				{
					10800, -- [1]
					3900, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					104084, -- [1]
				}, -- [4]
			}, -- [52]
			{
				104061, -- [1]
				196555, -- [2]
				{
					10800, -- [1]
					3900, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					104084, -- [1]
				}, -- [4]
			}, -- [53]
			{
				104060, -- [1]
				388107, -- [2]
				{
					13500, -- [1]
					5700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104093, -- [1]
				}, -- [4]
			}, -- [54]
			{
				104124, -- [1]
				320361, -- [2]
				{
					3300, -- [1]
					2700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104123, -- [1]
					104020, -- [2]
					104126, -- [3]
				}, -- [4]
			}, -- [55]
			{
				104151, -- [1]
				320418, -- [2]
				{
					4500, -- [1]
					6300, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [56]
			{
				104150, -- [1]
				388110, -- [2]
				{
					4500, -- [1]
					6300, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [57]
			{
				104128, -- [1]
				320313, -- [2]
				{
					4500, -- [1]
					3300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104129, -- [1]
				}, -- [4]
			}, -- [58]
			{
				104129, -- [1]
				320331, -- [2]
				{
					4500, -- [1]
					4500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104133, -- [1]
					104142, -- [2]
				}, -- [4]
			}, -- [59]
			{
				104130, -- [1]
				320421, -- [2]
				{
					3900, -- [1]
					3900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104131, -- [1]
					104129, -- [2]
				}, -- [4]
			}, -- [60]
			{
				104131, -- [1]
				204909, -- [2]
				{
					3300, -- [1]
					4500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104133, -- [1]
					104137, -- [2]
				}, -- [4]
			}, -- [61]
			{
				104133, -- [1]
				213410, -- [2]
				{
					3900, -- [1]
					5100, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					104136, -- [1]
					104149, -- [2]
				}, -- [4]
			}, -- [62]
			{
				104132, -- [1]
				235893, -- [2]
				{
					3900, -- [1]
					5100, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					104136, -- [1]
					104149, -- [2]
				}, -- [4]
			}, -- [63]
			{
				104135, -- [1]
				389781, -- [2]
				{
					3300, -- [1]
					6300, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [64]
			{
				104134, -- [1]
				389783, -- [2]
				{
					3300, -- [1]
					6300, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [65]
			{
				104136, -- [1]
				196718, -- [2]
				{
					3300, -- [1]
					5700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104148, -- [1]
					104135, -- [2]
				}, -- [4]
			}, -- [66]
			{
				104137, -- [1]
				179057, -- [2]
				{
					2700, -- [1]
					5100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104016, -- [1]
					104019, -- [2]
					104136, -- [3]
				}, -- [4]
			}, -- [67]
			{
				104138, -- [1]
				389696, -- [2]
				{
					2700, -- [1]
					4500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104137, -- [1]
				}, -- [4]
			}, -- [68]
			{
				104139, -- [1]
				209281, -- [2]
				{
					5100, -- [1]
					6900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [69]
			{
				104140, -- [1]
				389697, -- [2]
				{
					5100, -- [1]
					6300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104139, -- [1]
				}, -- [4]
			}, -- [70]
			{
				104141, -- [1]
				391409, -- [2]
				{
					5700, -- [1]
					5700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104140, -- [1]
				}, -- [4]
			}, -- [71]
			{
				104142, -- [1]
				202137, -- [2]
				{
					5100, -- [1]
					5100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104149, -- [1]
					104141, -- [2]
					104014, -- [3]
				}, -- [4]
			}, -- [72]
			{
				104143, -- [1]
				389695, -- [2]
				{
					5100, -- [1]
					4500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104142, -- [1]
				}, -- [4]
			}, -- [73]
			{
				104145, -- [1]
				207666, -- [2]
				{
					5100, -- [1]
					3900, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					104143, -- [1]
				}, -- [4]
			}, -- [74]
			{
				104144, -- [1]
				389799, -- [2]
				{
					5100, -- [1]
					3900, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					104143, -- [1]
				}, -- [4]
			}, -- [75]
			{
				104147, -- [1]
				389811, -- [2]
				{
					3900, -- [1]
					6900, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [76]
			{
				104146, -- [1]
				389819, -- [2]
				{
					3900, -- [1]
					6900, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [77]
			{
				104148, -- [1]
				370965, -- [2]
				{
					3900, -- [1]
					6300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104147, -- [1]
				}, -- [4]
			}, -- [78]
			{
				104149, -- [1]
				207684, -- [2]
				{
					4500, -- [1]
					5700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104151, -- [1]
					104148, -- [2]
				}, -- [4]
			}, -- [79]
			{
				104025, -- [1]
				204596, -- [2]
				{
					5100, -- [1]
					1500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104024, -- [1]
				}, -- [4]
			}, -- [80]
			{
				104024, -- [1]
				389824, -- [2]
				{
					5100, -- [1]
					2100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104127, -- [1]
					104022, -- [2]
					104023, -- [3]
				}, -- [4]
			}, -- [81]
			{
				104023, -- [1]
				389694, -- [2]
				{
					5700, -- [1]
					2700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [82]
			{
				104022, -- [1]
				213010, -- [2]
				{
					5100, -- [1]
					3300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104021, -- [1]
					104145, -- [2]
				}, -- [4]
			}, -- [83]
			{
				104021, -- [1]
				389849, -- [2]
				{
					5700, -- [1]
					3900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104143, -- [1]
				}, -- [4]
			}, -- [84]
			{
				104020, -- [1]
				183782, -- [2]
				{
					3300, -- [1]
					3300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104131, -- [1]
				}, -- [4]
			}, -- [85]
			{
				104019, -- [1]
				393822, -- [2]
				{
					2100, -- [1]
					5700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104018, -- [1]
					104018, -- [2]
				}, -- [4]
			}, -- [86]
			{
				104018, -- [1]
				391397, -- [2]
				{
					2700, -- [1]
					6300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104017, -- [1]
				}, -- [4]
			}, -- [87]
			{
				104017, -- [1]
				390152, -- [2]
				{
					2700, -- [1]
					6900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [88]
			{
				104016, -- [1]
				320412, -- [2]
				{
					2700, -- [1]
					5700, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					104018, -- [1]
					104018, -- [2]
				}, -- [4]
			}, -- [89]
			{
				104015, -- [1]
				206477, -- [2]
				{
					2700, -- [1]
					5700, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					104018, -- [1]
					104018, -- [2]
				}, -- [4]
			}, -- [90]
			{
				104014, -- [1]
				388111, -- [2]
				{
					5100, -- [1]
					5700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104140, -- [1]
				}, -- [4]
			}, -- [91]
			{
				104127, -- [1]
				278326, -- [2]
				{
					4500, -- [1]
					2700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					104128, -- [1]
					104126, -- [2]
					104022, -- [3]
				}, -- [4]
			}, -- [92]
			{
				104126, -- [1]
				207347, -- [2]
				{
					3900, -- [1]
					3300, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [93]
			{
				104125, -- [1]
				232893, -- [2]
				{
					3900, -- [1]
					3300, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [94]
		},
		[65] = {
			{
				102625, -- [1]
				190784, -- [2]
				{
					4796, -- [1]
					2696, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					102624, -- [1]
					102593, -- [2]
					102592, -- [3]
				}, -- [4]
			}, -- [1]
			{
				102624, -- [1]
				376996, -- [2]
				{
					5395, -- [1]
					3297, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					102593, -- [1]
					102622, -- [2]
				}, -- [4]
			}, -- [2]
			{
				102623, -- [1]
				377016, -- [2]
				{
					5395, -- [1]
					3297, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					102593, -- [1]
					102622, -- [2]
				}, -- [4]
			}, -- [3]
			{
				102622, -- [1]
				10326, -- [2]
				{
					5997, -- [1]
					3897, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					102621, -- [1]
					102604, -- [2]
				}, -- [4]
			}, -- [4]
			{
				102621, -- [1]
				377053, -- [2]
				{
					6597, -- [1]
					4495, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					102478, -- [1]
					102620, -- [2]
				}, -- [4]
			}, -- [5]
			{
				102620, -- [1]
				385464, -- [2]
				{
					5997, -- [1]
					5096, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					102478, -- [1]
					102618, -- [2]
				}, -- [4]
			}, -- [6]
			{
				102619, -- [1]
				385349, -- [2]
				{
					5997, -- [1]
					5096, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					102478, -- [1]
					102618, -- [2]
				}, -- [4]
			}, -- [7]
			{
				102618, -- [1]
				385427, -- [2]
				{
					5997, -- [1]
					5696, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					102609, -- [1]
					102617, -- [2]
				}, -- [4]
			}, -- [8]
			{
				102617, -- [1]
				385728, -- [2]
				{
					5997, -- [1]
					6297, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					102616, -- [1]
				}, -- [4]
			}, -- [9]
			{
				102616, -- [1]
				391142, -- [2]
				{
					5997, -- [1]
					6897, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [10]
			{
				102615, -- [1]
				385125, -- [2]
				{
					3596, -- [1]
					6297, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					102614, -- [1]
				}, -- [4]
			}, -- [11]
			{
				102614, -- [1]
				385129, -- [2]
				{
					3596, -- [1]
					6897, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [12]
			{
				102613, -- [1]
				385416, -- [2]
				{
					3595, -- [1]
					5692, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					102612, -- [1]
					102615, -- [2]
				}, -- [4]
			}, -- [13]
			{
				102612, -- [1]
				385450, -- [2]
				{
					4195, -- [1]
					6297, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					102611, -- [1]
				}, -- [4]
			}, -- [14]
			{
				102611, -- [1]
				152262, -- [2]
				{
					4796, -- [1]
					6897, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [15]
			{
				102610, -- [1]
				53376, -- [2]
				{
					4796, -- [1]
					6897, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [16]
			{
				102609, -- [1]
				385425, -- [2]
				{
					5395, -- [1]
					6297, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					102611, -- [1]
				}, -- [4]
			}, -- [17]
			{
				102608, -- [1]
				223817, -- [2]
				{
					4795, -- [1]
					5692, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					102612, -- [1]
					102609, -- [2]
				}, -- [4]
			}, -- [18]
			{
				102607, -- [1]
				105809, -- [2]
				{
					4795, -- [1]
					5692, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					102612, -- [1]
					102609, -- [2]
				}, -- [4]
			}, -- [19]
			{
				102606, -- [1]
				384909, -- [2]
				{
					5395, -- [1]
					5096, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					102618, -- [1]
					102608, -- [2]
				}, -- [4]
			}, -- [20]
			{
				102605, -- [1]
				204018, -- [2]
				{
					5395, -- [1]
					5096, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					102618, -- [1]
					102608, -- [2]
				}, -- [4]
			}, -- [21]
			{
				102604, -- [1]
				1022, -- [2]
				{
					5395, -- [1]
					4497, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					102620, -- [1]
					102603, -- [2]
					102606, -- [3]
				}, -- [4]
			}, -- [22]
			{
				102603, -- [1]
				114154, -- [2]
				{
					4795, -- [1]
					5095, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					102608, -- [1]
				}, -- [4]
			}, -- [23]
			{
				102602, -- [1]
				6940, -- [2]
				{
					4196, -- [1]
					4497, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					102595, -- [1]
					102601, -- [2]
					102603, -- [3]
				}, -- [4]
			}, -- [24]
			{
				102601, -- [1]
				385414, -- [2]
				{
					3596, -- [1]
					5096, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					102600, -- [1]
					102613, -- [2]
				}, -- [4]
			}, -- [25]
			{
				102600, -- [1]
				384815, -- [2]
				{
					2996, -- [1]
					5696, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					102615, -- [1]
				}, -- [4]
			}, -- [26]
			{
				102599, -- [1]
				384897, -- [2]
				{
					2996, -- [1]
					5096, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					102600, -- [1]
				}, -- [4]
			}, -- [27]
			{
				102598, -- [1]
				377128, -- [2]
				{
					2996, -- [1]
					4496, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					102601, -- [1]
					102599, -- [2]
				}, -- [4]
			}, -- [28]
			{
				102597, -- [1]
				385515, -- [2]
				{
					3596, -- [1]
					3896, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					102596, -- [1]
					102602, -- [2]
					102598, -- [3]
				}, -- [4]
			}, -- [29]
			{
				102596, -- [1]
				183778, -- [2]
				{
					3596, -- [1]
					4496, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					102601, -- [1]
				}, -- [4]
			}, -- [30]
			{
				102595, -- [1]
				384820, -- [2]
				{
					4196, -- [1]
					5095, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					102608, -- [1]
					102613, -- [2]
				}, -- [4]
			}, -- [31]
			{
				102594, -- [1]
				384914, -- [2]
				{
					4196, -- [1]
					5095, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					102608, -- [1]
					102613, -- [2]
				}, -- [4]
			}, -- [32]
			{
				102593, -- [1]
				384376, -- [2]
				{
					4795, -- [1]
					3895, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					102602, -- [1]
					102604, -- [2]
				}, -- [4]
			}, -- [33]
			{
				102592, -- [1]
				230332, -- [2]
				{
					4196, -- [1]
					3297, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					102593, -- [1]
					102597, -- [2]
				}, -- [4]
			}, -- [34]
			{
				102591, -- [1]
				96231, -- [2]
				{
					6597, -- [1]
					3896, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					102621, -- [1]
				}, -- [4]
			}, -- [35]
			{
				102590, -- [1]
				231663, -- [2]
				{
					6597, -- [1]
					3297, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					102622, -- [1]
					102591, -- [2]
				}, -- [4]
			}, -- [36]
			{
				102589, -- [1]
				234299, -- [2]
				{
					5997, -- [1]
					2696, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					102590, -- [1]
					102622, -- [2]
				}, -- [4]
			}, -- [37]
			{
				102588, -- [1]
				385639, -- [2]
				{
					5395, -- [1]
					2096, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					102625, -- [1]
					102589, -- [2]
				}, -- [4]
			}, -- [38]
			{
				102587, -- [1]
				1044, -- [2]
				{
					4795, -- [1]
					1496, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					102588, -- [1]
					102586, -- [2]
					102625, -- [3]
				}, -- [4]
			}, -- [39]
			{
				102586, -- [1]
				385633, -- [2]
				{
					4196, -- [1]
					2096, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					102585, -- [1]
					102625, -- [2]
				}, -- [4]
			}, -- [40]
			{
				102585, -- [1]
				20066, -- [2]
				{
					3596, -- [1]
					2696, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					102477, -- [1]
					102597, -- [2]
				}, -- [4]
			}, -- [41]
			{
				102584, -- [1]
				115750, -- [2]
				{
					3596, -- [1]
					2696, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					102477, -- [1]
					102597, -- [2]
				}, -- [4]
			}, -- [42]
			{
				102583, -- [1]
				633, -- [2]
				{
					3596, -- [1]
					1495, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					102586, -- [1]
					102585, -- [2]
				}, -- [4]
			}, -- [43]
			{
				102582, -- [1]
				387893, -- [2]
				{
					10200, -- [1]
					6300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					102581, -- [1]
				}, -- [4]
			}, -- [44]
			{
				102581, -- [1]
				325966, -- [2]
				{
					10800, -- [1]
					6900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [45]
			{
				102580, -- [1]
				196926, -- [2]
				{
					11399, -- [1]
					6299, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					102579, -- [1]
					102581, -- [2]
				}, -- [4]
			}, -- [46]
			{
				102579, -- [1]
				388007, -- [2]
				{
					12000, -- [1]
					6900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [47]
			{
				102578, -- [1]
				248033, -- [2]
				{
					12600, -- [1]
					6300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					102577, -- [1]
					102579, -- [2]
				}, -- [4]
			}, -- [48]
			{
				102577, -- [1]
				392907, -- [2]
				{
					13199, -- [1]
					6900, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [49]
			{
				102576, -- [1]
				387170, -- [2]
				{
					13199, -- [1]
					6900, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [50]
			{
				102575, -- [1]
				383388, -- [2]
				{
					13800, -- [1]
					6300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					102577, -- [1]
				}, -- [4]
			}, -- [51]
			{
				102574, -- [1]
				200474, -- [2]
				{
					13800, -- [1]
					5699, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					102575, -- [1]
					102573, -- [2]
				}, -- [4]
			}, -- [52]
			{
				102573, -- [1]
				200652, -- [2]
				{
					14400, -- [1]
					6300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					102572, -- [1]
				}, -- [4]
			}, -- [53]
			{
				102572, -- [1]
				392951, -- [2]
				{
					14400, -- [1]
					6900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
				}, -- [4]
			}, -- [54]
			{
				102571, -- [1]
				231642, -- [2]
				{
					13200, -- [1]
					4500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					102567, -- [1]
					102570, -- [2]
				}, -- [4]
			}, -- [55]
			{
				102570, -- [1]
				387805, -- [2]
				{
					13800, -- [1]
					5100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					102537, -- [1]
					102569, -- [2]
					102574, -- [3]
				}, -- [4]
			}, -- [56]
			{
				102569, -- [1]
				384442, -- [2]
				{
					13200, -- [1]
					5700, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					102578, -- [1]
					102575, -- [2]
				}, -- [4]
			}, -- [57]
			{
				102568, -- [1]
				394088, -- [2]
				{
					13200, -- [1]
					5700, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					102578, -- [1]
					102575, -- [2]
				}, -- [4]
			}, -- [58]
			{
				102567, -- [1]
				200482, -- [2]
				{
					12600, -- [1]
					5100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					102565, -- [1]
					102566, -- [2]
					102569, -- [3]
				}, -- [4]
			}, -- [59]
			{
				102566, -- [1]
				387879, -- [2]
				{
					12599, -- [1]
					5700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					102578, -- [1]
				}, -- [4]
			}, -- [60]
			{
				102565, -- [1]
				392938, -- [2]
				{
					12000, -- [1]
					5700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					102580, -- [1]
					102578, -- [2]
				}, -- [4]
			}, -- [61]
			{
				102564, -- [1]
				387781, -- [2]
				{
					11400, -- [1]
					5100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					102533, -- [1]
					102563, -- [2]
					102565, -- [3]
				}, -- [4]
			}, -- [62]
			{
				102563, -- [1]
				375576, -- [2]
				{
					10800, -- [1]
					5700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					102582, -- [1]
					102580, -- [2]
				}, -- [4]
			}, -- [63]
			{
				102562, -- [1]
				387808, -- [2]
				{
					10200, -- [1]
					5100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					102563, -- [1]
				}, -- [4]
			}, -- [64]
			{
				102561, -- [1]
				114158, -- [2]
				{
					10800, -- [1]
					4500, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					102562, -- [1]
					102564, -- [2]
				}, -- [4]
			}, -- [65]
			{
				102560, -- [1]
				114165, -- [2]
				{
					10800, -- [1]
					4500, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					102562, -- [1]
					102564, -- [2]
				}, -- [4]
			}, -- [66]
			{
				102559, -- [1]
				388005, -- [2]
				{
					11400, -- [1]
					3900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					102542, -- [1]
					102557, -- [2]
					102561, -- [3]
				}, -- [4]
			}, -- [67]
			{
				102558, -- [1]
				387791, -- [2]
				{
					13200, -- [1]
					3300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					102571, -- [1]
				}, -- [4]
			}, -- [68]
			{
				102557, -- [1]
				231667, -- [2]
				{
					12000, -- [1]
					4500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					102567, -- [1]
					102564, -- [2]
				}, -- [4]
			}, -- [69]
			{
				102556, -- [1]
				392928, -- [2]
				{
					12000, -- [1]
					3300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					102557, -- [1]
				}, -- [4]
			}, -- [70]
			{
				102555, -- [1]
				387993, -- [2]
				{
					11399, -- [1]
					2697, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					102556, -- [1]
					102553, -- [2]
					102559, -- [3]
				}, -- [4]
			}, -- [71]
			{
				102554, -- [1]
				392914, -- [2]
				{
					11399, -- [1]
					2697, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					102556, -- [1]
					102553, -- [2]
					102559, -- [3]
				}, -- [4]
			}, -- [72]
			{
				102553, -- [1]
				387786, -- [2]
				{
					10799, -- [1]
					3299, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					102551, -- [1]
				}, -- [4]
			}, -- [73]
			{
				102552, -- [1]
				392902, -- [2]
				{
					10799, -- [1]
					3299, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					102551, -- [1]
				}, -- [4]
			}, -- [74]
			{
				102551, -- [1]
				210294, -- [2]
				{
					10200, -- [1]
					3900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					102562, -- [1]
					102561, -- [2]
				}, -- [4]
			}, -- [75]
			{
				102477, -- [1]
				393024, -- [2]
				{
					3000, -- [1]
					3300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					102597, -- [1]
					102598, -- [2]
				}, -- [4]
			}, -- [76]
			{
				102478, -- [1]
				377043, -- [2]
				{
					6597, -- [1]
					5696, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					102617, -- [1]
				}, -- [4]
			}, -- [77]
			{
				102479, -- [1]
				24275, -- [2]
				{
					5997, -- [1]
					1495, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					102588, -- [1]
					102589, -- [2]
				}, -- [4]
			}, -- [78]
			{
				102533, -- [1]
				156910, -- [2]
				{
					11399, -- [1]
					5700, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					102580, -- [1]
				}, -- [4]
			}, -- [79]
			{
				102532, -- [1]
				200025, -- [2]
				{
					11399, -- [1]
					5700, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					102580, -- [1]
				}, -- [4]
			}, -- [80]
			{
				102534, -- [1]
				20473, -- [2]
				{
					12599, -- [1]
					1498, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					102550, -- [1]
					102545, -- [2]
				}, -- [4]
			}, -- [81]
			{
				102535, -- [1]
				387801, -- [2]
				{
					13800, -- [1]
					4500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					102570, -- [1]
				}, -- [4]
			}, -- [82]
			{
				102536, -- [1]
				392961, -- [2]
				{
					13800, -- [1]
					3900, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					102535, -- [1]
					102540, -- [2]
					102571, -- [3]
				}, -- [4]
			}, -- [83]
			{
				102537, -- [1]
				148039, -- [2]
				{
					14400, -- [1]
					5699, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					102573, -- [1]
				}, -- [4]
			}, -- [84]
			{
				102538, -- [1]
				388018, -- [2]
				{
					15000, -- [1]
					5700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					102573, -- [1]
				}, -- [4]
			}, -- [85]
			{
				102539, -- [1]
				387814, -- [2]
				{
					15000, -- [1]
					5100, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					102537, -- [1]
					102538, -- [2]
				}, -- [4]
			}, -- [86]
			{
				102540, -- [1]
				183998, -- [2]
				{
					14400, -- [1]
					4500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					102539, -- [1]
					102570, -- [2]
				}, -- [4]
			}, -- [87]
			{
				102541, -- [1]
				214202, -- [2]
				{
					14400, -- [1]
					3300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					102540, -- [1]
				}, -- [4]
			}, -- [88]
			{
				102542, -- [1]
				157047, -- [2]
				{
					11400, -- [1]
					4500, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					102564, -- [1]
				}, -- [4]
			}, -- [89]
			{
				102544, -- [1]
				387998, -- [2]
				{
					13798, -- [1]
					2696, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					102541, -- [1]
					102536, -- [2]
					102558, -- [3]
				}, -- [4]
			}, -- [90]
			{
				102543, -- [1]
				223306, -- [2]
				{
					13798, -- [1]
					2696, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					102541, -- [1]
					102536, -- [2]
					102558, -- [3]
				}, -- [4]
			}, -- [91]
			{
				102545, -- [1]
				85222, -- [2]
				{
					13198, -- [1]
					2099, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					102549, -- [1]
					102544, -- [2]
				}, -- [4]
			}, -- [92]
			{
				102547, -- [1]
				392911, -- [2]
				{
					12600, -- [1]
					3900, -- [2]
					1, -- [3]
					2, -- [4]
				}, -- [3]
				{
					102557, -- [1]
					102571, -- [2]
				}, -- [4]
			}, -- [93]
			{
				102546, -- [1]
				200430, -- [2]
				{
					12600, -- [1]
					3900, -- [2]
					2, -- [3]
					2, -- [4]
				}, -- [3]
				{
					102557, -- [1]
					102571, -- [2]
				}, -- [4]
			}, -- [94]
			{
				102548, -- [1]
				31821, -- [2]
				{
					12600, -- [1]
					3300, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					102547, -- [1]
				}, -- [4]
			}, -- [95]
			{
				102549, -- [1]
				498, -- [2]
				{
					12600, -- [1]
					2700, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					102548, -- [1]
				}, -- [4]
			}, -- [96]
			{
				102550, -- [1]
				82326, -- [2]
				{
					11998, -- [1]
					2099, -- [2]
					1, -- [3]
					1, -- [4]
				}, -- [3]
				{
					102555, -- [1]
					102549, -- [2]
				}, -- [4]
			}, -- [97]
		},
	}

  local backgroundAlias = {
		-- DK
		[250] = "talents-background-deathknight-blood",
		[251] = "talents-background-deathknight-frost",
		[252] = "talents-background-deathknight-unholy",

		-- DH
		[577] = "talents-background-demonhunter-havoc",
		[581] = "talents-background-demonhunter-vengeance",

		-- Druid
		[102] = "talents-background-druid-balance",
		[103] = "talents-background-druid-feral",
		[104] = "talents-background-druid-guardian",
		[105] = "talents-background-druid-restoration",

		-- Evoker
		[1467] = "talents-background-evoker-devastation",
		[1468] = "talents-background-evoker-preservation",

		-- Hunter
		[253] = "talents-background-hunter-beastmastery",
		[254] = "talents-background-hunter-marksmanship",
		[255] = "talents-background-hunter-survival",

		-- Mage
		[62] = "talents-background-mage-arcane",
		[63] = "talents-background-mage-fire",
		[64] = "talents-background-mage-frost",

		-- Monk
		[268] = "talents-background-monk-brewmaster",
		[269] = "talents-background-monk-windwalker",
		[270] = "talents-background-monk-mistweaver",

		-- Paladin
		[65] = "talents-background-paladin-holy",
		[66] = "talents-background-paladin-protection",
		[70] = "talents-background-paladin-retribution",

		-- Priest
		[256] = "talents-background-priest-discipline",
		[257] = "talents-background-priest-holy",
		[258] = "talents-background-priest-shadow",

		-- Rogue
		[259] = "talents-background-rogue-assassination",
		[260] = "talents-background-rogue-outlaw",
		[261] =  "talents-background-rogue-subtlety",

		-- Shaman
		[262] = "talents-background-shaman-elemental",
		[263] = "talents-background-shaman-enhancement",
		[264] = "talents-background-shaman-restoration",

		-- Warlock
		[265] = "talents-background-warlock-affliction",
		[266] = "talents-background-warlock-demonology",
		[267] = "talents-background-warlock-destruction",

		-- Warrior
		[71] = "talents-background-warrior-arms",
		[72] = "talents-background-warrior-fury",
		[73] = "talents-background-warrior-protection",
  }

  for specId, specData in pairs(Private.talentInfo) do
    specData[999] = backgroundAlias[specId]
  end

	local classIDToOffsets = {
		[1] = { extraOffsetX = 30, extraOffsetY = 0, }, -- Warrior
		[2] = { extraOffsetX = -60, extraOffsetY = -29, }, -- Paladin
		[3] = { extraOffsetX = 0, extraOffsetY = -29, }, -- Hunter
		[4] = { extraOffsetX = 30, extraOffsetY = -29, }, -- Rogue
		[5] = { extraOffsetX = -30, extraOffsetY = -29, }, -- Priest
		[8] = { extraOffsetX = 30, extraOffsetY = -29, }, -- Mage
		[11] = { extraOffsetX = 30, extraOffsetY = -29, }, -- Druid
		[12] = { extraOffsetX = 30, extraOffsetY = -29, }, -- Demon Hunter
		[13] = { extraOffsetX = 30, extraOffsetY = -29, }, -- Evoker
	}
	local initialBasePanOffsetX = 4
	local initialBasePanOffsetY = -30
	for classID = 1, GetNumClasses() do
		local classOffsets = classIDToOffsets[classID]
		local basePanOffsetX = initialBasePanOffsetX - (classOffsets and classOffsets.extraOffsetX or 0)
		local basePanOffsetY = initialBasePanOffsetY - (classOffsets and classOffsets.extraOffsetY or 0)
    for i = 1, GetNumSpecializationsForClassID(classID) do
      local specId = GetSpecializationInfoForClassID(classID, i)
			Private.talentInfo[specId][1000] = { offsetX = basePanOffsetX, offsetY = basePanOffsetY }
    end
	end
end

function Private.GetTalentInfo(specId)
  -- TODO: only evoker & paladin talents collected, will do more when structure of talentInfo will be final
  local talents = {}
  local talentInfo = Private.talentInfo[specId]
  if talentInfo then
    for talentId, talentData in pairs(talentInfo) do
      local spellName, _, icon = GetSpellInfo(talentData[1])
      if spellName then
        talents[talentId] = ("|T"..icon..":16|t " .. spellName)
      end
    end
  end
  return talents
end
